<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
	include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Administration des catgories"));
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("cat.tpl","admin/cat.tpl");
	
	$yrch->_->get("ouvre","get");
	$yrch->_->get("ferme","get");
	$yrch->_->get("collapse","get");
	$yrch->_->get("extend","get");
	$yrch->_->get("selection","session",array(),1);

	$tree	= $yrch->enable("tree");
	$tree->new_type("VISIBLE");
	$tree->set_param("VISIBLE", "DISPLAY", "</a> <a href=\"cat_summary.php?id=%realid%\">%alias% (%sites%/%cats%)</a> <a href=\"cat_add.php?id=%realid%\"><img src=\"images/boutons/add.gif\" border=0 alt=\"ajouter ici\"></a>");
	$tree->set_param("VISIBLE", "IMAGEPATH", "../templates/%theme%/images/tree/visible/");
	$tree->new_type("INVISIBLE");
	$tree->set_param("INVISIBLE", "DISPLAY", "</a> <a href=\"cat_summary.php?id=%realid%\">%alias% (%sites%/%cats%)</a> <img src=\"images/boutons/add.gif\" border=0 alt=\"ajouter ici\"></a>");
	$tree->set_param("INVISIBLE", "IMAGEPATH", "../templates/%theme%/images/tree/visible/");
	
	foreach($yrch->list_cat(true,false,false,false) as $cat)
	{
		$id		= $cat->get_id();
		$parent	= $cat->get_master();
		if($id == 0)	$id = "root";
		if($parent == 0)$parent = "root";
		
		if($cat->is_visible())	$type= "VISIBLE";
		else	$type= "INVISIBLE";
		
		$tree->add_element($id, $parent, $type, array("theme" => $yrch->config->get("YRCH_THEME"),"realid" => $cat->get_id(),"alias" => $cat->get_alias(), "sites" => $cat->count_mysites(false), "cats" => $cat->count_mycats()));
	}

	$tree->check_dependancies();
	$tree->check_rank();
	
	if($extend || $collapse)
	{
		if($extend)		$tree->ouvretous();
		if($collapse)	$tree->fermetous();
		$selection = $tree->export_selection();
	}
	else
	{
		$selection	= $tree->state($ouvre,$ferme,$selection);
		$_SESSION["selection"]	= $selection;
	}

	$yrch_layout->set_var("tree",$tree->display());
	
	$yrch_layout->parse("yrch_output","cat.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>