<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("cat_add.tpl","admin/cat_add.tpl");
	
	$yrch_layout->set_block("cat_add.tpl","ALLCATS","allcats.blk");
	$yrch_layout->set_block("cat_add.tpl","MYCATS","mycats.blk");
	$yrch_layout->set_block("cat_add.tpl","ERRORS","errors.blk");
	
	$yrch_layout->set_block("cat_add.tpl","CATLANG","catlang.blk");
	
	$yrch->_->get("id","get,post",false,0,"int,>=0",1);
	$yrch->_->get("translate","post",array(),1);
	$yrch->_->get("catalias","post",false,1);
	$yrch->_->get("catdesc","post",array(),1);
	
	
	//SI ON POSTE
	if(isset($_POST["mycats"]) && isset($_POST["catalias"]) && isset($_POST["visible"]) && isset($_POST["translate"]) && isset($_POST["catdesc"]))
	{
		$cat	= new y_cat();
		$yrch->fill($cat);
		$cat->set_alias($_POST["catalias"]);
		$cat->set_desc($_POST["catdesc"]);
		$cat->set_visible((bool) $_POST["visible"]);
		$descs	= $_POST["catdesc"];
		
		if($cat->create())
		{
			$cat->set_translation($_POST["translate"]);
			foreach($_POST["mycats"] as $mycat)
			{
				if($_POST["catmaster"] == $mycat)
				{
					$cat->add_in($mycat,true);
				}
				else
					$cat->add_in($mycat,false);
			}
		
			header("Location: cat_summary.php?id=".$cat->get_id());
		}
		else
		{
			while($cat->ierror_next())
			{				
				$yrch_layout->set_var("error",$cat->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}	
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	$all		= $yrch->list_cat(true,false,false,false);
	$parents	= array($all[$id]);
	unset($all[$id]);

	foreach($all as $truc)
	{		
		$yrch_layout->set_var(array(
								"allcats_style"	=> "",
								"allcats_alias"	=> $truc->get_alias(),
								"allcats_id"	=> $truc->get_id()
								));
		$yrch_layout->parse("allcats.blk","ALLCATS",1);
	}

	foreach($yrch->list_langs("YRCH") as $localeid => $lang)
	{		
		if(isset($translate[strtoupper($lang["CODE"])]))
		{
			$title	= $translate[strtoupper($lang["CODE"])];
		}
		else	$title	= "";

		if(isset($catdesc[strtoupper($lang["CODE"])]))
		{
			$desc	= 	$catdesc[strtoupper($lang["CODE"])];
		}
		else $desc	= "";
		
		$yrch_layout->set_var(array(
								"catlang_code"	=> strtoupper($lang["CODE"]),
								"catlang_lib"	=> $lang["LIB"],
								"catlang_title"	=> $title,
								"catlang_desc"	=> $desc
								));
		
		$yrch_layout->parse("catlang.blk","CATLANG",1);
	}

	foreach($parents as $truc)
	{					
		$yrch_layout->set_var(array(
								"mycats_style"	=> "",
								"mycats_alias"	=> $truc->get_alias(),
								"mycats_id"		=> $truc->get_id()
								));
		$yrch_layout->parse("mycats.blk","MYCATS",1);
	}
	
	$yrch_layout->set_var(array(
		"id"			=> $id,
		"catalias"		=> $catalias,
		"label_cannotdeletemaster"	=> htmlspecialchars(_("impossible de supprimer la catgorie maitresse")),
		"label_onlyonemaster"	=> htmlspecialchars(_("Vous ne pouvez rendre qu'une seule catgorie maitresse")),
		
	));	
	
	$yrch_layout->parse("yrch_output","cat_add.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>