<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("cat_summary.tpl","admin/cat_summary.tpl");
	
	$yrch_layout->set_block("cat_summary.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("cat_summary.tpl","DELETEME","deleteme.blk");
	$yrch_layout->set_block("cat_summary.tpl","ALLCATS","allcats.blk");
	$yrch_layout->set_block("cat_summary.tpl","MYCATS","mycats.blk");
	$yrch_layout->set_block("cat_summary.tpl","CHILDCATS","childcats.blk");
	$yrch_layout->set_block("cat_summary.tpl","CATLANG","catlang.blk");
	$yrch_layout->set_block("cat_summary.tpl","PARENTS","parents.blk");
	

	
	$yrch->_->get("id","get,post",false,0,"int,>=0",1);
	$yrch->_->get("translate","post",false,1);
	$yrch->_->get("catalias","post",false,1);
	$yrch->_->get("catdesc","post",false,1);

	$cat	= new y_cat($id);
	$yrch->fill($cat);

	if(isset($_POST["delete"]))
	{
		if(!count($cat->get_subcat()))
		{
			$cat->delete();
			header("Location: cat.php");
		}
	}
		
	//CAS DE LA MISE A JOUR DES CATEGORIES	
	if(isset($_GET["mycats"]) && isset($_GET["catmaster"]) && is_array($_GET["mycats"]))
	{
		$cat->remove_from_all();
		
		foreach($_GET["mycats"] as $mycat)
		{
			if($_GET["catmaster"] == $mycat)
			{
				$cat->add_in($mycat,true);
			}
			else
				$cat->add_in($mycat,false);
		}
	}
			
	$cat->read();
	
	if(isset($_GET["switch"]) && $_GET["switch"] == 1)
	{
		$cat->set_visible(!$cat->is_visible());
		$cat->update();
	}
	
	if($translate)
	{
		$cat->set_translation($translate);
		$cat->set_alias($catalias);
		$cat->set_desc($catdesc);
		if(!$cat->update())
		{
			while($cat->ierror_next())
			{
				$yrch_layout->set_var("error",$cat->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
		else
		{
			header("Location: cat.php");	
			exit();
			
			//$yrch_layout->set_var("errors.blk","Modification effectue");
		}
	}
	else $yrch_layout->set_var("errors.blk","");
	
	$catmaster	= $cat->get_master();
	
	$parents	= $cat->get_parents(true);
	$children	= $cat->get_subcat(true);
	$all		= $cat->list_cat(true,false,false,true);
	$descs		= $cat->get_desc();

	foreach($parents as $parent)	unset($all[$parent->get_id()]);
	
	if(count($children))
		$yrch_layout->set_var("deleteme.blk","");
	else
		$yrch_layout->parse("deleteme.blk","DELETEME",0);
	
	if($id != 0)
	{
		foreach($all as $truc)
		{			
			$yrch_layout->set_var(array(
									"allcats_style"	=> "",
									"allcats_alias"	=> $truc->get_alias(),
									"allcats_id"	=> $truc->get_id()
									));
			$yrch_layout->parse("allcats.blk","ALLCATS",1);
		}
		
		foreach($parents as $truc)
		{					
			$yrch_layout->set_var(array(
									"mycats_style"	=> "",
									"mycats_alias"	=> $truc->get_alias(),
									"mycats_id"		=> $truc->get_id()
									));
	
			$yrch_layout->parse("mycats.blk","MYCATS",1);
		}
		
		$yrch_layout->parse("parents.blk","PARENTS",1);
	}
	else
	{
		$yrch_layout->set_var("parents.blk","");	
	}
	
	if(count($children) == 0)
	{
		$yrch_layout->set_var("childcats.blk","Aucun enfant");
	}
	else
	{
		foreach($children as $truc)
		{			
			$yrch_layout->set_var(array(
									"childcats_style"	=> "",
									"childcats_alias"	=> $truc->get_alias(),
									"childcats_id"		=> $truc->get_id()
									));
			$yrch_layout->parse("childcats.blk","CHILDCATS",1);
		}
	}
	
	$catlang	= $cat->get_alltitles();

	foreach($yrch->list_langs("YRCH") as $localeid => $lang)
	{
		if(isset($catlang[strtoupper($lang["CODE"])]))
		{
			$title	= $catlang[strtoupper($lang["CODE"])];
		}
		else	$title	= "";
		
		if(isset($descs[strtoupper($lang["CODE"])]))
		{
			$desc	= 	$descs[strtoupper($lang["CODE"])];
		}
		else $desc	= "";

		$yrch_layout->set_var(array(
								"catlang_code"	=> $lang["CODE"],
								"catlang_lib"	=> $lang["LIB"],
								"catlang_title"	=> htmlentities($title),
								"catlang_desc"	=> htmlentities($desc)
								));
		
		$yrch_layout->parse("catlang.blk","CATLANG",1);
	}

	$yrch_layout->set_var(array(
							"catalias"	=> $cat->get_alias(),
							"id"		=> $id,
							"catmaster"	=> $catmaster,
							"catstatus"	=> $cat->is_visible()?"Visible":"Cache"
							
							));	
	
	$yrch_layout->parse("yrch_output","cat_summary.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>