<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("maintenance_lastactions.tpl","admin/maintenance_lastactions.tpl");
	
	$yrch_layout->set_block("maintenance_lastactions.tpl","LOGS","log.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","D1","d1.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","M1","m1.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","Y1","y1.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","D2","d2.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","M2","m2.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","Y2","y2.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","MODES","modes.blk");
	$yrch_layout->set_block("maintenance_lastactions.tpl","LIMIT","limit.blk");

	$yrch->_->get("d1","get",strftime("%d")-1,2,"int;>=1;<=31");
	$yrch->_->get("d2","get",strftime("%d"),2,"int;>=1;<=31");
	$yrch->_->get("m1","get",strftime("%m"),2,"int;>=1;<=12");
	$yrch->_->get("m2","get",strftime("%m"),2,"int;>=1;<=12");
	$yrch->_->get("y1","get",strftime("%Y"),2,"int");
	$yrch->_->get("y2","get",strftime("%Y")+1,2,"int");
	$yrch->_->get("mode","get",false,2,"notempty");
	$yrch->_->get("user","get",false,2,"int,>0");
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")",1);
	$yrch->_->get("index","get",0,2,"int>=0",1);
	$yrch->_->get("order","get","ASC",2,"list(ASC;DESC)",1);
	$yrch->_->get("orderby","get","LOG_DATE",2,"list(LOG_DATE;USER_ID;LOG_ALIAS)");

	$date1	= mktime(0,0,0,$m1,$d1,$y1);
	$date2	= mktime(0,0,0,$m2,$d2,$y2);
	
	if($user != false)
	{
		$userobj		= &user_stack($user);
		$usernickname	= $userobj->get_nickname();
	}
	else
	{
		$usernickname	= "";
	}
	
	foreach($yrch->log->list_alias() as $value)
	{
		$yrch_layout->set_var(array(
								"modes_value"	=> $value,
								"modes_selec"	=> ($value == $mode)?"SELECTED":"",
								"modes_label"	=> $value
		));
		$yrch_layout->parse("modes.blk","MODES",1);
	}
	
	for($i=1;$i<=31;$i++)
	{
		$yrch_layout->set_var(array(
								"d1_value"	=> $i,
								"d1_selec"	=> ($d1 == $i)?"SELECTED":"",
								"d1_label"	=> $i,
								"d2_value"	=> $i,
								"d2_selec"	=> ($d2 == $i)?"SELECTED":"",
								"d2_label"	=> $i
							));
		$yrch_layout->parse("d1.blk","D1",1);
		$yrch_layout->parse("d2.blk","D2",1);
	}
	
	for($i=1;$i<=12;$i++)
	{
		$label	= strftime("%B",mktime(1,1,1,$i,1,2000));
		
		$yrch_layout->set_var(array(
								"m1_value"	=> $i,
								"m1_selec"	=> ($m1 == $i)?"SELECTED":"",
								"m1_label"	=> $label,
								"m2_value"	=> $i,
								"m2_selec"	=> ($m2 == $i)?"SELECTED":"",
								"m2_label"	=> $label
							));
		$yrch_layout->parse("m1.blk","M1",1);
		$yrch_layout->parse("m2.blk","M2",1);
	}
	
	for($i=($y1-5);$i<($y1+5);$i++)
	{
		$yrch_layout->set_var(array(
								"y1_value"	=> $i,
								"y1_selec"	=> ($y1 == $i)?"SELECTED":"",
								"y1_label"	=> $i,
								"y2_value"	=> $i,
								"y2_selec"	=> ($y2 == $i)?"SELECTED":"",
								"y2_label"	=> $i
							));
		$yrch_layout->parse("y1.blk","Y1",1);
		$yrch_layout->parse("y2.blk","Y2",1);
	}
	
	$count	= $yrch->log->count_operations($date1, $date2, $mode, $user);
	
	foreach($yrch->config->get("RANGE_LIMIT") as $lmt)
	{
		$yrch_layout->set_var("limit",$lmt);
		$yrch_layout->set_var("limit_selec",($lmt == $limit)?"SELECTED":"");
		$yrch_layout->parse("limit.blk","LIMIT",1);	
	}
	
	//$date1 = false,$date2 = false,$type = false, $user = false, $index = 0, $limit = false
	$logs	= $yrch->log->list_operations($date1, $date2, $mode, $user, $index, $limit, $orderby, $order);
	if(count($logs) > 0)
	{
		foreach($logs as $log)
		{
			$userobj	= &user_stack($log["USER_ID"]);
			
			$yrch_layout->set_var(array(
									"logtype"	=> $log["LOG_ALIAS"],
									"logdate"	=> strftime($yrch->config->get("DEF_DATETIMEFORMAT"),$log["LOG_DATE"]),
									"loguser"	=> $userobj->get_username()." (".$userobj->get_id().")",
									"logdesc"	=> $log["LOG_DESC"]
								));
			
			$yrch_layout->parse("log.blk","LOGS",1);
		}
	}
	else
	{
		$yrch_layout->set_var("log.blk","<tr><td colspan=4>Aucune entre ne correspond  vos critres</td></tr>");
	}
	
	
	$querybase	= "maintenance_lastactions.php?d1=".urlencode($d1)."&m1=".urlencode($m1)."&y1=".urlencode($y1)."&d2=".urlencode($d2)."&m2=".urlencode($m2)."&y2=".urlencode($y2)."&user=".urlencode($user)."&mode=".urlencode($mode)."&limit=".urlencode($limit)."&order=".urlencode($order)."&orderby=".urlencode($orderby);
	
    yrch_prevnext("site_list.tpl", $index, $count, $limit, $querybase);

	$yrch_layout->set_var(array(
			"index"	=> $index,
			"orderby"	=> $orderby,
			"order"	=> $order,
			"userid"	=> $user,
			"usernickname"	=> $usernickname
	));
		
	$yrch_layout->parse("yrch_output","maintenance_lastactions.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>