<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$microtime	= micronow();
	$time	= time();
	$yrch_layout->set_file("maintenance_run.tpl","admin/maintenance_run.tpl");

	$yrch_layout->set_block("maintenance_run.tpl","ACTION","action.blk");
	
	$iteration	=  1;
	
	function action($res,$libelle)
	{
		global $yrch_layout, $iteration;
		
		if($res == true)
		{
			$yrch_layout->set_var("class","ok");
			$yrch_layout->set_var("result","ok");
		}
		else
		{
			$yrch_layout->set_var("class","ok");
			$yrch_layout->set_var("result","ok");	
		}
		$yrch_layout->set_var("libelle",forcelen($libelle, 70, "right", "."));
		$yrch_layout->set_var("iteration",$iteration++);
		
		$yrch_layout->parse("action.blk","ACTION",1);
	}
	
	/*Batch*/
	
	//supprimer les logs vieux de plus d'un mois
	//*referrer
	//*logs
	
	//Exportation des actions SQL
	$exp_time	= $time	- (60*60*24*7);
	action($yrch->log->export($exp_time,true),"Exportation des actions SQL antrieure au ".strftime($yrch->config->get("DEF_DATEFORMAT"),$exp_time));
	
	//optimiser les tables
	action($yrch->db->optimize(),"Optimisation des tables SQL");
	flush();
	
	//calculer les notes
	action($yrch->build_sitenotation(),"Contrustruction des notations actualises des sites");
	flush();
	
	//nettoyage des utilisateurs poussiereux
	$users	= $yrch->list_dustyusers(true,1);
	$res	= true;
	if(count($users) > 0)
	{		
		foreach($users as $user)
		{
			$res	= (bool) $res	& $user->delete();
		}
	}
	action($res,"Suppression des utilisateurs non confirms");
	flush();
	
	//vrification des sites marqus comme DOWN
	foreach($yrch->list_site(true, false, false, false, "OR", false, false, true) as $site)
	{
		if($site->test(true))
		{
			$site->available();
			$site->update();
			action($res,$site->get_title()."(".$site->get_id().") rhabilit");
		}
		$res	= true;
	}
	action($res,"Vrification des site marqus comme DOWN");
	
	$exec	= round(str_replace(",",".",micronow()) - str_replace(",",".",$microtime),2);
	
	$yrch_layout->set_var(array(
		"exec_time"		=> strftime($yrch->config->get("DEF_DATETIMEFORMAT"),$time),
		"exec_duration"	=> $exec
	));
	
	$yrch_layout->parse("yrch_output","maintenance_run.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>