<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("page_summary.tpl","admin/page_summary.tpl");

	$yrch_layout->set_block("page_summary.tpl","STATUS","status.blk");
	$yrch_layout->set_block("page_summary.tpl","DESCS","descs.blk");
	$yrch_layout->set_block("page_summary.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("page_summary.tpl","CATS","cats.blk");
	$yrch_layout->set_block("page_summary.tpl","SITES","sites.blk");
	
	$yrch->_->get("id","get,post",0,0,"int,>0",1);
	$yrch->_->get("deletion","post",false,2,"bool",1);
	$yrch->_->get("posted","post",false,2,"bool",1);
	$yrch->_->get("url","post",false,1);
	$yrch->_->get("site","post",false,2,"int");
	$yrch->_->get("title","post",false,1);
	$yrch->_->get("url","post",false,1);
	$yrch->_->get("cat","post",false,2,"int");
	$yrch->_->get("desc","post",false,1);
	$yrch->_->get("status","post",false,2,"int");
	
	$page	= new y_page($id);
	$yrch->fill($page);

	if($deletion == true)
	{
		if($site->delete())
		{
			header("Location: page.php");
		}
		else	trigger_error("Echec de la suppression de la page (".$page->get_id().")",E_USER_ERROR);
	}
	elseif($posted)
	{
		$page->set_title($title);
		$page->set_url($url);
		$page->set_desc($desc);
		$page->set_status($status);
		$page->set_cat($cat);
		$page->set_site($site);
				
		if($page->update())
		{			
			$yrch_layout->set_var("errors.blk","Donnes mises  jour");
		}
		else
		{
			while($page->ierror_next())
			{
				$yrch_layout->set_var("error",$page->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}

	if(!$page->read())	trigger_error("Accs  un index non existant",E_USER_ERROR);
	
	$status	= array(
				"1"		=> "visible",
				"0"		=> "cach",
				);
		
	foreach($status as $stat => $label)
	{
		$yrch_layout->set_var(array(
			"statusvalue"	=> $stat,
			"statusselected"=> ($page->get_status() == $stat) ?" SELECTED":"",
			"statuslabel"	=> $label
		));
		
		$yrch_layout->parse("status.blk","STATUS",1);
	}
	
	$cats		= $page->list_cat(true,false,false,true);
	
	foreach($cats as $truc)
	{			
		$yrch_layout->set_var(array(
								"cats_alias"	=> $truc->get_title(),
								"cats_value"	=> $truc->get_id(),
								"cats_selected"=> ($page->get_cat() == $truc->get_id()) ? " SELECTED":"",
		));
		$yrch_layout->parse("cats.blk","CATS",1);
	}
	
	$sites		= $page->list_site(true, false, false, false, false, false, false, false, false, false, false, "SITE_TITLE");
	
	foreach($sites as $truc)
	{			
		$yrch_layout->set_var(array(
								"sites_title"	=> $truc->get_title(),
								"sites_value"	=> $truc->get_id(),
								"sites_selected"=> ($page->get_site(false) == $truc->get_id()) ? " SELECTED":"",
		));
		$yrch_layout->parse("sites.blk","SITES",1);
	}
	
	foreach($yrch->list_langs("YRCH") as $localeid => $lang)
	{		
		$yrch_layout->set_var(array(
			"descs_desc"	=> htmlentities($page->get_desc($lang["CODE"])),
			"descs_lang"	=> htmlentities($lang["LIB"]),
			"descs_code"	=> htmlspecialchars($lang["CODE"]),
		));
		$yrch_layout->parse("descs.blk","DESCS",1);
	}

	$yrch_layout->set_var(array(
		"pagetitle"	=> htmlspecialchars($page->get_title()),
		"pageurl"	=> htmlspecialchars($page->get_url()),
		"pageurlraw"=> $page->get_url(),
		"id"		=> $page->get_id()
	));
	
	$yrch_layout->parse("yrch_output","page_summary.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>