<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("review_add.tpl","admin/review_add.tpl");

	$yrch_layout->set_block("review_add.tpl","LANGUES","langues.blk");
	$yrch_layout->set_block("review_add.tpl","NOTES","notes.blk");
	$yrch_layout->set_block("review_add.tpl","STATUS","status.blk");
	$yrch_layout->set_block("review_add.tpl","ERRORS","errors.blk");
	
	$yrch->_->get("id","post,get",false,0,"int,0>=",1);
	$yrch->_->get("r_note","post",5,2,"int");
	$yrch->_->get("r_review","post",false,0,"not_empty");
	$yrch->_->get("r_lang","post",false,0);
	$yrch->_->get("r_status","post",false,0);
	$yrch->_->get("user","post",false,0);

	$site	= new y_site($id);
	$yrch->fill($site);
	$titre	= $site->get_title();
	if($titre	=== false)
	{
		trigger_error("Le site indiqu n'existe pas !",E_USER_ERROR);
	}

	if($r_note && $r_review && $r_lang)
	{
		$review	= new y_review();
		$yrch->fill($review);
		$review->set_site($id);
		$review->set_user($user);
		$review->set_langue($r_lang);
		$review->set_status($r_status);
		$review->set_text($r_review);
		$review->set_note($r_note);
		
		if($review->create())
		{
			header("Location: site_summary.php?id=".$id);
			exit();
		}
		trigger_error("Erreur lors de la cration de la revue",E_USER_ERROR);
	}

	foreach($yrch->config->get("RANGE_NOTES") as $note)
	{
	    $yrch_layout->set_var(array(
	        "notevalue"     => $note,
	        "notedisplay"   => $note,
	        "noteselec"     => ($note == $r_note) ? "SELECTED" : ""
	    ));   
	    
	    $yrch_layout->parse("notes.blk","NOTES",1);
	}
	
	
	$all_status	= array("ok" => "Disponible", "pending" => "En attente");
	
	foreach($all_status as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "statusvalue"     => $value,
	        "statusdisplay"   => $display,
	        "statusselec"     => ""
	    ));
	    
	    $yrch_layout->parse("status.blk","STATUS",1);
	}
	
	foreach($yrch->list_langs() as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "langid"        => $value,
	        "langdisplay"   => $display["LIB"],
	        "langselec"     => ($yrch->config->get("LANG") == $display["CODE"]) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("langues.blk","LANGUES",1);
	}
	
	$yrch_layout->set_var(array(
	    "r_review"     => $r_review,
	    "sitetitle"     => $site->get_title(),
	    "siteid"        => $site->get_id(),
	    "user"			=> $yrchuser->get_id(),
	    "usernickname"	=> $yrchuser->get_nickname()
	));
	
	$yrch_layout->parse("yrch_output","review_add.tpl");
	
	$yrch_layout->set_var("errors.blk","");
	
	include("../yrch/include/yrchappend.inc.php");
?>