<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("review_list.tpl","admin/review_list.tpl");
	
	$yrch_layout->set_block("review_list.tpl","LANGUES","langues.blk");
	$yrch_layout->set_block("review_list.tpl","REVIEWS","reviews.blk");
	$yrch_layout->set_block("review_list.tpl","STATUS","status.blk");
	$yrch_layout->set_block("review_list.tpl","LIMIT","limit.blk");
	$yrch_layout->set_block("review_list.tpl","SITES","sites.blk");
	$yrch_layout->set_block("review_list.tpl","USERTYPE","usertype.blk");
	
	$yrch->_->get("site","get",false,2,"int;>0");
	$yrch->_->get("user","get",false,1);
	$yrch->_->get("usertype","get",false,2,"list(user;owner;moderator;visitor;admin)");
	$yrch->_->get("lang","get",false,2,"int;>0");
	$yrch->_->get("status","get","",1);
	$yrch->_->get("search","get",false,2,"notempty");
	$yrch->_->get("index","get",0,2,"int;>=0");
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")");
	$yrch->_->get("orderby","get","REVIEW_DATETIME",2,"list(REVIEW_NOTE;REVIEW_DATETIME;LANG_ID;SITE_ID;USER_ID)");
	$yrch->_->get("order","get","DESC",2,"list(DESC;ASC)");
		
	foreach($yrch->config->get("RANGE_LIMIT") as $x)
	{
	    $yrch_layout->set_var(array(
	        "limitvalue"     => $x,
	        "limitdisplay"   => $x,
	        "limitselec"     => ($x == $limit) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("limit.blk","LIMIT",1);
	}
	
	foreach($yrch->list_langs() as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "langid"        => $value,
	        "langdisplay"   => $display["LIB"],
	        "langselec"     => ($lang == $value) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("langues.blk","LANGUES",1);
	}
	
	$all_types  = array("user" => "un utilisateur", "admin" => "Administrateurs", "visitor" => "Visiteurs", "owner" => "Propritaires", "moderator" => "Modrateur");
	
	foreach($all_types as $key => $val)
	{
	    $yrch_layout->set_var(array(
	        "usertypevalue"       => $key,
	        "usertypedisplay"     => $val,
	        "usertypeselec"       => ($usertype == $key) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("usertype.blk","USERTYPE",1);   
	}
	
	$all_status = array("" => "Tous", "visible" => "publies", "pending" => "en attente de validation", "rejected" => "refuses");
	
	foreach($all_status as $key => $val)
	{
	    $yrch_layout->set_var(array(
	        "statusvalue"       => $key,
	        "statusdisplay"     => $val,
	        "statuschecked"     => ($status == $key) ? "CHECKED" : ""
	    ));
	    
	    $yrch_layout->parse("status.blk","STATUS",1);   
	}
	
	foreach($yrch->list_site(true) as $id => $sit)
	{
		$yrch_layout->set_var(array(
	        "sitesid"        => $sit->get_id(),
	        "sitesdisplay"   => shorten($sit->get_title(),30),
	        "sitesselec"     => ($site == $sit->get_id()) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("sites.blk","SITES",1);
	}

    if(is_numeric($user))
    {
        $x   = &user_stack($user);

        $yrch_layout->set_var(array(
            "user"      => $x->get_id(),
    		"usernickname"=> $x->get_nickname(),
    		"search"    => htmlspecialchars($search)
        ));
    }
    else
    {
        $user	= $usertype;
        $yrch_layout->set_var(array(
            "user"  => "",
    		"usernickname"=> "",
    		"search"    => htmlspecialchars($search)
        ));
    }

    $count  = $yrch->count_reviews($site, $user, $lang, $status, $search);
    
    if($count > 0)
    {
        foreach($yrch->list_reviews(true, $site, $user, $lang, $status, $search, $index, $limit, $orderby, $order) as $id => $review)
        {
        	$rsite   = &site_stack($review->get_site());
        	$ruser   = &user_stack($review->get_user());
        	$rlang   = lang_stack($review->get_langue());
        	
        	switch($review->get_status())
        	{
        		case "rejected"	:	$status	= "INVISIBLE (rejet)";
        							break;
        		case "pending"	: 	$status	= "INVISIBLE (en attente)";
        							break;
        		case "ok"		:	$status	= "VISIBLE";
        							break;
        		default	: 	$status	= "INVISIBLE";
        	}
        	
        	$yrch_layout->set_var(array(
        	    "revid"     => $review->get_id(),
        	    "revnote"   => $review->get_note(),
        	    "revdate"   => $review->get_datetime(),
        	    "revstatus" => $status,
        	    "langimg"   => $rlang["LANG_FLAG"],
        	    "langlib"   => $rlang["LANG_EN"]."/".$rlang["LANG_FR"],
        	    "siteid"    => $rsite->get_id(),
        	    "sitetitle" => $rsite->get_title(),
        	    "authorid"  => $ruser->get_id(),
        	    "authorname"=> $ruser->get_nickname()
        	));
        	
        	$yrch_layout->parse("reviews.blk","REVIEWS",1);
        }
    }
    else    $yrch_layout->set_var("reviews.blk","<tr><td colspan=8>aucune rponse  vos critres</td></tr>");
	
	
	$querybase	= "review_list.php?user=".urlencode($user)."&search=".urlencode($search)."&site=".urlencode($site)."&lang=".urlencode($lang)."&status=".urlencode($status)."&limit=".urlencode($limit);
	
    yrch_prevnext("review_list.tpl", $index, $count, $limit, $querybase);
	
	$yrch_layout->parse("yrch_output","review_list.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>