<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("review_summary.tpl","admin/review_summary.tpl");

	$yrch_layout->set_block("review_summary.tpl","LANGUES","langues.blk");
	$yrch_layout->set_block("review_summary.tpl","NOTES","notes.blk");
	$yrch_layout->set_block("review_summary.tpl","STATUS","status.blk");
	$yrch_layout->set_block("review_summary.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("review_summary.tpl","LINKS","links.blk");
	
	$yrch->_->get("id","post,get",false,0,"int,0>=",1);
	$yrch->_->get("r_note","post",5,2,"int");
	$yrch->_->get("r_review","post",false,0,"not_empty");
	$yrch->_->get("r_lang","post",false,0);
	$yrch->_->get("r_status","post",false,0);
	$yrch->_->get("user","post",false,0);
	$yrch->_->get("r_reason","post,get",false,0);
	$yrch->_->get("dodelete","post,get",false,2,"bool");
	$yrch->_->get("dovalidate","post,get",false,2,"bool");
	$yrch->_->get("dounvalidate","post,get",false,2,"bool");

	$review	= new y_review($id);
	$yrch->fill($review);
	
	if($review->read() == false)
	{
		trigger_error(_("La revue indique n'existe pas !"),E_USER_ERROR);
	}
	
	if($dovalidate == true)
	{
		if($review->validate($r_reason))
		{
			yrch_message(
				"yrch_output", 
				_("Confirmation !"),
				_("La revue a t valide et est dsormais lisible par tous les utilisateurs."),
				array(
					"review.php"				=> _("Retour  la page des revues"),
					"site.php?id=".$review->get_site()	=> _("Retourner  la fiche du site"),
					"javascript:history.back(3)" => _("Retour  la page prcdente")
				)	
			);
			include("../yrch/include/yrchappend.inc.php");
			exit();
		}
	}
	
	if($dounvalidate == true)
	{
		if($review->unvalidate($r_reason))
		{
			yrch_message(
				"yrch_output", 
				_("Confirmation !"),
				_("La revue a t invalide."),
				array(
					"review.php"				=> _("Retour  la page des revues"),
					"site.php?id=".$review->get_site()	=> _("Retourner  la fiche du site"),
					"javascript:history.back(3)" => _("Retour  la page prcdente")
				)	
			);
			include("../yrch/include/yrchappend.inc.php");
			exit();
		}
	}
	
	
	if($dodelete == true)
	{
		$siteid	= $review->get_site();
		if($review->delete())
		{
			header("Location: review_list.php?site=".$siteid);
			exit();
		}
	}
	
	$site	= $review->get_site(true);
	$titre	= $site->get_title();
	
	if($r_note && $r_review && $r_lang)
	{
		$review->set_langue($r_lang);
		$review->set_text($r_review);
		$review->set_note($r_note);
		$review->set_status($r_status);
		$review->set_user($user);
		
		if($review->update())
		{
			header("Location: site_summary.php?id=".$site->get_id());
			exit();
		}
		trigger_error("Erreur lors de la modification de la revue",E_USER_ERROR);
	}

	foreach($yrch->config->get("RANGE_NOTES") as $note)
	{
	    $yrch_layout->set_var(array(
	        "notevalue"     => $note,
	        "notedisplay"   => $note,
	        "noteselec"     => ($review->get_note() == $note) ? " SELECTED" : ""
	    ));   
	    
	    $yrch_layout->parse("notes.blk","NOTES",1);
	}
	
	foreach($yrch->list_langs() as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "langid"        => $value,
	        "langdisplay"   => $display["LIB"],
	        "langselec"     => ($review->get_langue() == $value) ? " SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("langues.blk","LANGUES",1);
	}
	
	$all_status	= array("ok" => "Disponible", "pending" => "En attente", "rejected" => "Refuse");
	
	foreach($all_status as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "statusvalue"     => $value,
	        "statusdisplay"   => $display,
	        "statusselec"     => ($review->get_status() == $value) ? " SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("status.blk","STATUS",1);
	}
	
	$links	= array(
		"Prochaine revue non valide"	=> $review->next_review("pending"),
		"Prochaine revue"	=> $review->next_review(),
		"Revue prcdente non valide"	=> $review->prev_review("pending"),
		"Revue prcdente"	=> $review->prev_review()
	);
	
	foreach($links as $lib => $value)
	{
		if($value)
		{
			$yrch_layout->set_var(array(
				"links_lib"	=> $lib,
				"links_id"	=> $value
			));
			$yrch_layout->parse("links.blk","LINKS",1);
		}
	}
	
	$author	= $review->get_user(true);
	
	$yrch_layout->set_var(array(
	    "r_review"     	=> $review->get_text(),
	    "sitetitle"     => $site->get_title(),
	    "siteid"        => $site->get_id(),
	    "id"			=> $review->get_id(),
	    "user"			=> $author->get_id(),
	    "usernickname"	=> $author->get_nickname()
	));
	
	$yrch_layout->parse("yrch_output","review_summary.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>