<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("site_add.tpl","admin/site_add.tpl");

	$yrch_layout->set_block("site_add.tpl","STATUS","status.blk");
	$yrch_layout->set_block("site_add.tpl","DESCS","descs.blk");
	$yrch_layout->set_block("site_add.tpl","ERRORS","errors.blk");
	
	$yrch->_->get("extraurl","get",false,2,"url");
	$yrch->_->get("posted","post",false,2,"bool",1);
	$yrch->_->get("url","post",false,1);
	$yrch->_->get("ownerid","post",false,2,"int");
	$yrch->_->get("title","post",false,1);
	$yrch->_->get("desc","post",false,1);
	$yrch->_->get("selection","post",false,2,"bool");
	$yrch->_->get("down","post",false,2,"bool");
	$yrch->_->get("leech","post",false,2,"bool");
	$yrch->_->get("status","post",false,1);
	$yrch->_->get("blocnote","post",false,1);
	$yrch->_->get("ownernickname","post",false,1);
	
	//Importation de site
	if($extraurl)
	{
		$fp	= @fopen($extraurl,"r");
		if(!$fp)
		{
			trigger_error("le site demand n'est pas accessible par le moteur YRCH");	
		}
		elseif($fp)
		{
			$file	= "";
			while(!feof($fp))	
			{
				$file	.=	fread($fp,4096);
			}
			fclose($fp);
			$file   = html_decode($file);
			if(preg_match("%<title>(.*)</title>%iUs",$file,$title))
				$title	= $title[1];
			else	$title	= "";				
			
			$metas	= array();
			if(preg_match_all("%<meta (.*)>%iUs",$file,$match))
			{
				foreach($match[1] as $meta)
				{
					if(preg_match("%name=(\'|\\\")(.*)(\\1)%iUs",$meta,$name))
					{
						$name	= $name[2];
						
						if(preg_match("%content=(\'|\\\")(.*)(\\1)%iUs",$meta,$content))
						{
							$content	= $content[2];
							
							if(preg_match("%lang=(\'|\\\")(.*)(\\1)%iUs",$meta,$lang))
							{
								$lang	= $lang[2];
							}
							else	$lang = "fr";
							
							$metas[strtoupper($name)][strtoupper($lang)]	= $content;
						}
					}
				}
			}
			
			$site	= new y_site();
			$yrch->fill($site);
			$site->set_title($title);
			$site->set_url($extraurl);
			$site->set_owner(0);
			if(isset($metas["DESCRIPTION"]))
				$site->set_desc($metas["DESCRIPTION"]);
			$site->set_status("pending");
			
			$blocnote	= "";
		    foreach($metas as $meta => $x)
                foreach($x as $lang => $content)
                    $blocnote	.= $meta." (".$lang.")    ".$content."\n";
		    
			$site->set_bloc($blocnote);
			$site->done("read");
			
			
			$exist	= $site->url_exists($site->get_url());
			if($exist)
			{
				header("Location: site_summary.php?id=".$exist);
				exit();
			}

			foreach($yrch->list_langs("YRCH") as $localeid => $lang)
			{			
				$yrch_layout->set_var(array(
					"descs_desc"	=> htmlentities($site->get_desc($lang["CODE"])),
					"descs_lang"	=> htmlentities($lang["LIB"]),
					"descs_code"	=> htmlspecialchars($lang["CODE"]),
				));
				$yrch_layout->parse("descs.blk","DESCS",1);
			}
			//
			
			$yrchstaff	= new y_user(1);
			$yrch->fill($yrchstaff);
			
			$yrch_layout->set_var(array(
				"sitetitle"	=> htmlspecialchars($site->get_title()),
				"siteurl"	=> htmlspecialchars($site->get_url()),
				"siteurlraw"=> $site->get_url(),
				"ownernickname"	=> htmlspecialchars($yrchstaff->get_nickname()),
				"ownerid"	=> $yrchstaff->get_id(),
				"sitehits"	=> 0,
				"siteblocnote"	=> $blocnote,
				"siteselection" => 0,
				"siteleech" => 0,
				"sitedown" => 0
			));
		}
	}
	elseif($posted)
	{	
		$site	= new y_site();
		$yrch->fill($site);
		$site->set_title($title);
		$site->set_url($url);
		$site->set_owner($ownerid);
		$site->set_desc($desc);
		$site->set_selection((int) $selection);
		$site->set_status($status);
		$site->set_hit((int) $hits);
		$site->set_bloc($blocnote);
		$site->done("read");
		if($down == 1)
		{
			$site->unavailable();
		}
		else $site->available();
		$site->set_leech((int) $leech);
				
		if(!$site->url_exists($site->get_url()))
		{
			if($site->create())
			{			
				header("Location: site_summary.php?id=".$site->get_id());
				exit();
			}
		}
		else	$site->ierror_add("\"".$site->get_url()."\" est une url est dj prsente.");
		
		foreach($yrch->list_langs("YRCH") as $localeid => $lang)
		{			
			$yrch_layout->set_var(array(
				"descs_desc"	=> htmlentities($site->get_desc($lang["CODE"])),
				"descs_lang"	=> htmlentities($lang["LIB"]),
				"descs_code"	=> htmlspecialchars($lang["CODE"]),
			));
			$yrch_layout->parse("descs.blk","DESCS",1);
		}
		//
		
		$yrch_layout->set_var(array(
			"sitetitle"	=> htmlspecialchars($site->get_title()),
			"siteurl"	=> htmlspecialchars($site->get_url()),
			"siteurlraw"=> $site->get_url(),
			"ownernickname"	=> $ownernickname,
			"ownerid"	=> $site->get_owner(),
			"sitehits"	=> intval($hits),
			"siteblocnote"	=> $blocnote,
			"siteselection" => $site->get_selection(),
			"siteleech" => $site->get_leech(),
			"sitedown" => $site->is_down()
		));
	
		while($site->ierror_next())
		{
			$yrch_layout->set_var("error",$site->ierror_get());
			$yrch_layout->parse("errors.blk","ERRORS",1);
		}
		
	}
	else
	{
		foreach($yrch->list_langs("YRCH") as $localeid => $lang)
		{
			$yrch_layout->set_var(array(
				"descs_desc"	=> "",
				"descs_lang"	=> htmlentities($lang["LIB"]),
				"descs_code"	=> htmlspecialchars($lang["CODE"])
			));
			$yrch_layout->parse("descs.blk","DESCS",1);
		}
		
		$yrchstaff	= new y_user(1);
		$yrch->fill($yrchstaff);
		
		$yrch_layout->set_var(array(
			"sitetitle"	=> "",
			"siteurl"	=> "",
			"siteurlraw"=> "",
			"ownernickname"	=> htmlspecialchars($yrchstaff->get_nickname()),
			"ownerid"	=> $yrchstaff->get_id(),
			"sitehits"	=> "",
			"siteblocnote"	=> "",
			"siteselection" => 0,
			"siteleech" => 0,
			"sitedown" => 0
		));
		$yrch_layout->set_var("errors.blk","");
	}
	
	$status	= array(
				"ok"		=> "visible",
				"hidden"	=> "cach",
				"pending"	=> "en attente",
				"deleteme"	=> "a effacer"
				);
		
	foreach($status as $stat => $label)
	{
		$yrch_layout->set_var(array(
			"statusvalue"	=> $stat,
			"statusselected"=> "",
			"statuslabel"	=> $label
		));
		
		$yrch_layout->parse("status.blk","STATUS",1);
	}

	$yrch_layout->parse("yrch_output","site_add.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>