<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("site_list.tpl","admin/site_list.tpl");
	$yrch_layout->set_block("site_list.tpl","SITES","sites.blk");
	$yrch_layout->set_block("site_list.tpl","CATS","cats.blk");
	$yrch_layout->set_block("site_list.tpl","LIMIT","limit.blk");
	$yrch_layout->set_block("site_list.tpl","STATUS","status.blk");	
	
	$yrch->_->get("selection","get",false,2,"bool");
	$yrch->_->get("leecher","get",false,2,"bool");
	$yrch->_->get("down","get",false,2,"bool");
	$yrch->_->get("unreviewed","get",false,2,"bool");
	$yrch->_->get("catid","get",false,2,"int,>=0");
	$yrch->_->get("index","get",false,2,"int,>0");
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")",1);
	$yrch->_->get("search","get",false,1);
	$yrch->_->get("orderby","get","SITE_ID",2,"list(SITE_ID;SITE_TITLE;SITE_ADDED;SITE_UPDATED)");
	$yrch->_->get("order","get","ASC",2,"list(ASC;DESC)",1);
	$yrch->_->get("status","get",false,2,"list(".join(";",array_keys($yrch->config->get("SITE_STATUS"))).")");
	
	foreach($yrch->config->get("RANGE_LIMIT") as $lmt)
	{
		if($limit == $lmt)
		{
			$limitselec	= " SELECTED";
		}
		else $limitselec= "";
		
		$yrch_layout->set_var(array(
			"limitkey"	=> 	$lmt,
			"limitselec"=>	$limitselec,
			"limitvalue"=>	$lmt
		));
		$yrch_layout->parse("limit.blk","LIMIT",1);	
	}

	foreach($yrch->list_cat(true,false,false,false) as $cat)
	{
		$yrch_layout->set_var(array(
			"catid"	=> 		$cat->get_id(),
			"catselec"=>	($catid === (int) $cat->get_id()) ? " SELECTED ": "",
			"catalias"=>	$cat->get_title()
		));
		$yrch_layout->parse("cats.blk","CATS",1);
	}
	
	foreach($yrch->config->get("SITE_STATUS") as $key	=> $s)
	{
		$yrch_layout->set_var(array(
			"statuskey"	 => $key,
			"statusselec"=>	($status == $key) ? "SELECTED" : "",
			"statusvalue"=>	$s
		));
		$yrch_layout->parse("status.blk","STATUS",1);
	}
	
	//list_site($obj = false, $catid = false, $status = false, $search = false, $selection = false, $leecher = false, $down = false, $index = false, $limit = false, $orderby = false, $order = "ASC", $tmp = false)
	$searchmode	= "OR";

	$sites	= $yrch->list_site(true,$catid,$status,$search,$searchmode,$selection,$leecher,$down,$unreviewed,$index,$limit,$orderby,$order);
	if(count($sites))
	{
		foreach($sites as $id => $site)
		{
			$yrch_layout->set_var(array(
				"siteid"	=> 	$site->get_id(),
				"siteadded"=>	$site->get_added(),
				"siteupdated"=>	$site->get_updated(),
				"sitetitle"=>	$site->get_title(),
				"siteurl"	=>	$site->get_url()
			));
			$yrch_layout->parse("sites.blk","SITES",1);
			
		}
	}
	else
	{
		$yrch_layout->set_var("sites.blk","aucune occurence trouve");
	}

	
	
	$count	= $yrch->count_site($catid,$status,$search,$searchmode,$selection,$leecher,$down,$unreviewed);
	
	$nb_pages	= ceil($count / $limit);
	$querybase	= "site_list.php?catid=".urlencode($catid)."&limit=".urlencode($limit)."&search=".urlencode($search)."&orderby=".$orderby."&order=".$order."&status=".$status."&leecher=".$leecher."&selection=".$selection."&down=".$down."&unreviewed=".$unreviewed;
	
    yrch_prevnext("site_list.tpl", $index, $count, $limit, $querybase);
	
	$yrch_layout->set_var(array(
			"search"	=> $search,
			"index"		=> $index,
			"order"		=> $order,
			"orderby"	=> $orderby,
			"is_down"	=> ($down == 1) ? "CHECKED" : "",
			"is_selection"	=> ($selection == 1) ? "CHECKED" : "",
			"is_leecher"	=> ($leecher == 1) ? "CHECKED" : "",
			"is_unreviewed"	=> ($unreviewed == 1) ? "CHECKED" : "",
	));

	$yrch_layout->parse("yrch_output","site_list.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>