<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_allow("MODERATOR",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("site_summary.tpl","admin/site_summary.tpl");

	$yrch_layout->set_block("site_summary.tpl","APPROVE","approve.blk");
	$yrch_layout->set_block("site_summary.tpl","PENDING","pending.blk");
	$yrch_layout->set_block("site_summary.tpl","LINKS","links.blk");
	$yrch_layout->set_block("site_summary.tpl","STATUS","status.blk");
	$yrch_layout->set_block("site_summary.tpl","DESCS","descs.blk");
	$yrch_layout->set_block("site_summary.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("site_summary.tpl","ALLCATS","allcats.blk");
	$yrch_layout->set_block("site_summary.tpl","MYCATS","mycats.blk");
	$yrch_layout->set_block("site_summary.tpl","ALLLANGS","alllangs.blk");
	$yrch_layout->set_block("site_summary.tpl","MYLANGS","mylangs.blk");
	$yrch_layout->set_block("site_summary.tpl","ALLCOUNTRIES","allcountries.blk");
	$yrch_layout->set_block("site_summary.tpl","MYCOUNTRIES","mycountries.blk");
	
	$yrch->_->get("id","get,post",0,0,"int,>0",1);
	$yrch->_->get("deletion","post",false,2,"bool",1);
	$yrch->_->get("posted","post",false,2,"bool",1);
	$yrch->_->get("url","post",false,1);
	$yrch->_->get("ownerid","post",false,2,"int");
	$yrch->_->get("hits","post",false,2,"int");
	$yrch->_->get("title","post",false,1);
	$yrch->_->get("desc","post",false,1);
	$yrch->_->get("selection","post",false,2,"bool");
	$yrch->_->get("down","post",false,2,"bool");
	$yrch->_->get("leech","post",false,2,"bool");
	$yrch->_->get("status","post",false,1);
	$yrch->_->get("mylangs","post",false,1);
	$yrch->_->get("mycountries","post",false,1);
	$yrch->_->get("mycats","post",false,1);
	$yrch->_->get("alter","post,get",false,2,"bool");
	$yrch->_->get("approve","post,get",false,2,"bool");
	$yrch->_->get("disapprove","post,get",false,2,"bool");
	$yrch->_->get("blocnote","post,get",false,1);
	$yrch->_->get("reason","post,get",false,1);
	
	$alter	= (bool) $alter;
	
	$site	= new y_site($id,(bool)$alter);
	$yrch->fill($site);

	if($deletion == true)
	{
		if($site->delete())
		{
			header("Location: site.php");
		}
		else	trigger_error("Echec de la suppression du site (".$site->get_id().")",E_USER_ERROR);
	}
	elseif($posted)
	{
		$site->set_title($title);
		$site->set_url($url);
		$site->set_owner($ownerid);
		$site->set_desc($desc);
		$site->set_selection($selection);
		$site->set_status($status);
		$site->set_hit($hits);
		$site->set_bloc($blocnote);
		$site->set_down($down);
		$site->set_leech($leech);
		
		if($site->update())
		{			
			if(isset($mylangs) && is_array($mylangs))
			{
				$site->set_langs($mylangs);
			}
			if(isset($mycountries) && is_array($mycountries))
			{
				$site->set_countries($mycountries);
			}
			if(isset($mycats) && is_array($mycats))
			{
				$site->remove_from_all();
				foreach($mycats as $cat)
				{
					$site->add_in($cat);
				}
			}
			
			if($alter == true)
			{
				if($approve == true)
				{
					if($site->validate($reason))
					{
						$yrch_layout->set_var("errors.blk",_("Site approuv"));
					}
					else
					{
						$yrch_layout->set_var("errors.blk",_("erreur lors de l'approbation"));	
					}
				}
				elseif($disapprove == true)
				{
					if($site->unvalidate($reason))
					{
						$yrch_layout->set_var("errors.blk",_("Site dsapprouv"));
					}
					else
					{
						$yrch_layout->set_var("errors.blk",_("erreur lors de la dsapprobation"));	
					}
				}
			}
			else
			{
				$yrch_layout->set_var("errors.blk",_("Donnes mises  jour"));
			}
		}
		else
		{
			while($site->ierror_next())
			{
				$yrch_layout->set_var("error",$site->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	if($site->pending_update())
	{
		if($alter == false)
		{
			$yrch_layout->set_var("pending",_("Le site a recu une demande de mise  jour par le propritaire."));
			$yrch_layout->set_var("approve.blk","");
		}
		else
		{
			$yrch_layout->set_var("pending",_("Retourner au site tel qu'il est visible."));
			$yrch_layout->parse("approve.blk","APPROVE");
		}
			
		$yrch_layout->parse("pending.blk","PENDING");
	}
	else
	{
		if($alter == true)
		{
			header("Location: site_summary.php?id=".$id);
			exit();
		}
		$yrch_layout->set_var("pending.blk","");
	}

	if(!$site->read())	trigger_error(_("Accs  un index non existant"),E_USER_ERROR);
	
	$owner	= $site->get_owner(true);
	
	
	$links	= array(
		_("Prochain site non valid")	=> $site->next_site("pending"),
		_("Prochain site avec demande de mise  jour")	=> $site->next_site("update"),
		_("Prochain site")	=> $site->next_site(),
		_("Site prcdent non valid")	=> $site->prev_site("pending"),
		_("Site prcdent avec demande de mise  jour")	=> $site->prev_site("update"),
		_("Site prcdent")	=> $site->prev_site()
	);
	
	foreach($links as $lib => $value)
	{
		if($value)
		{
			$yrch_layout->set_var(array(
				"links_lib"	=> $lib,
				"links_id"	=> $value
			));
			$yrch_layout->parse("links.blk","LINKS",1);
		}
	}
	
	$status	= array(
				"ok"		=> _("visible"),
				"hidden"	=> _("cach"),
				"pending"	=> _("en attente"),
				"deleteme"	=> _("a effacer"),
				"processing"=> _("en cours de traitement")
				);
		
	foreach($status as $stat => $label)
	{
		$yrch_layout->set_var(array(
			"statusvalue"	=> $stat,
			"statusselected"=> ($site->get_status() == $stat) ?" SELECTED":"",
			"statuslabel"	=> $label
		));
		
		$yrch_layout->parse("status.blk","STATUS",1);
	}
	
	$parents	= $site->get_categories(true);
	$all		= $site->list_cat(true,false,false,true);
	foreach($parents as $parent)	unset($all[$parent->get_id()]);
	
	foreach($all as $truc)
	{			
		$yrch_layout->set_var(array(
								"allcats_style"	=> "",
								"allcats_alias"	=> $truc->get_alias(),
								"allcats_id"	=> $truc->get_id()
								));
		$yrch_layout->parse("allcats.blk","ALLCATS",1);
	}
	
	foreach($parents as $truc)
	{						
		$yrch_layout->set_var(array(
								"mycats_alias"	=> $truc->get_alias(),
								"mycats_id"		=> $truc->get_id()
								));

		$yrch_layout->parse("mycats.blk","MYCATS",1);
	}
	
	$all_langs	= $yrch->list_langs(false, $yrch->config->get("LANG"));
	$my_langs	= $site->get_langs($yrch->config->get("LANG"));
	
	foreach($all_langs as $langid => $lang)
	{
		if(!isset($my_langs[$langid]))
		{
			$yrch_layout->set_var(array(
								"alllangs_alias"	=> $lang["LIB"],
								"alllangs_id"		=> $langid
								));
			
			$yrch_layout->parse("alllangs.blk","ALLLANGS",1);
		}
	}
	
	if(count($my_langs))
	{
		foreach($my_langs as $langid => $lang)
		{
			$yrch_layout->set_var(array(
							"mylangs_alias"	=> $lang["LIB"],
							"mylangs_id"	=> $langid
							));
				
			$yrch_layout->parse("mylangs.blk","MYLANGS",1);
		}
	}
	else	$yrch_layout->set_var("mylangs.blk","");
	
	$all_countries	= $yrch->list_countries($yrch->config->get("LANG"));
	$my_countries	= $site->get_countries($yrch->config->get("LANG"));
	
	foreach($all_countries as $countryid => $country)
	{
		if(!isset($my_countries[$countryid]))
		{
			$yrch_layout->set_var(array(
								"allcountries_alias"	=> $country["LIB"],
								"allcountries_id"		=> $countryid
								));
			
			$yrch_layout->parse("allcountries.blk","ALLCOUNTRIES",1);
		}
	}
	
	if(count($my_countries))
	{
		foreach($my_countries as $countryid => $country)
		{
			$yrch_layout->set_var(array(
							"mycountries_alias"	=> $country["LIB"],
							"mycountries_id"	=> $countryid
							));
				
			$yrch_layout->parse("mycountries.blk","MYCOUNTRIES",1);
		}
	}
	else	$yrch_layout->set_var("mycountries.blk","");
	
	
	foreach($yrch->list_langs("YRCH") as $localeid => $lang)
	{		
		$yrch_layout->set_var(array(
			"descs_desc"	=> $site->get_desc($lang["CODE"]),
			"descs_lang"	=> $lang["LIB"],
			"descs_code"	=> htmlspecialchars($lang["CODE"]),
		));
		$yrch_layout->parse("descs.blk","DESCS",1);
	}

	$yrch_layout->set_var(array(
		"sitetitle"	=> $site->get_title(),
		"siteurl"	=> htmlspecialchars($site->get_url()),
		"siteurlraw"=> $site->get_url(),
		"ownernickname"	=> htmlspecialchars($owner->get_nickname()),
		"ownerid"	=> $owner->get_id(),
		"id"		=> $site->get_id(),
		"alter"		=> $alter,
		"antialter"	=> intval(!$alter),
		"alter_mode"=> ($alter) ? "MODE MISE A JOUR" : "MODE CLASSIQUE",
		"sitenote"	=> $site->get_note(),
		"siteadded"	=> htmlspecialchars($site->get_added()),
		"siteupdated"	=> htmlspecialchars($site->get_updated()),
		"sitehits"	=> intval($site->get_hit()),
		"siteblocnote"	=> htmlentities($site->get_bloc()),
		"siteselection" => $site->get_selection(),
		"siteleech" => $site->get_leech(),
		"sitedown" => $site->is_down()
	));
	
	$yrch_layout->parse("yrch_output","site_summary.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>