<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("user_list.tpl","admin/user_list.tpl");
	$yrch_layout->set_block("user_list.tpl","USERS","users.blk");
	$yrch_layout->set_block("user_list.tpl","MODES","modes.blk");
	$yrch_layout->set_block("user_list.tpl","ROLES","roles.blk");
	$yrch_layout->set_block("user_list.tpl","LIMIT","limit.blk");
	
	$yrch->_->get("mode","get","all",2,"list(all;visible;invisible;locked;pending)",1);
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")",1);
	$yrch->_->get("index","get",0,2,"int>=0",1);
	$yrch->_->get("search","get",false,1);
	$yrch->_->get("role","get",false,2,"int",1);
	$yrch->_->get("order","get","ASC",2,"list(ASC;DESC)",1);
	$yrch->_->get("orderby","get","USER_NICK",2,"list(USER_ID;USER_NAME;USER_STATUS;USER_NICK;USER_EMAIL;USER_ADDED;USER_UPDATED)");

	$count	= $yrch->count_user($mode,$search,$role);

	//prevnext
	if($index <= 0)	$prev	= false;
	elseif(($index - $limit) <= 0)	$prev	= 0;
	else	$prev	= $index - $limit;
	
	if(($index + $limit) > $count)	$next = false;
	else	$next	= $index + $limit;
		
	$yrch_layout->set_var(array(
							"search"	=> $search,
							"index"		=> $index,
							"prev"		=> $prev,
							"next"		=> $next,
							"order"		=> $order,
							"orderby"	=> $orderby
						));
			
	$modes	= array(
			"all"		=> "Tous",
			"visible"	=> "Visibles",
			"invisible"	=> "Masqus",
			"pending"	=> "En attente",
			"locked"	=> "vrouills"
			);
	
	foreach($yrch->role_list() as $key => $val)
	{
		if((int)$key	=== $role)	$selected	= " SELECTED";
		else				$selected	= "";
		
		$yrch_layout->set_var(array(
							"rolekey"	=> $key,
							"rolevalue"	=> $val,
							"roleselec"	=> $selected
		));

		$yrch_layout->parse("roles.blk","ROLES",1);
	}
	
	foreach($yrch->config->get("RANGE_LIMIT") as $val)
	{
		if($val	== $limit)	$selected	= " SELECTED";
		else				$selected	= "";
		
		$yrch_layout->set_var(array(
							"limitkey"	=> $val,
							"limitvalue"	=> $val,
							"limitselec"	=> $selected
		));

		$yrch_layout->parse("limit.blk","LIMIT",1);
	}
	
	foreach($modes as $key => $val)
	{
		if($key	== $mode)	$selected	= " SELECTED";
		else				$selected	= "";
		
		$yrch_layout->set_var(array(
							"modekey"	=> $key,
							"modevalue"	=> $val,
							"modeselec"	=> $selected
		));

		$yrch_layout->parse("modes.blk","MODES",1);
	}

	$users	= $yrch->list_user(true,$mode,$search,$role,$index,$limit,$orderby,$order);
	if(count($users) > 0)
	{
		foreach($users as $user)
		{
			//$user	= &user_stack($id);	
			$yrch_layout->set_var(array(
								"userid"	=> $user->get_id(),
								"username"	=> $user->get_username(),
								"usernick"	=> $user->get_nickname(),
								"userstatus"=> $user->get_status(),
								"usermail"	=> $user->get_email(),
								"useradded"	=> $user->get_added(),
								"userupdated"=> $user->get_updated("%d-%m-%y %H:%M:%S")
							));
	
			$yrch_layout->parse("users.blk","USERS",1);
		}
	}
	else
	{
		$yrch_layout->set_var("users.blk","Aucun utilisateur");
	}
	
	$querybase	= "user_list.php?mode=".urlencode($mode)."&limit=".urlencode($limit)."&search=".urlencode($search)."&orderby=".$orderby."&order=".$order;
	
    yrch_prevnext("user_list.tpl", $index, $count, $limit, $querybase);
	
	$yrch_layout->parse("yrch_output","user_list.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>