<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");

	if(!$yrch->config->get("YRCH_MAIL"))
	{
		yrch_message(
			"yrch_output", 
			_("Dsol !"),
			sprintf(_("La fonctionnalit n'est pas active sur %s"),$yrch->config->get("YRCH_TITLE")),
			array(
				"index.php"	=> _("Retour  l'accueil")
			)
		);
		include("../yrch/include/yrchappend.inc.php");
	}
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("MODERATOR",false);
	$yrchuser->role_allow("ADMIN",false);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("mail.tpl","admin/user_mail.tpl");
	$yrch_layout->set_block("mail.tpl","ERRORS","errors.blk");
	
	$alt_from	= $yrchuser->get_nickname()." <".$yrchuser->get_email().">";
	
	$yrch->_->get("id","post,get",false,1,"int,>0");
	$yrch->_->get("from","post",$alt_from,2,"email");
	$yrch->_->get("to","post",false,2,"email");
	$yrch->_->get("posted","post",false,1);
	$yrch->_->get("subject","post",false,1);
	$yrch->_->get("body","post",false,1);
	$sent	= false;
	
	if($to == false && $id)	
	{
		$touser	= new y_user($id);
		$yrch->fill($touser);
		$to		= $touser->get_nickname()." <".$touser->get_email().">";
	}
	
	if($posted)
	{
		$ok	= true;
		$errors	= array();
		
		if(!$from || trim($from) == "")
			$errors[]	= _("Votre message doit imprativement avoir un auteur valide");
		if(!$to || trim($to) == "")
			$errors[]	= _("Votre message doit imprativement avoir un destinataire valide");
		if(!$subject || trim($subject) == "")
			$errors[]	= _("Votre message doit imprativement avoir un sujet");
		if(!$body || trim($body) == "")
			$errors[]	= _("Votre message doit imprativement avoir un contenu");
		
		if(count($errors))	$ok = false;
		
		if($ok)
		{
			$subject	= trim($subject);
			$body		= trim($body);
			
			$yrch_layout->set_var("errors.blk","");
			
			$subject	= $yrch->config->get("DEF_MAILPREFIX").$subject;
			
			$sent = true;
			$yrchuser->mail_send($to,$subject,$body,$from);
		}
		else
		{
			foreach($errors as $error)
			{
				$yrch_layout->set_var("error",$error);
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	if(!$sent)
	{
		$yrch_layout->set_var(array(
			"id"	=> $id,
			"from"	=> $from,
			"to"	=> $to,
			"subject"=> $subject,
			"body"	=> $body
		));
	}
	else
	{
		$yrch_layout->set_var("mail.tpl",_("Votre message a t envoy"));
	}
	
	$yrch_layout->parse("yrch_output","mail.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>