<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_ADMINPAGE",true);
	$yrchuser->role_allow("ADMIN",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("user_summary.tpl","admin/user_summary.tpl");
	$yrch_layout->set_block("user_summary.tpl","USERROLES","userroles.blk");
	$yrch_layout->set_block("user_summary.tpl","USERSITES","usersites.blk");
	$yrch_layout->set_block("user_summary.tpl","USERSTATUS","userstatus.blk");
	$yrch_layout->set_block("user_summary.tpl","ERRORS","errors.blk");
	
	$yrch->_->get("id","post,get",false,2,"int,>0",1);
	$yrch->_->get("roles","post",false,1);
	$yrch->_->get("posted","post",false,1);
	$yrch->_->get("disable","post",false,2,"bool",1);
	$yrch->_->get("usernick","post",false,2);
	$yrch->_->get("username","post",false,2);
	$yrch->_->get("usermail","post",false,1);
	$yrch->_->get("userpass1","post",false,2);
	$yrch->_->get("userpass2","post",false,2);
	$yrch->_->get("userstatus","post",false,2,"list(ok;pending;locked)");
		
	$actions	= "";
	$av_status	= array("ok" => "Actif", "pending" => "En attente de validation", "locked" => "vrouill");
	$user	= new y_user($id);
	$yrch->fill($user);	
	$user->read();
	
	if($disable == true)
	{
		$user->disable();
		header("Location: user_list.php");
		exit();
	}

	if(is_array($roles))
	{
		foreach($user->get_roles() as $roleid => $role)
		{
			$user->del_role($roleid);
		}
		
		foreach($roles as $roleid)
		{
			$user->add_role($roleid);
		}
		
		$actions	.= "Roles mis  jour<br>";
	}
	
	if($posted)
	{
		$user->set_email($usermail);
		if($userpass1 && $userpass2)
			$user->set_password($userpass1,$userpass2);
		
		$user->set_nickname($usernick);
		$user->set_username($username);
		$user->set_status($userstatus);
		
		if($user->update())
		{
			$userpass1	= "";
			$userpass2	= "";
			$yrch_layout->set_var("errors.blk","Donnes mises  jour");
		}
		else
		{
			while($user->ierror_next())
			{
				$yrch_layout->set_var("error",$user->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	
	
	$yrch_layout->set_var(array(
								"usernick"	=> $user->get_nickname(),
								"userpass1"	=> $userpass1,
								"userpass2"	=> $userpass2,
								"userstatus"=> $user->get_status(),
								"usermail"	=> $user->get_email(),
								"username"	=> $user->get_username(),
								"useradded"	=> $user->get_added(),
								"userupdated"	=>$user->get_updated()
								));

	foreach($av_status as $value => $alias)
	{
		if($user->get_status() == $value)	$c	= " SELECTED";
		else $c	= "";
		
		$yrch_layout->set_var(array(
							"statusid"	=> $value,
							"statusalias"=> $alias,
							"statusselected"=>$c
						));
						
		$yrch_layout->parse("userstatus.blk","USERSTATUS",1);
	}

	if(count($user->role_list()) == 0)		$yrch_layout->set_var("userroles.blk","");
	else
	{
		foreach($user->role_list() as $roleid => $role)
		{
			if($user->is($roleid))	$c	= " CHECKED";
			else					$c	= "";
			
			$yrch_layout->set_var(array(
							"roleid"	=> $roleid,
							"rolealias"	=> $role,
							"rolechecked"=>$c
						));
						
			$yrch_layout->parse("userroles.blk","USERROLES",1);
		}
	}
	
	if(count($user->get_sites(false)) == 0)	$yrch_layout->set_var("usersites.blk","");
	else
	{
		foreach($user->get_sites(false) as $siteid)
		{
			$site	= &site_stack($siteid);
			
			$yrch_layout->set_var(array(
							"siteid"	=> $siteid,
							"sitetitle"	=> $site->get_title(),
							"siteurl"	=> $site->get_url()
						));
			
			$yrch_layout->parse("usersites.blk","USERSITES",1);
		}
	}

	$yrch_layout->set_var(array(
								"user_actions"	=> $actions,
								"id"			=> $id
								));	
	
	$yrch_layout->parse("yrch_output","user_summary.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>