<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");	
	
	$yrch->_->get("id","get",false,2,"int",1);
	$yrch->_->get("time1","get",mktime(0,0,0,date("n"),1,date("Y")),2,"int");
	$yrch->_->get("time2","get",mktime(0,0,0,date("n")+1,1,date("Y")),2,"int");

	$time1	= mktime(0,0,0,date("n",$time1),date("d",$time1),date("Y",$time1));
	if(($time2 - $time1) > 15552000 || ($time2 - $time1) < 0)	$time2	= $time1 + mktime(0,0,0,date("n",$time1)+6,date("d",$time1),date("Y",$time1));;
	$time2	= mktime(0,0,0,date("n",$time2),date("d",$time2),date("Y",$time2));

	include("../yrch/plugins/jpgraph/jpgraph.php");
	include("../yrch/plugins/jpgraph/jpgraph_bar.php");

	$site	= new y_site($id);
	$yrch->fill($site);

	if(!$site->read())
	{
		JpGraphError::Raise(_("La rference du site passe en paramtre n'xiste pas !"));
	}
	
	//Scurit, seul le proprio ou un admin peut accder  la page
	if($site->get_owner() != $yrchuser->get_id())
	{
		if(!$yrchuser->is("ADMIN") && !$yrchuser->is("MODERATOR"))
		{
			JpGraphError::Raise(_("Vous n'avez pas les droits suffisants pour afficher cette image !"));
		}
	}

	$yrch->db->query("SELECT HOUR( HIT_TIME ) as HOUR, count( HIT_ID ) as COUNT FROM `YRCH_HITS` WHERE SITE_ID = ".$site->get_id()." AND HIT_TIME >= FROM_UNIXTIME('".$time1."') AND HIT_TIME < FROM_UNIXTIME('".$time2."') GROUP BY HOUR ORDER BY HIT_TIME ASC");
	
	$yaxis	= $xaxis = array();
	
	$date	= $time1;
	
	for($i=0; $i < 24; $i++)
	{
		$xaxis[]	= $i;
		$yaxis[]	= 0;
	}
	
	while($yrch->db->next_record())
	{
		$yaxis[$yrch->db->f("HOUR")]	= $yrch->db->f("COUNT");
	}

	$xaxis	= array_values($xaxis);
	$yaxis	= array_values($yaxis);


	$graph = new Graph(400,200,"auto");   
	$graph->SetShadow(); 
	$graph->SetScale("textlin");
	$graph->img->SetMargin(25,15,25,40);
	
	$graph->title->Set(shorten($site->get_title(),25)."-".strftime("%B %Y",$time1));
	$graph->title->SetColor('darkred');
	
	// Setup font for axis
	$graph->title->SetFont(FF_FONT1,FS_BOLD);
	$graph->xaxis->SetTickLabels($xaxis);
	$graph->xaxis->SetLabelAngle(90);
	
	$graph->yaxis->SetFont(FF_FONT1);
	
	// Create the bar pot
	$bplot = new BarPlot($yaxis);
	$bplot->SetWidth(0.6);
	
	// Setup color for gradient fill style
	$bplot->SetFillGradient("green","yellow",GRAD_HOR);
	
	// Set color for the frame of each bar
	$bplot->SetColor("red");
	$graph->Add($bplot);
	
	// Finally send the graph to the browser
	$graph->Stroke();
	exit;
?>