<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("./yrch/include/yrchprepend.inc.php");
	
	$yrch_layout->set_file("index.tpl","index.tpl");
	
	$yrch_layout->set_block("index.tpl","SUBSUBCATS","subsubcats.blk");
	$yrch_layout->set_block("index.tpl","STATCOUNTSBOX","statcountsbox.blk");
	$yrch_layout->set_block("index.tpl","SUBCATS","subcats.blk");
	$yrch_layout->set_block("index.tpl","PATHCATS","pathcats.blk");
	$yrch_layout->set_block("index.tpl","TOPS_ADMIN","tops_admin.blk");
	$yrch_layout->set_block("index.tpl","TOPS_HITS","tops_hits.blk");
	
	$yrch->_->get("id","GET",0,2,"int,>=0",1);
	$yrch->_->get("index","GET",0,2,"int,>=0",0);
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")");
	
	$category	= new y_cat($id);
	$yrch->fill($category);
	if(!$category->read())
	{
		trigger_error(_("Accs  un index non existant"),E_USER_ERROR);
	}

	$yrch->config->define("YRCH_PAGETITLE",$category->get_title());
	
	//calculs next - prev	
	$count	= $category->count_mysites();

	$cache_file	= "index.tpl.pathcats.blk.".$category->get_id().".cache";
	if(!use_cache($cache_file, "pathcats.blk"))
	{
		// Afficher le chemin vers la catgorie en cours
		$parents	= array(array($category->get_id(),$category->get_title()));
		$parent		= $category;
		while(false !== ($parent_id	= $parent->get_master()))
		{
			$parent		= new y_cat($parent_id);
			$yrch->fill($parent);		
			$parents[]	= array($parent_id,$parent->get_title());
		}
			
		foreach(array_reverse($parents) as $tmpid => $cat)
		{
			$yrch_layout->set_var("pathcats_id", $cat[0]);
			$yrch_layout->set_var("pathcats_alias", $cat[1]);
			$yrch_layout->parse("pathcats.blk", "PATHCATS",1);
		}
		write_cache($cache_file,$yrch_layout->get_var("pathcats.blk"));
	}

	$cache_file	= "index.tpl.tops_admin.blk.".$category->get_id().".cache";
	if(!use_cache($cache_file, "tops_admin.blk"))
	{
		$top	= $yrch->top_site(false,"pop",$id,"moderator","ok",5);
		if(count($top) > 0)
		{
			foreach($top as $x)
			{
				$value =	$x["VALUE"];
				$siteid=	$x["SITE"];
				
				$site	= &site_stack($siteid);
				$yrch_layout->set_var(array(
								"topsadmin_id"		=> $site->get_id(),
								"topsadmin_title"	=> $site->get_title(),
								"topsadmin_value"	=> $value
				));
				$yrch_layout->parse("tops_admin.blk","TOPS_ADMIN",1);
			}
		}
		else	$yrch_layout->set_var("tops_admin.blk","");
		
		write_cache($cache_file,$yrch_layout->get_var("tops_admin.blk"));
	}
	
	$cache_file	= "index.tpl.tops_hits.blk.".$category->get_id().".cache";
	if(!use_cache($cache_file, "tops_hits.blk"))
	{
		$top	= $yrch->top_site(false,"hitweek",$id,false,"ok",5);
		if(count($top) > 0)
		{
			foreach($top as $x)
			{
				$value =	$x["VALUE"];
				$siteid=	$x["SITE"];
				
				$site	= &site_stack($siteid);
				$yrch_layout->set_var(array(
								"topshits_id"		=> $site->get_id(),
								"topshits_title"	=> $site->get_title(),
								"topshits_value"	=> $value
				));
				$yrch_layout->parse("tops_hits.blk","TOPS_HITS",1);
			}
		}
		else	$yrch_layout->set_var("tops_hits.blk","");
		
		write_cache($cache_file,$yrch_layout->get_var("tops_hits.blk"));
	}
	
	$cache_file	= "index.tpl.subcats.blk.".$category->get_id().".cache";
	if(!use_cache($cache_file, "subcats.blk"))
	{
		/* Affichage des Sous*Catgories */
		$list	= $category->get_subcat(true);
		if(count($list) == 0)
		{
			$yrch_layout->set_var("subcats.blk", _("pas de sous catgories"));
		}
		else
		{
			foreach($list as $catid => $cat)
			{
				$catcountsites	= $cat->count_mysites();
				$subsubs		= $cat->get_subcat(true);
				$catcountcats	= count($subsubs);
				
				$yrch_layout->set_var("subcats_id", $catid);
				$yrch_layout->set_var("subcats_sites", $catcountsites);
				$yrch_layout->set_var("txt_subcatssites", $catcountsites._(" Site(s)"));
				$yrch_layout->set_var("subcats_cats", $catcountcats);
				$yrch_layout->set_var("txt_subcatscats", $catcountcats._(" Catgorie(s)"));
				$yrch_layout->set_var("subcats_alias", $cat->get_title());
				
				
				$yrch_layout->set_var("subsubcats.blk","");
				if(count($subsubs))
				{
					$i	= 0;
					foreach($subsubs as $subsubid => $subsub)
					{
						if(count($subsubs) > $i)	$more	= "&nbsp;,";
						else	$more	= "";
						
						if($i++ > 2)	break;
						
						$yrch_layout->set_var("subsubcats_lib", $subsub->get_title());
						$yrch_layout->set_var("subsubcats_id", $subsub->get_id());
						$yrch_layout->set_var("subsubcats_more", $more);
						$yrch_layout->parse("subsubcats.blk", "SUBSUBCATS",1);
					}
					
					if(count($subsubs) > $i)
					{
						$yrch_layout->set_var("subsubcats_lib", "...");
						$yrch_layout->set_var("subsubcats_id", $catid);
						$yrch_layout->set_var("subsubcats_more", "");
						$yrch_layout->parse("subsubcats.blk", "SUBSUBCATS",1);
					}
				}
				else	$yrch_layout->set_var("subcats_subcats", "");
				
				$yrch_layout->parse("subcats.blk", "SUBCATS",1);
			}
			write_cache($cache_file,$yrch_layout->get_var("subcats.blk"));
		}
	}
	
	
	//Affichage des sites
	if($id	!= 0)
	{
		$sites	= $category->get_sites(true,$index,$limit);
		$yrch_layout->set_var("text","");
	}
	else
	{
		$sites	= $yrch->rand_site(true, false, 5, true);
	    $count	= 5;
	    $yrch->config->define("YRCH_PAGETITLE",_("Bienvenue !"));
	    
	   	$yrch_layout->set_var("text",yrch_edito("welcome.html"));
	}
		
	if(count($sites) > 0)
	{
		$yrch_layout->set_file("yrch_site.tpls","structure/yrch_site.tpls");
		$yrch_layout->set_block("yrch_site.tpls","SELEC","selec.blk");
		$yrch_layout->set_block("yrch_site.tpls","REVIEWS","reviews.blk");
		$yrch_layout->set_block("yrch_site.tpls","LEECH","leech.blk");
		$yrch_layout->set_block("yrch_site.tpls","DOWN","down.blk");
		$yrch_layout->set_block("yrch_site.tpls","SITECATS","sitecats.blk");
		$yrch_layout->set_block("yrch_site.tpls","SITES","sites.blk");
				
		foreach($sites as $siteid => $site)
		{
			$cache_file	= "yrch_site.tpls.".$site->get_id().".cache";
			if(!use_cache($cache_file, "yrch_site.tpls",1))
			{
				$note	= $site->get_note();
				
				if($note == 0)
				{
					$yrch_layout->set_var(array(
						"sites_note"	=> 	"N/A",
						"sites_notecolor"=> ""
					));
				}
				else
				{
					$yrch_layout->set_var(array(
						"sites_note"	=> round($site->get_note(),1),
						"sites_notecolor"=> $site->get_notecolor(),
					));
				}
				
				$yrch_layout->set_var(array(
					"sites_id"		=> $site->get_id(),
					
					"sites_title"	=> $site->get_title(),
					"sites_desc"	=> nl2br($site->get_desc($yrch->config->get("LANG"))),
					"sites_added"	=> sprintf(_("ajout le %s"),$site->get_added()),
					"sites_updated"	=> sprintf(_("dernire modification %s"),$site->get_updated()),
					"sites_url"		=> shorten($site->get_url(),80),
					"sites_target"	=> $yrch->config->get("DEF_LINKOUT")
				));
				
				$x	= $site->count_myreviews(false, false, "visible", false);
				if($x > 0)
				{
					if($x > 1)	$y	= $x._(" revues");
					elseif($x > 0)	$y	= $x._(" revue");
				
					$yrch_layout->set_var(array(
						"sites_reviews" => $x,
						"label_reviews"	=> $y
					));
					$yrch_layout->parse("reviews.blk","REVIEWS");
				}
				else $yrch_layout->set_var("reviews.blk","");
								
				if($site->is_selected())
					$yrch_layout->parse("selec.blk","SELEC");
				else	$yrch_layout->set_var("selec.blk","");
				
				if($site->is_leecher())
					$yrch_layout->parse("leech.blk","LEECH");
				else	$yrch_layout->set_var("leech.blk","");
				
				if($site->is_down())
					$yrch_layout->parse("down.blk","DOWN");
				else	$yrch_layout->set_var("down.blk","");
				
				$cats	= $site->get_categories(false);
				if(count($cats))
				{
					$yrch_layout->set_var("sitecats.blk","");
					foreach($cats as $catid)
					{
						$cat	= 	&cat_stack($catid);
						
						$yrch_layout->set_var(array(
							"cattitle"	=> $cat->get_title(),
							"catid"		=> $cat->get_id()
						));
							
						$yrch_layout->parse("sitecats.blk","SITECATS",1);
					}
				}
				else 	$yrch_layout->set_var("sitecats.blk",_("non renseign"));
				
				$langs	= $site->get_langs();
				if(count($langs))
				{
					$yrch_layout->set_var("langs.blk","");
					
					foreach($langs as $idlang => $lang)
					{
						$yrch_layout->set_var(array(
								"langflag"	=> $lang["FLAG"],
								"langname"	=> $lang["LIB"]
							));
						$yrch_layout->parse("langs.blk","LANGS",1);
					}
				}
				else	$yrch_layout->set_var("langs.blk","");
				
				write_cache($cache_file,$yrch_layout->parse("sites.blk","SITES",1));
			}
		}
	}
	else	$yrch_layout->set_var("yrch_site.tpls","&nbsp;");
	
	
	$cache_file	= "index.tpl.statcountsbox.blk.cache";
	if(!use_cache($cache_file, "statcountsbox.blk",1))
	{
		$yrch_layout->set_var(array(
			"txt_statcounts"	=> sprintf(_("%s sites rfrencs dans %s catgories"),$yrch->count_site(false,'visible'),$yrch->count_cat()),
			"txt_morestat"		=> _("plus de stats")
		));
		
		write_cache($cache_file,$yrch_layout->parse("statcountsbox.blk","STATCOUNTSBOX"));
	}
	
	$nb_pages	= ceil($count / $limit);
	$querybase	= "?id=".urlencode($id)."&limit=".urlencode($limit);
		
	yrch_prevnext("search.tpl", $index, $count, $limit, $querybase);

	$yrch_layout->set_var(array(
			"id"				=> $id,
			"label_categories"	=> _("Catgories"),
			"txt_topadmin_title"=> _("Notre Choix"),
			"txt_tophits_title"	=> _("Visites"),
			"txt_statcounts"	=> "{yrch_sites} sites rfrencs dans {yrch_cats} catgories",
			"txt_morestat"		=> _("plus de stats"),
			"cat_alias" 		=>  $category->get_title(),
			"cat_desc"			=>  $category->get_desc($yrch->config->get("LANG"))
		));
	
	$yrch_layout->parse("yrch_output","index.tpl");
	
	include("./yrch/include/yrchappend.inc.php");
?>