<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Crer mon compte"));
	
	$yrchuser->role_allow("GUEST",false);
	$yrchuser->role_policy("paranoid",false);
	if(!$yrchuser->role_check())
	{
		//utilisateurs loggs
		$yrchuser->unauthentify();	
	}
	
	$yrch_layout->set_file("account_create.tpl","my/account_create.tpl");
	$yrch_layout->set_block("account_create.tpl","ERRORS","errors.blk");
	
	$yrch->_->get("posted","post",false,1);
	$yrch->_->get("usernick","post",false,1);
	$yrch->_->get("username","post",false,1);
	$yrch->_->get("usermail","post",false,1);
	$yrch->_->get("userpass1","post",false,1);
	$yrch->_->get("userpass2","post",false,1);
	
	if($posted)
	{
		//ici tests de validation	
		$user	= new y_user();
		$yrch->fill($user);
		$user->set_password($userpass1,$userpass2);
		$user->set_username($username);
		$user->set_nickname($usernick);
		$user->set_status("pending");
		$user->set_email($usermail);

		if($user->create())
		{
			$ok	= true;
			$user->add_role($user->role_alias2id("VISITOR"));
			$activation_key	= $user->build_akey();
			$identifiant	= $user->get_id();
			
			if($yrch->config->get("YRCH_MAIL"))
			{
				$data	= array("nickname" => $username, "activation_url" => $yrch->config->get("YRCH_ROOTMY")."account_activate.php?id=$identifiant&akey=$activation_key");
				$user->mail_send($usermail,_("Validation de votre compte"),$user->mail_template("account_creation",$data));
				
				yrch_message(
					"yrch_output", 
					_("Le compte doit tre activ"),
					sprintf(_("%s, votre compte est cre, afin de valider votre adresse email un message a t expdi  l'adresse prcdemment indique, il comporte un lien qui activera votre compte actuel."),$user->get_nickname())
				);
				
				include("../yrch/include/yrchappend.inc.php");
				exit();
			}
			else
			{
				header("Location: ".$yrch->config->get("YRCH_ROOTMY")."account_activate.php?id=$identifiant&akey=$activation_key");
				exit();
			}			
		}
		else
		{
			while($user->ierror_next())
			{				
				$yrch_layout->set_var("error",$user->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}	
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	$yrch_layout->set_var(array(
		"usernick"		=> htmlspecialchars($usernick),
		"username"		=> htmlspecialchars($username),
		"usermail"		=> htmlspecialchars($usermail),
		"userpass1"		=> htmlspecialchars($userpass1),
		"userpass2"		=> htmlspecialchars($userpass2),
		
		"label_createmyaccount"	=> _("Crer mon compte"),
		"label_login"	=> _("Login"),
		"label_password"	=> _("mot de passe"),
		"label_passwordconf"=> _("mot de passe (confirmation)"),
		"label_email"	=> _("Adresse email"),
		"label_nickname"=> _("Surnom"),
		"label_submit"	=> _("Yrch!")
	));	
	
	$yrch_layout->parse("yrch_output","account_create.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>