<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Editer mon compte"));
	
	$yrchuser->role_allow("VISITOR",0);
	$yrchuser->role_policy("strict");
	
	$yrchuser->read();
	
	$yrch_layout->set_file("account_edit.tpl","my/account_edit.tpl");
	$yrch_layout->set_block("account_edit.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("account_edit.tpl","CONFIGURATION","configuration.blk");
		
	$yrch->_->get("id","post,get",$yrchuser->get_id(),1);
	$yrch->_->get("posted","post",false,1);
	$yrch->_->get("updated","get",false,1);
	$yrch->_->get("usernick","post",false,1);
	$yrch->_->get("username","post",false,1);
	$yrch->_->get("usermail","post",false,1);
	$yrch->_->get("userpass1","post",false,1);
	$yrch->_->get("userpass2","post",false,1);
	$yrch->_->get("conf","post",false,2,"array");
	
	if($id != $yrchuser->get_id())
		trigger_error("Vous tentez de modifier un autre compte que le votre !",E_USER_ERROR);
	
	$all_langs	= array();
	foreach($yrch->list_langs("YRCH") as $lang_id => $lang)
		$all_lang[$lang["CODE"]]	= $lang["LIB"];
	$all_counts	= array();
	foreach($yrch->config->get("RANGE_LIMIT") as $value)
		$all_counts[$value]			= $value;
	
	$confkeys   = array(
	    "DEF_LINKOUT"  		=> array("Liens en sortie",array("_blank" => "Nouvelle Fentre", "yrch_outlink" => "Toujours la mme fentre", "_self" => "Sortir de Yrch!")),
	    "DEF_THEME"    		=> array("Thme de Yrch!", $yrch->list_themes()),
	    "DEF_REVIEWWARN"	=> array("Etre averti lorsqu'une de vos revues est valide ou invalide ?",array("1" => "oui", "0" => "Non")),
	    "DEF_SITEWARN"		=> array("Etre averti lorsqu'une de mes demandes de modification de site est valide ou invalide ?",array("1" => "Oui","0" => "Non")),
	    "DEF_MAILDIRECT"	=> array("Permettre aux autres Yrchonautes de vous contactez ? (votre adresse email reste masque)",array("1" => "Oui", "0" => "Non")),
	    "USER_LANG"			=> array("Langue du site", $all_lang),
	    "DEF_COUNTPERPAGE"	=> array("Nombre d'lment par page", $all_counts),
		"DEF_CHECKURL"		=> array("Scanner un site point par Yrch! et me prevenir en cas de non disponibilit ?",array("1" => "oui", "0" => "Non")),
	);
	
	if($updated)
	{
		yrch_message(
			"yrch_output", 
			_("Succs"),
			_("Donnes mises  jour"),
			array(
				"account_edit.php?id=".$id => _("Retour"),
				"index.php"	=> _("Retourner  ma page"),
				$yrch->config->get("YRCH_ROOT")		=> _("Retourner  la racine du site")
			)
		);
		include("../yrch/include/yrchappend.inc.php");
		exit();
	}
	elseif ($posted)
	{
		//ici tests de validation	
		if($userpass1 && $userpass2)
			$yrchuser->set_password($userpass1,$userpass2);
		$yrchuser->set_nickname($usernick);
		$yrchuser->set_email($usermail);

		if($yrchuser->update())
		{
			$ok	= true;

			foreach($conf as $key => $val)
			{
				if(isset($confkeys[$key]))
				{
					$yrchuser->userconf_set($key,$val);
				}
			}
			
			header("Location: account_edit.php?id=".$id."&updated=1");
			exit();
		}
		else
		{
			while($yrchuser->ierror_next())
			{				
				$yrch_layout->set_var("error",$yrchuser->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}	
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	foreach($confkeys as $key => $datas)
	{
		$yrch_layout->set_var(array(
			"configuration_label"	=> $datas[0]
		));
		yrch_select("configuration_field", "conf[".$key."]", $datas[1], $yrch->config->get($key));
		
		$yrch_layout->parse("configuration.blk","CONFIGURATION",1);
	}
	
	$yrch_layout->set_var(array(
		"userid"		=> htmlspecialchars($yrchuser->get_id()),
		"usernick"		=> htmlspecialchars($yrchuser->get_nickname()),
		"usermail"		=> htmlspecialchars($yrchuser->get_email()),
		"userpass1"		=> htmlspecialchars($userpass1),
		"userpass2"		=> htmlspecialchars($userpass2),
		
		"label_submit"	=> "Yrch!",
		"label_cancel"	=> _("Annuler"),
		"label_nickname"=> _("Pseudonyme"),
		"label_email"	=> _("Adresse Email"),
		"label_passwordconf"	=> _("Mot de passe (confirmation)"),
		"label_password"=> _("Mot de passe"),
		"label_myconfiguration"	=> "Ma configuration",
		"label_updatemyaccount"	=> "Mettre  jour mon compte"
		
	));	
	
	$yrch_layout->parse("yrch_output","account_edit.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>