<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");
	
	$yrchuser->role_allow("visitor",false);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("account.tpl","my/index.tpl");
	$yrch_layout->set_block("account.tpl","USERSITES","usersites.blk");
	$yrch_layout->set_block("account.tpl","PENDING_REV","pending_rev.blk");
	$yrch_layout->set_block("account.tpl","REJECTED_REV","rejected_rev.blk");

	if(count($yrchuser->get_sites(false)) == 0)	$yrch_layout->set_var("usersites.blk","Vous ne possdez aucun site!");
	else
	{
		foreach($yrchuser->get_sites(false) as $siteid)
		{
			$site	= &site_stack($siteid);
			
			$status	= $yrch->config->get("SITE_STATUS");
			
			$yrch_layout->set_var(array(
							"usersites_id"	=> $siteid,
							"usersites_title"	=> $site->get_title(),
							"usersites_url"	=> $site->get_url(),
							"usersites_status"	=> $status[$site->get_status()],
						));
			
			$yrch_layout->parse("usersites.blk","USERSITES",1);
		}
	}

	$count_pending	=	$yrch->count_reviews(false, $yrchuser->get_id(), false, "pending",false);
	if($count_pending == 0)	$yrch_layout->set_var("pending_rev.blk","");
	else
	{
		foreach($yrchuser->get_reviews(true, false, false, "pending") as $rev)
		{
			$site	= &site_stack($rev->get_site());
			
			$yrch_layout->set_var(array(
							"pending_rev_title"	=> $site->get_title(),
							"pending_rev_id"	=> $rev->get_id()
						));
			
			$yrch_layout->parse("pending_rev.blk","PENDING_REV",1);
		}
	}

	$count_rejected	=	$yrch->count_reviews(false, $yrchuser->get_id(), false, "rejected",false);
	if($count_rejected == 0)	$yrch_layout->set_var("rejected_rev.blk","");
	else
	{
		foreach($yrchuser->get_reviews(true, false, false, "rejected") as $rev)
		{
			$site	= &site_stack($rev->get_site());
			
			$yrch_layout->set_var(array(
							"rejected_rev_title"	=> $site->get_title(),
							"rejected_rev_id"	=> $rev->get_id()
						));
			
			$yrch_layout->parse("rejected_rev.blk","REJECTED_REV",1);
		}
	}

	$yrch_layout->set_var(array(
		"label_countmyreviews"			=> sprintf(_("%u revue(s)"),$yrch->count_reviews(false, $yrchuser->get_id(), false, false ,false)),
		"label_countmypendingreviews"	=> sprintf(_("dont %u revue(s) en attente"),$count_pending),
		"label_countmyrejectedreviews"	=> sprintf(_("dont %u revue(s) refuse(s)"),$count_rejected),
		"label_countmyvalidreviews"		=> sprintf(_("dont %u revue(s) valide(s)"),$yrch->count_reviews(false, $yrchuser->get_id(), false, "visible",false)),
		"label_mysites"					=> _("Mes sites"),
		"label_myreviews"				=> _("Mes revues"),
		"label_editmyaccount"			=> _("Editer mon compte"),
		"label_destroymyaccount"		=> _("Detruire mon compte"),
		"label_myyrch"					=> _("Mon Yrch!"),
		"label_edit"					=> _("diter"),
		"label_info"					=> _("promouvoir"),
		"label_stats"					=> _("stats"),
		"label_news"					=> _("ajouter une nouveaut pour ce site")
	));
	
	$yrch_layout->parse("yrch_output","account.tpl");
	include("../yrch/include/yrchappend.inc.php");
?>