<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Ecrire un message"));
	
	$yrch->secu_antiflood("post");
	
	if(!$yrch->config->get("YRCH_MAIL"))
	{
		yrch_message(
			"yrch_output", 
			_("Dsol !"),
			sprintf(_("La fonctionnalit n'est pas active sur %s"),$yrch->config->get("YRCH_TITLE"))
		);
		include("../yrch/include/yrchappend.inc.php");
	}
	
	$yrchuser->role_allow("VISITOR",false);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("mail.tpl","my/mail.tpl");
	$yrch_layout->set_block("mail.tpl","ERRORS","errors.blk");
	
	$yrch->_->get("id","post,get",false,1,"int,>0",1);
	$yrch->_->get("posted","post",false,1);
	$yrch->_->get("subject","post,get",false,1);
	$yrch->_->get("body","post,get",false,1);
	
	$from	= $yrchuser->get_nickname()." <".$yrchuser->get_email().">";
	
	$to	= new y_user($id);
	$yrch->fill($to);
	if(!$to->userconf_get("DEF_MAILDIRECT"))	
	{
		if(!($yrchuser->is("ADMIN") || $yrchuser->is("MODERATOR")))
		{
			yrch_message(
				"yrch_output", 
				_("Dsol !"),
				sprintf(_("L'utilisateur \"%s\" ne souhaite pas recevoir de mails par cette interface"),$to->get_nickname()),
				array(
					"javascript:history.back()" => _("Retour")
				)	
			);
			include("../yrch/include/yrchappend.inc.php");
		}
	}
	elseif($posted)
	{
		$ok	= true;
		$errors	= array();
		
		if(!$subject || trim($subject) == "")
			$errors[]	= _("Votre message doit imprativement avoir un sujet");
		if(!$body || trim($body) == "")
			$errors[]	= _("Votre message doit imprativement avoir un contenu");
		
		if(count($errors))	$ok = false;
		
		if($ok)
		{
			$subject	= trim($subject);
			$body		= trim($body);
			
			$yrch_layout->set_var("errors.blk","");
			if($yrch->config->get("DEF_MAILPREFIX"))
			{
				$subject	= $yrch->config->get("DEF_MAILPREFIX").$subject;
			}
			
			$posted = true;
			$yrchuser->mail_send($to->get_email(),$subject,$body,$from);
		}
		else
		{
			$posted = false;
			foreach($errors as $error)
			{
				$yrch_layout->set_var("error",$error);
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	if(!$posted)
	{
		$yrch_layout->set_var(array(
			"id"	=> $id,
			"from"	=> $from,
			"to"	=> $to->get_nickname(),
			"subject"=> $subject,
			"body"	=> $body,
			"label_sendmailto"	=> sprintf(_("Envoyer un message  %s"),$to->get_nickname()),
			"label_from"		=> "De :",
			"label_to"			=> "A :",
			"label_subject"		=> "Sujet :",
			"label_body"		=> "Message :",
			"label_submit"		=> "POSTER",
			"label_reset"		=> "EFFACER"
		));
		$yrch_layout->set_var("errors.blk","");
	}
	else
	{
		yrch_message(
			"yrch_output", 
			_("Confirmation"),
			sprintf(_("Votre mail a t expdi avec succs  \"%s\""),$to->get_nickname()),
			array(
				$yrch->config->get("YRCH_ROOT") => _("Retour")
			)	
		);
		include("../yrch/include/yrchappend.inc.php");
	}
	
	$yrch_layout->parse("yrch_output","mail.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>