<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Ajouter une revue"));
	$yrchuser->role_deny("guest",false);
	$yrchuser->role_policy("neutral");
	
	$yrch->_->get("id","post,get",false,0,"int,0>=",1);
	$yrch->_->get("r_note","post",median($yrch->config->get("RANGE_NOTES")),2,"int,list(0;".join(";",$yrch->config->get("RANGE_NOTES")).")");
	$yrch->_->get("r_review","post",false,0,"not_empty");
	$yrch->_->get("r_lang","post",$yrch->config->get("LANG"),1);
	$yrch->_->get("posted","post",false,2,"bool");

	$yrch_layout->set_file("review_add.tpl","my/review_add.tpl");
	
	$yrch_layout->set_block("review_add.tpl","LANGS","langs.blk");
	$yrch_layout->set_block("review_add.tpl","NOTES","notes.blk");

	$site	= new y_site($id);
	$yrch->fill($site);
	if(!$site->read())
	{
		trigger_error(_("Le site indiqu n'existe pas !"),E_USER_ERROR);
	}
	
	if($site->get_owner() == $yrchuser->get_id())
	{
		$ownermode	= true;
		$label_addreview = _("Ajouter une nouveaut pour mon site");
		$label_blahblah	= _("Il vous est possible d'annoncer des nouveauts sur votre site grce  cette interface.");
		$yrch->config->define("YRCH_PAGETITLE",sprintf(_("Ajouter une nouveaut sur mon site ('%s')"),$site->get_title()));
	}
	else
	{
		$ownermode	= false;
		$label_addreview = _("Ajouter une revue pour le site");
		$label_blahblah	= sprintf(_("Faites part de votre avis sur '%s' ! Dcrivez ce qui vous a plu ou dplu sur ce site. Attention, votre revue sera contrle par nos modrateurs, tous les propos extrmes ou injurieux seront refuss"),$site->get_title());
		$yrch->config->define("YRCH_PAGETITLE",sprintf(_("Ajouter une revue pour '%s'"),$site->get_title()));
	}
	
	if($posted)
	{
		$review	= new y_review();
		$yrch->fill($review);
		$review->set_site($id);
		$review->set_user($yrchuser->get_id());
		$review->set_langue($r_lang);
		$review->set_text($r_review);
		$review->set_note($r_note);
		$review->set_status("pending");
		
		if($review->create())
		{
			yrch_message(
				"yrch_output", 
				_("Flicitations"),
				_("Votre revue a t ajout, elle sera tudi par nos modrateurs puis publie"),
				array(
					$yrch->config->get("YRCH_ROOT")."site.php?id=".$id	=> _("Aller au site"),
					"index.php"			=> _("Retourner  l'accueil")
				)
			);

			include("../yrch/include/yrchappend.inc.php");
		}
		else	trigger_error(_("une erreur s'est produite"),E_USER_ERROR);
	}
	
	if($ownermode)
			$notes	= array(0);
	else	$notes	= $yrch->config->get("RANGE_NOTES");
	foreach($notes as $value)
	{
		$yrch_layout->set_var(array(
			"notes_value"	=> $value,
			"notes_label"	=> $value,
			"notes_selected"=> ($value == $r_note) ? "SELECTED" : ""
		));
		
		$yrch_layout->parse("notes.blk","NOTES",1);
	}

	foreach($yrch->list_langs("MASTER", $yrch->config->get("LANG")) as $lang_id => $lang)
	{		
		$yrch_layout->set_var(array(
			"langs_value"	=> $lang_id,
			"langs_label"	=> $lang["LIB"],
			"langs_selected"=> (strtoupper($lang["CODE"]) == strtoupper($r_lang)) ? "SELECTED" : ""
		));
		
		$yrch_layout->parse("langs.blk","LANGS",1);
	}
	
	$yrch_layout->set_var(array(
		"site_title"	=> $site->get_title(),
		"id"			=> $id,
		"label_addreview"=>	$label_addreview,
		"label_blahblah"=>	$label_blahblah,
		"label_language"=> _("Langue"),
		"label_submit"	=> _("Valider"),
		"label_notation"=> _("Note"),
		"label_review"	=> _("Revue")
	));
	
	$yrch_layout->parse("yrch_output","review_add.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>