<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_PAGETITLE",_("Modifier une revue"));
	$yrchuser->role_deny("guest",false);
	$yrchuser->role_policy("neutral");
	
	$yrch_layout->set_file("review_edit.tpl","my/review_edit.tpl");

	$yrch_layout->set_block("review_edit.tpl","LANGS","langs.blk");
	$yrch_layout->set_block("review_edit.tpl","NOTES","notes.blk");
	
	$yrch->_->get("id","post,get",false,0,"int,0>=",1);
	$yrch->_->get("r_note","post",median($yrch->config->get("RANGE_NOTES")),2,"int,list(0;".join(";",$yrch->config->get("RANGE_NOTES")).")");
	$yrch->_->get("r_review","post",false,0,"not_empty");
	$yrch->_->get("r_lang","post",false,0);
	$yrch->_->get("r_status","post",false,0);
	$yrch->_->get("user","post",false,0);
	$yrch->_->get("dodelete","post,get",false,2,"bool");
	$yrch->_->get("posted","post",false,2,"bool");

	$review	= new y_review($id);
	$yrch->fill($review);
	
	if($review->read() == false || $review->get_user() != $yrchuser->get_id())
	{
		trigger_error(_("La revue indique n'existe pas, ou ne vous appatient pas !"),E_USER_ERROR);
	}
	
	if($review->get_status() == "ok")
	{
		yrch_message(
			"yrch_output", 
			_("Dsol"),
			_("Il est impossible de modifier une revue dj publie, contacter nos administrateurs ou postez une nouvelle revue mise  jour"),
			array(
				$yrch->config->get("YRCH_ROOTMY")."review_add.php?id=".$review->get_site()	=> _("Crer une nouvelle revue pour ce site"),
				"index.php"			=> _("Retourner  ma page"),
				"javascript:history.back()"	=> _("Page prcdente")
			)
		);
		
		include("../yrch/include/yrchappend.inc.php");
	}
	
	if($dodelete == true)
	{
		$siteid	= $review->get_site();
		
		if($review->delete())
		{
			yrch_message(
				"yrch_output", 
				_("Confirmation"),
				_("Votre revue a t supprime"),
				array(
					"index.php"			=> _("Retourner  ma page")
				)
			);
			
			include("../yrch/include/yrchappend.inc.php");
		}
	}
	
	$site	= $review->get_site(true);
	$titre	= $site->get_title();
	
	if($posted)
	{
		$review->set_langue($r_lang);
		$review->set_text($r_review);
		$review->set_note($r_note);
		$review->set_status("pending");
		$review->set_user($yrchuser->get_id());
		
		if($review->update())
		{
			yrch_message(
				"yrch_output", 
				_("Confirmation"),
				_("Votre revue a t modifie"),
				array(
					"index.php"			=> _("Retourner  ma page")
				)
			);
			
			include("../yrch/include/yrchappend.inc.php");
		}
		trigger_error("Erreur lors de la modification de la revue",E_USER_ERROR);
	}

	if($site->get_owner() == $yrchuser->get_id())
	{
		$ownermode	= true;
		$label_addreview = _("Modifier une nouveaut sur mon site");
		$label_blahblah	= _("Il vous est possible d'annoncer des nouveauts sur votre site grce  cette interface.");
		$yrch->config->define("YRCH_PAGETITLE",sprintf(_("Modifier une nouveaut sur mon site ('%s')"),$site->get_title()));
	}
	else
	{
		$ownermode	= false;
		$label_addreview = _("Modifier une revue pour ce site");
		$label_blahblah	= sprintf(_("Faites part de votre avis sur '%s' ! Dcrivez ce qui vous a plu ou dplu sur ce site. Attention, votre revue sera contrle par nos modrateurs, tous les propos extrmes ou injurieux seront refuss"),$site->get_title());
		$yrch->config->define("YRCH_PAGETITLE",sprintf(_("Modifier une revue pour '%s'"),$site->get_title()));
	}

	if($ownermode)
			$notes	= array(0);
	else	$notes	= $yrch->config->get("RANGE_NOTES");
	foreach($notes as $value)
	{
		$yrch_layout->set_var(array(
			"notes_value"	=> $value,
			"notes_label"	=> $value,
			"notes_selected"=> ($value == $review->get_note()) ? "SELECTED" : ""
		));
		
		$yrch_layout->parse("notes.blk","NOTES",1);
	}

	foreach($yrch->list_langs("MASTER", $yrch->config->get("LANG")) as $lang_id => $lang)
	{	
		$yrch_layout->set_var(array(
			"langs_value"	=> $lang_id,
			"langs_label"	=> $lang["LIB"],
			"langs_selected"=> ($lang_id == $review->get_langue()) ? "SELECTED" : ""
		));
		
		$yrch_layout->parse("langs.blk","LANGS",1);
	}
	
	$all_status	= array("ok" => "Disponible", "pending" => "En attente");
		
	$author	= $review->get_user(true);
	
	$yrch_layout->set_var(array(
	    "site_title"	=> sprintf(_("Modifier ma revue sur '%s'"),$site->get_title()),
	    "label_language"=> _("Langue"),
		"label_submit"	=> _("Valider"),
		"label_cancel"	=> _("Annuler"),
		"label_delete"	=> _("Supprimer"),
		"label_notation"=> _("Note"),
		"label_review"	=> _("Revue"),
		"label_addreview"=>	$label_addreview,
		"label_blahblah"=>	$label_blahblah,
		
	    "r_review"     	=> $review->get_text(),
	    "sitetitle"     => $site->get_title(),
	    "siteid"        => $site->get_id(),
	    "id"			=> $review->get_id(),
	    "user"			=> $author->get_id(),
	    "usernickname"	=> $author->get_nickname()
	));
	
	$yrch_layout->parse("yrch_output","review_edit.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>