<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Ajouter un site"));
	
	$yrch_layout->set_file("site_add.tpl","my/site_add.tpl");
	$yrch_layout->set_block("site_add.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("site_add.tpl","DESCS","descs.blk");
	
	$yrch->_->get("site_title","post",false,1);
	$yrch->_->get("site_url","post","http://",1);
	$yrch->_->get("site_desc","post",false,1);
	$yrch->_->get("site_own","post",false,2,"bool");
	$yrch->_->get("posted","post",false,1,"bool");

	$err_string	= "";
	
	if($site_own === true && $yrchuser->get_id() == 0)
	{
		$yrchuser->role_allow("visitor",false);
		$yrchuser->role_policy("strict",false);
	}

	if($posted)
	{	
		$site	= new y_site();
		$yrch->fill($site);	
		$site->set_title($site_title);
		$site->set_desc($site_desc);
		$site->set_status("pending");
		$site->set_bloc("");
		$site->set_leech(false);
		$site->set_down(false);
		
		$site->done("read");

		if($site_own == true)
		{
			$yrchuser->role_allow("VISITOR",0);
			$yrchuser->role_policy("strict");
			
			$site->set_owner($yrchuser->get_id());
		}
		else	$site->set_owner(1);
		
		if($site->set_url($site_url))
		{
			$url_exists	= $site->url_exists($site_url);
			
			if(false !== $url_exists)
			{
				if($site_own)
					$site->ierror_add(sprintf(_("Votre site existe dj dans la base, quelqu'un a d le proposer  votre place, <a href=\"site_claim.php?id=%s\">rendez-vous sur cette page afin de rclamer vos droits sur ce site</a>"),$url_exists));
				else
					$site->ierror_add(sprintf(_("Le site que vous proposez existe dj, pour plus de dtail rendez-vous sur la <a href=\"site_claim.php?id=%s\">page des rclamations</a>"),$url_exists));
			}

			if(!$site->test())
			{
				$site->ierror_add(_("Nos robots n'arrivent pas  atteindre la page spcifie ! L'url que vous avez saisie est-elle valide ?"));
			}
		}	
		
		if($site->create())
		{
			yrch_message(
				"yrch_output", 
				_("Flicitations"),
				_("Le site a t ajout, il sera tudi par nos modrateurs puis publi"),
				array(
					"index.php"			=> _("Retourner  l'accueil")
				)
			);

			include("../yrch/include/yrchappend.inc.php");
			exit();
		}
		
		while($site->ierror_next())
		{
			$yrch_layout->set_var("error",$site->ierror_get());
			$yrch_layout->parse("errors.blk","ERRORS",1);
		}
		
		foreach($yrch->list_langs("YRCH") as $localeid => $lang)
		{			
			$yrch_layout->set_var(array(
				"descs_desc"	=> htmlentities($site->get_desc($lang["CODE"])),
				"descs_lang"	=> htmlentities($lang["LIB"]),
				"descs_code"	=> htmlspecialchars($lang["CODE"]),
			));
			$yrch_layout->parse("descs.blk","DESCS",1);
		}
		
		$yrch_layout->set_var(array(
			"site_title"	=> htmlspecialchars($site->get_title()),
			"site_url"		=> htmlspecialchars($site->get_url()),
			"site_urlraw"	=> $site->get_url()
		));
		
		yrch_radio("site_own", "site_own", array("0" => "non", "1" => "oui"), $site_own);
	}
	else
	{
		//page vierge
		$yrch_layout->set_var(array(
			"site_title"	=> "",
			"site_url"		=> "",
			"site_urlraw"	=> "",
			"site_desc"		=> "",
			"errors.blk"	=> ""
		));
		
		yrch_radio("site_own", "site_own", array("0" => "non", "1" => "oui"), $site_own);
		
		foreach($yrch->list_langs("YRCH") as $localeid => $lang)
		{			
			$yrch_layout->set_var(array(
				"descs_desc"	=> "",
				"descs_lang"	=> htmlentities($lang["LIB"]),
				"descs_code"	=> htmlspecialchars($lang["CODE"]),
			));
			$yrch_layout->parse("descs.blk","DESCS",1);
		}
	}
	
	$yrch_layout->set_var(array(
		"label_title"	=> _("Titre"),
		"label_url"		=> _("Adresse Internet"),
		"label_mysite"	=> _("Ce site m'appartient ?"),
		"label_description"	=> _("Description"),
		"label_addasite"=> _("Ajouter un site"),
		"label_submit"	=> _("Yrch!"),
		"label_cancel"	=> _("Annuler"),
		"label whyaddmysite"	=> sprintf(_("Pourquoi rfrencer mon site sur %s ?"), $yrch->config->get("YRCH_TITLE"))
	));
	
	$yrch_layout->parse("yrch_output","site_add.tpl");
	
	include("../yrch/include/yrchappend.inc.php");
?>