<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Grer mon site"));
	
	$yrchuser->role_allow("OWNER",0);
	$yrchuser->role_policy("strict");
	
	$yrch_layout->set_file("site_manage.tpl","my/site_manage.tpl");

	$yrch_layout->set_block("site_manage.tpl","DESCS","descs.blk");
	$yrch_layout->set_block("site_manage.tpl","ERRORS","errors.blk");
	$yrch_layout->set_block("site_manage.tpl","ALLCATS","allcats.blk");
	$yrch_layout->set_block("site_manage.tpl","MYCATS","mycats.blk");
	$yrch_layout->set_block("site_manage.tpl","ALLLANGS","alllangs.blk");
	$yrch_layout->set_block("site_manage.tpl","MYLANGS","mylangs.blk");
	$yrch_layout->set_block("site_manage.tpl","ALLCOUNTRIES","allcountries.blk");
	$yrch_layout->set_block("site_manage.tpl","MYCOUNTRIES","mycountries.blk");
	
	$yrch->_->get("id","get,post",0,0,"int,>0",1);
	$yrch->_->get("deletion","post",false,2,"bool",1);
	$yrch->_->get("posted","post",false,2,"bool",1);
	$yrch->_->get("url","post",false,1);
	$yrch->_->get("title","post",false,1);
	$yrch->_->get("desc","post",false,1);
	$yrch->_->get("mylangs","post",false,1);
	$yrch->_->get("mycountries","post",false,1);
	$yrch->_->get("mycats","post",false,1);
	
	$site	= new y_site($id,true);
	$yrch->fill($site);
	$site->clone();
	
	//Scurit, seul le proprio peut modifier le site
	if($site->get_owner() != $yrchuser->get_id())
	{
		//var_dump("Location: ".$yrch->config->get("YRCH_ROOT")."site.php?id=".$site->get_id());
		header("Location: ".$yrch->config->get("YRCH_ROOT")."site.php?id=".$site->get_id());
		exit();
	}

	if($deletion == true)
	{
		if($site->deleteme())
		{
			header("Location: ".$yrch->config->get("YRCH_ROOTMY"));
		}
		else	trigger_error(sprintf(_("Echec de la suppression du site (%u)"),$site->get_id()),E_USER_WARNING);
	}
	elseif($posted)
	{
		$site->set_title($title);
		$site->set_url($url);
		$site->set_owner($yrchuser->get_id());
		$site->set_desc($desc);
		
		$site->set_status("pending");
		$site->set_hit(0);
		$site->set_bloc(false);
		$site->set_selection(false);
		$site->set_down(false);
		$site->set_leech(false);
		
		if($site->update())
		{			
			if(isset($mylangs) && is_array($mylangs))
			{
				$site->set_langs($mylangs);
			}
			if(isset($mycountries) && is_array($mycountries))
			{
				$site->set_countries($mycountries);
			}
			if(isset($mycats) && is_array($mycats))
			{
				$site->remove_from_all();
				foreach($mycats as $cat)
				{
					$site->add_in($cat);
				}
			}
			
			yrch_message(
				"yrch_output", 
				_("Succs"),
				_("Vos modifications ont t soumises  nos modrateurs"),
				array(
					"site_manage.php?id=".$id => _("Retour"),
					"index.php"		=> _("Retourner  ma page"),
					$yrch->config->get("YRCH_ROOT")		=> _("Retourner  la racine du site")
				)
			);
			include("../yrch/include/yrchappend.inc.php");
			exit();
		}
		else
		{
			while($site->ierror_next())
			{
				$yrch_layout->set_var("error",$site->ierror_get());
				$yrch_layout->parse("errors.blk","ERRORS",1);
			}
		}
	}
	else
	{
		$yrch_layout->set_var("errors.blk","");
	}
	
	$parents	= $site->get_categories(true);
	$all		= $site->list_cat(true,false,false,true);
	foreach($parents as $parent)	unset($all[$parent->get_id()]);
	
	foreach($all as $truc)
	{			
		$yrch_layout->set_var(array(
								"allcats_style"	=> "",
								"allcats_alias"	=> $truc->get_title(),
								"allcats_id"	=> $truc->get_id()
								));
		$yrch_layout->parse("allcats.blk","ALLCATS",1);
	}
	
	foreach($parents as $truc)
	{						
		$yrch_layout->set_var(array(
								"mycats_alias"	=> $truc->get_title(),
								"mycats_id"		=> $truc->get_id()
								));

		$yrch_layout->parse("mycats.blk","MYCATS",1);
	}
	
	$all_langs	= $yrch->list_langs(false, $yrch->config->get("LANG"));
	$my_langs	= $site->get_langs($yrch->config->get("LANG"));
	
	foreach($all_langs as $langid => $lang)
	{
		if(!isset($my_langs[$langid]))
		{
			$yrch_layout->set_var(array(
								"alllangs_alias"	=> $lang["LIB"],
								"alllangs_id"		=> $langid
								));
			
			$yrch_layout->parse("alllangs.blk","ALLLANGS",1);
		}
	}
	
	if(count($my_langs))
	{
		foreach($my_langs as $langid => $lang)
		{
			$yrch_layout->set_var(array(
							"mylangs_alias"	=> $lang["LIB"],
							"mylangs_id"	=> $langid
							));
				
			$yrch_layout->parse("mylangs.blk","MYLANGS",1);
		}
	}
	else	$yrch_layout->set_var("mylangs.blk","");
	
	$all_countries	= $yrch->list_countries($yrch->config->get("LANG"));
	$my_countries	= $site->get_countries($yrch->config->get("LANG"));
	
	foreach($all_countries as $countryid => $country)
	{
		if(!isset($my_countries[$countryid]))
		{
			$yrch_layout->set_var(array(
								"allcountries_alias"	=> shorten($country["LIB"],25),
								"allcountries_id"		=> $countryid
								));
			
			$yrch_layout->parse("allcountries.blk","ALLCOUNTRIES",1);
		}
	}
	
	if(count($my_countries))
	{
		foreach($my_countries as $countryid => $country)
		{
			$yrch_layout->set_var(array(
							"mycountries_alias"	=> shorten($country["LIB"],25),
							"mycountries_id"	=> $countryid
							));
				
			$yrch_layout->parse("mycountries.blk","MYCOUNTRIES",1);
		}
	}
	else	$yrch_layout->set_var("mycountries.blk","");
	
	
	foreach($yrch->list_langs("YRCH") as $localeid => $lang)
	{		
		$yrch_layout->set_var(array(
			"descs_desc"	=> htmlentities($site->get_desc($lang["CODE"])),
			"descs_lang"	=> htmlentities($lang["LIB"]),
			"descs_code"	=> htmlspecialchars($lang["CODE"]),
		));
		$yrch_layout->parse("descs.blk","DESCS",1);
	}

	$yrch_layout->set_var(array(
		"sitetitle"	=> htmlspecialchars($site->get_title()),
		"siteurl"	=> htmlspecialchars($site->get_url()),
		"siteurlraw"=> $site->get_url(),
		//"ownernickname"	=> htmlspecialchars($owner->get_nickname()),
		//"ownerid"	=> $owner->get_id(),
		"id"		=> $site->get_id(),
		"sitenote"	=> $site->get_note(),
		"siteadded"	=> htmlspecialchars($site->get_added()),
		"siteupdated"	=> htmlspecialchars($site->get_updated()),
		"sitehits"	=> intval($site->get_hit()),
		"siteblocnote"	=> htmlentities($site->get_bloc()),
		"siteselection" => $site->get_selection(),
		"siteleech" => $site->get_leech(),
		"sitedown" => $site->is_down(),
		
		"label_sitemanage"	=> _("Grer mon site"),
		"label_title"	=> _("Titre"),
		"label_url"		=> _("Adresse Internet"),
		"label_description"	=> _("Description"),
		"label_submit"	=> "Yrch!",
		"label_delete"	=> _("Supprimer"),
		"label_advancedmanagement"	=> _("Gestion avance"),
		"label_availablelanguages"	=> _("Langues disponibles"),
		"label_parentslanguages"	=> _("Langues de votre site"),
		"label_languageblah"		=> _("Slctionnez la (les) langue(s) qu'utilise votre site, si votre site ne propose qu'une simple page destin aux autres langues, alors ne la prcisez pas. Seul les sites relement bilingues peuvent revendiquer cette option"),
		"label_availablecountries"	=> _("Nationalits disponibles"),
		"label_parentscountries"	=> _("Nationalits de votre site"),
		"label_countriesblah"		=> _("Selectionnez la (les) nationalit(s) rprsentes par votre site, si votre site est trans-national (souvent le cas pour des sites collectifs) saisissez les pays cibls"),
		"label_availablecategories"	=> _("Catgories disponibles"),
		"label_parentscategories"	=> _("Catgories de votre site"),
		"label_categoriesblah"		=> _("Slctionnez les catgories dans lesquelles vous estimez pouvoir rencontrer votre site. Attention, il faut respecter une certaine quantit de donnes avant de prtendre  faire partie de certaines catgories")
	));

		
	$yrch_layout->parse("yrch_output","site_manage.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>