<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("../yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Informations sur mon site"));
	
	$yrchuser->role_allow("OWNER",0);
	$yrchuser->role_policy("strict");
	
	$yrch->_->get("time1","get",mktime(0,0,0,date("n"),1,date("Y")),2,"int");
	$yrch->_->get("time2","get",mktime(0,0,0,date("n")+1,1,date("Y")),2,"int");
	
	$yrch_layout->set_file("site_stats.tpl","my/site_stats.tpl");
	$yrch_layout->set_block("site_stats.tpl","STATS", "stats.blk");
	$yrch_layout->set_block("site_stats.tpl","STATGROUPS", "statgroups.blk");
	$yrch_layout->set_block("site_stats.tpl","PERPERIOD", "perperiod.blk");
	$yrch_layout->set_block("site_stats.tpl","PERDAY", "perday.blk");
	$yrch_layout->set_block("site_stats.tpl","PERDOM", "perdom.blk");
	$yrch_layout->set_block("site_stats.tpl","PERHOUR", "perhour.blk");
	
	$yrch->_->get("id","get,post",0,0,"int,>0",1);
	$yrch->_->get("lang","get,post",false,1);
	$site	= new y_site($id);
	$yrch->fill($site);
	
	if(!$site->read())	trigger_error(_("Accs  un index non existant"),E_USER_ERROR);
	
	//Scurit, seul le proprio ou un admin peut accder  la page
	if($site->get_owner() != $yrchuser->get_id())
	{
		if(!$yrchuser->is("ADMIN") && !$yrchuser->is("MODERATOR"))
		{
			header("Location: ".$yrch->config->get("YRCH_ROOT")."site.php?id=".$site->get_id());
		}
	}
	
	if(!$yrch->config->get("YRCH_HITS"))
	{
		yrch_message("yrch_output", _("Statistiques non disponibles !"), _("L'administrateur n'a pas ouvert la fonctionnalit permettant d'obtenir des statistiques."));
		include("../yrch/include/yrchappend.inc.php");
		exit;
	}
	
	$stats	= array();
	$hits["thisperiod"]	= $yrch->count_hits($site->get_id(), false, $time1, $time2);
	$hits["allthisperiod"]	= $yrch->count_hits(false, false, $time1, $time2);
	$hits["overall"]	= $site->get_hit();
	
	$groupstats["overall"]	= _("statistiques globales pour le site");
	$groupstats["period"]	= sprintf(_("Entre le %s et le %s"),strftime($yrch->config->get("DEF_DATEVERBOSE"),$time1),strftime($yrch->config->get("DEF_DATEVERBOSE"),$time2));
	
	$stats["overall"][]	= sprintf(_("Votre site a t visit %s fois depuis %s"),$hits["overall"],$yrch->config->get("YRCH_TITLE"));
	$stats["overall"][]	= sprintf(_("Votre site est rfrenc depuis le %s, la dernire modification a t effectue le %s."),$site->get_added($yrch->config->get("DEF_DATEVERBOSE")),$site->get_updated($yrch->config->get("DEF_DATEVERBOSE")));
	$stats["overall"][]	= sprintf(_("Votre site possde %s revue(s) dont %s par nos modrateurs"),$site->count_myreviews(),$site->count_myreviews("moderator"));
	$stats["overall"][]	= sprintf(_("Vous avez post %s nouveaut(s) pour votre site."),$site->count_myreviews("owner"));
	
	$stats["period"][]	= sprintf(_("Votre site a t visit %s fois depuis %s"),$hits["thisperiod"],$yrch->config->get("YRCH_TITLE"));
	$stats["period"][]	= sprintf(_("Votre site concentre %s%% des visites effectues."),round(($hits["thisperiod"] / $hits["allthisperiod"] * 100),4));
	$stats["period"][]	= sprintf(_("Votre site a reu %s revue(s) dont %s par nos modrateurs"),$site->count_myreviews(false, false, false, false, $time1, $time2),$site->count_myreviews("moderator", false, false, false, $time1, $time2));	
	$stats["period"][]	= sprintf(_("Vous avez post %s nouveauts pour votre site."),$site->count_myreviews("owner", false, false, false, $time1, $time2));
	
	
	foreach($groupstats as $group => $grouptext)
	{		
		$yrch_layout->set_var("stats.blk","");
		foreach($stats[$group] as $stat)
		{
			$yrch_layout->set_var("stat_text",$stat);
			$yrch_layout->parse("stats.blk","STATS",1);
		}
		$yrch_layout->set_var("statgroup_text",$grouptext);
		$yrch_layout->parse("statgroups.blk","STATGROUPS",1);
		
	}
	
	for($i = (0 - $yrch->config->get("MAX_HITARCHIVES")); $i <= 0; $i++)
	{
		$yrch_layout->set_var(array(
			"blk_date1"	=> mktime(0,0,0,$i,1,date("Y")),
			"blk_date2"	=> mktime(0,0,0,$i+1,1,date("Y")),
			"otherperiod_label"	=> strftime("%B %Y",mktime(0,0,0,$i,1,date("Y")))
		));
		
		$yrch_layout->parse("perperiod.blk","PERPERIOD",1);
		$yrch_layout->parse("perday.blk","PERDAY",1);
		$yrch_layout->parse("perdom.blk","PERDOM",1);
		$yrch_layout->parse("perhour.blk","PERHOUR",1);
	}
	
	$yrch_layout->set_var(array(
		"site_id"	=> $id,
		"edito"		=> yrch_edito("site_info.html",$lang),
		"time1"		=> $time1,
		"time2"		=> $time2,
		"label_stats"		=> sprintf(_("Statistiques pour %s"),$site->get_title()),
		"label_period"		=> sprintf(_("Entre le %s et le %s"),strftime($yrch->config->get("DEF_DATEVERBOSE"),$time1),strftime($yrch->config->get("DEF_DATEVERBOSE"),$time2)),
		"label_archives"	=> _("Archives"),
		"label_hitperday"	=> _("Hits par jours"),
		"label_hitperdom"	=> _("Hits par domaine"),
		"label_hitperhour"	=> _("Hits par heure"),
	));
	
	$yrch_layout->parse("yrch_output","site_stats.tpl");	
	
	include("../yrch/include/yrchappend.inc.php");
?>