<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("./yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Index des revues"));
	
	$yrch_layout->set_file("reviews.tpl","reviews.tpl");
	
	$yrch_layout->set_block("reviews.tpl","LANGUES","langues.blk");
	$yrch_layout->set_block("reviews.tpl","REVIEWS","reviews.blk");
	$yrch_layout->set_block("reviews.tpl","LIMIT","limit.blk");
	$yrch_layout->set_block("reviews.tpl","SITES","sites.blk");
	$yrch_layout->set_block("reviews.tpl","USERTYPE","usertype.blk");
	
	$yrch->_->get("site","get",false,2,"int;>0");
	$yrch->_->get("user","get",false,1);
	$yrch->_->get("usertype","get",false,2,"list(owner;moderator;me)");
	$yrch->_->get("lang","get",false,2,"int;>0");
	$yrch->_->get("search","get",false,2,"notempty");
	$yrch->_->get("index","get",0,2,"int;>=0");
	$yrch->_->get("limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")");
	$yrch->_->get("orderby","get","REVIEW_DATETIME",2,"list(REVIEW_NOTE;REVIEW_DATETIME;LANG_ID;SITE_ID;USER_ID)");
	$yrch->_->get("order","get","DESC",2,"list(DESC;ASC)");
		
	foreach($yrch->config->get("RANGE_LIMIT") as $x)
	{
	    $yrch_layout->set_var(array(
	        "limitvalue"     => $x,
	        "limitdisplay"   => $x,
	        "limitselec"     => ($x == $limit) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("limit.blk","LIMIT",1);
	}
	
	foreach($yrch->list_langs("MASTER") as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "langid"        => $value,
	        "langdisplay"   => $display["LIB"],
	        "langselec"     => ($lang == $value) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("langues.blk","LANGUES",1);
	}
	
	$all_types  = array( "0" => _("Tous les utilisateurs"), "me" => _("Moi"), "owner" => _("Propritaires"), "moderator" => _("Modrateur"));
	
	foreach($all_types as $key => $val)
	{
	    $yrch_layout->set_var(array(
	        "usertypevalue"       => $key,
	        "usertypedisplay"     => $val,
	        "usertypeselec"       => ($usertype == $key) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("usertype.blk","USERTYPE",1);   
	}
		
	foreach($yrch->list_site(true) as $id => $sit)
	{
		$yrch_layout->set_var(array(
	        "sitesid"        => $sit->get_id(),
	        "sitesdisplay"   => shorten($sit->get_title(),30),
	        "sitesselec"     => ($site == $sit->get_id()) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("sites.blk","SITES",1);
	}

	$user	= $usertype;
	if($user == "me")
		$user	= $yrchuser->get_id();

    $count  = $yrch->count_reviews($site, $user, $lang, "ok", $search);
    
    if($count > 0)
    {
        foreach($yrch->list_reviews(true, $site, $user, $lang, "ok", $search, $index, $limit, $orderby, $order) as $id => $review)
        {
        	$rsite   = &site_stack($review->get_site());
        	$ruser   = &user_stack($review->get_user());
        	$rlang   = lang_stack($review->get_langue());
        	
        	if($rsite->get_owner() == $ruser->get_id())
        	{
        		$revnote	= "na";
        		$revtype	= "owner";
        	}
        	elseif($ruser->is("MODERATOR"))
        	{
        		$revnote	= $review->get_note();
        		$revtype	= "moderator";
        	}
        	else
        	{
        		$revnote	= $review->get_note();
        		$revtype	= "user";
        	}
        	
        	$yrch_layout->set_var(array(
        	    "revid"     => $review->get_id(),
        	    "revnote"   => $revnote,
        	    "revtype"	=> $revtype,
        	    "revdate"   => $review->get_datetime(),
        	    "revstatus" => $review->is_visible() ? _("VISIBLE") : _("EN ATTENTE"),
        	    "langimg"   => $rlang["LANG_FLAG"],
        	    "langlib"   => $rlang["LANG_EN"]."/".$rlang["LANG_FR"],
        	    "siteid"    => $rsite->get_id(),
        	    "sitetitle" => $rsite->get_title(),
        	    "authorid"  => $ruser->get_id(),
        	    "authorname"=> $ruser->get_nickname()
        	));
        	
        	$yrch_layout->parse("reviews.blk","REVIEWS",1);
        }
    }
    else    $yrch_layout->set_var("reviews.blk","<tr><td>"._("aucune rponse  vos critres")."</td></tr>");

	
	$yrch_layout->set_var(array(
    		"search"    => htmlspecialchars($search),
    		"order"		=> $order,
    		"orderby"	=> $orderby,
    		"label_searchreview"	=> _("Recherche de revues"),
			"label_aimsite"			=> _("---- cibler un site ----"),
			"label_aimlanguage"		=> _("---- cibler une langue ----"),
			"label_countperpage"	=> _("NB/PAGE"),
			"label_searchtype"		=> _("Type de la recherche"),
			"label_search"			=> _("CIBLER"),
			"label_language"		=> _("langue"),
			"label_site"			=> _("site"),
			"label_author"			=> _("auteur"),
			"label_date"			=> _("date"),
			"label_notation"		=> _("note"),
			"label_submit"			=> "Yrch!",
			"label_search"			=> _("Chercher des revues")
    ));
	
	$querybase	= "reviews.php?search=".urlencode($search)."&site=".urlencode($site)."&lang=".urlencode($lang)."&limit=".urlencode($limit)."&usertype=".urlencode($usertype)."&orderby=".$orderby."&order=".$order;
	
    yrch_prevnext("reviews.tpl", $index, $count, $limit, $querybase);
	
	$yrch_layout->parse("yrch_output","reviews.tpl");
	
	include("./yrch/include/yrchappend.inc.php");
?>