<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("./yrch/include/yrchprepend.inc.php");
	$yrch->config->define("YRCH_PAGETITLE",_("Recherche"));
	
	$yrch_layout->set_file("search.tpl","search.tpl");
	
	
	$yrch_layout->set_block("search.tpl","METASEARCH","metasearch.blk");
	$yrch_layout->set_block("search.tpl","ORDERBY","orderby.blk");
	$yrch_layout->set_block("search.tpl","ORDER","order.blk");
	$yrch_layout->set_block("search.tpl","LIMIT","limit.blk");
	$yrch_layout->set_block("search.tpl","ADVANCED","advanced.blk");
	
	$yrch->_->get("yrch_selection","get",false,2,"bool");
	$yrch->_->get("yrch_search","get",false,1);
	$yrch->_->get("yrch_mode","get","and",2,"list('and';'or')");
	$yrch->_->get("yrch_orderby","get","SITE_TITLE",2,"list('SITE_TITLE','SITE_URL','SITE_ADDED','SITE_UPDATED','SITE_SELECTION')");
	$yrch->_->get("yrch_order","get","ASC",2,"list('ASC','DESC')");
	$yrch->_->get("index","get",0,2,"int,>0");
	$yrch->_->get("yrch_advanced","get",false,2,"bool");
	$yrch->_->get("yrch_limit","get",$yrch->config->get("DEF_COUNTPERPAGE"),2,"list(".join(";",$yrch->config->get("RANGE_LIMIT")).")");
	$metasearch	= $yrch->enable("metasearch");

	if($yrch_advanced)
	{
		$orders	= array("SITE_TITLE" => "Titre","SITE_URL" => "Url", "SITE_ADDED" => "Date d'ajout", "SITE_UPDATED" => "Date de modification");
	
		foreach($orders as $o => $order)
		{
			$yrch_layout->set_var(array(
				"orderby_value"	=> $o,
				"orderby_display"	=> $order,
				"orderby_selec"	=> ($o == $yrch_orderby) ? " SELECTED " : ""
			));	
			
			$yrch_layout->parse("orderby.blk","ORDERBY",1);
		}
		
		foreach($yrch->config->get("RANGE_LIMIT") as $x)
		{
			$yrch_layout->set_var(array(
				"limit_value"	=> $x,
				"limit_display"	=> $x,
				"limit_selec"	=> ($x == $yrch_limit) ? " SELECTED " : ""
			));	
			
			$yrch_layout->parse("limit.blk","LIMIT",1);
		}
		
		$order	= array("DESC" => "ordre dcroissant", "ASC" => "ordre croissant");
		
		foreach($order as $x => $y)
		{
			$yrch_layout->set_var(array(
				"order_value"	=> $x,
				"order_display"	=> $y,
				"order_selec"	=> ($x == $yrch_order) ? " SELECTED " : ""
			));	
			
			$yrch_layout->parse("order.blk","ORDER",1);
		}
		
		$yrch_layout->parse("advanced.blk","ADVANCED");
	}
	else
	{
		$yrch_layout->set_var("advanced.blk","<a href=\"".$yrch_self."&yrch_advanced=1\">options avances</a>");
	}

	foreach($metasearch->metalist() as $key => $val)
	{
		$yrch_layout->set_var(array(
			"metatarget"=> $yrch->config->get("DEF_LINKOUT"),
			"metaalias"	=> $key,
			"metasite"	=> $val["name"],
			"encodedyrch_search"	=> urlencode($yrch_search)
		));
		$yrch_layout->parse("metasearch.blk","METASEARCH",1);
	}
	
	
	
	
	
	if($yrch_search === false)
	{
		$yrch_layout->set_var("yrch_site.tpls",_("&nbsp;"));
		
		$yrch_layout->set_var(array(
			"label_searchquery"		=> sprintf(_("Cherchez et trouvez avec %s"),$yrch->config->get("YRCH_TITLE")),
			"label_searchresult"	=> "",
			"yrch_prevnext"			=> ""
		));
	}
	else
	{	
		$search_count	= $yrch->count_site(false, "visible", $yrch_search, $yrch_mode, $yrch_selection);  
		
		$yrch_layout->set_var(array(
			"label_searchquery"		=> sprintf(_("%s a recherch <b>%s</b>"),$yrch->config->get("YRCH_TITLE"),htmlentities($yrch_search)),
			"label_searchresult"	=> sprintf(_("%u occurence(s) trouves !"),$search_count)
		));
		
		if($search_count === 0)
		{
			$yrch_layout->set_var("yrch_site.tpls",_("Aucune occurence ne correspond  vos critres"));
		}
		else
		{
			$yrch_layout->set_file("yrch_site.tpls","structure/yrch_site.tpls");
			$yrch_layout->set_block("yrch_site.tpls","SELEC","selec.blk");
			$yrch_layout->set_block("yrch_site.tpls","LEECH","leech.blk");
			$yrch_layout->set_block("yrch_site.tpls","DOWN","down.blk");
			$yrch_layout->set_block("yrch_site.tpls","SITECATS","sitecats.blk");
			$yrch_layout->set_block("yrch_site.tpls","SITES","sites.blk");
		
			foreach($yrch->list_site(true, false, "visible", $yrch_search, $yrch_mode, $yrch_selection, false, false, false, $index, $yrch_limit, $yrch_orderby, $yrch_order) as $site)
			{
				$cache_file	= "yrch_site.tpls.".$site->get_id().".cache";
				if(!use_cache($cache_file, "yrch_site.tpls",1))
				{
					$note	= $site->get_note();
					
					if($note == 0)
					{
						$yrch_layout->set_var(array(
							"sites_note"	=> 	"N/A",
							"sites_notecolor"=> ""
						));
					}
					else
					{
						$yrch_layout->set_var(array(
							"sites_note"	=> round($site->get_note(),1),
							"sites_notecolor"=> $site->get_notecolor(),
						));
					}
					
					$yrch_layout->set_var(array(
						"sites_id"		=> $site->get_id(),
						
						"sites_title"	=> $site->get_title(),
						"sites_desc"	=> nl2br($site->get_desc($yrch->config->get("LANG"))),
						"sites_added"	=> sprintf(_("ajout le %s"),$site->get_added()),
						"sites_updated"	=> sprintf(_("dernire modification %s"),$site->get_updated()),
						"sites_url"		=> shorten($site->get_url(),80),
						"sites_target"	=> $yrch->config->get("DEF_LINKOUT")
					));
					
					$x	= $site->count_myreviews(false, false, "visible", false);
					if($x > 0)
					{
						if($x > 1)	$y	= $x._(" revues");
						elseif($x > 0)	$y	= $x._(" revue");
					
						$yrch_layout->set_var(array(
							"sites_reviews" => $x,
							"label_reviews"	=> $y
						));
						$yrch_layout->parse("reviews.blk","REVIEWS");
					}
					else $yrch_layout->set_var("reviews.blk","");
									
					if($site->is_selected())
						$yrch_layout->parse("selec.blk","SELEC");
					else	$yrch_layout->set_var("selec.blk","");
					
					if($site->is_leecher())
						$yrch_layout->parse("leech.blk","LEECH");
					else	$yrch_layout->set_var("leech.blk","");
					
					if($site->is_down())
						$yrch_layout->parse("down.blk","DOWN");
					else	$yrch_layout->set_var("down.blk","");
					
					$cats	= $site->get_categories(false);
					if(count($cats))
					{
						$yrch_layout->set_var("sitecats.blk","");
						foreach($cats as $catid)
						{
							$cat	= 	&cat_stack($catid);
							
							$yrch_layout->set_var(array(
								"cattitle"	=> $cat->get_title(),
								"catid"		=> $cat->get_id()
							));
								
							$yrch_layout->parse("sitecats.blk","SITECATS",1);
						}
					}
					else 	$yrch_layout->set_var("sitecats.blk",_("non renseign"));
					
					$langs	= $site->get_langs();
					if(count($langs))
					{
						$yrch_layout->set_var("langs.blk","");
						
						foreach($langs as $idlang => $lang)
						{
							$yrch_layout->set_var(array(
									"langflag"	=> $lang["FLAG"],
									"langname"	=> $lang["LIB"]
								));
							$yrch_layout->parse("langs.blk","LANGS",1);
						}
					}
					else	$yrch_layout->set_var("langs.blk","");
					
					write_cache($cache_file,$yrch_layout->parse("sites.blk","SITES",1));
				}
			}
		}
		
		$querybase	= "search.php?yrch_search=".urlencode($yrch_search)."&yrch_mode=".urlencode($yrch_mode)."&yrch_orderby=".urlencode($yrch_order)."&yrch_advanced=".urlencode($yrch_advanced)."&yrch_limit=".urlencode($yrch_limit);

		$yrch_layout->set_var(array(
				"search_count"	=> $search_count
		));
		yrch_prevnext("search.tpl", $index, $search_count, $yrch_limit, $querybase);
	}
	
	$yrch_layout->set_var(array(
		"label_searchalso"		=> _("Chercher aussi sur"),
		"label_advoptions"		=> _("Option avances"),
		"label_searchmethod"	=> _("Mthode de recherche"),
		"label_orderby"			=> _("Classement par"),
		"label_countperpage"	=> _("Occurences par pages"),
		"label_submit"			=> "Yrch!",
		"label_addcomment"		=> _("ajouter un commentaire"),
		"label_categories"		=> _("Catgories"),
		"label_selection"		=> _("Slction")." ".$yrch->config->get("YRCH_TITLE"),
		"label_down"			=> _("Down!"),
		"label_leecher"			=> _("Leecher!")
	));

	$yrch_layout->parse("yrch_output","search.tpl");
	
	include("./yrch/include/yrchappend.inc.php");
?>