<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("./yrch/include/yrchprepend.inc.php");
	
	$yrch->_->get("id","GET",0,0,"int,>0",1);
	$yrch->_->get("index","GET",0,2,"int,>=0",1);
	$yrch->_->get("limit","GET",25,2,"int,>0",1);
	
	$site	= new y_site($id);
	$yrch->fill($site);
	if(!$site->read())	trigger_error(_("Accs  un index non existant"),E_USER_ERROR);
	$yrch->config->define("YRCH_PAGETITLE",$site->get_title());
	
	if(!$site->is_visible())
	{
		yrch_message(
			"yrch_output", 
			_("Dsol !"),
			_("Ce site n'est pas encore valid, il n'est donc pas visible")
		);
		include("yrch/include/yrchappend.inc.php");
	}
	
	$yrch_layout->set_file("site.tpl","site.tpl");
	$yrch_layout->set_block("site.tpl","CATS","cats.blk");
	$yrch_layout->set_block("site.tpl","LANGUES","langues.blk");
	$yrch_layout->set_block("site.tpl","COUNTRIES","countries.blk");
	$yrch_layout->set_block("site.tpl","REVIEWS","reviews.blk");
	$yrch_layout->set_block("site.tpl","MODERATOR_REVIEWS","moderator_reviews.blk");
	$yrch_layout->set_block("site.tpl","OWNER_REVIEWS","owner_reviews.blk");
	$yrch_layout->set_block("site.tpl","LEECH","leech.blk");
	$yrch_layout->set_block("site.tpl","SELECTION","selection.blk");
	$yrch_layout->set_block("site.tpl","DOWN","down.blk");
	$yrch_layout->set_block("site.tpl","REV_LANGUES","rev_langues.blk");
	$yrch_layout->set_block("site.tpl","REV_LIMIT","rev_limit.blk");
	$yrch_layout->set_block("site.tpl","REV_USERTYPE","rev_usertype.blk");
			
	$owner	= $site->get_owner(true);
	
	if($site->is_selected())
		$yrch_layout->parse("selection.blk","SELECTION");
	else $yrch_layout->set_var("selection.blk","");
	
	if($site->is_leecher())
		$yrch_layout->parse("leech.blk","LEECH");
	else $yrch_layout->set_var("leech.blk","");
	
	if($site->is_down())
		$yrch_layout->parse("down.blk","DOWN");
	else $yrch_layout->set_var("down.blk","");
	
	$yrch_layout->set_var(array(
			"sitetitle"	=> $site->get_title(),
			"siteid"	=> $site->get_id(),
			"hits"		=> $site->get_hit(),
			"ownername"	=> $owner->get_nickname(),
			"ownerid"	=> $owner->get_id(),
			
			"siteadded"	=> $site->get_added(),
			"siteupdated"=>$site->get_updated(),
			"siteurl"	=> $site->get_url(),
			"sitetarget"=> $yrch->config->get("DEF_LINKOUT"),
			"sitedesc"	=> nl2br($site->get_desc($yrch->config->get("LANG"))),
			
			"label_title"	=> _("Titre"),
			"label_url"		=> _("Adresse internet"),
			"label_owner"	=> _("Webmaster"),
			"label_country"	=> _("Nationalit"),
			"label_language"=> _("Langue(s)"),
			"label_selection"=> sprintf(_("L'quipe de %s vous recommande chaudement ce site, de par l'originalit et/ou la qualit des lments qu'il prsente."),$yrch->config->get("YRCH_TITLE")),
			"label_down"	=> _("Ce site est actuellement inaccessible d'aprs nos robots."),
			"label_leecher"	=> _("Ce site propose principalement des lments recopis depuis d'autres sites sans valeur ajoute."),
			"label_description"	=> _("Description"),
			"label_categories"	=> _("Catgorie(s)"),
			"label_reviews"	=> _("Revues"),
			"label_hits"	=> sprintf(_("%u visites dont %u dans les 10 derniers jours"),$site->get_hit(),$site->get_hit(3600*24*10)),
			"label_lastmodreviews"	=> _("Dernires revues de nos Modrateurs"),
			"label_allmodreviews"	=> _("Toutes les revues d'administrateurs"),
			"label_lastownreviews"	=> _("Dernires revues du propritaire"),
			"label_allownreviews"	=> _("Toutes les annonces du propritaire"),
			"label_aimlanguage"		=> _("---- cibler une langue ----"),
			"label_countperpage"	=> _("NB/PAGE"),
			"label_searchtype"		=> _("Type de la recherche"),
			"label_submit"			=> "Yrch!",
			"label_searchthissite"	=> _("Rechercher dans les revues de ce site"),
			"label_addreview"		=> _("Ajouter ma revue")
	));
	
	
	$cats	= $site->get_categories(true);
	if(count($cats))
	{
		foreach($cats as $category)
		{
			$yrch_layout->set_var(array(
				"cattitle"	=> $category->get_title(),
				"catid"		=> $category->get_id()
			));
			
			$yrch_layout->parse("cats.blk","CATS",1);
		}
	}
	else	$yrch_layout->set_var("cats.blk",_("Non-renseign"));
	
	$countries	= $site->get_countries($yrch->config->get("LANG"));
	if(count($countries))
	{
		foreach($countries as $country)
		{
			$yrch_layout->set_var(array(
				"country_flag"	=> $country["FLAG"],
				"country_name"	=> $country["LIB"]
			));
			
			$yrch_layout->parse("countries.blk","COUNTRIES",1);
		}
	}
	else	$yrch_layout->set_var("countries.blk",_("Non-renseign"));
	
	$langues	= $site->get_langs($yrch->config->get("LANG"));
	if(count($langues))
	{
		foreach($langues as $langue)
		{
			$yrch_layout->set_var(array(
				"lang_flag"	=> $langue["FLAG"],
				"lang_name"	=> $langue["LIB"]
			));
			
			$yrch_layout->parse("langues.blk","LANGUES",1);
		}
	}
	else	$yrch_layout->set_var("langues.blk",_("Non-renseign"));
	
	$count  = $site->count_myreviews(false, false, "visible", false);
    if($count > 0)
    {
        foreach($site->get_reviews(true, false, false, "visible", false, $index, $limit) as $revid => $review)
        {
        	$ruser   = &user_stack($review->get_user());
        	$rlang   = lang_stack($review->get_langue());
        	
        	if($site->get_owner() == $ruser->get_id())
        	{
        		$revnote	= "na";
        		$revnotetxt	= _("Non applicable");
        		$revtype	= "owner";
        	}
        	elseif($ruser->is("MODERATOR"))
        	{
        		$revnote	= $review->get_note();
        		$revnotetxt	= $review->get_note()."/10";
        		$revtype	= "moderator";
        	}
        	else
        	{
        		$revnote	= $review->get_note();
        		$revnotetxt	= $review->get_note()."/10";
        		$revtype	= "user";
        	}
        	
        	$yrch_layout->set_var(array(
        	    "revid"     => $review->get_id(),
        	    "revnote"   => $revnote,
        	    "revnotetxt"=> $revnotetxt,
        	    "revtext"	=> nl2br($review->get_text()),
        	    "revtype"	=> $revtype,
        	    "revdate"   => $review->get_datetime(),
        	    "langimg"   => $rlang["LANG_FLAG"],
        	    "langlib"   => $rlang["LANG_EN"]."/".$rlang["LANG_FR"],
        	    "authorid"	=> $ruser->get_id(),
        	    "authorname"=> $ruser->get_nickname(),
        	    "authorico" => $ruser->get_role_icone(),
        	    "authorrole"=> $ruser->get_higher_role()
        	));
        	
        	$yrch_layout->parse("reviews.blk","REVIEWS",1);
        }
    }
    else    $yrch_layout->set_var("reviews.blk",_("aucune rponse  vos critres"));
	
	$owner_reviews		= $site->get_reviews(true, "owner", false, "ok", false, 0, 5);
	if(count($owner_reviews))
	{
		foreach($owner_reviews as $review)
		{
			$ruser   = &user_stack($review->get_user());
			$rlang   = lang_stack($review->get_langue());
			
			$yrch_layout->set_var(array(
        	    "ownrevid"     => $review->get_id(),
        	    "ownrevnote"   => $review->get_note(),
        	    "ownrevdate"   => $review->get_datetime("%A %d %B"),
        	    "ownlangimg"   => $rlang["LANG_FLAG"],
        	    "ownlanglib"   => $rlang["LANG_EN"]."/".$rlang["LANG_FR"],
        	    "ownauthorname"=> $ruser->get_nickname()
        	));
        	
        	$yrch_layout->parse("owner_reviews.blk","OWNER_REVIEWS",1);
		}
	}
	else	$yrch_layout->set_var("owner_reviews.blk","...");
	
	$moderator_reviews	= $site->get_reviews(true, "moderator", false, "ok", false, 0, 5);
	if(count($moderator_reviews))
	{
		foreach($moderator_reviews as $review)
		{
			$ruser   = &user_stack($review->get_user());
			$rlang   = lang_stack($review->get_langue());
			
			$yrch_layout->set_var(array(
        	    "modrevid"     => $review->get_id(),
        	    "modrevnote"   => $review->get_note(),
        	    "modrevdate"   => $review->get_datetime("%A %d %B"),
        	    "modlangimg"   => $rlang["LANG_FLAG"],
        	    "modlanglib"   => $rlang["LANG_EN"]."/".$rlang["LANG_FR"],
        	    "modauthorname"=> $ruser->get_nickname()
        	));
        	
        	$yrch_layout->parse("moderator_reviews.blk","MODERATOR_REVIEWS",1);
		}
	}
	else	$yrch_layout->set_var("moderator_reviews.blk","...");
	
		
	$all_types  = array("0" => _("Tous les utilisateurs"), "me" => _("Moi"), "owner" => _("Propritaire"), "moderator" => _("Modrateur"));
	foreach($all_types as $key => $val)
	{
	    $yrch_layout->set_var(array(
	        "usertypevalue"       => $key,
	        "usertypedisplay"     => $val,
	        "usertypeselec"       => ""
	    ));
	    
	    $yrch_layout->parse("rev_usertype.blk","REV_USERTYPE",1);   
	}
	
			
	foreach($yrch->config->get("RANGE_LIMIT") as $x)
	{
	    $yrch_layout->set_var(array(
	        "limitvalue"     => $x,
	        "limitdisplay"   => $x,
	        "limitselec"     => ($x == $limit) ? "SELECTED" : ""
	    ));
	    
	    $yrch_layout->parse("rev_limit.blk","REV_LIMIT",1);
	}
	
		
	foreach($yrch->list_langs("MASTER") as $value => $display)
	{
		$yrch_layout->set_var(array(
	        "langid"        => $value,
	        "langdisplay"   => $display["LIB"],
	        "langselec"     => ""
	    ));
	    
	    $yrch_layout->parse("rev_langues.blk","REV_LANGUES",1);
	}
	
	$nb_pages	= ceil($count / $limit);
	$querybase	= "?id=".$id."&limit=".$limit;
	
	yrch_prevnext("site.tpl", $index, $count, $limit, $querybase);
	
	$yrch_layout->parse("yrch_output","site.tpl");
	
	include("./yrch/include/yrchappend.inc.php");
?>