<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    include("./yrch/include/yrchprepend.inc.php");
	
	$yrch->config->define("YRCH_PAGETITLE",_("Statistiques"));	
	
	$yrch->_->get("catid","get",false,2,"int,>0");
	$userclass	= "moderator";
	$mode	= "pop";
	$length	= 5;
	$cols	= 2;
	
	$cache_file	= "top.tpl.".$catid.".cache";
	if(!use_cache($cache_file, "yrch_output",false,60))
	{
		$yrch_layout->set_file("top.tpl","top.tpl");
		$yrch_layout->set_block("top.tpl","CATEGORY","category.blk");
		
		$yrch_layout->set_block("top.tpl","TOP_ELEMENT","top_element.blk");
		$yrch_layout->set_block("top.tpl","TOP","top.blk");
		$yrch_layout->set_block("top.tpl","COLS","cols.blk");
		$yrch_layout->set_block("top.tpl","ROWS","rows.blk");
	
		function type2display($value,$type)
		{
			global $yrch;
			
			switch($type)
			{
				case "date"	: 	return strftime($yrch->config->get("DEF_DATETIMEFORMAT"),$value);
								break;
				case "note"	: 	return $value."/10";
								break;
				case "hit"	:	return sprintf(_("%u visites"),$value);
								break;
				default	:		return $value;
			}	
		}
		
		$tops	= array(
			"pop"		=> array(
				"TITLE" => _("Notation"),
				"DESC" 	=> sprintf(_("Les administrateurs de %s donne leur avis sur un site, cette note reflte la moyenne de toutes les critiques du site."),$yrch->config->get("YRCH_TITLE")),
				"MODE" 	=> "note",
				"TYPE"	=> "pop",
				"USER"	=> "moderator"
			),
			"popvisiteur"		=> array(
				"TITLE" => _("Popularit"),
				"DESC" 	=> _("Note moyenne de l'ensemble des avis."),
				"MODE" 	=> "note",
				"TYPE"	=> "pop",
				"USER"	=> false
			),
			"updated"	=> array(
				"TITLE" => _("Derniers sites modifis"),
				"DESC" 	=> _(""),
				"MODE" 	=> "date",
				"TYPE" 	=> "updated",
				"USER"	=> false
			),
			"added"		=> array(
				"TITLE"	=> _("Dernires nouveauts"),
				"DESC"	=> _("Derniers sites ajouts."),
				"MODE"	=> "date",
				"TYPE"	=> "added",
				"USER"	=> false
			),
			"abshit"	=> array(
				"TITLE"	=> _("Cumul des visites "),
				"DESC"	=> sprintf(_("Total des visites depuis cration du site sur %s. Reflte la constance de popularit et l'anciennet d'un site."),$yrch->config->get("YRCH_TITLE")),
				"MODE"	=> "hit",
				"TYPE"	=> "abshit",
				"USER"	=> false
			),
			"hittoday"	=> array(
				"TITLE"	=> _("Visites (aujourd'hui)"),
				"DESC"	=> _("Nombre de visites pour le site dans les dernires 24 heures."),
				"MODE"	=> "hit",
				"TYPE"	=> "hittoday",
				"USER"	=> false
			),
			"hityesterday"	=> array(
				"TITLE"	=> _("Visites (hier)"),
				"DESC"	=> _("Nombre de visites pour le site entre il y a 48 heures et il y a 24 heures."),
				"MODE"	=> "hit",
				"TYPE"	=> "hityesterday",
				"USER"	=> false
			),
			"hitweek"	=> array(
				"TITLE"	=> _("Visites (hebdomadaire)"),
				"DESC"	=> _("Nombre de visites pour le site dans les 7 derniers jours."),
				"MODE"	=> "hit",
				"TYPE"	=> "hitweek",
				"USER"	=> false
			),
			"hitmonth"	=> array(
				"TITLE"	=> _("Visites (mensuel)"),
				"DESC"	=> _("Nombre de visites pour le site dans les 30 derniers jours"),
				"MODE"	=> "hit",
				"TYPE"	=> "hitmonth",
				"USER"	=> false
			)
		);
	
		if($catid)
		{
			$cat	= new y_cat($catid);
			$yrch->fill($cat);
			$yrch->config->define("YRCH_PAGETITLE",sprintf(_("Statistiques de la catgorie '%s'"),$cat->get_title()));
			$yrch_layout->set_var("label_title",sprintf(_("Meilleurs sites de la catgorie '%s'"),$cat->get_title()));
			$yrch_layout->parse("category.blk","CATEGORY");
		}
		else
		{
			$yrch->config->define("YRCH_PAGETITLE",_("Statistiques"));
			$yrch_layout->set_var("category.blk","");
		}
	
		$stop	= false;
		while(!$stop)
		{
			$yrch_layout->set_var("cols.blk","");
			for($i=0;$i<$cols;$i++)
			{
				if(list($alias,$top) = each($tops))
				{
					$yrch_layout->set_var("top_element.blk","");
					
					foreach($yrch->top_site(false,$top["TYPE"],$catid,$top["USER"],"ok",$length) as $x)
					{
						$value =	$x["VALUE"];
						$id=	$x["SITE"];
						$site	= &site_stack($id);
						$yrch_layout->set_var(array(
							"site_id"	=> $site->get_id(),
							"site_title"=> $site->get_title(),
							"site_score"=> type2display($value,$top["MODE"])
						));
						$yrch_layout->parse("top_element.blk","TOP_ELEMENT",1);
					}
					
					$yrch_layout->set_var(array(
						"top_title"	=> $top["TITLE"],
						"top_desc"	=> $top["DESC"]
					));
					
					$yrch_layout->parse("top.blk","TOP");
				}
				else
				{
					$yrch_layout->parse("top.blk","");
					$stop	= true;
				}
				$yrch_layout->parse("cols.blk","COLS",1);
			}
			$yrch_layout->parse("rows.blk","ROWS",1);
		}
		
		write_cache($cache_file,$yrch_layout->parse("yrch_output","top.tpl"));
	}
	
	include("./yrch/include/yrchappend.inc.php");
?>