<?
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	function throw_error ($level, $message, $file = "", $line = "", $context = "") 
	{ 
  		global	$yrch_error;

		$yrch_error->error ($level, $message, $file, $line, $context);	
	}
	
	class error_handler
	{		
		/**
		* Niveau de l'erreur en cours
		*
		* @var	int
		*/
		var $level	= 0;
		
		/**
		* Niveau de l'erreur en cours verbose
		*
		* @var	string
		*/
		var $level_v	= 0;
		
		/**
		* Message correspondant  l'erreur
		*
		* @var	string
		*/
		var $message	= "";
		
		/**
		* Fichier contenant l'erreur
		*
		* @var	string
		*/
		var $file;
		
		/**
		* Ligne correspondante  l'erreur
		*
		* @var	int
		*/
		var $line;
		
		/**
		* Hash contenant le contexte lors de l'erreur
		*
		* @var	array
		*/
		var $context	= 0;
	
		/**
		* Reference des actions/reactions en fonction du type d'erreur provoque
		*
		#Comment grer ces niveaux d'erreur  ?
		#Systme octal (possibilit de cumuler)
		# 0- Ne rien faire
		# 1- Retour cran
		# 2- log
		# 4- Contacter les admins par email			<= fonction actuellement dsactive
		# 8- stopper le script
		*/
		var $reference	= array();
		
		
		var $pre_reference	= array(
									"E_ERROR"			=> 11,
									"E_WARNING"			=> 3,
									"E_PARSE"  			=> 9,
									"E_NOTICE"  		=> 1,
									"E_CORE_ERROR"		=> 11,
									"E_CORE_WARNING"	=> 11,
									"E_COMPILE_ERROR" 	=> 11,
									"E_COMPILE_WARNING"	=> 11,
									"E_USER_ERROR"  	=> 11,
									"E_USER_WARNING" 	=> 3,
									"E_USER_NOTICE"  	=> 1
								);
		
		/**
		* Objet de configuration
		*/
		var $configuration;
		
		/**
		* Buffer des avertissements ou des notes
		*
		* @var array
		*/
		var $buffer	= array();
		
		/**
		* Constructeur de l'instance d'erreur
		*
		*/
		function error_handler()
		{			
			
		}
		
		/**
		* Passage de l'objet de configuration
		*
		* L'objet de configuration du site est pass comme une rfrence  cet objet. Ceci permet d'accder  la configuration du site dans le contexte actuel.
		*
		* @param	object	config	$configuration		objet de type config charg et aliment
		* @access	public
		*/
		function configure(&$configuration)
		{
			$this->config	= &$configuration;
						
			foreach($this->pre_reference as $key => $val)
			{
				$this->reference[constant($key)]	= $val;	
			}

			if($this->config->test("ERROR_REFERENCE"))
			{				
				foreach($this->config->get("ERROR_REFERENCE") as $level => $reference)
				{
					if(isset($this->reference[constant($level)]) && is_int($reference))
					{
						$this->reference[constant($level)]	= $reference;
					}
				}
			}
		}
		
		/*
		* Gestionnaire d'erreur
		*
		* Recoit une erreur et la  traite en consquence. Cette mthode ne  doit
		* pas tre appele directement  mais plutot via trigger_error(),  function
		* de dclenchement d'une erreur. Elle mme appelera ensuite cette  mthode
		* de manire transparente.
		*
		* @see		trigger_error
		* @link		http://www.php.net/trigger_error
		* @param	$level		integer	niveau de l'erreur
		* @param	$message	string	message associ  l'rreur
		* @param	$file		string	fichier en cours lors de l'erreur
		* @param	$line		string	ligne en cours lors de l'erreur
		* @param	$context	string	tat de la pile lors de l'erreur
		* @access	private
		*/
		function error($level, $message, $file, $line, $context)
		{		
			#Affectation des proprits
			$this->level	= $level;
			$this->message	= $message;
			$this->file	= $file;
			$this->line	= $line;
			$this->context	= $context;
			$this->level_v	= $this->verbose_level($level);
			
			//Permet de bypasser le erro_handler en cas de @fonction
			if(error_reporting() == 0)	return false;
			
			/*
				note sur l'oprateur "&"
				& compare de manire binaire deux valeurs, en l'occurence deux integer.
				
				exemple 15 & 2
				
				15	1111
				 2	0010
				--	----
				 	0010	=> 	1 (vrai)
				 
				exemple 6 & 1
				 6	0110
				 1	0001
				--	----
					0000	=>	0 faux
			*/

			#RENVOI A L'ECRAN (1)
			if($this->reference[$level] & 1)
			{
				$this->toScreen($this->getErrorDesc_html());
			}
			
			#RENVOI AU LOG (2)
			if($this->reference[$level] & 2)
			{
				$this->toLog($this->getErrorDesc_log());
			}
			
			#RENVOI PAR EMAIL (4)
			if($this->reference[$level] & 4)
			{
				//$this->toMail($this->getErrorDesc_mail());
			}
			
			#STOPPER LE CODE (8)
			if($this->reference[$level] & 8)
			{
				$this->toDust();
			}
			
			return true;
		}
		
		/**
		* Fonction d'ecriture dans le fichier de log
		* 
		* Cette fonction appele par error() inscrit l'venement (l'erreur) dans un fichier de log
		*
		* @return	boolean		flag l'opration s'est effecute correctement
		* @see 		error()
		*/
		function toLog($message)
		{
			return error_log($message,0);
		}

		/**
		* Fonction de renvoit de l'erreur  l'ecran
		* 
		* Cette fonction appele par error() affiche l'venement (l'erreur)  l'cran
		* Si le mode devel est dclench, l'affichage sera diffrent, et beaucoup plus dtaill.
		* En cas de mode buffer activ (et si l'erreur n'est pas fatale) l'venement est ajout au buffer interne  la classe, et ne sera libr qu' l'appel de releaseBuffer()
		*
		* @return	boolean		flag l'opration s'est effecute correctement
		* @see error()
		* @see releaseBuffer()
		*/		
		function toScreen($message)
		{	
			if($this->config->get("ERROR_DEVEL"))
			{
				#Mode developpement on bufferise autant que possible.
				if(!($this->reference[$this->level] & 8))
				{
					$this->addToBuffer($message);
					return true;
				}
				else
				{
					$this->releaseBuffer();
					echo $message;
				}
			}
			else
			{
				#Mode Production toute Erreur provoque l'affichage de la prsentation adapte.			
				@ob_end_clean();

                global $yrch;
                
				$error_layout	= new y_layout();
	            $yrch->fill($error_layout);
	            $error_layout->set_root($yrch->config->get("PATH_ROOT")."/templates/".$yrch->config->get("YRCH_THEME")."/pages/");
	            $error_layout->set_unknowns("keep");
			    $error_layout->set_file("error.tpl","structure/error.tpl");
			    $error_layout->set_var(array(
			        "yrch_root" 	=> $yrch->config->get("YRCH_ROOT"),
			        "yrch_rootmy" 	=> $yrch->config->get("YRCH_ROOTMY"),
			        "error_blabla"  => _("Une erreur est survenue !"),
			        "error_error"   => _("Erreur!"),
			        "error_message" => $message,
			        "error_encmessage" => _("Detail de l'erreur :")."\r\n".urlencode($message),
			        "error_mail"	=> _("Rapporter  l'administrateur"),
			        
			        "yrch_title"	=> $yrch->config->get("YRCH_TITLE"),
			        "yrch_pagetitle"=> $yrch->config->get("YRCH_PAGETITLE"),
			        "error_tracker"	=> _("Rapporter cette erreur sur Sourceforge !")
			    ));
			    $error_layout->parse("error","error.tpl");
			    $error_layout->p("error");
				exit();
			}
			
		}
		
		/**
		* Fonction de terminaison du code
		*
		* cette fonction appele par error() assure la terminaison du code lors de l'appel d'un venement fatal
		* 
		*
		*/
		function toDust()
		{
			#echo "Execution annule";
			exit;
		}

		/**
		* Envoi d'email  l'administrateur
		*
		* Cette fonction envoit un email aux administrateurs dfinis dans le fichier de configuration 
		* $c["ERROR"]["EMAIL"]
		* 
		* @param	string	$message	Message  envoyer
		* @return 	boolean 	Envoi effectu correctement
		*/
		function toMail($message)
		{			
			global $yrch;
			
			$admins	= $this->config->get("ERROR_EMAIL");
			
			if(isset($yrch))
				$yrch->mail_send($admins, sprintf(_("Rapport de BUG sur %s"),$_SERVER["SERVER_NAME"].$_SERVER["PHP_SELF"]), $message);
			
			return true;
		}
		
		/**
		* Ajoute une erreur au buffer
		*
		* @param	$level
		* @param	$message
		* @param	$file
		* @param	$line
		* @param	$context
		* @return	boolean		true
		*/
		function addToBuffer($message)
		{
			$this->buffer[]	= $message;
			return true;
		}
		
		/**
		* Retourne et vide le buffer
		*
		* @return	string	le buffer des erreurs mineures
		*/
		function releaseBuffer()
		{
			$string	= "";
						
			while($shifted = array_shift($this->buffer))
			{
				$string	.= $shifted;
			}
				
			return $string;
		}
		
		/**
		* Chercheur de source
		*
		* Cette fonction va chercher la source correspondant  l'erreur.
		*
		* @param	$file	string	emplacement du fichier source
		* @param	$line	integer	ligne de l'erreur
		* @return		string	source
		*/
		function getSource()
		{			
			if(empty($this->file)) return false;
			$fcontents = file( $this->file );
			
			return $fcontents[$this->line-1];
		}
		
		/**
		* Descripteur d'erreur
		*
		* Cette fonction est capable d'agencer un texte relatif  une erreur.
		*
		* @return	string	$chaine		la chaine de description de l'erreur
		*/
		
		function getErrorDesc_html()
		{
			$chaine	= "";
			
			if($this->config->get("ERROR_DEVEL"))
			{
				$chaine	.= "<HR>";
			}
			$chaine	.= "<B>".$this->level_v." - ".$this->message."</B><BR>";
			if($this->config->get("ERROR_DEVEL") && !$this->is_user_level($this->level))
			{
				$chaine	.= "<FONT FACE='MONOSPACE' SIZE='2'>Dans ".$this->file." / ligne ".$this->line."</FONT><BR><BR>";
				$chaine	.= "<FONT FACE='MONOSPACE' SIZE='1'>".$this->getSource()."</FONT><BR><BR>";
			}
			
			return $chaine;
		}
		
		/**
		* Descripteur d'erreur pour mail
		*
		* Cette fonction est capable d'agencer un texte relatif  une erreur.
		*
		* @return	string	$chaine		la chaine de description de l'erreur
		* global 	$HTTP_SERVER_VARS
		*/
		
		function getErrorDesc_mail()
		{			
			global $HTTP_SERVER_VARS;
			
			$chaine = "Une Erreur est survenue lors de l'excution du script ".$HTTP_SERVER_VARS["PHP_SELF"]."\n";
						
			$chaine	.= $this->level_v." - ".$this->message."\n";
			$chaine .= "IP: ".$HTTP_SERVER_VARS["REMOTE_ADDR"];
			$chaine	.="Dans ".$this->file."/ ligne ".$this->line."\n";
			if($this->config->get("FLAG_ERRORDEVEL"))
				$chaine	.= "SOURCE : ".$this->getSource()."\n";
			
			return $chaine;
		}
		
		/**
		* Descripteur d'erreur pour Log
		*
		* Cette fonction est capable d'agencer un texte relatif  une erreur.
		*
		* @return	string	$chaine		la chaine de description de l'erreur
		*/
		
		function getErrorDesc_log()
		{
			global $HTTP_SERVER_VARS;
			
			$chaine	= "";
			$time	= split(" ",microtime());
			$time 	= substr($time[0],2,strlen($time[0]));
			
			$chaine	.= $this->level_v." - ".$this->message."\n";
			$chaine	.= "Dans ".$this->file."/ ligne ".$this->line."\n";
			$chaine .= "URL : http://".$HTTP_SERVER_VARS["SERVER_NAME"].$HTTP_SERVER_VARS["PHP_SELF"];
			if(!empty($HTTP_SERVER_VARS["QUERY_STRING"])) $chaine .= "?".rawurlencode($HTTP_SERVER_VARS["QUERY_STRING"]);
			if($this->config->get("ERROR_DEVEL"))
				$chaine	.= "\nSOURCE : ".$this->getSource()."\n";
						
			return $chaine;
		}
		
		/**
		* Redirecteur
		*
		* Appele par toScreen() cette fonction enmne l'utilisateur en mode non-DEVEL vers la page de gestion des erreurs.
		*
		*/

		/**
		* Descripteur de niveau d'erreur
		*
		* Retourne la description du niveau de l'erreur en cours
		* @param	$level	int
		* @return	string	descriptif du niveau de l'erreur
		*/		
		function verbose_level($level)
		{
			switch ($level)
			{
				#Erreur
				case E_ERROR 		:	return _("Erreur fatale");
								break;
				#Avertissement
				case E_WARNING  	:	return _("Avertissement");
								break;
				#Erreur de Parsing
				case E_PARSE  		:	return _("Erreur de syntaxe");
								break;
				#Note
				case E_NOTICE  		:	return _("Note");
								break;
				
				#Erreur du Coeur applicatif PHP
				case E_CORE_ERROR  	:	return _("Erreur interne");
								break;
				#Avertissement du Coeur applicatif PHP
				case E_CORE_WARNING  	:	return _("Avertissement");
								break;
				#Erreur de compilation du Coeur applicatif PHP
				case E_COMPILE_ERROR  	:	return _("Erreur de compilation");
								break;
				#Avertissement de compilation du Coeur applicatif PHP
				case E_COMPILE_WARNING  :	return _("Avertissement de compilation");
								break;
				
				#Erreur de l'Utilisateur
				case E_USER_ERROR  	:	return _("Erreur fatale");
								break;
				#Avertissement de l'Utilisateur
				case E_USER_WARNING  	:	return _("Avertissement");
								break;
				#Note de l'Utilisateur
				case E_USER_NOTICE  	:	return _("Note");
								break;
				
				default			:	return _("Erreur inconnue");
								break;
			}
		}
		
		function is_user_level($level)
		{
			if($level == E_USER_ERROR || $level == E_USER_WARNING || $level == E_USER_NOTICE)
				return true;
			else	return false;	
		}
	}
?>
