<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
	class y_auth extends y_identified_object
	{
		var $is_auth	= false;
		
		function y_auth($id = false)
		{
			if($id)	$this->set_id($id);
		}
		
		/**
		* Controleur d'authentification WEB
		* 
		* Cette mthode tente de reconstituer une cl de validation afin de controler la validit des donnes
		* des cookies ID, et DATE. 
		* 
		* @access	private
		* @return	boolean		l'utilisateur est il authentifi ?
		*/
		
		function is_authentify()
		{    			   			
    		if(!$this->needs("is_authentify",1,"setconfig")) return false;
    			
    		if(isset($_COOKIE[$this->config->get("AUTH_COOKIE_ID")]))
				$identifiant	= $_COOKIE[$this->config->get("AUTH_COOKIE_ID")];
			else	$identifiant	= false;
			
			if(isset($_COOKIE[$this->config->get("AUTH_COOKIE_VALIDEUR")]))
    				$valideur	= $_COOKIE[$this->config->get("AUTH_COOKIE_VALIDEUR")];
			else	$valideur	= false;
			
			if(isset($_COOKIE[$this->config->get("AUTH_COOKIE_DATE")]))
    				$time		= $_COOKIE[$this->config->get("AUTH_COOKIE_DATE")];
			else	$time		= false;
    			
    			    			
			//have we already run the hash checks?
			//If so, return the pre-set, trusted var
			if ( $this->is_auth == true ) 
			{
    			//$this->debugger->add_event("L'utilisateur est DEJA authentifi");
			return $this->is_auth;
			}
			
			//are both cookies present?
			if ($identifiant && $valideur && $time) 
			{
    			/*
        			Create a hash of the user name that was 
        			passed in from the cookie as well as the 
        			trusted hidden variable

        			If this hash matches the cookie hash,
        			then all cookie vars must be correct and
        			thus trustable
    			*/
    			
    			$hash	= md5(str_replace("_",$identifiant,strftime($this->config->get("AUTH_KEY"),$time)));
    			if ($hash == $valideur) 
    			{	
        				//hashes match - set a global var so we can 
        				//call this function repeatedly without 
        				//redoing the md5()'s
        				$this->is_auth 	= true;
						$this->set_id($identifiant);
        				return true;
    			} else {        				
        				//hash didn't match - must be a hack attempt?
        				$this->is_auth = false;
        				return false;
    			}
			} else {
    			$this->auth	= false;
    			return false;
			}
		}		
		
		/**
		* Crateur de ticket d'authentification WEB
		*
		* Cre les trois cookies ncessaire  l'authentification WEB.
		* Cette mthode utilise AUTH_COOKIE_ID, AUTH_COOKIE_DATE, AUTH_COOKIE_VALIDEUR du la configuration
		*
		* @param	int		$identifiant	identifiant de l'utilisateur
		* @return	boolean		retourne toujours VRAI
		* @access	private
		*/
		
		function authentify($identifiant, $remember = false)
		{    			
			if(!$this->needs("authentify",1,"setconfig")) return false;
			
			$time	= time();
    		
    		if($remember === true)
    			$ttl	= $this->config->get("AUTH_COOKIE_TTL")+time();
    		else	$ttl= false;
    		
			//Cration du valideur, une chaine md5 base sur l'identifiant, la cl du site, et quelques informations relatives  l'instant de l'authentification
			$valideur= md5(str_replace("_",$identifiant,strftime($this->config->get("AUTH_KEY"),$time)));

			//set cookies for one month - set to any amount 
			//or use 0 for a session cookie
			
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_ID"), $identifiant, $ttl);
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_DATE"), $time, $ttl);
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_VALIDEUR"), $valideur, $ttl);

			$this->is_auth	= true;
			$this->set_id($identifiant);			
			
			return true;
		}
		
		
		function unauthentify()
		{
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_ID"), "", 0);
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_DATE"), "", 0);
			$this->secu_setcookie($this->config->get("AUTH_COOKIE_VALIDEUR"), "", 0);
		}
		
		
		function auth_check($login, $pass)
		{
			if(!$this->needs("auth_check",1,"setconfig","setdb")) return false;
			
			//ici support de cryptage ncessaire
			$this->db->squery("USER_CHECKAUTH",array($login,md5($pass)));
			
			if($this->db->next_record())
			{
				return $this->db->f("USER_ID");	
			}
			return false;
		}
	}
?>