<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_cat extends y_identified_object
	{	
		var		$title	= "";
		var		$alias	= "";
		var		$desc	= array();
		var		$date	= 0;
		var 	$visible= false;
		var		$parents= array();
		var 	$objtype= "cat";
		
		function y_cat($id = false)
		{
			if($id !== false)		$this->set_id($id);
		}
		
		function set_alias($alias, $force = false)
		{
			if(!$force)
			{
				if(!eregi("^[_a-z0-9]{6,30}$",$alias))
					$this->ierror_add(sprintf(_("l'alias ('%s') ne peut etre compos que de caractres alphanumriques simples (a->z 0->9 et _) et doit mesurer entre 6 et 30 caractres"),$alias));
			}
			if(!$this->ierror_ok())	return false;
			
			$this->done("setalias");
			$this->alias	= $alias;
		}

		function set_desc($desc,$force = false)
		{
			if($force == false)
			{
				if(!is_array($desc))	$this->ierror_add(_("Les descriptions doivent etre prsente dans un tableau"));
				if(!$this->ierror_ok())	return false;
				$desc2	= array();
				foreach($desc as $key => $val)
					$desc2[strtoupper($key)]	= $val;
				
				$string	= serialize($desc2);
				
				$this->desc	= $string;	
			}
			else
			{
				$this->desc = $desc;
			}
			$this->done("setdesc");
		}
		
		function set_date($date)
		{
			$this->done("setdate");
			$this->date		= $date;
		}
		
		function set_parents($parents)
		{
			$this->done("setparents");
			$this->parents	= $parents;
		}
		
		function set_title($title)
		{
			$this->done("settitle");
			$this->title	= $title;
		}
		
		function set_visible($visible)
		{
			$this->done("setvisible");
			$this->visible	= $visible;
		}
		
		function get_alias()
		{
			$this->read();
			
			if(!$this->is_done("setalias"))	
			{				
				return false;
			}
			else	return $this->alias;
		}
		
		function get_desc($lang = false)
		{
			$this->read();
			
			if(!$this->is_done("setdesc"))	
			{				
				return false;
			}
			else
			{
				$desc	= unserialize($this->desc);
				if(!$desc || !is_array($desc))
					$desc	= array();

				
				if($lang !== false)
				{
					if(isset($desc[strtoupper($lang)]))
					{
						return	$desc[strtoupper($lang)];
					}
					else	return false;
				}
				
				return $desc;
			}
		}
		
		function get_visible()
		{
			$this->read();
			
			if(!$this->is_done("setvisible"))	
			{				
				return false;
			}
			else	return $this->visible;
		}
		
		function get_date($format = false)
		{
			$this->read();
						
			if(!$format)	$format	= $this->config->get("DEF_DATEFORMAT");
					
			if(!$this->is_done("setdate"))	
			{				
				return false;
			}
			else	return strftime($format,$this->date);
		}
		
		function get_title($replace = true)
		{
			$this->read();
			
			if(!$this->is_done("settitle"))	
			{				
				return false;
			}
			else
			{
				if($this->title == "" && $replace == true)
				{
					return "*".$this->get_alias();
				}
				return $this->title;
			}
		}
		
		function get_alltitles()
		{
			if(!$this->needs("get_alltitles",1,"setconfig","setdb","setid"))	return false;
			
			$this->db->squery("CAT_GET_ALLTITLES",array($this->get_id()));
			
			$list	= array();
			while($this->db->next_record())
			{
				$list[$this->db->f("LANG_CODE")]	= $this->db->f("CAT_TITLE");
			}
			return $list;	
		}
		
		function set_translation($array)
		{
			if(!$this->needs("set_traduction",1,"setconfig","setdb","setid"))	return false;
			if(!is_array($array))	return false;
			
			//tout effacer
			$this->db->squery("CAT_DELTRANSLATION",array($this->get_id()));
						
			foreach($array as $key => $texte)
			{
				$this->db->squery("CAT_ADDTRANSLATION",array($this->get_id(),strtoupper($key),$texte));
			}
			
			return true;
		}
		
		function feed($values)
		{
			if(!is_array($values))
			{
				return false;
			}
			
			$this->done("read");
			
			if(!$this->is_done("setalias"))	
			{
				$this->set_alias($values["CAT_ALIAS"], true);
			}
			if(!$this->is_done("setdesc"))	
			{
				$this->set_desc($values["CAT_DESC"], true);
			}
			if(!$this->is_done("setdate"))
			{
				$this->set_date($values["CAT_DATE"]);
			}
			if(!$this->is_done("settitle"))
			{
				$this->set_title($values["CAT_TITLE"]);
			}
			if(!$this->is_done("setvisible"))
			{
				$this->set_visible($values["CAT_VISIBLE"],true);
			}
			return true;
		}
		
		function read()
		{
			if($this->is_done("read"))	return true;
			
			if(!$this->needs("read",1,"setconfig","setdb","setid")) return false;
			//ne pas ecraser si dj dfini
			
			$this->db->squery("CAT_READ",array($this->config->get("LANG"),$this->get_id()));
			$this->done("read");
			
			if($this->db->next_record())
			{				
				if(!$this->is_done("setalias"))	
				{
					$this->set_alias($this->db->f("CAT_ALIAS"),true);
				}
				if(!$this->is_done("setdesc"))	
				{
					$this->set_desc($this->db->f("CAT_DESC"),true);
				}
				if(!$this->is_done("setvisible"))	
				{
					$this->set_visible((bool) $this->db->f("CAT_VISIBLE"));
				}
				if(!$this->is_done("setdate"))
				{
					$this->set_date($this->db->f("CAT_DATE"));
				}
				if(!$this->is_done("settitle"))
				{
					$this->set_title($this->db->f("CAT_TITLE"));
				}
				return true;	
			}
			return false;
		}
		
		function delete()
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			if(!count($this->count_mycats()))
				trigger_error(_("Impossible de supprimer une catgorie possdant encore des enfants"),E_USER_ERROR);
			
			$this->remove_from_all();
			
			$this->log->add("CATDELETE",sprintf("Suppression de la catgorie \"%s\" (%s)",$this->get_alias(),$this->get_id()));
			return $this->db->squery("CAT_DELETE",array($this->get_id()));
		}
		
		function update()
		{
			if(!$this->ierror_ok())	return false;
			if(!$this->needs("update",1,"setconfig","setdb","setid","setalias","setdate","setvisible")) return false;
			$this->log->add("CATUPDATE",sprintf("Mise  jour de la catgorie \"%s\" (%s)",$this->get_alias(),$this->get_id()));
			return $this->db->squery("CAT_UPDATE",array(addslashes($this->get_alias()),$this->get_date($this->config->get("DB_DATETIMEFORMAT")),addslashes($this->desc),$this->get_visible(),$this->get_id()));
		}
		
		function create()
		{
			if(!$this->ierror_ok())	return false;
			if(!$this->needs("create",1,"setconfig","setdb","setalias","setvisible","setdesc")) return false;
			
			$id	= $this->db->nextid("SEQ_CAT");
			
			$this->set_id($id);
			$this->log->add("CATADDCAT",sprintf("Cration de la catgorie \"%s\" (%s)",$this->get_alias(),$this->get_id()));
			return $this->db->squery("CAT_CREATE",array($this->get_id(),strftime($this->config->get("DB_DATETIMEFORMAT")),addslashes($this->get_alias()),addslashes($this->desc),$this->get_visible()));
		}
		
		function get_master()
		{
			if(!$this->needs("get_master",1,"setconfig","setdb","setid")) return false;
			
			$this->db->squery("CAT_GET_MASTER",array($this->get_id()));
			
			if($this->id == 0)
			{
				return false;
			}
			elseif($this->db->next_record())
			{
				return $this->db->f("CAT_ID");
			}
			
			return false;
		}
		
		function add_in($cat_id,$master = true)
		{
			$list	= $this->list_cat(false,$cat_id,false,false);
						
			if($master == true && $this->get_master() == false)
			{
				$master	= "1";
			}
			else	$master	= "0";
			
			if(!in_array($this->get_id(),$list))
			{
				$this->db->squery("CAT_ADDIN",array($cat_id,$this->get_id(),$master));
				$this->log->add("CATADDCAT",sprintf("Ajout de la catgorie \"%s\" (%s) dans la catgorie %s",$this->get_alias(),$this->get_id(),$cat_id));
				return true;
			}
			else	return true;
		}
		
		function remove_from($cat_id)
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			$list	= $this->list_cat(false,$cat_id,false,false);
			
			if(in_array($this->get_id(),$list))
			{
				$this->log->add("CATDELCAT",sprintf("Suppression de la catgorie \"%s\" (%s) de la catgorie %s",$this->get_alias(),$this->get_id(),$catid));
				$this->db->squery("CAT_REMOVEFROM",array($cat_id,$this->get_id()));
				return true;
			}
			else	return true;
		}
		
		function remove_from_all()
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			$this->log->add("CATCATNO",sprintf("Suppression de la catgorie \"%s\" (%s) de toutes les catgories",$this->get_alias(),$this->get_id()));
			
			return $this->db->squery("CAT_REMOVEFROMALL",array($this->get_id()));
		}
		
		function get_subcat($obj = false,$visible =  false)
		{
			if(!$this->needs("get_subcat",1,"setid")) return false;
			
			$list	= $this->list_cat($obj,$this->get_id(),false,$visible);
			
			if($this->get_id() == 0)
			{
				unset($list[0]);
			}
			return $list;
		}
		
		function count_mysites($visible = true)
		{
			if(!$this->needs("count_site",1,"setid","setdb","setconfig")) return false;
			
			if($visible)	$x	= "visible";
			else			$x	= false;

			return $this->count_site($this->get_id(), $x);
		}
		
		function count_mycats($visible = true)
		{
			if(!$this->needs("count_cats",1,"setid","setdb","setconfig")) return false;
									
			
			$count = $this->count_cat($this->get_id(),false,$visible);
			if($this->get_id() == 0)
			{
				$count	-= 1;
			}
			return $count;
		}
		
		function get_sites($obj = false, $index = false , $limit = false, $visible = true)
		{
			if(!$this->needs("get_sites",1,"setid")) return false;
			
			if($visible)	$x	= "visible";
			else			$x	= false;

			return $this->list_site($obj,$this->get_id(),$x,false,false,false,false,false,false,$index,$limit);
		}
		
		function get_parents($obj = false,$visible = false)
		{
			if($this->is_done("setparents"))	return $this->parents;
			
			if(!$this->needs("get_parents",1,"setid")) return false;

			$this->parents	= $this->list_cat($obj, false, $this->get_id(), $visible);
			
			$this->done("setparents");
			
			return $this->parents;
		}
		
		function is_hidden()
		{
			return !$this->get_visible();
		}
		
		function is_visible()
		{
			return $this->get_visible();
		}
	}
?>