<?
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_chrono
	{
		/**
		* Flag (mode chronomtre enclench)
		* 
		* @var $chrono	boolean
		*/
		var $chrono	= false;
		
		/**
		* Tableau de stockage des vnements du chronomtre
		*
		* contient des lments sous la forme d'un tableau
		* @var array ( Evenement [String] , Temps [Double] )
		*/
		var $chrono_tab	= array();

		
		/**
		* CONSTRUCTEUR
		*
		*/
		function y_chrono()
		{		
			$this->chrono_tab	= array();
		}
		
		/**
		* Active le chronomtre
		*
		*/
		function launch()
		{
			$this->chrono	= true;
		}
		
		/**
		* Insre un evenement dans la table chronomtrique si le service est activ  la construction
		*
		* @param	$event	string	chaine decrivant l'evenement
		* @param	$force	boolean	forcer l'enregistrement mme si le mode debug n'est pas enclench.
		*/
		function add_event($event, $force = false, $time = false)
		{
			if($this->chrono || $force == true)
			{
				$time	= micronow($time);
								
				$this->chrono_tab[(string)$time]	= $event;	
			}
		}
		
		/**
		* Termine la squence chronomtrique si le service a t activ auparavant
		*/
		function stop()
		{
			if($this->chrono)
			{
				$time	= micronow();
				
				$this->chrono_tab[(string)$time]		= "Fin de l'xcution";
			}
		}
				
		/**
		* Affiche le rapport concernant la squence chronomtrique en cours.
		*
		* 
		*/
		
		function report()
		{			
			$html	= false;

			if($this->chrono)
			{				
				ksort($this->chrono_tab);
				
				$key_min	= 9699999999;
				$key_max	= 0;
							
				while(list($key,$val) = each($this->chrono_tab))
				{
					$key	= (float) str_replace(",",".",$key);
					
					if($key > $key_max)	$key_max = $key;
					if($key < $key_min)	$key_min = $key;
				}
				
				$duree	= $key_max - $key_min;
				$last	= $key_min;
										
				$html	.= "<BR><hr><FONT size=2 face='Sans-Serif'>Rapport chronomtrique</font>\n<P>\n\n";
				$html	.= "<TABLE BORDER=1 CELLPADDING=1 CELLSPACING=0>\n<TR BGCOLOR='#000000'><TD><FONT COLOR='white' size=1 face='Sans-Serif'><B>Evenement</B></FONT></TD><TD><FONT COLOR='white' size=1 face='Sans-Serif'><B>Temps (sec)</B></FONT></TD><TD><FONT COLOR='white' size=1 face='Sans-Serif'><B>Ecart (sec)</B></FONT></TD><TD><FONT COLOR='white' size=1 face='Sans-Serif'><B>Progression</B></FONT></TD></TR>";

				reset($this->chrono_tab);
				while(list($key,$val) = each($this->chrono_tab))
				{					
					$gap 	= $key - $last;
					$prog	= $gap / $duree * 100;
					$prog	= substr($prog,0,5);
					$gap	= number_format($gap,3,","," ");

					$html	.= "<TR><TD><FONT size=1 face='Sans-Serif'>".$val."</FONT></TD><TD><FONT size=1 face='Sans-Serif'>".$key."</FONT></TD><TD><FONT size=1 face='Sans-Serif'>".$gap."</FONT></TD><TD><FONT size=1 face='Sans-Serif'>".$prog."%</FONT></TD></TR>\n";
				}

				$html	.= "<TR BGCOLOR='#000000'><TD><FONT COLOR='white' size=1 face='Sans-Serif'><B>Temps d'xcution (sec)</FONT></B></TD><TD COLSPAN=3><FONT COLOR='white' size=1 face='Sans-Serif'><B>".number_format($duree,6,","," ")."</B></FONT></TD></TR>";
				$html	.= "</TABLE>\n";
			}
			
			return $html;
		}
	}
?>