<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_db extends y_ierror
	{
  		/**
  		* flag (mode dbug)
  		*
  		* dfini grce au fichier de configuration
  		* @var	boolean
  		*/
  		var $debug    =  false; 
  		var $config    =  false; 
  		/**
  		* flag (show query on error)
  		* 
  		* si vrai, les requetes rencontrant une erreur renverront un texte  l'cran. 
  		* dfini grce au fichier de configuration. 
  		* ## "yes" (halt with message), "no" (ignore errors quietly), "report" (ignore errror, but spit a warning)
  		*
  		* @var	string
  		*/
  		var $halt_on_error = "no";
  		
  		/**
  		* emplacement de la base de donnes. 
  		* dfini grce au fichier de configuration. 
  		*
  		* @var	string
  		*/
  		var $database = "";
  		
  		/**
  		* utilisateur de la base de donnes. 
  		* dfini grce au fichier de configuration. 
  		*
  		* @var	string
  		*/
  		var $user     = "";
  		
  		/**
  		* mot de passe permettant l'accs  la base de donnes. 
  		* dfini grce au fichier de configuration. 
  		*
  		* @var	string
  		*/
  		var $password = "";
  		
  		/**
  		* identifiant du lien vers la base de donne. 	
  		*
  		* @var	integer
  		*/
  		var $link_id    = 0;
  		
  		/**
  		* tableau associatif contenant les rsultats de requtes de type select.
  		*
  		* @var	array
  		*/
  		var $record    = array();
  		
  		/**
  		* rang de l'enregistrement en cours. 
  		* 
  		* @var	integer
  		*/
  		var $row;
  		
  		/**
  		* container d'identifiant d'erreur
  		*
  		* @var	string
  		*/
  		var $error     = "";
  		
  		
  		
  		/* public: connection parameters */
  		var $host     = "localhost";
  		
  		
  		
  		//var $database = "xavier";
  		//var $user     = "root";
  		//var $password = "";

  		/* public: configuration parameters */
  		var $auto_free     = 0;     ## set to 1 for automatic mysql_free_result()
  		//var $debug         = 0;     ## set to 1 for debugging messages.
  		//var $halt_on_error = "yes"; 
  		var $seq_table     = false;

  		/* public: result array and current row number */
  		//var $record   = array();
  		//var $row;

  		/* public: current error number and error text */
  		var $errno    = 0;
  		//var $error    = "";

  		/* public: this is an api revision, not a cvs revision. */
  		var $type     = "mysql";
  		var $revision = "1.2";

  		/* private: link and query handles */
  		//var $link_id  = 0;
  		var $query_id = 0;
  
  		/* dure de la dernire execution de query */
  		var $exec_time = 0;
  
  		var $use_chrono	= 0;
  
  		/* public: constructor */
  		function y_db($user = false) 
  		{
  		}

		function set_connection_parameters($login, $pass, $db, $host, $debug = 0, $hoe = 0, $chrono = 0)
  		{
  			$this->disconnect();
  			$this->database 	= $db;
  			$this->host		= $host;
  			$this->user     	= $login;
  			$this->password 	= $pass;
  			$this->debug		= $debug;
  			$this->halt_on_error	= $hoe;
  			$this->use_chrono	= $chrono;
  		}
  		
  		function get_seqtable()
  		{
  			if(!$this->needs("get_seqtable",1,"setconfig")) return false;
  			
  			if(!$this->is_done("setseqtable"))
  			{
  				$this->seq_table	= $this->config->get("DB_SEQTABLE");
  				$this->done("setseqtable");
  			}
  			return $this->seq_table;
  		}
  		

  		/* public: some trivial reporting */
  		function link_id() 
  		{
    			return $this->link_id;
  		}

  		function query_id() 
  		{
    			return $this->query_id;
  		}

  		/* public: connection management */
  		function connect($database = "", $host = "", $user = "", $password = "") 
  		{
    			/* handle defaults */
    			if ("" == $database)
      				$database = $this->database;
    			if ("" == $host)
      				$host     = $this->host;
    			if ("" == $user)
      				$user     = $this->user;
    			if ("" == $password)
      				$password = $this->password;

    			/* establish connection, select database */
    			if ( 0 == $this->link_id ) 
    			{
    				//$this->link_id = mysql_pconnect($host, $user, $password);
    				$this->link_id = mysql_connect($host, $user, $password);
    				$this->event("Connexion  la base");
      				if (!$this->link_id) 
      				{
        				$this->halt(sprintf(_("Echec de connexion  la base de donne ! [%s]"),$user."@".$host));
        				return 0;
      				}
			
      				if (!@mysql_select_db($database,$this->link_id)) 
      				{
	        			$this->halt(sprintf(_("Base de donnes non utilisable [%s]"),$this->database));
				        return 0;
      				}
    			}
		  
    			return $this->link_id;
		}

		function disconnect()
		{
			if($this->link_id != 0)
			{
				$this->unlock();
				$this->free();
						
				@mysql_close($this->link_id);
			}

			$this->link_id	= 0;
		}

  		/* public: discard the query result */
  		function free() 
  		{
      			if(is_resource($this->query_id))   @mysql_free_result($this->query_id);
      			$this->query_id = 0;
  		}
	
		function squery($alias, $params = array())
		{
			$query	= $this->config->get("SQL_".$alias);
			
			if(!$query)	return false;
			return $this->query(vsprintf($query,$params));
		}
	
  		/* public: perform a query */
  		function query($query_string, $file = "", $line = "") 
  		{
    			/* no empty queries, please, since php4 chokes on them. */
    			if ($query_string == "")
      				/* the empty query string is passed on from the constructor,
       				* when calling the class without a query, e.g. in situations
       				* like these: '$db = new db_sql_subclass;'
       				*/
      				return 0;
			
    			if (!$this->connect()) 
    			{
      				return 0; /* we already complained in connect() about that. */
    			};

    			# new query, discard previous result.
    			if ($this->query_id) 
    			{
      				$this->free();
    			}
	
    			if ($this->debug)
      				printf("debug: query = %s<br>\n", $query_string);
		
    			$before	= micronow();
    			$this->query_id = mysql_query($query_string,$this->link_id);
    			$after	= micronow();
    			
    			$this->exec_time	= $after - $before;
    			if($this->use_chrono)	$this->event("SQL(".$this->exec_time."): ".$query_string);
    			$this->row   = 0;
    			$this->errno = mysql_errno();
    			$this->error = mysql_error();
    			
    			if (!$this->query_id) 
    			{
      				$infos	= "";
      				if($file)	$infos	.= " file : ".$file;
      				if($line)	$infos	.= " line : ".$line;
      				
//      				$this->halt("invalid sql: ".$query_string.$infos);
					$this->halt("SQL: ".$query_string."<br>\n[".$this->errno."] ".$this->error);
    			}

    			# will return nada if it fails. that's fine.
    			return $this->query_id;
  		}

  		/* public: walk result set */
  		function next_record() 
  		{
    			if (!$this->query_id) 
    			{
      				$this->halt("next_record called with no query pending.");
      				return 0;
    			}
	
				$this->record = @mysql_fetch_array($this->query_id);
    			$this->row   += 1;
    			$this->errno  = mysql_errno();
    			$this->error  = mysql_error();

	    		$stat = is_array($this->record);
    			if (!$stat && $this->auto_free) 
    			{
      				$this->free();
    			}
    			return $stat;
  		}

  		/* public: position in result set */
  		function seek(	$pos = 0) 
  		{
    			$status = @mysql_data_seek($this->query_id, $pos);
    			if ($status)
      				$this->row = $pos;
    			else 
    			{
      				$this->halt("seek($pos) failed: result has ".$this->num_rows()." rows");
		
      				/* half assed attempt to save the day, 
       				* but do not consider this documented or even
       				* desireable behaviour.
       				*/
      				
      				@mysql_data_seek($this->query_id, $this->num_rows());
      				$this->row = $this->num_rows;
      				return 0;
    			}

    			return 1;
  		}

  		/* public: table locking */
  		function lock($table, $mode="write") 
  		{
    			$this->connect();
		    
    			$query="lock tables ";
    			if (is_array($table)) 
    			{
      				while (list($key,$value)=each($table)) 
      				{
        				if ($key=="read" && $key!=0) 
        				{
						$query.="$value read, ";
        				} else {
          					$query.="$value $mode, ";
        				}
      				}
      				$query=substr($query,0,-2);
    			} else {
      				$query.="$table $mode";
    			}
    			$res = @mysql_query($query, $this->link_id);
    			
    			if (!$res) 
    			{
      				$this->halt("lock($table, $mode) failed.");
      				return 0;
    			}
    			
    			return $res;
  		}
  
  		function unlock() 
  		{
    			$this->connect();
    			$res = @mysql_query("unlock tables", $this->link_id);
    			if (!$res) 
    			{
      				$this->halt("unlock() failed.");
      				return 0;
    			}
    			return $res;
  		}	

  		/* public: evaluate the result (size, width) */
  		function affected_rows() 
  		{
    			return @mysql_affected_rows($this->link_id);
  		}

  		function num_rows() 
  		{
    			return @mysql_num_rows($this->query_id);
  		}
		
		function r() {
			return @mysql_fetch_row($this->query_id);
		}
		
		function a() {
			return @mysql_fetch_array($this->query_id);
		}
		
  		function num_fields() 
  		{
    			return @mysql_num_fields($this->query_id);
  		}

  		/* public: shorthand notation */
  		function nf() 
  		{
    			return $this->num_rows();
  		}

  		function np() 
  		{
    			print $this->num_rows();
  		}

		function f($name) 
		{
    			if(isset($this->record[$name]))	return $this->record[$name];
    			
    			return false;
  		}
  
  		function p($name) 
  		{
    			print $this->record[$name];
  		}

  		/* public: sequence numbers */
  		function nextid($seq_name) 
  		{
    			$this->connect();
		    
    			if ($this->lock($this->get_seqtable())) 
    			{
      				/* get sequence number (locked) and increment */
      				$q  = sprintf(
      					"select nextid from %s where seq_name = '%s'",
                			$this->get_seqtable(),
                			$seq_name
                			);

      				$id  = @mysql_query($q, $this->link_id);
      				$res = @mysql_fetch_array($id);
				
      				/* no current value, make one */
      				if (!is_array($res)) 
      				{
        				$currentid = 0;
        				$q = sprintf(
        					"insert into %s values('%s', %s)",
                 				$this->get_seqtable(),
                 				$seq_name,
                 				$currentid
                 				);
        				$id = @mysql_query($q, $this->link_id);
      				} else {
        				$currentid = $res["nextid"];
      				}
      			
      				$nextid = $currentid + 1;
      				
      				$q = sprintf(
      					"update %s set nextid = '%s' where seq_name = '%s'",
               				$this->get_seqtable(),
               				$nextid,
               				$seq_name
               				);
      				
      				$id = @mysql_query($q, $this->link_id);
      				$this->unlock();
    			} else {
      				$this->halt("cannot lock ".$this->get_seqtable()." - has it been created?");
      				return 0;
    			}
    			return $nextid;
  		}

  		/* public: return table metadata */
  		function metadata($table='',$full=false) 
  		{
			$count = 0;
			$id    = 0;
			$res   = array();
			
			/*
			* due to compatibility problems with table we changed the behavior
			* of metadata();
			* depending on $full, metadata returns the following values:
			*
			* - full is false (default):
			* $result[]:
			*   [0]["table"]  table name
			*   [0]["name"]   field name
			*   [0]["type"]   field type
			*   [0]["len"]    field length
			*   [0]["flags"]  field flags
			*
			* - full is true
			* $result[]:
			*   ["num_fields"] number of metadata records
			*   [0]["table"]  table name
			*   [0]["name"]   field name
			*   [0]["type"]   field type
			*   [0]["len"]    field length
			*   [0]["flags"]  field flags
			*   ["meta"][field name]  index of field named "field name"
			*   the last one is used, if you have a field name, but no index.
			*   test:  if (isset($result['meta']['myfield'])) { ...
			*/
			
			// if no $table specified, assume that we are working with a query
			// result
    			
    			if ($table) 
    			{
				$this->connect();
				$id = @mysql_list_fields($this->database, $table);
      				
      				if (!$id)
        				$this->halt("metadata query failed.");
    			} else {
      				$id = $this->query_id; 
      				
      				if (!$id)
        				$this->halt("no query specified.");
    			}
 
			$count = @mysql_num_fields($id);

			// made this if due to performance (one if is faster than $count if's)
    			if (!$full) 
    			{
      				for ($i=0; $i<$count; $i++) 
      				{
					$res[$i]["table"] = @mysql_field_table ($id, $i);
					$res[$i]["name"]  = @mysql_field_name  ($id, $i);
					$res[$i]["type"]  = @mysql_field_type  ($id, $i);
					$res[$i]["len"]   = @mysql_field_len   ($id, $i);
					$res[$i]["flags"] = @mysql_field_flags ($id, $i);
      				}
    			} else { // full
				$res["num_fields"]= $count;
				
				for ($i=0; $i<$count; $i++) 
				{
					$res[$i]["table"] = @mysql_field_table ($id, $i);
					$res[$i]["name"]  = @mysql_field_name  ($id, $i);
					$res[$i]["type"]  = @mysql_field_type  ($id, $i);
					$res[$i]["len"]   = @mysql_field_len   ($id, $i);
					$res[$i]["flags"] = @mysql_field_flags ($id, $i);
					$res["meta"][$res[$i]["name"]] = $i;
      				}
    			}
    
		// free the result only if we were called on a table
		if ($table) @mysql_free_result($id);
			return $res;
  		}

  		/* private: error handling */
  		function halt($msg) 
  		{
			$this->error = @mysql_error($this->link_id);
			$this->errno = @mysql_errno($this->link_id);
    			
    		if ($this->halt_on_error == "no")
      				return false;

			if ($this->halt_on_error == "report")
      		{
      			trigger_error ($this->haltmsg($msg),E_USER_WARNING);
      			return false;
      		}
      			
      		trigger_error ($this->haltmsg($msg),E_USER_ERROR);
  		}

  		function haltmsg($msg) 
  		{
    		/*$output	=	"</td></tr></table><b>database error:</b>".$msg."<br>\n";
    		$output .=	"<b>mysql error</b>: ".$this->errno." (".$this->error.")<br>\n";
            */
			return $msg;
  		}

		function table_names() 
		{
    			$this->query("show tables");
    			$i=0;
    			while ($info=mysql_fetch_row($this->query_id))
     			{
      				$return[$i]	= $info[0];
      				$i++;
     			}
     			   			
   			return $return;
  		}
  		
  		function table_status() 
		{
    			$this->query("show table status");
    			$i=0;
    			while ($info=mysql_fetch_array($this->query_id))
     			{
      				foreach($info as $key => $value)
      				{
      					$x[strtoupper($key)]	= $value;
      				}
      				$return[$i]	= $x;
      				$i++;
     			}
     			   			
   			return $return;
  		}
  		
  		function optimize()
  		{
  			$ok	= true;
  			foreach($this->table_names() as $names)
			{	
				$ok	= $ok & $this->query("OPTIMIZE TABLE ".$names);
			}
			return (bool) $ok;
		}
	}
?>