<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_log extends y_object
	{
		var $active	= false;
		
		function activate($switch = true)
		{
			$this->active	= $switch;
			return $this->active;
		}
		
		function add($alias,$desc,$user = false,$date = false)
		{
			if(!$this->needs("add",1,"setconfig","setdb")) return false;
			
			global	$yrchuser;
			
			if($this->active)
			{
				if($date === false)	$date	= time();
				if($user === false)	$user	= $yrchuser->get_id();
				$alias	= substr(strtoupper($alias),0,10);
				$desc	= addslashes($desc);
			
				return $this->db->squery("LOG_ADD",array($user,$alias,strftime($this->config->get("DB_DATETIMEFORMAT")),$desc));
			}
			return false;
		}
		
		function export($date, $purge = true)
		{			
			$filename	= strftime($this->config->get("LOG_ACTION"),$date);
			
			$fp	= fopen($this->config->get("PATH_ROOT")."/logs/".$filename,"a+");
			if(!$fp)
			{
				trigger_error(sprintf(_("exportation interrompue ! %s n'est pas accessible"),$this->config->get("PATH_ROOT")."/logs/".$filename),E_USER_WARNING);
				return false;
			}
			
			foreach($this->list_operations(false, $date, false, false) as $log)
			{
				$user	= &user_stack($log["USER_ID"]);
			
				fwrite($fp,$this->format($log["LOG_DATE"],$user->get_username(),$user->get_id(),$log["LOG_ALIAS"],$log["LOG_DESC"]));
			}
			fclose($fp);
			
			if($purge ===  true)
			{
				$this->purge($date);
			}
			
			return true;
		}
		
		function count_operations($date1 = false, $date2 = false, $type = false, $user = false)
		{
			if(!$this->needs("count_operations",1,"setconfig","setdb")) return false;
			
			$where	= array();
			$sql	= "";
			
			if($date1 !== false)
				$where[]	= "UNIX_TIMESTAMP(LOG_DATE) >= $date1";
			if($date2 !== false)
				$where[]	= "UNIX_TIMESTAMP(LOG_DATE) <= $date2";
			if($type !== false && !empty($type))
				$where[]	= "LOG_ALIAS = '".addslashes($type)."'";
			if($user !== false && !empty($user))
				$where[]	= "USER_ID = $user";
			
			if(count($where))	$sql .= " WHERE ";
			$sql	.= join(" AND ",$where);			
			
			$this->db->squery("LOG_COLL",array($sql));
						
			return $this->db->num_rows();
		}
		
		function list_operations($date1 = false,$date2 = false,$type = false, $user = false, $index = 0, $limit = false, $orderby = "LOG_DATE", $order = "DESC")
		{
			if(!$this->needs("list_operations",1,"setconfig","setdb")) return false;
			
			$where	= array();
			$sql	= "";
			
			if($date1 !== false)
			{
				$where[]	= "UNIX_TIMESTAMP(LOG_DATE) >= $date1";
			}
			if($date2 !== false)
				$where[]	= "UNIX_TIMESTAMP(LOG_DATE) <= $date2";
			if($type !== false && !empty($type))
				$where[]	= "LOG_ALIAS = '".addslashes($type)."'";
			if($user !== false && !empty($user))
				$where[]	= "USER_ID = $user";
			
			if(count($where))	$sql .= " WHERE ";
			$sql	.= join(" AND ",$where);
	
			$sql	.= " ORDER BY ".$orderby." ".$order;
			
			if($limit !== false)
			{
				if($limit === 0)
					$limit	= $this->config->get("DEF_COUNTPERPAGE");
					
				$sql	.= " LIMIT $index,$limit";
			}
			
			
			$this->db->squery("LOG_COLL",array($sql));
			$list	= array();
			while($this->db->next_record())
			{
				$list[]	= $this->db->record;
			}
			return $list;
		}
		
		function list_alias()
		{
			$this->db->squery("LOG_TYPEENUM");
			
			$list	= array();
			while($this->db->next_record())
			{
				$list[]	= $this->db->f("LOG_ALIAS");
			}
			return $list;
		}
		
		function purge($date)
		{
			$this->db->squery("LOG_PURGE",array($date));
			
			return $this->db->affected_rows();
		}
		
		function format($time,$username,$userid,$alias,$desc)
		{
			return strftime($this->config->get("DEF_DATETIMEFORMAT"),$time)."\t".$username." (".$userid.")"."\t".$alias."\t".$desc."\n";
		}
	}
?>