<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    class y_mailer extends y_ierror
	{
		function mail_template($type ,$datas = array())
		{
			if(!$this->needs("mail_template",1,"setconfig")) return false;	
						
			$template	= new y_layout();
			$lang	= $this->config->get("LANG");
			$this->fill($template);
						
			if(!file_exists($this->config->get("PATH_CURLOCALE")."MAILS/".strtolower($type).".tpl"))
            {
                if(file_exists($this->config->get("PATH_LOCALE")."/".$this->i18n_locale($this->config->get("DEF_LANG"))."/MAILS/".strtolower($type).".tpl"))
                {
                    $lang	= $this->config->get("DEF_LANG");
                }
                else
                {
	            	trigger_error(sprintf(_("Source du message introuvable ! (%s)"),$type),E_USER_ERROR);
	            	
            	}
            }
                       
            $template->set_root($this->config->get("PATH_LOCALE")."/".$this->i18n_locale($lang)."/MAILS/");
			$template->set_unknowns("remove");
            $template->set_file("mail.src",strtolower($type).".tpl");
            
            foreach($datas as $key => $data)
            {
            	$template->set_var($key, $data);
            }
            
            $template->parse("output","mail.src");
            return $template->get("output");
		}
		
		function mail_send($destinataire, $subject, $source, $from = false, $replyto = false)
		{
			if(!$this->needs("mail_send",1,"setconfig")) return false;	
			
			if(trim($subject) == "" || trim($destinataire) == "" || trim($source) == "")
				return false;

			if(!$this->config->get("YRCH_MAIL"))	
			{
				return true;
			}

			//cas d'envoi multiples.
			if(is_array($destinataire))
			{
				$res	= true;
				foreach($destinataire as $dest)
				{
					$res	= $res & $this->mail_send($dest,$subject,$source,$from,$replyto);
				}
				return true;
			}

			if($replyto == false)
			{
				if($from != false)
					$replyto = $from;
				else
					$replyto = $this->config->get("DEF_MAILREPLYTO");
			}
			
			if($from == false)
				$from	= $this->config->get("DEF_MAILFROM");
			
			
			$headers	= array();
			$headers[]	= "From: ".$from;
			$headers[]	= "Reply-To: ".$replyto;
			$headers[]	= "Return-Path: ".$replyto;
			$headers[]	= "X-Mailer: PHP/" . phpversion();
			$headers[]	= "X-Mailer: " . $this->config->get("YRCH_VERSION");
			$headers	= join("\r\n",$headers)."\r\n\r\n";

			//cas d'envoi simple
			return mail($destinataire, $subject, $source, $headers);
			
			return true;
		}
	}
?>