<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_object
	{
		var $db		= false;
		var $config	= false;
		var $chrono	= false;
		var $done	= array();
		
		function y_object()
		{
		
		}
		
		function set_config(&$config)
		{
			$this->done("setconfig");
			$this->config	= &$config;
			return true;
		}
		
		function set_db(&$db)
		{
			$this->done("setdb");
			$this->db		= &$db;
			return true;
		}
		
		function set_chrono(&$chrono)
		{
			$this->done("setchrono");
			$this->chrono		= &$chrono;
			return true;
		}
		
		function set_log(&$log)
		{
			$this->done("setlog");
			$this->log		= &$log;
			return true;
		}
		
		function needs()
		{
			$args	= func_get_args();
			
			$func	= array_shift($args);
			$mode	= array_shift($args);
			
			if(!$func)
			{
				trigger_error(_("needs(), le premier argument (func name) n'est pas prsent !"),E_USER_WARNING);
				return false;
			}
			
			if(!$mode)
			{
				trigger_error(_("needs(), le second argument (mode) n'est pas prsent !"),E_USER_WARNING);
				return false;
			}
			
			$ok	= true;
			
			foreach($args as $arg)
			{
				if(!$this->is_done($arg))
				{
					$ok	= false;
					if($mode & 1)	
					{
						trigger_error(sprintf(_("%s : Impossible d'executer la fonction %s n'a pas encore t effectu !"),$func, $arg), E_USER_WARNING);						
					}
				}
			}
			
			return $ok;
		}
		
		function is_done($action)
		{
			if(isset($this->done[strtoupper($action)]) && $this->done[strtoupper($action)] === true) return true;
			else	return false;
		}
		
		function done($action)
		{
			$this->done[strtoupper($action)]	= true;
			return true;
		}
		
		function undone($action)
		{
			$this->done[strtoupper($action)]	= false;
			return true;
		}
		
		function fill(&$target)
		{
			if(is_subclass_of ($target, "y_object"))
			{
				$a 	= $target->set_config($this->config);
				$b	= $target->set_db($this->db);
				$c	= $target->set_chrono($this->chrono);
				$d	= $target->set_log($this->log);
				
				return $a & $b & $c & $d; 
			}
			
			trigger_error(_("Tentative de transmission de donnes YRCH  un objet non YRCH"),E_USER_WARNING);
			
			return false;
		}
		
		function event($event, $force = false, $time = "")
		{
			if(!$this->needs("event",1,"setchrono")) return false;
			
			return $this->chrono->add_event($event, $force, $time);
		}
		
		function is_hidden()
		{
			if($this->get_status() == "pending" && $this->get_status() == "hidden")	return true;
			else	return false;
		}
		
		function enable($plugin)
		{
			if(!$this->needs("enable",1,"setconfig")) return false;
			$plugin	= strtolower($plugin);
			
			if(file_exists($this->config->get("PATH_ROOT")."/plugins/".$plugin."/plug.inc.php"));
			{
				$this->config->load_file($this->config->get("PATH_ROOT")."/plugins/".$plugin."/config.conf.php");
				
				$path	= $this->config->get("PATH_ROOT")."/plugins/".$plugin."/";
				
				include($this->config->get("PATH_ROOT")."/plugins/".$plugin."/plug.inc.php");
				
				return $plugin;
			}
		}
		
		function deprec($funcname, $reason, $prefer)
		{
			trigger_error(sprintf(_("La fonction %s est dprcie, utilisez dsormais %s<br>%s"),$funcname,$prefer,$reason),E_USER_NOTICE);
		}
		
		function i18n_charset($alias)
		{
			if(!$this->needs("enable",1,"setconfig")) return false;
			
			if($this->config->test("YRCH_I18N"))
			{
				$i18n	= $this->config->get("YRCH_I18N");
				if(is_array($i18n) && isset($i18n[$alias]))
				{
					return 	$i18n[$alias]["CHARSET"];
				}
			}
			return false;
		}
		
		function i18n_locale($alias)
		{
			if(!$this->needs("enable",1,"setconfig")) return false;
			
			if($this->config->test("YRCH_I18N"))
			{
				$i18n	= $this->config->get("YRCH_I18N");
				if(is_array($i18n) && isset($i18n[$alias]["LOCALE"]))
				{
					return 	$i18n[$alias]["LOCALE"];
				}
			}
			return false;
		}
	}
?>