<?php
    /*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_page extends y_identified_object
	{
	    var $url    = false; //url
	    var $site   = false; //identifiant
	    var $cat    = false; //identifiant
	    var $title  = false; //100 char max
	    var $desc  	= false; //serialis
	    var $status = false; //0 => cach; 1=> ok; 
	    
	    function y_page($id = false)
	    {
	    	if($id !== false)
	    		$this->set_id($id);
	    }
	    
	    function set_status($status, $force = false)
	    {
	        $ok = true;
	        
	        if(!$force)
			{
			    if(!in_array($status,array("0","1")))
			    {
			        $this->ierror_add(sprintf(_("'%s' doit avoir une valeur suivante : 0,1."),$status));
					$ok	= false;
			    }
			}
			
			if($ok)
			{
			    $this->done("setstatus");
			    $this->status  = $status;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
	    }
	    
	    function set_title($title, $force = false)
	    {
	    	$ok = true;
			
			if(!$force)
			{
				if(!eregi("^.{5,100}$",$title))
				{
					$this->ierror_add(sprintf(_("'%s' est incorrect, le titre de la page doit mesurer entre 5 et 100 caratres."),$title));
					$ok	= false;
				}
			}
			
			if($ok)
			{
				$this->done("settitle");
				$this->title	= $title;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;	
	    }
	    
	    function set_desc($desc, $force = false)
	    {
	        $ok	= true;
			if($force == false)
			{				
				if(!is_array($desc))	
				{
					$this->ierror_add(_("Les descriptions doivent etre prsente dans un tableau"));
					$ok	= false;	
				}
				
				if($ok)
				{
					$desc2	= array();
					foreach($desc as $key => $val)
						$desc2[strtoupper($key)]	= stripslashes($val);
				
					$string	= serialize($desc2);
					$this->desc	= $string;	
					$this->done("setdesc");
				}

				if(!$this->ierror_ok())	return false;
			}
			else
			{
				$this->desc = $desc;
				$this->done("setdesc");
			}
			return true;
	    }
	    
	    function set_cat($cat, $force = false)
	    {
	        $ok = true;
	        
	        if(!$force)
			{
			    if(!is_numeric($cat))
			    {
			        $this->ierror_add(sprintf(_("'%s' n'est pas un identifiant de catgorie."),$cat));
					$ok	= false;
			    }
			}
			
			if($ok)
			{
			    $this->done("setcat");
			    $this->cat    = $cat;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
	    }
	    
	    function set_site($site, $force = false)
	    {
	        $ok	= true;
	        
	        if(!$force)
			{
			    if(!is_numeric($site))
			    {
			        $this->ierror_add(sprintf(_("'%s' n'est pas un identifiant de site."),$site));
					$ok	= false;
			    }
			}
			
			if($ok)
			{
			    $this->done("setsite");
			    $this->site    = $site;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
	    }
	    
	    function set_url($url, $force = false)
	    {
	        $ok	= true;
			$url	= trim($url);
			
			if(!$force)
			{
				if(!eregi($this->config->get("URL_REGEXP"),$url))
				{
					$this->ierror_add(sprintf(_("'%s' n'est pas une URL correcte."),$url));
					$ok	= false;
				}
			}
			
			//On supprime le "/" en fin d'url
			$url	= preg_replace("|(.*)(/)$|","\\1",$url);
			
			if($ok)
			{
				$this->done("seturl");
				$this->url		= $url;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
	    }
	    
	    function get_desc($lang = false)
		{
			$this->read();
			
			if(!$this->is_done("setdesc"))	
			{				
				return false;
			}
			else
			{
				$desc	= @unserialize($this->desc);
				if(!$desc || !is_array($desc))
					$desc	= array();

				
				if($lang !== false)
				{
					if(isset($desc[strtoupper($lang)]))
					{
						return	$desc[strtoupper($lang)];
					}
					else	return false;
				}
				
				return $desc;
			}
		}
	    
	    function get_title()
	    {
	        $this->read();
			
			if(!$this->is_done("settitle"))	
			{				
				return false;
			}
			else	return $this->title;
	    }
	        
	    function get_url()
	    {
	        $this->read();
			
			if(!$this->is_done("seturl"))	
			{				
				return false;
			}
			else	return $this->url;
	    }
	    
	    function get_status()
	    {
	        $this->read();
			
			if(!$this->is_done("setstatus"))	
			{				
				return false;
			}
			else	return $this->status;
	    }
	    
	    function get_cat($obj = false)
	    {
	        $this->read();
			
			if(!$this->is_done("setcat"))	
			{				
				return false;
			}
			
			if($obj == true)
			{
			    $cat    = new y_cat($this->cat);
			    $this->fill($cat);
			    return $cat;
			}
			else    return $this->cat;
	    }
	    
	    function get_site($obj = false)
	    {
	        $this->read();
			
			if(!$this->is_done("setsite"))	
			{				
				return false;
			}
			
			if($obj == true)
			{
			    $cat    = new y_site($this->site);
			    $this->fill($cat);
			    return $cat;
			}
			else    return $this->site;
	    }
	    
	    function read()
	    {
	        if($this->is_done("read"))	return true;

			if(!$this->needs("read",1,"setconfig","setdb","setid")) return false;
			
			$this->db->squery("PAGE_READ",array($this->get_id()));
			$this->done("read");

			if($this->db->next_record())
			{
			    if(!$this->is_done("settitle"))		$this->set_title($this->db->f("PAGE_TITLE"),true);
			    if(!$this->is_done("setdesc"))		$this->set_desc($this->db->f("PAGE_DESC"),true);
			    if(!$this->is_done("setcat"))		$this->set_cat($this->db->f("CAT_ID"),true);
			    if(!$this->is_done("setsite"))		$this->set_site($this->db->f("SITE_ID"),true);
			    if(!$this->is_done("seturl"))		$this->set_url($this->db->f("PAGE_URL"),true);
			    if(!$this->is_done("setstatus"))	$this->set_status($this->db->f("PAGE_STATUS"),true);
			    
			    return true;
			}

			return false;
	    }
	    
	    function feed($values)
	    {
	        if(!is_array($values))
			{
				return false;
			}
			
			$this->done("read");
			
			if(!$this->is_done("setid"))		$this->set_id($values["SITE_ID"],true);
			if(!$this->is_done("settitle"))		$this->set_title($values["PAGE_TITLE"],true);
			if(!$this->is_done("setdesc"))		$this->set_desc($values["PAGE_DESC"],true);
			if(!$this->is_done("setsite"))		$this->set_site($values["SITE_ID"],true);
			if(!$this->is_done("setcat"))		$this->set_cat($values["CAT_ID"],true);
			if(!$this->is_done("seturl"))		$this->set_url($values["PAGE_URL"],true);
			if(!$this->is_done("setstatus"))	$this->set_status($values["PAGE_STATUS"],true);
			
			return true;
	    }
	    
	    function delete()
	    {
	        if(!$this->ierror_ok())	return false;
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			$this->log->add("PAGEDELETE",sprintf("Suppression de la page \"%s\" (%s)",$this->get_title(),$this->get_id()));
			return $this->db->squery($alias,array($this->get_id()));
	    }
	    
	    function create()
	    {
	        if(!$this->ierror_ok())	return false;
	        
	        if(!$this->needs("create",1,"setconfig","setdb","seturl","settitle","setdesc","setcat","setsite","setstatus")) return false;
		    $id	= $this->db->nextid("SEQ_PAGE");
			$this->set_id($id);
			$this->log->add("PAGECREATE",sprintf("Cration de la page \"%s\" (%s)",$this->get_title(),$this->get_id()));
				
		    return $this->db->squery("PAGE_CREATE",array($this->get_id(),$this->get_site(),$this->get_cat(),addslashes($this->get_url()),addslashes($this->get_title()),addslashes($this->desc),$this->get_status()));
	    }
	    
	    function update()
	    {
	        if(!$this->ierror_ok())	return false;
			if(!$this->needs("create",1,"setconfig","setdb","setid","seturl","settitle","setdesc","setcat","setsite","setstatus")) return false;
			
			$this->log->add("PAGEUPDATE",sprintf("Mise  jour de la page \"%s\" (%s)",$this->get_title(),$this->get_id()));

			return $this->db->squery("PAGE_UPDATE",array($this->get_site(),$this->get_cat(),addslashes($this->get_url()),addslashes($this->get_title()),addslashes($this->desc),$this->get_status(),$this->get_id()));
	    }
	}
?>