<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
	class y_review extends y_identified_object
	{
		var $site_id	= "";
		var $user_id	= "";
		var $note	= "";
		var $text	= "";
		var $datetime 	= "";
		var $status	= "";
		
		function y_review($id = false)
		{
			if($id)	$this->set_id($id);
		}
				
		function get_site($obj = false)
		{
			$this->read();
			
			if(!$this->is_done("setsite"))	
			{				
				return false;
			}
			else
			{
				if(!$obj)
					return $this->site;
				else	
				{
					$site	= new y_site($this->site);
					$this->fill($site);
					return $site;
				}
			}
		}
		
		function get_user($obj = false)
		{
			$this->read();
			
			if(!$this->is_done("setuser"))	
			{				
				return false;
			}
			else
			{
				if(!$obj)
					return $this->user;
				else	
				{
					$user	= new y_user($this->user);
					$this->fill($user);
					return $user;
				}
			}
		}
		
		function get_note()
		{
			$this->read();
			
			if(!$this->is_done("setnote"))	
			{				
				return false;
			}
			else	return $this->note;
		}
		
		function get_text()
		{
			$this->read();
			
			if(!$this->is_done("settext"))	
			{				
				return false;
			}
			else	return $this->text;
		}
		
		function get_status()
		{
			$this->read();
			
			if(!$this->is_done("setstatus"))	
			{				
				return false;
			}
			else	return $this->status;
		}
		
		function get_langue()
		{
			$this->read();
			
			if(!$this->is_done("setlangue"))	
			{				
				return false;
			}
			else	return $this->langue;
		}
		
		function get_datetime($format = false)
		{
			$this->read();
						
			if(!$format)	$format	= $this->config->get("DEF_DATETIMEFORMAT");
					
			if(!$this->is_done("setdatetime"))	
			{				
				return false;
			}
			else	return strftime($format,$this->datetime);
		}
		
		function set_site($site, $force = false)
		{
			$this->done("setsite");
			$this->site	= $site;
		}
		
		function set_user($user, $force = false)
		{
			$this->done("setuser");
			$this->user	= $user;
		}
		
		function set_note($note, $force = false)
		{
			$this->done("setnote");
			$this->note	= $note;
		}
		
		function set_langue($langue, $force = false)
		{
			$this->done("setlangue");
			$this->langue	= $langue;
		}
		
		function set_text($text, $force = false)
		{
			$this->done("settext");
			if(!$force)	$text	= htmlspecialchars($text);
			$this->text	= $text;
		}
		
		function set_status($status, $force = false)
		{
			$this->done("setstatus");
			$this->status	= $status;
		}
		
		function set_datetime($time, $force = false)
		{
			$this->done("setdatetime");
			$this->datetime	= $time;
		}
		
		
		function feed($values)
		{
			if(!is_array($values))
			{
				return false;
			}
			
			$this->done("read");
			
			if(!$this->is_done("setsite"))	
			{
				$this->set_site($values["SITE_ID"],true);
			}
			if(!$this->is_done("setuser"))	
			{
				$this->set_user($values["USER_ID"],true);
			}
			if(!$this->is_done("setnote"))	
			{
				$this->set_note($values["REVIEW_NOTE"],true);
			}
			if(!$this->is_done("settext"))	
			{
				$this->set_text($values["REVIEW_TEXT"],true);
			}
			if(!$this->is_done("setlangue"))	
			{
				$this->set_langue($values["LANG_ID"],true);
			}
			if(!$this->is_done("setdatetime"))	
			{
				$this->set_datetime($values["REVIEW_DATETIME"],true);
			}
			if(!$this->is_done("setstatus"))	
			{
				$this->set_status($values["REVIEW_STATUS"],true);
			}
			return true;
		}
		/**
		
		*/
		
		function read()
		{
			if($this->is_done("read"))	return true;

			if(!$this->needs("read",1,"setconfig","setdb","setid")) return false;
			//ne pas ecraser si dj dfini

			$this->db->squery("REVIEW_READ",array($this->get_id()));
			$this->done("read");
			
			
			if($this->db->next_record())
			{				
				if(!$this->is_done("setsite"))	
				{
					$this->set_site($this->db->f("SITE_ID"),true);
				}
				if(!$this->is_done("setuser"))	
				{
					$this->set_user($this->db->f("USER_ID"),true);
				}
				if(!$this->is_done("setnote"))	
				{
					$this->set_note($this->db->f("REVIEW_NOTE"),true);
				}
				if(!$this->is_done("settext"))	
				{
					$this->set_text($this->db->f("REVIEW_TEXT"),true);
				}
				if(!$this->is_done("setlangue"))	
				{
					$this->set_langue($this->db->f("LANG_ID"),true);
				}
				if(!$this->is_done("setdatetime"))	
				{
					$this->set_datetime($this->db->f("REVIEW_DATETIME"),true);
				}
				if(!$this->is_done("setstatus"))	
				{
					$this->set_status($this->db->f("REVIEW_STATUS"),true);
				}
				return true;	
			}
			return false;
		}
		
		function validate($reason = false)
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			$reason	= trim($reason);
			
			if(!$reason)	$reason	= _("Pas de commentaire");
			
			$user	= $this->get_user(true);
			if($user->userconf_get("DEF_REVIEWWARN"))
			{
				$data	= array("nickname" => $user->get_nickname(), "reason" => $reason, "review" => $this->get_text(), "note" => $this->get_note(), "url" => $this->config->get("YRCH_ROOT")."site.php?id=".$this->get_site());
				$user->mail_send($user->get_email(),_("Validation de votre revue"),$user->mail_template("review_validation",$data));
			}
			$this->log->add("REVIEWVALIDATE",sprintf(_("Validation de la revue de %s (%s)"),$user->get_nickname(),$this->get_id()));
			
			return $this->db->squery("REVIEW_VALIDATE",array($this->get_id()));
		}
		
		function unvalidate($reason = false)
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			$reason	= trim($reason);
			if(!$reason)	$reason	= _("Pas de raison invoque");
			
			$user	= $this->get_user(true);
			if($user->userconf_get("DEF_REVIEWWARN"))
			{
				$data	= array("nickname" => $user->get_nickname(),  "reason" => $reason, "review" => $this->get_text(), "note" => $this->get_note(), "url" => $this->config->get("YRCH_ROOTMY")."review_edit.php?id=".$this->id());
				$user->mail_send($user->get_email(),_("Refus de votre revue"),$user->mail_template("review_rejection",$data));
			}
			
			$this->log->add("REVIEWUNVALIDATE",sprintf(_("Invalidation de la revue de %s (%s)"),$user->get_nickname(),$this->get_id()));
			
			return $this->db->squery("REVIEW_UNVALIDATE",array($this->get_id()));
		}
		
		function delete()
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;		

			return $this->db->squery("REVIEW_DELETE",array($this->get_id()));
		}
		
		function update()
		{
			if(!$this->needs("update",1,"setconfig","setdb","setid","setsite","settext","setuser","setnote","setstatus")) return false;
			
			return $this->db->squery("REVIEW_UPDATE",array($this->get_site(),$this->get_user(),$this->get_note(),addslashes($this->get_text()),strftime($this->config->get("DB_DATETIMEFORMAT")),$this->get_langue(), addslashes($this->get_status()),$this->get_id()));
		}
		
		function create()
		{
			if(!$this->needs("create",1,"setconfig","setdb","setsite","settext","setuser","setnote","setstatus","setuser")) return false;
			
			$id	= $this->db->nextid("SEQ_REV");
			
			$this->set_id($id);
			
			return $this->db->squery("REVIEW_CREATE",array($this->get_id(),$this->get_site(),$this->get_user(),addslashes($this->get_note()),addslashes($this->get_text()),strftime($this->config->get("DB_DATETIMEFORMAT")),$this->get_langue(),$this->get_status()));
		}
		
		// Fonctions lies aux roles
		
		function is_visible()
		{
		    if($this->get_status() == "ok")
		        return true;
		    else    return false;
		}
		
		function next_review($status = false)
		{
			$query	= "SELECT MIN(REVIEW_ID) as REV_ID FROM YRCH_REVIEWS WHERE REVIEW_ID > ".$this->get_id();
			
			if($status)
				$query	.= " AND REVIEW_STATUS = '$status'";
			
			$this->db->query($query);
			if($this->db->next_record())
			{
				return $this->db->f("REV_ID");
			}
			return false;
		}
		
		function prev_review($status = false)
		{
			$query	= "SELECT MAX(REVIEW_ID) as REV_ID FROM YRCH_REVIEWS WHERE REVIEW_ID < ".$this->get_id();
			
			if($status)
				$query	.= " AND REVIEW_STATUS = '$status'";
			
			$this->db->query($query);
			if($this->db->next_record())
			{
				return $this->db->f("REV_ID");
			}
			return false;
		}
	}
?>