<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	//Objets sachant lire les informations globales de YRCH
	class y_reader_object extends y_access
	{	
		var $cache	= array();
		
				
		function user_exists($username)
		{
			if(!$this->needs("user_exists",1,"setconfig","setdb"))	return false;
			
			$this->db->squery("USER_EXISTS",array(addslashes($username)));
			
			if($this->db->next_record())
				return $this->db->f("USER_ID");
			else	return false;
		}
		
		function email_exists($email)
		{
			if(!$this->needs("email_exists",1,"setconfig","setdb"))	return false;
			
			$this->db->squery("EMAIL_EXISTS",array($email));
			
			if($this->db->next_record())
				return $this->db->f("USER_ID");
			else	return false;
		}
		
		function url_exists($url)
		{
			if(!$this->needs("url_exists",1,"setconfig","setdb"))	return false;
			
			$this->db->squery("URL_EXISTS",array(strtolower($url)));
			
			if($this->db->next_record())
				return $this->db->f("SITE_ID");
			else	return false;
		}

		/**
		* Count
		*/
		function count_cat($childof = false, $parentof = false, $visible = true)
		{
			if(!$this->needs("list_cat",1,"setdb","setconfig")) return false;
			
			$req	= "";
			
			if($parentof !== false)
				$req	.= "cat.CAT_ID = catcat.CAT_ID AND catcat.CAT_CHILD = $parentof ";
			else $req	.= "cat.CAT_ID = catcat.CAT_CHILD ";
			
			if($childof !== false)
				 $req	.= "AND catcat.CAT_ID = $childof ";
			
			if($visible == true)
				$req	.= "AND cat.CAT_VISIBLE = '1' ";
			
			
			$this->db->squery("CAT_COUNT",array($req));
			if($this->db->next_record())
			{
				return $this->db->f("COUNT");
			}
			return false;
		}
	
		/**
		Lister toutes les categories  un niveau donne avec condition donnes
		*/
		function list_cat($obj = false, $childof = false, $parentof = false, $visible = true)
		{
			if(!$this->needs("list_cat",1,"setdb","setconfig")) return false;
			
			$list 	= array();
			$req	= "";

			
			if($parentof !== false)
				$req	.= "cat.CAT_ID = catcat.CAT_ID AND catcat.CAT_CHILD = $parentof ";
			else $req	.= "cat.CAT_ID = catcat.CAT_CHILD ";
			
			if($childof !== false)
				 $req	.= "AND catcat.CAT_ID = $childof ";
			
			if($visible == true)
				$req	.= "AND cat.CAT_VISIBLE = '1' ";
			
			
			if($obj)
			{
				$this->db->squery("CAT_COLL",array($this->config->get("LANG"),$req));
				
				while($this->db->next_record())
				{
					$list[$this->db->f("CAT_ID")]	= new y_cat($this->db->f("CAT_ID"));
					$this->fill($list[$this->db->f("CAT_ID")]);
					$list[$this->db->f("CAT_ID")]->feed($this->db->record);
				}
			}
			else
			{
				$this->db->squery("CAT_LIST",array($req));
			
				while($this->db->next_record())
				{
					$list[$this->db->f("CAT_ID")]	= $this->db->f("CAT_ID");
				}
			}
			
			return $list;
		}

		function count_site($catid = false, $status = false, $search = false, $searchmode = "OR", $selection = false, $leecher = false, $down = false, $noreview = false)
		{
			if(!$this->needs("count_site",1,"setdb","setconfig")) return false;
			
			$list 	= array();
			
			$tables	= array("YRCH_SITE sit");
			$param	= array();
			$post	= array();
			$fields	= array("COUNT(sit.SITE_ID) as COUNT");
			$left	= array();
			
			$query 	= "";
			
			if($catid !== false)
			{
				$tables[]	= "YRCH_CATSITE cat";
				$param[] = "cat.SITE_ID = sit.SITE_ID";
				$param[] = "cat.CAT_ID = $catid";
			}
			
			switch($status)
			{
				case "pending"	:
								$param[] = "SITE_STATUS = 'pending'";
								break;
				case "processing"	:
								$param[] = "SITE_STATUS = 'processing'";
								break;
				case "deleteme"	:
								$param[] = "SITE_STATUS = 'deleteme'";
								break;
				case "hidden"	:
								$param[] = "SITE_STATUS = 'hidden'";
								break;
				case "invisible" :
								$param[] = "SITE_STATUS != 'ok'";
								break;
				case "visible"	:
				case "ok"	:
								$param[] = "SITE_STATUS = 'ok'";
								break;
				default	:
								break;
			}
			
			if($selection !== false)
			{
				$param[]	= "SITE_SELECTION = '1'";
			}
			
			if($leecher !== false)
			{
				$param[]	= "SITE_LEECH = '1'";
			}
			
			if($down !== false)
			{
				$param[]	= "UNIX_TIMESTAMP(SITE_DOWN) > 	0";
			}

			if($noreview !== false)
			{
				$left[]		= "YRCH_REVIEWS rev ON rev.SITE_ID = sit.SITE_ID";
				$param[]	= "rev.REVIEW_ID IS NULL";
			}
			
			if($search != false)
			{
				$keywords	= strtolower($search);
				
				$keywords	= str_replace("\\\"","\"",$keywords);
				preg_match_all("|(\"(.*)\")|U",$keywords,$match);
				foreach($match[1] as $x)
				{
					$keywords	= str_replace($x,"",$keywords);
				}				
				
				## convert string into an array
				$keywords	= array_unique(preg_split("|\s+|", $keywords));
				
				foreach($match[2] as $truc)
				{
					if(!empty($truc))
						$keywords[]		= $truc;
				}
				
				$ok	= array();
				foreach($keywords as $kw)
				{
					if(!preg_match("|^[:/<>?=\+\( -]{1,}$|i",$kw) && $kw != "")
					{
						$ok[]	= $kw;
					}
				}				
				
				foreach($ok as $keyword)
				{
					$queries[]	= " (SITE_TITLE LIKE '%".addslashes($keyword)."%' OR SITE_DESC LIKE '%".addslashes($keyword)."%' OR SITE_URL LIKE '%".addslashes($keyword)."%') ";
				}
				$param[]	= join ($searchmode, $queries);
			}				

			$query			= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
			if(count($left))
			{
				$query	.= " LEFT JOIN ".join(", ",$left);
			}
			if(count($param))
			{
				$query	.= " WHERE ".join(" AND ",$param);
			}

			$this->db->query($query);
			if($this->db->next_record())
			{
				return intval($this->db->f("COUNT"));
			}
			
			return false;
		}
		
		function rand_site($obj = false, $catid = false, $limit = 5, $selection = false)
		{
			if(!$this->needs("rand_site",1,"setdb","setconfig")) return false;
			
			return $this->list_site($obj, $catid, "visible", false, "OR", true, false, false, false, 0, $limit, "RAND()");
		}
		
		function list_site($obj = false, $catid = false, $status = false, $search = false, $searchmode = "OR", $selection = false, $leecher = false, $down = false, $noreview = false, $index = false, $limit = false, $orderby = false, $order = "ASC", $tmp = false)
		{
			if(!$this->needs("list_site",1,"setdb","setconfig")) return false;
			
			$list 	= array();
			
			$tables	= array("YRCH_SITE sit");
			$param	= array();
			$post	= array();
			$left	= array();
			if($obj)
			{
				$fields	= array(
							"sit.SITE_ID",
							"sit.USER_ID",
							"sit.SITE_TITLE",
							"sit.SITE_URL",
							"sit.SITE_DESC",
							"UNIX_TIMESTAMP(sit.SITE_ADDED) as SITE_ADDED",
							"UNIX_TIMESTAMP(sit.SITE_UPDATED) as SITE_UPDATED",
							"sit.SITE_HITS",
							"sit.SITE_SELECTION",
							"sit.SITE_STATUS",
							"sit.SITE_BLOCNOTE",
							"sit.SITE_LEECH",
							"UNIX_TIMESTAMP(sit.SITE_DOWN) as SITE_DOWN"
				);
			}
			else
			{
				$fields	= array("sit.SITE_ID");
			}
			
			$query 	= "";
			
			if($catid !== false)
			{
				$tables[]	= "YRCH_CATSITE cat";
				$param[] = "cat.SITE_ID = sit.SITE_ID";
				$param[] = "cat.CAT_ID = $catid";
			}
			
			switch($status)
			{
				case "pending"	:
								$param[] = "SITE_STATUS = 'pending'";
								break;
				case "processing"	:
								$param[] = "SITE_STATUS = 'processing'";
								break;
				case "deleteme"	:
								$param[] = "SITE_STATUS = 'deleteme'";
								break;
				case "hidden"	:
								$param[] = "SITE_STATUS = 'hidden'";
								break;
				case "invisible" :
								$param[] = "SITE_STATUS != 'ok'";
								break;
				case "visible"	:
				case "ok" :
								$param[] = "SITE_STATUS = 'ok'";
								break;
				default :
								break;
			}
			
			if($selection !== false)
			{
				$param[]	= "SITE_SELECTION = '1'";
			}
			
			if($leecher !== false)
			{
				$param[]	= "SITE_LEECH = '1'";
			}
			
			if($down !== false)
			{
				$param[]	= "UNIX_TIMESTAMP(SITE_DOWN) > 	0";
			}

			if($noreview !== false)
			{
				$left[]		= "YRCH_REVIEWS rev ON rev.SITE_ID = sit.SITE_ID";
				$param[]	= "rev.REVIEW_ID IS NULL";
			}
			
			if($search != false)
			{
				$keywords	= strtolower($search);
				
				$keywords	= str_replace("\\\"","\"",$keywords);
				preg_match_all("|(\"(.*)\")|U",$keywords,$match);
				foreach($match[1] as $x)
				{
					$keywords	= str_replace($x,"",$keywords);
				}				
				
				## convert string into an array
				$keywords	= array_unique(preg_split("|\s+|", $keywords));
				
				foreach($match[2] as $truc)
				{
					if(!empty($truc))
						$keywords[]		= $truc;
				}
				
				$ok	= array();
				foreach($keywords as $kw)
				{
					if(!preg_match("|^[:/<>?=\+\( -]{1,}$|i",$kw) && $kw != "")
					{
						$ok[]	= $kw;
					}
				}				
				
				foreach($ok as $keyword)
				{
					$queries[]	= " (SITE_TITLE LIKE '%".addslashes($keyword)."%' OR SITE_DESC LIKE '%".addslashes($keyword)."%' OR SITE_URL LIKE '%".addslashes($keyword)."%') ";
				}
				$param[]	= join ($searchmode, $queries);
			}				

			if($orderby != false)
			{
				$post[]		= "ORDER BY ".$orderby." ".$order;
			}
			else
			{
				$left[]		= "YRCH_SITENOTE note ON note.SITE_ID = sit.SITE_ID ";
				$fields[]	= "AVG(note.REVIEW_NOTE) as NOTATION";
				$fields[]	= "COUNT(note.REVIEW_NOTE) as COUNT";
				$post[]		= "GROUP BY sit.SITE_ID";
				$post[]		= "ORDER BY sit.SITE_SELECTION DESC, sit.SITE_LEECH ASC, sit.SITE_DOWN ASC, NOTATION DESC, COUNT DESC, sit.SITE_TITLE ASC";
			}
			
			if($limit > 0) 	
				$post[]		= " LIMIT ".intval($index).", ".$limit;
			
			$query			= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
			if(count($left))
			{
				$query	.= " LEFT JOIN ".join(", ",$left);
			}
			if(count($param))
			{
				$query	.= " WHERE ".join(" AND ",$param);
			}
			
			$query			.= " ".join(" ",$post);
			
			if($tmp === true)
			{
				trigger_error("Le support des sites tempo est rompu",E_USER_WARNING);	
			}

			if($obj)
			{
				/*	$alias	= "SITE_COLL";
				else $alias	= "SITE_TMP_COLL";*/
				
				$this->db->query($query);
			
				while($this->db->next_record())
				{
					$list[$this->db->f("SITE_ID")]	= new y_site($this->db->f("SITE_ID"));
					$this->fill($list[$this->db->f("SITE_ID")]);
					$list[$this->db->f("SITE_ID")]->feed($this->db->record);
				}
			}
			else
			{			
				/*if($tmp == false)	$alias	= "SITE_LIST";
				else $alias	= "SITE_TMP_LIST";*/
				
				$this->db->query($query);
			
				while($this->db->next_record())
				{
					$list[$this->db->f("SITE_ID")]	= $this->db->f("SITE_ID");
				}
			}
					
			return $list;
		}
		//selection, visites abs, visites semaine/mois, popularit, des webmasters etc...
				
		function top_site($obj = true, $mode = "pop", $catid = false, $role = false, $status = 'ok', $limit = 5, $order = "DESC")
		{
			if(!$this->needs("top_site",1,"setdb","setconfig")) return false;
			
			$tables	= array("YRCH_SITE sit");
			$fields	= array("sit.SITE_ID");
			$clause	= array();
			$knownuser	= false;
			
			switch($mode)
			{
				//Depuis son existence
				case "abshit" :	$fields[]	= "sit.SITE_HITS as VALUE";
								$knownuser	= false;
								break;
				//Depuis son existence
				case "updated" :$fields[]	= "UNIX_TIMESTAMP(sit.SITE_UPDATED) as VALUE";
				                $clause[]	= "sit.SITE_UPDATED > DATE_ADD(sit.SITE_ADDED, INTERVAL 2 DAY)";
								$knownuser	= false;
								break;
				//Depuis son existence
				case "added" :	$fields[]	= "UNIX_TIMESTAMP(sit.SITE_ADDED) as VALUE";
								$knownuser	= false;
								break;
				//Lors de la dernire priode
				case "hit": 	$knownuser	= "hit";
								$tables[]	= "YRCH_HITS hit";
								$fields[]	= "COUNT(hit.HIT_ID) as VALUE";
								$clause[]	= "hit.SITE_ID = sit.SITE_ID";
								break;
				//Lors de la dernire priode
				case "hittoday": 	
								$knownuser	= "hit";
								$time		= strftime($this->config->get("DB_DATETIMEFORMAT"),(time() - (24*60*60)));
								$tables[]	= "YRCH_HITS hit";
								$fields[]	= "COUNT(hit.HIT_ID) as VALUE";
								$clause[]	= "hit.SITE_ID = sit.SITE_ID";
								$clause[]	= "hit.HIT_TIME > '$time'";
								break;
				case "hitweek": 	
								$knownuser	= "hit";
								$time		= strftime($this->config->get("DB_DATETIMEFORMAT"),(time() - (7*24*60*60)));
								$tables[]	= "YRCH_HITS hit";
								$fields[]	= "COUNT(hit.HIT_ID) as VALUE";
								$clause[]	= "hit.SITE_ID = sit.SITE_ID";
								$clause[]	= "hit.HIT_TIME > '$time'";
								break;
				case "hitmonth": 	
								$knownuser	= "hit";
								$time		= strftime($this->config->get("DB_DATETIMEFORMAT"),(time() - (30*24*60*60)));
								$tables[]	= "YRCH_HITS hit";
								$fields[]	= "COUNT(hit.HIT_ID) as VALUE";
								$clause[]	= "hit.SITE_ID = sit.SITE_ID";
								$clause[]	= "hit.HIT_TIME > '$time'";
								break;
				case "hityesterday": 	
								$knownuser	= "hit";
								$time	= strftime($this->config->get("DB_DATETIMEFORMAT"),(time() - (24*60*60)));
								$time2	= strftime($this->config->get("DB_DATETIMEFORMAT"),(time() - (48*60*60)));
								$tables[]	= "YRCH_HITS hit";
								$fields[]	= "COUNT(hit.HIT_ID) as VALUE";
								$clause[]	= "hit.SITE_ID = sit.SITE_ID";
								$clause[]	= "hit.HIT_TIME >= '$time2'";
								$clause[]	= "hit.HIT_TIME < '$time'";
								break;
				//Popularit du site (note)
				case "pop"	: 	
				default	:
								$knownuser	= "sno";
								$tables[]	= "YRCH_SITENOTE sno";
								$fields[]	= "ROUND(AVG(sno.REVIEW_NOTE),2) as VALUE";
								$clause[]	= "sno.SITE_ID = sit.SITE_ID";
								break;
			}
			
			if($catid != false)
			{
				$tables[]	= "YRCH_CATSITE cat";
				$clause[]	= "cat.SITE_ID = sit.SITE_ID";
				$clause[]	= "cat.CAT_ID = ".$catid;
			}
			
			if($status != false)
			{
				$clause[]	= "sit.SITE_STATUS = '".addslashes($status)."'";	
			}
			
			//knownuser doit correspondre  la table  joindre, la table doit possder un champs USER_ID
			if($knownuser !== false && $role !== false)
			{				
				$tables[]	= "YRCH_PROFILUSER pro";
				$clause[]	= "pro.USER_ID = $knownuser.USER_ID";
				$clause[]	= "pro.PROFIL_ID = ".$this->role_alias2id($role);
			}	
			
			$query	= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
			if(count($clause) > 0)
				$query	.= " WHERE ".join(" AND ",$clause);
			$query	.= " GROUP BY SITE_ID ORDER BY VALUE ".$order." LIMIT ".$limit;
			
			$list	= array();
			$this->db->query($query);
			
			while($this->db->next_record())
			{
				if($obj)
				{
					$list[]	= array("SITE"	=> new y_site($this->db->f("SITE_ID")), "VALUE" => $this->db->f("VALUE"));
					$this->fill($list[$this->db->f("SITE_ID")]);
				}
				else
					$list[]	= array("SITE"	=> $this->db->f("SITE_ID"), "VALUE" => $this->db->f("VALUE"));
			}
			
			return $list;
		}

		function list_reviews($obj = false, $site = false, $user = false, $lang = false, $status = false, $search = false, $index = false, $limit = 10, $orderby = "REVIEW_DATETIME", $order = "DESC")
		{
			if(!$this->needs("list_reviews",1,"setdb","setconfig")) return false;
			
			$clause	= array();
			$more	= "";
			
			if($site != false)
				$clause[]	= " rev.SITE_ID = $site ";
						
			if($user != false)
			{
				if(is_numeric($user))
				{
					$clause[]	= " rev.USER_ID = $user ";
				}
				elseif($user == "owner")
				{
					$clause[]	= " rev.USER_ID = sit.USER_ID AND rev.SITE_ID = sit.SITE_ID";
					$more	= ", YRCH_SITE sit";
				}
				elseif($user == "moderator")
				{
					$clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("moderator")." AND sit.USER_ID != rev.USER_ID AND sit.SITE_ID = rev.SITE_ID ";
					$more	= ", YRCH_PROFILUSER pru, YRCH_SITE sit";	
				}
				elseif($user == "visitor")
				{
					$clause[]	= $clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("visitor");
					$more	.= ", YRCH_PROFILUSER pru";	
				}
				elseif($user == "admin")
				{
					$clause[]	= $clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("admin");
					$more	.= ", YRCH_PROFILUSER pru";	
				}
			}
						
			if($lang != false)
				$clause[]	= " rev.LANG_ID = $lang ";
				
		    if($search != false)
				$clause[]	= " rev.REVIEW_TEXT LIKE '%".addslashes($search)."%'";
			
			switch(strtolower($status))
			{
			    case "pending"  :      $clause[]	= " rev.REVIEW_STATUS = 'pending' ";
			                            break;
			    case "rejected"  :     $clause[]	= " rev.REVIEW_STATUS = 'rejected' ";
			                            break;
			    case "ok"		:
			    case "visible"  :      $clause[]	= " rev.REVIEW_STATUS = 'ok' ";
			                            break;
			    default:
			}
			
			if(count($clause) > 0)
			    $clause	= $more." WHERE ".join(" AND ",$clause);
			else    $clause = "";
						
			$clause	.= " ORDER BY $orderby $order ";
			
			if($index	!== false)
			{
				$clause	.= " LIMIT $index, $limit";
			}
			
			$list	= array();
			if($obj == true)
				$alias	= "REVIEW_COLL";
			else $alias	= "REVIEW_LIST";

			$this->db->squery($alias,array($clause));
			while($this->db->next_record())
			{
				if($obj == true)
				{
					$list[$this->db->f("REVIEW_ID")]	= new y_review($this->db->f("REVIEW_ID"));
					$this->fill($list[$this->db->f("REVIEW_ID")]);
					$list[$this->db->f("REVIEW_ID")]->feed($this->db->record);
				}
				else
				{
					$list[]	= $this->db->f("REVIEW_ID");
				}
			}

			return $list;
		}
	
	    function count_reviews($site = false, $user = false, $lang = false, $status = false, $search = false, $datetime1 = false, $datetime2 = false)
		{
			if(!$this->needs("list_reviews",1,"setdb","setconfig")) return false;
			
			$clause	= array();
			$more	= "";
			$post	= "";
			
			if($site != false)
				$clause[]	= " rev.SITE_ID = $site ";
			
			if($user != false)
			{
				if(is_numeric($user))
				{
					$clause[]	= " rev.USER_ID = $user ";
				}
				elseif($user == "owner")
				{
					$clause[]	= " rev.USER_ID = sit.USER_ID AND rev.SITE_ID = sit.SITE_ID";
					$more	= ", YRCH_SITE sit";
				}
				elseif($user == "moderator")
				{
					$clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("moderator")." AND sit.USER_ID != rev.USER_ID AND sit.SITE_ID = rev.SITE_ID ";
					$more	= ", YRCH_PROFILUSER pru, YRCH_SITE sit";	
				}
				elseif($user == "visitor")
				{
					$clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("visitor");
					$more	.= ", YRCH_PROFILUSER pru";	
				}
				elseif($user == "admin")
				{
					$clause[]	= " rev.USER_ID = pru.USER_ID AND pru.PROFIL_ID = ".$this->role_alias2id("admin");
					$more	.= ", YRCH_PROFILUSER pru";	
				}
			}

			if($datetime1)
			{
				$clause[]	= " rev.REVIEW_DATETIME >= FROM_UNIXTIME(".$datetime1.")";
				if($datetime2)
				{
					$clause[]	= " rev.REVIEW_DATETIME < FROM_UNIXTIME(".$datetime2.")";
				}
			}
			
			if($lang != false)
				$clause[]	= " rev.LANG_ID = $lang ";
			
				
		    if($search != false)
				$clause[]	= " rev.REVIEW_TEXT LIKE '%".addslashes($search)."%'";
			
			
			switch(strtolower($status))
			{
			    case "pending"  :      $clause[]	= " rev.REVIEW_STATUS = 'pending' ";
			                            break;
			    case "rejected"  :     $clause[]	= " rev.REVIEW_STATUS = 'rejected' ";
			                            break;
			    case "visible"  :      $clause[]	= " rev.REVIEW_STATUS = 'ok' ";
			                            break;
			    default:
			}
			
			if(count($clause) > 0)
			    $clause	= $more." WHERE ".join(" AND ",$clause);
			else    $clause = "";
			$clause	.= $post;

			$this->db->squery("REVIEW_LIST",array($clause));
			
			return $this->db->num_rows();
		}

		function list_dustyusers($obj = false, $ttl = false)
		{
			if(!$this->needs("list_dustyusers",1,"setdb","setconfig")) return false;
			
			$list 	= array();
			
			if($ttl === false)	$ttl	= $this->config->get("MAX_PENDINGTIME");
			
			$this->db->squery("USER_SPOTDUSTY",array($ttl, "pending"));
			
			while($this->db->next_record())
			{
				if($obj)
				{
					$list[$this->db->f("USER_ID")]	= new y_user($this->db->f("USER_ID"));
					$this->fill($list[$this->db->f("USER_ID")]);
				}
				else
					$list[$this->db->f("USER_ID")]	= $this->db->f("USER_ID");
			}
			
			return $list;
		}
		
		function list_user($obj = false, $mode = "visible", $search = false, $role =  false, $index = 0, $limit = 0, $orderby = "USER_NAME", $order = "ASC", $extra = "")
		{
			if(!$this->needs("list_user",1,"setdb","setconfig")) return false;

			$tables	= array("YRCH_USER user");
			$clause	= array();
			$post	= array();
			
			switch(strtolower($mode))
			{
				case "locked" :
							$clause[]	= "user.USER_STATUS = 'locked'";
							break;
				case "pending" :
							$clause[]	= "user.USER_STATUS = 'pending'";
							break;
				case "all"	:
							break;
				case "invisible" :
							$clause[]	= "user.USER_STATUS != 'ok'";
							break;
				case "visible"	:
				default	:
							$clause[]	= "user.USER_STATUS = 'ok'";	
			}
			
			if($role !== false)
			{
				if(!is_array($role))
				{
					$x	= $role;
					$role	= array($x);
					unset($x);
				}
								
				//$tables[]	= "YRCH_ROLES as role";
				$tables[]	= "YRCH_PROFILUSER as roleuser";
				$clause[]	= "user.USER_ID = roleuser.USER_ID";
				$x	= array();
				foreach($role as $rol)
				{
					$x[]	= "roleuser.PROFIL_ID = ".$this->role_alias2id($rol);
				}
				$clause[]	= "(".join(" OR ",$x).")";
			}
			
			if($search)
			{
				$search	= "%".$search."%";
				$clause[]	= "(user.USER_NAME LIKE '$search' OR user.USER_NICK LIKE '$search' OR user.USER_EMAIL LIKE '$search') ";
			}
			
			if($obj)
			{
				$fields	= array(
								"user.USER_ID",
								"user.USER_NAME",
								"user.USER_PASS",
								"user.USER_NICK",
								"user.USER_EMAIL",
								"UNIX_TIMESTAMP(user.USER_ADDED) as USER_ADDED",
								"UNIX_TIMESTAMP(user.USER_UPDATED) as USER_UPDATED",
								"user.USER_STATUS"
				);
			}
			else
			{
				$fields	= array("user.USER_ID");	
			}
			
			$post[]		= " ORDER BY ".$orderby." ".$order;
			if($limit > 0) 	$post[]	= "LIMIT ".strval($index).", ".$limit;			
			
			$query	= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
			if(count($clause))	$query	.= " WHERE ".join(" AND ",$clause);
			$query	.= join(" ",$post);
			
			$list 	= array();
			
			if($obj)
			{			
				$this->db->query($query);
			
				while($this->db->next_record())
				{
				
					$list[$this->db->f("USER_ID")]	= new y_user($this->db->f("USER_ID"));
					$this->fill($list[$this->db->f("USER_ID")]);
					$list[$this->db->f("USER_ID")]->feed($this->db->record);
				}
			}
			else
			{
				$this->db->query($query);
			
				while($this->db->next_record())
				{
					$list[$this->db->f("USER_ID")]	= $this->db->f("USER_ID");
				}
			}
			
			return $list;
		}
		
		function count_user($mode = "visible",$search = false, $role = false)
		{
			if(!$this->needs("count_user",1,"setdb","setconfig")) return false;
			
			$tables	= array("YRCH_USER user");
			$fields	= array("user.USER_ID");
			$clause	= array();
			
			switch(strtolower($mode))
			{
				case "locked" :
							$clause[]	= "user.USER_STATUS = 'locked'";
							break;
				case "pending" :
							$clause[]	= "user.USER_STATUS = 'pending'";
							break;
				case "all"	:
							break;
				case "invisible" :
							$clause[]	= "user.USER_STATUS != 'ok'";
							break;
				case "visible"	:
				default	:
							$clause[]	= "user.USER_STATUS = 'ok'";	
			}
			
			if($role !== false)
			{
				if(!is_array($role))
				{
					$x	= $role;
					$role	= array($x);
					unset($x);
				}
			
				$tables[]	= "YRCH_PROFILUSER as roleuser";
				$clause[]	= "user.USER_ID = roleuser.USER_ID";
				$x	= array();
				foreach($role as $rol)
				{
					$x[]	= "roleuser.PROFIL_ID = ".$this->role_alias2id($rol);
				}
				$clause[]	= "(".join(" OR ",$x).")";
			}
			
			if($search)
			{
				$search	= "%".$search."%";
				$clause[]	= "(user.USER_NAME LIKE '$search' OR user.USER_NICK LIKE '$search' OR user.USER_EMAIL LIKE '$search') ";
			}
			
							
			$query	= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
			if(count($clause))	$query	.= " WHERE ".join(" AND ",$clause);
			
			$this->db->query($query);
			
			return $this->db->num_rows();
		}
		
		function list_countries($lang = "FR", $orderby = "LIB")
		{
			if(!$this->needs("list_countries",1,"setdb","setconfig")) return false;
			
			switch(strtoupper($lang))
			{
				case "EN"	: 	$field	= "COUNTRY_EN"; 
								break;
				case "FR"	:
				default	:									
								$field = "COUNTRY_FR";
			}
		
			if($orderby == "LIB")	$orderby = $field;
			
			$list	= array();
			$this->db->squery("COUNTRY_COLL",array($field, $orderby));
			
			while($this->db->next_record())
			{
				$list[$this->db->f("COUNTRY_ID")]	= array("CODE" => $this->db->f("COUNTRY_CODE"), "LIB" => $this->db->f($field), "FLAG" => $this->db->f("COUNTRY_FLAG"));
			}
			
			return $list;
		}
		
		function list_langs($mode = false, $lang = "FR", $orderby = "LIB")
		{
			if(!$this->needs("list_langs",1,"setdb","setconfig")) return false;
			
			switch(strtoupper($mode))
			{
				case "YRCH"	:	$mode	= " WHERE LANG_YRCH = '1'"; break;
				case "MASTER":	$mode	= " WHERE LANG_MASTER = '1'"; break;
				default:
								$mode	= "";
			}
			
			switch(strtoupper($lang))
			{
				case "EN"	: 	$field	= "LANG_EN"; 
								break;
				case "FR"	:
				default	:									
								$field = "LANG_FR";
			}
			
			if($orderby == "LIB")	$orderby = $field;
			$list	= array();
			$this->db->squery("LANG_COLL",array($field, $mode, $orderby));
			
			while($this->db->next_record())
			{
				$list[$this->db->f("LANG_ID")]	= array("CODE" => $this->db->f("LANG_CODE"), "LIB" => $this->db->f($field), "FLAG" => $this->db->f("LANG_FLAG"), "MASTER" => (bool) $this->db->f("LANG_MASTER"), "YRCH" => (bool) $this->db->f("LANG_YRCH"));
			}
			return $list;
		}
		
		function count_page($site = false, $cat = false, $status = false)
		{
			
		}
		
		function list_page($obj = false, $site = false, $cat = false, $status = false, $index = 0, $limit = 0, $orderby = "PAGE_TITLE", $order = "ASC")
		{
			if(!$this->needs("list_page",1,"setdb","setconfig")) return false;
			
			$list = array();
			
			$param	= array();
			$fields	= array();
			$post	= array();
			$tables	= array("YRCH_PAGE page");
			
			if($obj !== false)
			{
				$fields[]	= "page.PAGE_ID";
				$fields[]	= "page.CAT_ID";
				$fields[]	= "page.SITE_ID";
				$fields[]	= "page.PAGE_URL";
				$fields[]	= "page.PAGE_TITLE";
				$fields[]	= "page.PAGE_DESC";
				$fields[]	= "page.PAGE_STATUS";
			}
			else $fields[]	= "page.PAGE_ID";
			
			if($site !== false)
			{
				$param[]	= "page.SITE_ID = ".$site;
			}
			
			if($cat !== false)
			{
				$param[]	= "page.CAT_ID = ".$cat;
			}
						
			if($status !== false)
			{
				switch($status)
				{
					case "all"	: 
									break;
					case 0		:	
					case "invisible" :
					case "hidden" :
								$param[]	= "page.PAGE_STATUS = '0'";
								break;
					case 1		:	
					case "visible" :
					default 	:
								$param[]	= "page.PAGE_STATUS = '1'";
								break;
				}
			}
			
			if($orderby != false)
			{
				$post[]		= "ORDER BY ".$orderby." ".$order;
			}
						
			if($limit > 0) 	
				$post[]		= " LIMIT ".intval($index).", ".$limit;
			
			$query			= "SELECT ".join(", ",$fields)." FROM ".join(", ",$tables);
		
			if(count($param))
			{
				$query	.= " WHERE ".join(" AND ",$param);
			}
		
			if(count($post))
			{
				$query			.= " ".join(" ",$post);	
			}
			
			if($obj)
			{
				$this->db->query($query);
			
				while($this->db->next_record())
				{
					$list[$this->db->f("PAGE_ID")]	= new y_page($this->db->f("PAGE_ID"));
					$this->fill($list[$this->db->f("PAGE_ID")]);
					$list[$this->db->f("PAGE_ID")]->feed($this->db->record);
				}
			}
			else
			{							
				$this->db->query($query);
			
				while($this->db->next_record())
				{
					$list[$this->db->f("PAGE_ID")]	= $this->db->f("PAGE_ID");
				}
			}
			return $list;
		}
		
		function count_hits($site = false, $user = false, $time1 = false, $time2 = false, $ip = false, $domain = false)
		{
			$sql	= $this->sql_hits(array("COUNT(HIT_ID) as COUNT"), $site, $user, $time1, $time2, $ip, $domain);
			
			$this->db->query($sql);
			if($this->db->next_record())
			{
				return $this->db->f("COUNT");
			}
			return false;
		}
		
		function list_hits($site = false, $user = false, $time1 = false, $time2 = false, $ip = false, $domain = false)
		{
			
		}
		
		function sql_hits($fields = array("*"), $site = false, $user = false, $time1 = false, $time2 = false, $ip = false, $domain = false)
		{
			 $where	= array();
			 $sql	= "SELECT ".join(", ",$fields)." from YRCH_HITS";
			 
			 if($site)
			 	$where[]	= "SITE_ID = ".$site;
			 if($user)
			 	$where[]	= "USER_ID = ".$user;
			 if($ip)
			 	$where[]	= "HIT_IP = ".$ip;
			 if($domain)
			 	$where[]	= "HIT_RESOLV REGEXP '\.".$this->db->addslashes($domain)."$' = 1";
			 if($time1)
			 	$where[]	= "HIT_TIME >= FROM_UNIXTIME($time1)";
			 if($time2)
			 	$where[]	= "HIT_TIME < FROM_UNIXTIME($time2)";
			 
			 if(count($where))
			 {
			 	$sql	.= " WHERE ".join(" AND ",$where);	
			 }
			 
			 return $sql;
		}
		
		function list_themes()
		{
			if(!$this->needs("list_themes",1,"setconfig")) return false;
			
			$themes	= array();
			$dir	= $this->config->get("PATH_ROOT")."/templates/";
			$handle	= opendir($dir);
			while ($file = readdir($handle)) 
			{
				if($file != "." && $file != ".." && is_dir($dir.$file))
				{
					$themes[$file]	= $file;
				}
			}
  	
  			return $themes;
		}
	}
?>