<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    class y_security extends y_object
	{
		function secu_antiflood($mode = "all", $fatal = true, $time = false)
		{
			if(!isset($_SESSION["YRCH_ANTIFLOOD"]))	return true;
			
			if($time === false)	$time	= $this->config->get("YRCH_FLOODINTERVAL");
			
			$control	= false;
			switch(strtolower($mode))
			{
				case "post"	:	
								$control	= $this->secu_flood_control("POST",$time);
								break;
				case "get"	:
								$control	= $this->secu_flood_control("GET",$time);
								break;
				case "none"	:
				case false	:
				case ""		:
								$control	= true;
								break;
				case "all"	: 
				default		:
								$control	= (bool) ($this->secu_flood_control("POST",$time) & $this->secu_flood_control("GET",$time));
								break;
			}
			
			if(!$control)
			{
				if($fatal)
				{
					trigger_error(_("Tentative de repostage du formulaire trop rapide !"),E_USER_ERROR);
				}
				return false;
			}
			
			return true;
		}
		
		function secu_flood_control($method,$time)
		{
			$method	= strtoupper($method);
			
			switch($method)
			{
				case "POST"	:
						$tab	= $_POST;
						break;
				case "GET" :
						$tab	= $_GET;
						break;
				default:
						return false;
			}
			
			if(count($tab) === 0)	
			{
				$md5	= md5(serialize($tab));
			
				if($md5 == $_SESSION["YRCH_ANTIFLOOD"][$method])
				{
					$interval	= time() - $_SESSION["YRCH_ANTIFLOOD"]["TIME"];
	
					if($interval < $time)
					{
						return false;
					}
				}
			}
			
			return true;
		}
		
		function secu_setcookie($name, $value, $ttl, $domain = false)
		{
			if(!$this->needs("secu_setcookie",1,"setconfig")) return false;	
			
			if($domain === false)
			{
				if(is_array($this->config->get("AUTH_COOKIE_DOMAIN")))
				{
					foreach($this->config->get("AUTH_COOKIE_DOMAIN") as $domain)
					{
						$this->secu_setcookie($name, $value, $ttl, $domain);
					}	
				}
				else	$domain	= 	$this->config->get("AUTH_COOKIE_DOMAIN");
			}
			
			return setcookie($name, $value ,$ttl ,'/' ,$domain ,0);
		}
	}
?>