<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class y_site extends y_identified_object
	{	
		var	$objtype= "sit";
		var	$added	= 0;
		var	$updated= 0;
		var $owner	= "";
		var	$title	= "";
		var	$status	= "";
		var	$url	= "";
		var	$blocnote= "";
		var	$desc	= array();
		var $selection= "";
		var $down	= false;
		var $leech	= false;
		var	$hit	= 0;
		var	$temp	= false;
		
		function y_site($id = false,$temp = false)
		{
			if($id !== false)		$this->set_id($id);
			if($temp !== false)		$this->temp	= true;
		}
		
		function set_title($title, $force = false)
		{
			$ok = true;
			
			if(!$force)
			{
				if(!eregi("^.{5,200}$",$title))
				{
					$this->ierror_add(sprintf(_("'%s' est incorrect, le titre du site doit mesurer entre 5 et 200 caratres."),$title));
					$ok	= false;
				}
				$title	= htmlspecialchars($title);
			}
			
			if($ok)
			{
				$this->done("settitle");
				$this->title	= $title;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
		}
		
		function set_bloc($bloc)
		{
			$this->done("setbloc");
			$this->blocnote	= $bloc;
		}
		
		function set_url($url, $force = false)
		{
			$ok	= true;
			$url	= trim($url);
			
			if(!$force)
			{
				if(!eregi($this->config->get("URL_REGEXP"),$url))
				{
					$this->ierror_add(sprintf(_("'%s' n'est pas une URL correcte."),$url));
					$ok	= false;
				}
			}
			
			//On supprime le "/" en fin d'url
			$url	= preg_replace("|(.*)(/)$|","\\1",$url);
			
			if($ok)
			{
				$this->done("seturl");
				$this->url		= $url;
			}
			
			if(!$this->ierror_ok())	return false;
			
			return true;
		}
		
		function set_status($status, $force = false)
		{
			$ok	= true;
			if(!$force)
			{
				$liste	= array("hidden", "pending", "ok", "deleteme", "processing");
				if(!in_array(strtolower($status), $liste))
				{
					$this->ierror_add(sprintf(_("'%s' n'est pas un statut correct ! [%s]"),$status,join(",",$liste)));
					$ok	= false;
				}
			}
						
			if($ok)
			{
				$this->done("setstatus");
				$this->status	= $status;
			}
			
			if(!$this->ierror_ok())	return false;		
			
			return true;
		}
		
		function set_added($added)
		{
			$this->done("setadded");
			$this->added	= $added;
		}
		
		function set_updated($updated)
		{
			$this->done("setupdated");
			$this->updated	= $updated;
		}
	
		function set_desc($desc,$force = false)
		{
			$ok	= true;
			if($force == false)
			{				
				if(!is_array($desc))	
				{
					$this->ierror_add(_("Les descriptions doivent etre prsente dans un tableau"));
					$ok	= false;	
				}
				
				if($ok)
				{
					$desc2	= array();
					foreach($desc as $key => $val)
						$desc2[strtoupper($key)]	= stripslashes(htmlspecialchars($val));
				
					$string	= serialize($desc2);
					$this->desc	= $string;	
					$this->done("setdesc");
				}

				if(!$this->ierror_ok())	return false;
			}
			else
			{
				$this->desc = $desc;
				$this->done("setdesc");
			}
			return true;
		}
		
		function set_owner($id)
		{
			if(!is_numeric($id) || $id == 0)	
			{
				$this->ierror_add(_("L'identifiant du propritaire n'est pas numrique"));
				$ok	= false;	
			}
			
			$this->done("setowner");
			$this->owner		= $id;	
		}
		
		function set_hit($hit,$force = false)
		{
			$ok	= true;
			if(!$force)
			{
				if(!is_numeric($hit) || $hit < 0)
				{
					$this->ierror_add(sprintf(_("'%s' n'est pas un nombre de hit correct."),$hit));
					$ok = false;
				}
			}
			
			if($ok)
			{
				$this->done("sethit");
				$this->hit		= $hit;
			}
			if(!$this->ierror_ok())	return false;		
			
			return true;
		}
		
		function set_selection($selection, $force = false)
		{
			$selection  = intval($selection);
			$ok	= true;
			if(!$force)
			{
				if(!in_array($selection,array(0,1)))
				{
					$this->ierror_add(sprintf(_("'%s' doit etre egal  1 ou 0."),$selection));
					$ok	= false;
				}
			}
			
			if($ok)
			{
				$this->done("setselection");
				$this->selection	= (bool)$selection;		
			}
			
			if(!$this->ierror_ok())	return false;		
			
			return true;
		}
		
		function set_down($downtime, $force = false)
		{
			$this->done("setdown");
			$this->down	= $downtime;
		}
		
		function set_leech($leech, $force = false)
		{
			$ok	= true;
			if(!$force)
			{
				if(!in_array($leech,array(0,1)))
				{
					$this->ierror_add(sprintf(_("'%s' doit etre egal  1 ou 0."),$leech));
					$ok	= false;
				}
			}
			
			if($ok)
			{
				$this->done("setleech");
				$this->leech	= (bool)$leech;		
			}
			
			if(!$this->ierror_ok())	return false;		
			
			return true;
		}
		
		function get_title()
		{
			$this->read();
			
			if(!$this->is_done("settitle"))	
			{				
				return false;
			}
			else	return $this->title;
		}
		
		function get_selection()
		{
			$this->read();
			
			if(!$this->done("setselection"))
			{
				return false;
			}
			else	return (bool)	$this->selection;	
		}
		
		function get_leech()
		{
			$this->read();
			
			if(!$this->done("setleech"))
			{
				return false;
			}
			else	return (bool)	$this->leech;	
		}
		
		function get_url()
		{
			$this->read();
			
			if(!$this->is_done("seturl"))	
			{				
				return false;
			}
			else	return $this->url;
		}
		
		function get_status()
		{
			$this->read();
			
			if(!$this->is_done("setstatus"))	
			{				
				return false;
			}
			else	return $this->status;
		}
		
		
		function get_bloc()
		{
			$this->read();
			
			if(!$this->is_done("setbloc"))	
			{				
				return false;
			}
			else	return $this->blocnote;
		}
		
		function get_desc($lang = false)
		{
			$this->read();

			if(!$this->is_done("setdesc"))	
			{				
				return false;
			}
			else
			{
				$desc	= @unserialize($this->desc);

				if(!$desc || !is_array($desc))
					$desc	= array();

				if($lang !== false)
				{
					if(isset($desc[strtoupper($lang)]))
					{
						return	$desc[strtoupper($lang)];
					}
					else	return false;
				}
				
				return $desc;
			}
		}
		
		function get_added($format = false)
		{
			$this->read();

			if(!$format)	$format	= $this->config->get("DEF_DATEFORMAT");
			
			if(!$this->is_done("setadded"))	
			{				
				return false;
			}
			else	return strftime($format,$this->added);
		}
		
		function get_down($format = false)
		{
			$this->read();

			if(!$format)	$format	= $this->config->get("DEF_DATETIMEFORMAT");
			
			if(!$this->is_done("setdown"))	
			{				
				return false;
			}
			else	return strftime($format,$this->down);
		}
		
		function get_owner($obj = false)
		{
			$this->read();
			
			if(!$this->is_done("setowner"))	
			{				
				return false;
			}
			else
			{
				if($obj)
				{
					$owner	= new y_user($this->owner);
					$this->fill($owner);
					return $owner;
				}
				else
					return $this->owner;
			}
		}
		
		function get_hit($duration = 0)
		{
			if(!$this->needs("get_hit",1,"setconfig","setdb","setid")) return false;
			
			if($duration == 0 || !$this->config->get("YRCH_HITS"))
			{
				$this->read();
			
				if(!$this->is_done("sethit"))	
				{				
					return false;
				}
				else	return $this->hit;
			}
			else
			{
				$this->db->squery("HIT_DURATION",array($this->id,time()-$duration));
				
				if($this->db->next_record())
				{
					return $this->db->f("COUNT_HITS");
				}
				else return false;
			}
		}
		
		function get_updated($format = false)
		{
			$this->read();
			
			if(!$format)	$format	= $this->config->get("DEF_DATETIMEFORMAT");
			
			if(!$this->is_done("setupdated"))	
			{				
				return false;
			}
			else	return strftime($format,$this->updated);
		}
		
		function feed($values)
		{
			if(!is_array($values))
			{
				return false;
			}
			
			$this->done("read");
						
			if(!$this->is_done("setid"))		$this->set_id($values["SITE_ID"],true);
			if(!$this->is_done("settitle"))		$this->set_title($values["SITE_TITLE"],true);
			if(!$this->is_done("setdesc"))		$this->set_desc($values["SITE_DESC"],true);
			if(!$this->is_done("setupdated"))	$this->set_updated($values["SITE_UPDATED"],true);
			if(!$this->is_done("setadded"))		$this->set_added($values["SITE_ADDED"],true);
			if(!$this->is_done("setdown"))		$this->set_down($values["SITE_DOWN"],true);
			if(!$this->is_done("setleech"))		$this->set_leech($values["SITE_LEECH"],true);
			if(!$this->is_done("setstatus"))	$this->set_status($values["SITE_STATUS"],true);
			if(!$this->is_done("seturl"))		$this->set_url($values["SITE_URL"],true);
			if(!$this->is_done("setowner"))		$this->set_owner($values["USER_ID"],true);
			if(!$this->is_done("sethit"))		$this->set_hit($values["SITE_HITS"],true);
			if(!$this->is_done("setselection"))	$this->set_selection($values["SITE_SELECTION"],true);
			if(!$this->is_done("setbloc"))		$this->set_bloc($values["SITE_BLOCNOTE"],true);
			
			return true;
		}
		
		function read()
		{
			if($this->is_done("read"))	return true;
			
			if(!$this->needs("read",1,"setconfig","setdb","setid")) return false;
			//ne pas ecraser si dj dfini
			
			if(!$this->temp)	$alias	= "SITE_READ"; else $alias = "SITE_TMP_READ";

			$this->db->squery($alias,array($this->get_id()));
			$this->done("read");
			
			if($this->db->next_record())
			{							
				if(!$this->is_done("settitle"))		$this->set_title($this->db->f("SITE_TITLE"),true);
				if(!$this->is_done("setdesc"))		$this->set_desc($this->db->f("SITE_DESC"),true);
				if(!$this->is_done("setupdated"))	$this->set_updated($this->db->f("SITE_UPDATED"),true);
				if(!$this->is_done("setadded"))		$this->set_added($this->db->f("SITE_ADDED"),true);
				if(!$this->is_done("setstatus"))	$this->set_status($this->db->f("SITE_STATUS"),true);
				if(!$this->is_done("seturl"))		$this->set_url($this->db->f("SITE_URL"),true);
				if(!$this->is_done("setdown"))		$this->set_down($this->db->f("SITE_DOWN"),true);
				if(!$this->is_done("setleech"))		$this->set_leech($this->db->f("SITE_LEECH"),true);
				if(!$this->is_done("setowner"))		$this->set_owner($this->db->f("USER_ID"),true);
				if(!$this->is_done("sethit"))		$this->set_hit($this->db->f("SITE_HITS"),true);
				if(!$this->is_done("setselection"))	$this->set_selection($this->db->f("SITE_SELECTION"),true);
				if(!$this->is_done("setbloc"))		$this->set_bloc($this->db->f("SITE_BLOCNOTE"),true);
				
				return true;	
			}
			return false;
		}
		
		function delete()
		{
			if(!$this->ierror_ok())	return false;
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			//Ici opration de nttoyage  cot
			$this->remove_from_all();
			$this->set_countries(array());
			$this->set_langs(array());
			
			if(!$this->temp)
			{
				$temp	= new y_site($this->get_id(),true);
				$this->fill($temp);
				$temp->delete();
				
				$alias	= "SITE_DELETE";
				$this->db->squery("SITE_DELALLREVIEW",array($this->get_id()));
				$this->db->squery("SITE_DELALLNOTES",array($this->get_id()));
				$this->db->squery("SITE_DELALLHITS",array($this->get_id()));
				$this->log->add("SITEDELETE",sprintf("Suppression du site \"%s\" (%s)",$this->get_title(),$this->get_id()));
			}
			else
			{
				$alias = "SITE_TMP_DELETE";
			}
						
			return $this->db->squery($alias,array($this->get_id()));
		}
		
		function deleteme()
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$alias	= "SITE_DELETEME"; else $alias = "SITE_TMP_DELETEME";
			$this->log->add("SITEDELETE",sprintf("Marquage du site \"%s\" (%s) pour la suppression",$this->get_title(),$this->get_id()));
				
			return $this->db->squery("SITE_TMP_DELETEME",array($this->get_id()));
		}
		
		function update()
		{
			if(!$this->ierror_ok())	return false;
			if(!$this->needs("update",1,"setconfig","setdb","setid","setowner","settitle","setdesc","setstatus","seturl","setleech","setdown")) return false;
			
			if(!$this->temp)	
			{
				$alias	= "SITE_UPDATE";
				$this->log->add("SITEUPDATE",sprintf("Mise  jour du site \"%s\" (%s)",$this->get_title(),$this->get_id()));
				
				$clone	= new y_site($this->id,true);
				$this->fill($clone);
				$clone->delete();
			}
			else
			{
				$alias = "SITE_TMP_UPDATE";
			}
			
			$owner	= $this->get_owner(true);
			$owner->add_role("OWNER");
			
			return $this->db->squery($alias,array($owner->get_id(),addslashes($this->get_title()),addslashes($this->desc),$this->get_status(),$this->get_url(),strftime($this->config->get("DB_DATETIMEFORMAT")),$this->get_hit(),$this->get_selection(),addslashes($this->get_bloc()),$this->get_down($this->config->get("DB_DATETIMEFORMAT")),  (int) $this->get_leech(), $this->get_id()));
		}
		
		function create()
		{			
			if(!$this->ierror_ok())	return false;
			
			if(!$this->temp)
			{
				$alias	= "SITE_CREATE";
				if(!$this->needs("create",1,"setconfig","setdb","setowner","settitle","setdesc","setstatus","setbloc","seturl","setleech","setdown")) return false;
				$id	= $this->db->nextid("SEQ_SITE");
				$this->set_id($id);
				$this->log->add("SITECREATE",sprintf("Cration du site \"%s\" (%s)",$this->get_title(),$this->get_id()));
			}
			else
			{
				$alias = "SITE_TMP_CREATE";
			 	if(!$this->needs("create",1,"setid","setconfig","setdb","setowner","settitle","setdesc","setstatus","seturl")) return false;
			 }
			 
			 $owner	= $this->get_owner(true);
			 $owner->add_role("OWNER");
			 
			 return $this->db->squery($alias,array($this->get_id(),$owner->get_id(),addslashes($this->get_title()),$this->get_url(),addslashes($this->desc),strftime($this->config->get("DB_DATETIMEFORMAT")),strftime($this->config->get("DB_DATETIMEFORMAT")),$this->get_selection(), (int) $this->get_leech(),$this->get_down($this->config->get("DB_DATETIMEFORMAT")), $this->get_status(),addslashes($this->get_bloc())));
		}
		
		function add_in($cat_id)
		{
			if(!$this->needs("add_in",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	
			{
				$alias	= "SITE_ADDIN";
				$this->log->add("SITEADDCAT",sprintf("Insertion du site \"%s\" (%s) dans la catgorie %s",$this->get_title(),$this->get_id(),$cat_id));
			}
			else $alias = "SITE_TMP_ADDIN";
			
			if(!in_array($cat_id,$this->get_categories(false)))
			{
				$this->db->squery($alias,array($cat_id,$this->get_id()));
				
				return true;
			}
			else	return true;
		}
		
		function remove_from($cat_id)
		{
			if(!$this->needs("remove_from",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	
			{
				$alias	= "SITE_REMOVEFROM";
				$this->log->add("SITEDELCAT",sprintf("Suppression du site \"%s\" (%s) de la catgorie %s",$this->get_title(),$this->get_id(),$catid));
			}
			else $alias = "SITE_TMP_REMOVEFROM";
			
			if(!in_array($cat_id,$this->get_categories(false)))
			{
				$this->db->squery($alias,array($cat_id,$this->get_id()));

				return true;
			}
			else	return true;
		}
		
		function remove_from_all()
		{
			if(!$this->needs("delete",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)
			{
				$alias	= "SITE_REMOVEFROMALL";
				$this->log->add("SITECATNO",sprintf("Suppression du site \"%s\" (%s) de toutes les catgories",$this->get_title(),$this->get_id()));
			}
			else $alias = "SITE_TMP_REMOVEFROMALL";
			
			return $this->db->squery($alias,array($this->get_id()));
		}
		
		function hit($user,$ip,$resolv = false ,$time = false)
		{
			if(!$this->needs("hit",1,"setconfig","setdb","setid")) return false;
			
			$id	= $this->db->nextid("SEQ_HITS");
			if(!$time)	$time	= time();
			if(!$resolv)	$resolv	= "";
			
			$this->db->squery("SITE_HIT",array($this->get_id()));
			
			if($this->config->get("YRCH_HITS"));
				$this->db->squery("HIT",array($id,$this->get_id(),$user,strftime($this->config->get("DB_DATETIMEFORMAT"),$time),$ip,$resolv));
			
			return true;
		}
		
		function is_down()
		{		
			$this->read();
			if($this->down != false)
			{
				return true;	
			}
			else return false;
		}
		
		function is_selected()
		{
			return $this->get_selection();
		}
		
		function is_leecher()
		{
			return $this->get_leech();
		}
		
		function is_visible()
		{
			if($this->get_status()	== "ok")
			{
				return true;	
			}
			return false;
		}
		
		function pending_update()
		{
			$this->db->squery("SITE_TMP_READ",array($this->get_id()));
			
			return (bool) $this->db->num_rows();
		}
		
		function get_langs($lang = "FR")
		{
			if(!$this->needs("get_langs",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$alias	= "SITE_LISTLANGS"; else $alias = "SITE_TMP_LISTLANGS";
			$this->db->squery($alias,array($this->get_id()));
			
			switch(strtoupper($lang))
			{
				case "EN"	: 	$field	= "LANG_EN"; 
								break;
				case "FR"	:
				default	:									
								$field = "LANG_FR";
			}
			
			$return	= array();
			while($this->db->next_record())
			{
				$return[$this->db->f("LANG_ID")]	= array(
															"CODE" 		=> $this->db->f("LANG_CODE"),
															"LIB"		=> $this->db->f($field),
															"FLAG"		=> $this->db->f("LANG_FLAG"),
															"YRCH"		=> (bool) $this->db->f("LANG_YRCH"),
															"MASTER"	=> (bool) $this->db->f("LANG_MASTER")
														);
			}

			return $return;
		}
		
		function get_countries($lang = "FR")
		{
			if(!$this->needs("get_langs",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$alias	= "SITE_LISTCOUNTRIES"; else $alias = "SITE_TMP_LISTCOUNTRIES";
						
			switch(strtoupper($lang))
			{
				case "EN"	: 	$field	= "COUNTRY_EN"; 
								break;
				case "FR"	:
				default	:									
								$field = "COUNTRY_FR";
			}
			
			$this->db->squery($alias,array($this->get_id()));
			
			$return	= array();

			while($this->db->next_record())
			{
				$return[$this->db->f("COUNTRY_ID")]	= array(
															"CODE" 		=> $this->db->f("COUNTRY_CODE"),
															"LIB"		=> $this->db->f($field),
															"FLAG"		=> $this->db->f("COUNTRY_FLAG")
														);
			}

			return $return;
		}
		
		function set_langs($langs)
		{
			if(!is_array($langs))	return false;
			
			if(!$this->needs("set_langs",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$table	= "YRCH_SITELANG"; else $table = "YRCH_TMP_SITELANG";
			$this->db->lock($table);
			
			if(!$this->temp)	$alias	= "SITE_DELLANG"; else $alias = "SITE_TMP_DELLANG";
			$this->db->squery($alias,array($this->get_id()));
			
			if(!$this->temp)	$alias	= "SITE_SETLANG"; else $alias = "SITE_TMP_SETLANG";
			
			$ok	= true;
			
			foreach($langs as $lang)
			{
				$ok	= 	$ok & $this->db->squery($alias,array($this->get_id(),$lang));
			}
			$this->db->unlock();
			return $ok;	
		}
		
		function set_countries($langs)
		{
			if(!is_array($langs))	return false;
			
			if(!$this->needs("set_langs",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$table	= "YRCH_SITECOUNTRY"; else $table = "YRCH_TMP_SITECOUNTRY";
			$this->db->lock($table);
			
			if(!$this->temp)	$alias	= "SITE_DELCOUNTRY"; else $alias = "SITE_TMP_DELCOUNTRY";
			$this->db->squery($alias,array($this->get_id()));
			
			if(!$this->temp)	$alias	= "SITE_SETCOUNTRY"; else $alias = "SITE_TMP_SETCOUNTRY";
			
			$ok	= true;
			
			foreach($langs as $lang)
			{
				$ok	= 	$ok & $this->db->squery($alias,array($this->get_id(),$lang));
			}
			$this->db->unlock();
			return $ok;	
		}
		
		function get_categories($obj = false)
		{
			if(!$this->needs("get_categories",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)	$alias	= "SITE_LISTCAT"; else $alias = "SITE_TMP_LISTCAT";
			$this->db->squery($alias,array($this->get_id()));
			$list	= array();
			$i	= 0;
			
			while($this->db->next_record())
			{				
				if($obj)
				{
					$list[$this->db->f("CAT_ID")]	= new y_cat($this->db->f("CAT_ID"));
					$this->fill($list[$this->db->f("CAT_ID")]);
				}
				else
				{
					$list[$this->db->f("CAT_ID")]	= $this->db->f("CAT_ID");
				}
			}
			
			return $list;
		}
		
		function count_myreviews($user = false, $lang = false, $status = false, $search = false, $datetime1 = false, $datetime2 = false)
		{
			if(!$this->needs("get_reviews",1,"setconfig","setdb","setid")) return false;
			
			return $this->count_reviews($this->get_id(), $user, $lang, $status, $search, $datetime1, $datetime2);
		}
		
		function get_reviews($obj = false, $user = false, $lang = false, $status = false, $search = false, $index = false, $limit = 10, $orderby = "REVIEW_DATETIME", $order = "DESC")
		{
			if(!$this->needs("get_reviews",1,"setconfig","setdb","setid")) return false;

			return $this->list_reviews($obj, $this->get_id(), $user, $lang, $status, $search, $index, $limit, $orderby, $order);
		}
		
		function get_note()
		{
			if(!$this->needs("get_note",1,"setconfig","setdb","setid")) return false;
			
			$this->db->squery("SITE_NOTE",array($this->get_id()));
			
			while($this->db->next_record())
			{
				return $this->db->f("NOTE");
			}
			return 0;
		}
				
		function get_notecolor($color1 = "#FF0000", $color2 = "#50C53A")
		{
			$note	= round($this->get_note()/ max($this->config->get("RANGE_NOTES")) * 100);
			
			return color_scaled($note, $color1, $color2);
		}
			
		function test($force = false)
		{
    		if($force == true || $this->config->get("YRCH_URLCHECK"))
    		{                
                if(!preg_match("|//([a-z\._-]+)|",$this->get_url(),$matches))
                    trigger_error(sprintf(_("impossible d'isoler le nom de domaine dans l'url suivante : \"%s\""),$this->get_url()),E_USER_ERROR);
                
                $ip	= @gethostbyname($matches[1]);
                
                //if(!in_array($ip,array($matches[1],$this->config->get("YRCH_DNS_GHBN"))))
                if(!in_array($ip,array($matches[1])))
                {
                    if(true == ($fp = @fopen($this->get_url(),"r")))
                    {
                        fclose($fp);
                        return true;
                    }
                }                
                return false;
            }
            else    return true;
		}
		
		function available()
		{
			$this->read();
			$this->down	= false;	
			$this->done("setdown");
			return true;
		}
		
		function unavailable()
		{
			$this->read();
			
			if(!$this->is_down())
			{
				$this->down	= time();	
			}

			$this->done("setdown");
			return true;
		}
		
		function clone($force = false)
		{
			if(!$this->needs("get_note",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)
			{
				trigger_error(_("Tentative de cration d'un clone illgale"),E_USER_WARNING);
				return false;
			}
			
			$source	= new y_site($this->get_id());
			$this->fill($source);

			if(!$source->read())
			{
				trigger_error(_("Tentative de cration d'un clone  partir d'un site non-existant"),E_USER_WARNING);
				return false;
			}
			
			if(!$this->read() || $force)
			{
				//suppression du clone en cours
				$this->delete();
				
				//clonage des valeurs actuelles
				$this->set_id($source->get_id(),true);
				$this->set_desc($source->desc,true);
				$this->set_owner($source->get_owner(),true);
				$this->set_title($source->get_title(),true);
				$this->set_url($source->get_url(),true);
				
				$this->set_status("pending",true);
				$this->set_down(false,true);
				$this->set_leech(false,true);
				$this->set_selection(false,true);
				$this->set_hit(0,true);
				
				if($this->create())
				{
					$this->set_langs(array_keys($source->get_langs()));
					$this->set_countries(array_keys($source->get_countries()));
					foreach($source->get_categories() as $cat)
						$this->add_in($cat);
						
					return true;
				}
				else
				{
					trigger_error(_("Echec lors du clonage du site!"),E_USER_WARNING);
					return false;	
				}
			}
			return true;
		}
		
		function unvalidate($reason = false)
		{
			if(!$this->needs("validate",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)
			{
				trigger_error(_("Tentative de dsapprobation sur un site non clone"),E_USER_WARNING);
				return false;
			}
			
			$source	= new y_site($this->get_id());
			$this->fill($source);
			$user	= $source->get_owner(true);
			
			if($user->userconf_get("DEF_SITEWARN"))
			{
				global $yrchuser;
				
				if(!$reason)	$reason	= _("pas de raison exprime");
				$data	= array("nickname" => $user->get_nickname(), "site" => $this->get_title(), "reason" => $blocnote);
				$user->mail_send($user->get_email(),_("Validation de la rvision des donnes de votre site"),$user->mail_template("site_rejection",$data));
			}
			$this->log->add("SITEUNVALIDATE",sprintf("Invalidation de la mise  jour du site \"%s\" (%s)",$this->get_title(),$this->get_id()));
					
			return $this->delete();
		}
		
		function validate($reason = false, $force = false)
		{
			if(!$this->needs("validate",1,"setconfig","setdb","setid")) return false;
			
			if(!$this->temp)
			{
				trigger_error(_("Tentative d'approbation sur un site non clone"),E_USER_WARNING);
				return false;
			}
			
			$source	= new y_site($this->get_id());
			$this->fill($source);

			if(!$source->read())
			{
				trigger_error(_("Tentative d'approbation d'un site non-existant"),E_USER_WARNING);
				return false;
			}

			if($this->read() || $force)
			{			
				//clonage des valeurs actuelles

				$source->set_desc($this->desc,true);
				$source->set_owner($this->get_owner(),true);
				$source->set_title($this->get_title(),true);
				$source->set_url($this->get_url(),true);
				
				$langs	= array_keys($this->get_langs());
				$countries	= array_keys($this->get_countries());
				$cats	= $this->get_categories();
				
				if($source->update())
				{
					$source->set_langs($langs);
					$source->set_countries($countries);
					foreach($cats as $cat)
					{
						$source->add_in($cat);
					}
										
					$user	= $source->get_owner(true);
					$this->delete();

					if($user->userconf_get("DEF_SITEWARN"))
					{
						global $yrchuser;

						if(!$reason)	$reason	= _("pas de raison exprime");
						$data	= array("nickname" => $user->get_nickname(), "site" => $source->get_title(), "url" => $this->config->get("YRCH_ROOT")."site.php?id=".$this->get_id(), "validator" => $yrchuser->get_nickname(), "reason" => $reason);
						$user->mail_send($user->get_email(),_("Validation de la rvision des donnes de votre site"),$user->mail_template("site_validation",$data));
					}
					
					$this->log->add("SITEVALIDATE",sprintf("Validation du site %s (%s)",$this->get_title(),$this->get_id()));
					
					return true;
				}
				else
				{
					trigger_error(_("Echec lors l'approbation du site!"),E_USER_WARNING);
					return false;	
				}
			}
			return true;
		}
		
		function next_site($mode = false)
		{
			switch($mode)
			{
				case "update"	:
					$query	= "SELECT MIN(SITE_ID) as SITE_ID FROM YRCH_TMP_SITE WHERE SITE_ID > ".$this->get_id();
						break;
				case "pending"	:
				case "deleteme"	:
				case "processing":
				case "ok" :
					$query	= "SELECT MIN(SITE_ID) as SITE_ID FROM YRCH_SITE WHERE SITE_ID > ".$this->get_id();
					$query	.= " AND SITE_STATUS = '".strtolower($mode)."'";
						break;
				default	:
					$query	= "SELECT MIN(SITE_ID) as SITE_ID FROM YRCH_SITE WHERE SITE_ID > ".$this->get_id();
						break;
			}
			
			$this->db->query($query);
			if($this->db->next_record())
			{
				return $this->db->f("SITE_ID");
			}
			return false;
		}
		
		function prev_site($mode = false)
		{
			switch($mode)
			{
				case "update"	:
					$query	= "SELECT MAX(SITE_ID) as SITE_ID FROM YRCH_TMP_SITE WHERE SITE_ID < ".$this->get_id();
						break;
				case "pending"	:
				case "deleteme"	:
				case "processing":
				case "ok" :
					$query	= "SELECT MAX(SITE_ID) as SITE_ID FROM YRCH_SITE WHERE SITE_ID < ".$this->get_id();
					$query	.= " AND SITE_STATUS = '".strtolower($mode)."'";
						break;
				default	:
					$query	= "SELECT MAX(SITE_ID) as SITE_ID FROM YRCH_SITE WHERE SITE_ID < ".$this->get_id();
						break;
			}
			
			$this->db->query($query);
			if($this->db->next_record())
			{
				return $this->db->f("SITE_ID");
			}
			return false;
		}
	}
?>