<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
	
	class yrch extends y_reader_object
	{
		var	$config	= false;
		
		function yrch()
		{
			
		}	

		function set_db()
		{
			$this->done("setdb");
			return $this->make_db();	
		}
		
		function make_db()
		{
			if(!$this->needs("make_db",1,"setconfig")) return false;
			$this->done("setdb");
			$this->db	= new y_db();			
			$this->db->set_config($this->config);
			$this->db->set_chrono($this->chrono);
			$this->db->set_connection_parameters(
											$this->config->get("DB_USER"),
											$this->config->get("DB_PASS"),
											$this->config->get("DB_BASE"),
											$this->config->get("DB_HOST"),
											$this->config->get("DB_DEBUG"),
											$this->config->get("DB_HOE"),
											$this->config->get("DB_CHRONO")
										);
			return true;
		}
		
		function make_chrono()
		{
			if(!$this->needs("make_chrono",1,"setconfig")) return false;
			$this->done("setchrono");
			$this->chrono	= new y_chrono();
			if($this->config->get("YRCH_CHRONO") == true)	
				$this->chrono->launch();

			return true;
		}
		
		function make_log()
		{
			if(!$this->needs("make_chrono",1,"setconfig")) return false;
			$this->done("setlog");
			$this->log	= new y_log();

			$this->log->set_config($this->config);
			$this->log->set_chrono($this->chrono);
			$this->log->set_db($this->db);
			if($this->config->get("YRCH_YRCHLOG") == true)	$this->log->activate();
			
			return true;	
		}
		
		function build_sitenotation()
		{
			$this->log->add("SITEBUILD",sprintf("Ractualisation des notations"));
			$this->db->lock(array("YRCH_REVIEWS","YRCH_SITENOTE","YRCH_SITE"));
			$this->db->squery("SITE_NOTEPURGE",array());
			$x	= $this->db->squery("SITE_NOTEBUILD",array());
			$this->db->unlock();
			
			return  $x;
		}
	}
?>