<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/

	$chron	= array();
	$chron["Dbut de l'execution"]	= microtime();
	error_reporting(E_ALL);
	ob_start();
	session_start();
	set_magic_quotes_runtime(0);
	
	$includes	= array(
						"tools.lib.php",
						"error_handler.class.php",
						"varwall.class.php",
						"config.class.php",
						//groupe hrit de Y_OBJECT
						"y_obj.class.php",
						"y_security.class.php",
						"y_ierror.class.php",
						"y_chrono.class.php",
						"y_db.class.php",
						"y_log.class.php",
						"y_layout.class.php",
						"y_mailer.class.php",
						"y_access.class.php",
						"y_robj.class.php",
						"y_yrch.class.php",
						"y_iobj.class.php",
						"y_auth.class.php",
						"y_user.class.php",
						"y_cat.class.php",
						"y_site.class.php",
						"y_review.class.php",
						"y_page.class.php"
					);
		
	//Constitution du ROOT_PATH
	if(preg_match("+^(.*)include[/|\\\]yrchprepend.inc.php$+",__FILE__,$match))		$YRCH_DIR	= $match[1];
	else	trigger_error("IMPOSSIBLE DE RECONSTITUER LE PATH DE LA RACINE A PARTIR DE __FILE__ !!!",E_USER_ERROR);

	foreach($includes as $key => $include)
	{		
		if(!include_once($YRCH_DIR."/include/".$include))
		{
			trigger_error(sprintf(_("Fichier absent (ou comportant des erreurs) %s"),$include), E_USER_WARNING);
			unset($includes[$key]);
		}
	}
	
	$chron["Inclusions ralises"]	= microtime();
	
	//Gestion de la configuration
	$yrconfig = new config();
	$yrconfig->define("FILE_INCLUDED",$includes);
	$yrconfig->define("_PATH_ROOT",realpath($YRCH_DIR));
	$yrconfig->define("_PATH_INCLUDE",realpath($YRCH_DIR."/include"));
	$yrconfig->define("_PATH_CACHE",realpath($YRCH_DIR."/cache"));
	$yrconfig->define("_PATH_LOCALE",realpath($YRCH_DIR."/locale"));
	$yrconfig->define("_PATH_CONFIG",realpath($YRCH_DIR."/config"));
	
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/yrch.conf.php"))
		trigger_error(sprintf(_("Le fichier de configuration n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/yrch.conf.php"),E_USER_ERROR);
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/user.conf.php"))
		trigger_error(sprintf(_("Le fichier de configuration utilisateur n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/user.conf.php"),E_USER_ERROR);
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/sql.conf.php","SQL_"))
		trigger_error(sprintf(_("Le fichier de configuration SQL n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/sql.conf.php"),E_USER_ERROR);

	$yrconfig->define("YRCH_ROOTMY",$yrconfig->get("YRCH_ROOT")."/my/");
	$yrconfig->define("YRCH_ROOTADM",$yrconfig->get("YRCH_ROOT")."/admin/");

	$yrconfig->define("_PATH_ROOT",realpath($YRCH_DIR));

	$chron["Configuration charge"]	=  microtime();
	
	unset($includes,$YRCH_DIR);
	
	//Dfinition de la classe de gstion d'erreurs
	$log_file	= $yrconfig->get("PATH_ROOT")."/logs/".strftime($yrconfig->get("LOG_ERROR"));
	@touch($log_file);
	ini_set ("error_log", realpath($log_file));
	$yrch_error	= new error_handler();
	$yrch_error->configure($yrconfig);
	unset($log_file);
	set_error_handler ("throw_error");
	$chron["Gestionnaire d'Erreur charg"]	=  microtime();
	
	//logage du referer
	if($yrconfig->get("YRCH_REFELOG") && isset($_SERVER["HTTP_REFERER"]))
	{
		if(!preg_match($yrconfig->get("REF_REGEXP"),$_SERVER["HTTP_REFERER"]))
		{
			$ref_file	= $yrconfig->get("PATH_ROOT")."/logs/".strftime($yrconfig->get("LOG_REFERER"));
			@touch($ref_file);
			$ref_file	= @fopen($ref_file,"a+");
			if($ref_file)
			{
				if(isset($_SERVER["HTTP_X_FORWARDED_FOR"]) && !empty($_SERVER["HTTP_X_FORWARDED_FOR"]))
					$remote	= $_SERVER["HTTP_X_FORWARDED_FOR"];
				else	$remote	= $_SERVER["REMOTE_ADDR"];
				
				fwrite ($ref_file, $remote.";".strftime("%m/%d/%Y %H:%M:%S").";".$_SERVER["HTTP_REFERER"]."\n");
				fclose($ref_file);
			}
		}
	}
	
	//Droulement de l'objet YRCH
	$yrch	= new yrch();
	$yrch->set_config($yrconfig);
	$yrch->make_chrono();
	$yrch->make_db();
	$yrch->make_log();

	$yrch->_	= new param();
	
	foreach($chron as $desc => $time)	$yrch->event($desc,false,$time);
	$yrch->event("objet Yrch charg");
	unset($chron);
	
	$yrch_self	= $_SERVER["SCRIPT_NAME"]."?".$_SERVER["QUERY_STRING"];
	
	/**
	Gestion des droits et de l'auth
	*/
	$yrchuser	= new	y_user();
	$yrch->fill($yrchuser);
	$trustedadress	= $yrch->config->get("AUTH_TRUSTEDADRESS");
	if(isset($trustedadress[$_SERVER["REMOTE_ADDR"]]))
	{
		$yrchuser->set_id($trustedadress[$_SERVER["REMOTE_ADDR"]]);
		$yrchuser->userconf_merge();
		$yrchuser->session_read();
	}
	elseif($yrchuser->is_authentify())
	{
		//l'utilisateur est authentifi
		$yrchuser->userconf_merge();
		$yrchuser->session_read();
	}
	else
	{
		$yrchuser->set_id(0);
		$yrchuser->session_read();
		
		if(isset($_POST["yrch_login"]) && isset($_POST["yrch_password"]))
		{		
			$id =	$yrchuser->auth_check($_POST["yrch_login"],$_POST["yrch_password"]);
			if($id == 0)
			{
				$yrch->role_noaccess();
				exit();
			}
			else
			{
				if(isset($_POST["yrch_remember"]) && $_POST["yrch_remember"] == 1)	
					$remember = true;
				else	$remember = false;
				
				$yrchuser->authentify($id,$remember);
				$yrchuser->userconf_merge();
				session_destroy();
				unset($remember);
			}
		}
	}
	unset($trustedadress);

	/*
	Gestion des langues
	*/
	$yrch_lang	= yrch_lang();

	$_SESSION["yrch_lang"]	= $yrch_lang;
	$yrch->config->define("LANG",$yrch_lang);
	$yrch->config->define("PATH_CURLOCALE",$yrch->config->get("PATH_LOCALE")."/".$yrch->i18n_locale($yrch_lang)."/");
	
	//GETTEXT
	$domain = 'messages';
	//var_dump($domain,$yrch->config->get("PATH_LOCALE"));
	setlocale(LC_COLLATE + LC_CTYPE + LC_MONETARY + LC_TIME, $yrch->i18n_locale($yrch_lang));
	bindtextdomain($domain,$yrch->config->get("PATH_LOCALE")); 
	//textdomain($domain);
	

	$yrch->event("Locales dfinies");
		
	//Fichier de configuration local
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/".$yrch_lang.".conf.php"))
		trigger_error("Le fichier de configuration local n'est pas disponible (".$yrconfig->get("PATH_CONFIG")."/".$yrch_lang.".conf.php)",E_USER_NOTICE);
	unset($master_langs, $lang);
	$yrch->event("Configuration Locale dfinie");
	
	//Pour l'instant theme par defaut
	$yrch->config->define("YRCH_THEME",$yrch->config->get("DEF_THEME"));
	
	/**
	Gestion du Layout
	*/
	$yrch_layout	= new y_layout();
	$yrch->fill($yrch_layout);
	$yrch_layout->set_root($yrch->config->get("PATH_ROOT")."/templates/".$yrch->config->get("YRCH_THEME")."/pages/");
	$yrch->config->define("PATH_IMG","yrch/templates/".$yrch->config->get("YRCH_THEME")."/images/");
	$yrch->config->define("PATH_CSS","yrch/templates/".$yrch->config->get("YRCH_THEME")."/css/");
	$yrch->config->define("PATH_JS","yrch/templates/".$yrch->config->get("YRCH_THEME")."/javascript/");
	$yrch_layout->set_unknowns("keep");

		
	/*header("Expires: Mon, 26 Jul 1997 05:00:00 GMT");    // Date in the past
	header("Cache-Control: no-store, no-cache, must-revalidate");  // HTTP/1.1
	header("Pragma: no-cache");                          // HTTP/1.0
	header("Cache-Control: post-check=0, pre-check=0", false);*/

	header("Content-Type: text/html; charset=". $yrch->i18n_locale($yrch->config->get("LANG")));
	header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // always modified
	
	$yrch->event("Fin de l'entte");

    //nettoyage des dernires variables qui trainent hormis les objets
	unset($key, $include, $match,$desc,$time);
?>
