<?php
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/

	error_reporting(E_ALL);
	set_magic_quotes_runtime(0);
	
	$includes	= array(
						"tools.lib.php",
						"error_handler.class.php",
						"varwall.class.php",
						"config.class.php",
						//groupe hrit de Y_OBJECT
						"y_obj.class.php",
						"y_security.class.php",
						"y_ierror.class.php",
						"y_chrono.class.php",
						"y_db.class.php",
						"y_log.class.php",
						"y_layout.class.php",
						"y_mailer.class.php",
						"y_access.class.php",
						"y_robj.class.php",
						"y_yrch.class.php",
						"y_iobj.class.php",
						"y_auth.class.php",
						"y_user.class.php",
						"y_cat.class.php",
						"y_site.class.php",
						"y_review.class.php",
						"y_page.class.php"
					);
		
	//Constitution du ROOT_PATH
	if(preg_match("+^(.*)include[/|\\\]yrchprepend.lite.inc.php$+",__FILE__,$match))		$YRCH_DIR	= $match[1];
	else	trigger_error("IMPOSSIBLE DE RECONSTITUER LE PATH DE LA RACINE A PARTIR DE __FILE__ !!!",E_USER_ERROR);

	foreach($includes as $key => $include)
	{		
		if(!include_once($YRCH_DIR."/include/".$include))
		{
			trigger_error(sprintf(_("Fichier absent (ou comportant des erreurs) %s"),$include), E_USER_WARNING);
			unset($includes[$key]);
		}
	}
	
	//Gestion de la configuration
	$yrconfig = new config();
	$yrconfig->define("FILE_INCLUDED",$includes);
	$yrconfig->define("_PATH_ROOT",realpath($YRCH_DIR));
	$yrconfig->define("_PATH_INCLUDE",realpath($YRCH_DIR."/include"));
	$yrconfig->define("_PATH_CONFIG",realpath($YRCH_DIR."/config"));
	
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/yrch.conf.php"))
		trigger_error(sprintf(_("Le fichier de configuration n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/yrch.conf.php"),E_USER_ERROR);
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/user.conf.php"))
		trigger_error(sprintf(_("Le fichier de configuration utilisateur n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/user.conf.php"),E_USER_ERROR);
	if(!$yrconfig->load_file($yrconfig->get("PATH_CONFIG")."/sql.conf.php","SQL_"))
		trigger_error(sprintf(_("Le fichier de configuration SQL n'est pas disponible (%s)"),$yrconfig->get("PATH_CONFIG")."/sql.conf.php"),E_USER_ERROR);
	
	unset($includes,$YRCH_DIR);
	
	//Dfinition de la classe de gstion d'erreurs
	$log_file	= $yrconfig->get("PATH_ROOT")."/logs/".strftime($yrconfig->get("LOG_ERROR"));
	@touch($log_file);
	ini_set ("error_log", realpath($log_file));
	$yrch_error	= new error_handler();
	$yrch_error->configure($yrconfig);
	unset($log_file);
	
	set_error_handler ("throw_error");
	
	//Droulement de l'objet YRCH
	$yrch	= new yrch();
	$yrch->set_config($yrconfig);
	$yrch->make_chrono();
	$yrch->make_db();
	$yrch->make_log();

	$yrch->_	= new param();
	
	$yrch_self	= $_SERVER["SCRIPT_NAME"]."?".$_SERVER["QUERY_STRING"];
			
	//Pour l'instant theme par defaut
	$yrch->config->define("YRCH_THEME",$yrch->config->get("DEF_THEME"));
	
	/**
	Gestion du Layout
	*/
	$yrch_layout	= new y_layout();
	$yrch->fill($yrch_layout);
	$yrch_layout->set_root($yrch->config->get("PATH_ROOT")."/templates/".$yrch->config->get("YRCH_THEME")."/pages/");
	$yrch->config->define("PATH_IMG","yrch/templates/".$yrch->config->get("YRCH_THEME")."/images/");
	$yrch->config->define("PATH_CSS","yrch/templates/".$yrch->config->get("YRCH_THEME")."/css/");
	$yrch->config->define("PATH_JS","yrch/templates/".$yrch->config->get("YRCH_THEME")."/javascript/");
	$yrch_layout->set_unknowns("keep");

    //nettoyage des dernires variables qui trainent hormis les objets
	unset($key, $include, $match,$desc,$time);
?>