<?
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    class y_tree extends y_object
	{
		// Table des elements de l'arbre
		var $tree_elements = array();

		var $tree_mode = "";
		
		var $tree_types = array();
		var $tree_extraArg	= "";
		
		function init()
		{			
			$this->tree_types		= $this->config->get("TREE_TYPES");
		}

		function set_mode($mode)
		{
			$this->tree_mode	= $mode;
		}

		function set_anchor($id)
		{
			if(isset($this->elements[$id]))
			{
				$this->elements[$id]->data->ancre	= true;	
				return true;
			}
			else	return false;
		}
		
		
		function set_extraArg($arg)
		{
			$this->tree_extraArg	.= $arg;	
		}
		
		/*
		* Ajouter un lment  la liste
		* @param	integer 	$id		identifiant
		* @param	integer 	$parent 	identifiant du parent
		* @param	integer 	$type		type de l'objet
		* @param	object		$data		object contenant les donnes.
		*/
		function add_element($id, $parent, $type = "DEFAULT" , $data = "")
		{					
			if(!isset($this->tree_types[strtoupper($type)]))
			{
				trigger_error("L'element '$id' ne peut pas tre cre le type $type n'existe pas");
				return false;
			}
			$this->tree_elements[$id] = new y_tree_element($id, $parent, strtoupper($type), $data);
			$this->fill($this->tree_elements[$id]);
			$this->tree_elements[$id]->set_tree($this);
		}
		
		/*
		* Suppression d'un element de la liste
		*
		* on dit simplement que l'element a supprimer n'a plus de pere, comme ca il n'est plus affich
		*
		*/
		function delete_element($id)
		{
			$this->tree_elements[$id]->parent="";
		}
		
		/*
		* Deplacement d'un element de la liste
		*/
		
		function deplace_element($id, $destination)
		{
			$rang_dest=$this->tree_elements[$destination]->rang;		//on recupere le rang du nouveau pere de $id
			$this->tree_elements[$id]->rang=$rang_dest+1;		//on affecte le nouveau rang a $id
			$this->tree_elements[$id]->parent=$destination;		//on affecte son nouveau pere a $id
		}
		
		/*
		* Copie d'un element de la liste
		*/
		
		function copy_element($id, $destination)
		{
			
			$new_id=0;
			foreach($this->tree_elements as $element)
			{
				while ($element->id==$new_id)
				{
					foreach($this->tree_elements as $element)
					{
						$new_id++;
					}
				}
			}
			$new_data->titre	= $this->tree_elements[$id]->data->titre."copie";
			$new_data->raw_id	= $id."copie";
			$this->add_element($new_id, $destination, $this->tree_elements[$id]->type , $new_data);
			
			foreach($this->tree_elements as $element)
			{
				if($element->parent==$id)
				$this->copy_element($element->id, $new_id);
			}
		}
		
		

		function get_by_id($id)
		{						
			if(isset($this->tree_elements[$id]))
				return $this->tree_elements[$id];
			else
				return false;
		}
		
		/**
		* Calcul des liaisons PERE/ENFANT
		*
		* boucle dans les enregistrements. Chaque enfant fait une "dclaration de descendance"  son pre.
		*/
		function check_dependancies()
		{			
			foreach($this->tree_elements as $element)
			{
				if($element->id != "root")
				{
					if($element->parent!="" && isset($this->tree_elements[$element->parent]))
					{
						$this->tree_elements[$element->parent]->add_child($element->id);
					}
				}
			}
		}
		
		/**
		* Calcul des rangs des elements du tableau
		*
		* 
		*/
		function check_rank()
		{
			if(isset($this->tree_elements["root"]))
				return $this->tree_elements["root"]->check_rank(0);
			else	return false;
		}
		
		/**
		* Fonction d'affichage
		*/
		function display()
		{
			$output = "";
			if(!isset($this->tree_elements["root"]))	return false;
			
			$output .= $this->tree_elements["root"]->display(true, array());
			
			return $output;
		}
		
		/**
		* Reconstitue les liens dtruit lors de la srialisation de l'objet.
		*
		*/
		function set_tree()
		{
			foreach($this->tree_elements as $element)
				$element->set_tree($this);
		}
		
		function search_for($source, $destination)
		{
			if ($source=="")
				$source="root";
			/*destination n'appartient pas  source*/
			return $this->tree_elements[$source]->search_for($destination);
		}

		/**
		* Ouvre un lment donn s'il existe
		*
		* @param	int	$id	$identifiant de l'objet  ouvrir
		*/
		function ouvre($id)
		{
			if(isset($this->tree_elements[$id]))
				$this->tree_elements[$id]->ouvre();
		}
		
		/**
		* Ouvre un lment donn s'il existe
		*
		* @param	int	$id	$identifiant de l'objet  ouvrir
		*/
		function ouvretous()
		{
			foreach($this->tree_elements as $key => $value)
				$this->tree_elements[$key]->ouvre(true);	
		}
		
		/**
		* Ferme un lment donn s'il existe
		*
		* @param	int	$id	$identifiant de l'objet  fermer
		*/
		function ferme($id)
		{
			if(isset($this->tree_elements[$id]))
				$this->tree_elements[$id]->ferme();
		}
		
		/**
		* Ouvre un lment donn s'il existe
		*
		* @param	int	$id	$identifiant de l'objet  ouvrir
		*/
		function fermetous()
		{
			foreach($this->tree_elements as $key => $value)
				$this->tree_elements[$key]->ferme(true);	
		}
					
		/**
		* Importe la slction de lments ouverts
		* 
		* Recupre un tableau  une dimension comportant une srie d'identifiant correspondant aux
		* lments ouverts. La fonction boucle et les ouvrent.
		*
		* @see		export_selection
		* @param 	array 		$selection
		*/
		function import_selection($selection)
		{			
			if(!is_array($selection)) return false;
					
			foreach($selection as $sel)
				$this->ouvre($sel);
		}

		/**
		* Exporte la slction de lments ouverts
		* 
		* exporte sous la forme d'un tableau la slction des lments ouverts. Ils sont stocks dans un tableau  une dimension.
		* Le tableau obtenu passera via la session dans la mthode import_selection().
		*
		* @see		import_selection
		* @return 	array 		$selection
		*/		
		function export_selection()
		{
			$selection	= array();
			foreach($this->tree_elements as $element)
			{
				if($element->is_open())
					$selection[]	= $element->id;
			}

			return $selection;
		}

		function state($ouvre = "",$ferme = "",$selection = array())
		{
			$this->import_selection($selection);
	
			if(!empty($ouvre))
			{
				$this->ouvre($ouvre);
				$this->set_anchor($ouvre);
			}

			if(!empty($ferme))
			{
				$this->ferme($ferme);
				$this->set_anchor($ferme);
			}
			
			return $this->export_selection();
		}

		/**
		* Ouvre un dossier ou un article et tout ses ascendants
		*/		
		function ouvrir_element($id)
		{
			$this->ouvre($id);
			if ($id!=root)
				$this->ouvrir_element($this->tree_elements[$id]->parent);
		}


		/**
		* Ferme un dossier ou un article et tout ses ascendants
		*/		
		function fermer_element($id)
		{
			$this->ferme($id);
			if ($id!=root)
				$this->fermer_element($this->tree_elements[$id]->parent);
		}
		
		function new_type($type)
		{		
			$this->tree_types[strtoupper($type)]	= array(
					"IMAGEPATH"	=> $this->tree_types["DEFAULT"]["IMAGEPATH"],	
					"HIERARCHY"	=> $this->tree_types["DEFAULT"]["HIERARCHY"],
					"ANCHOR"	=> $this->tree_types["DEFAULT"]["ANCHOR"],
					"OPEN"		=> $this->tree_types["DEFAULT"]["OPEN"],
					"CLOSE"		=> $this->tree_types["DEFAULT"]["CLOSE"],
					"TARGET"	=> $this->tree_types["DEFAULT"]["TARGET"],
					"DISPLAY"	=> $this->tree_types["DEFAULT"]["DISPLAY"]
				);
		}
		
		/*
		* Dfinition d'une cl
		*/
		function set_param($type, $key, $value)
		{
			if(!isset($this->tree_types[$type]))	return false;
			
			$this->tree_types[$type][$key]	= $value;
		}
	}
?>
