<?
	/*	Yrch! - Hierarchised Website Directories
    Copyright (C) 2002-2003 Guillaume Boddaert <narya@yrch.com>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.*/
    
    class y_tree_element extends y_object
	{
		// Identifiant de l'objet
		var $id;

		// Identifiant du pre
		var $parent;
		
		// Rang de l'lment
		var $rang	= 0;

		// Type de l'lment
		var $type;
		
		// Liste des enfants
		var $child	= array();
		
		// DOnnes de l'lment
		var $data;
		
		// Rang maximum parmi ses descendants
		var $maxrang	= 0;
		var $opened		= false;
		
		
		// Constructeur de la classe
		function y_tree_element($id, $parent, $type, $data)
		{
			$this->id	= $id;			
			$this->parent	= $parent;			
			$this->data	= $data;
			$this->type	= $type;
		}
		
		/**
		* Lier  un arbre
		*
		* Suite  la construction l'element est associ  un arbre.
		*
		* @param	$tree	object
		* @private
		*/
		
		function set_tree(&$tree)
		{
			$this->tree	= &$tree;
		}
		
		/**
		* Ajouter un enfant
		*
		* L'identifiant pass en parametre est dfini comme enfant.
		*
		* @param	$id	identifiant de l'enfant
		*/
		function add_child($id)
		{
			$this->child[]	= $id;
		}
		
		/**
		* Processus de dfinition des rangs des lments et du rang maximum de leur dscendances
		*
		* @param	$rank
		*/
		function check_rank($rank)
		{					
			/*On dfinit le rang de l'objet tel que la dcrt le pre*/
			$this->rang	= $rank;
			
			/*On visite chacun des enfants pour leur dfinir un rang*/
			foreach($this->child 	as $child)
			{
				/* Le fils recoit son rang puis renvoit la longueur maximum de sa branche*/
				$fils_maxrang	= $this->tree->tree_elements[$child]->check_rank($rank+1);
								
				/*On compare la valeur retourne pr l'enfant avec celle des autres, on ne conserve que la plus importante*/
				if($fils_maxrang > $this->maxrang)
				{
					$this->maxrang	= $fils_maxrang;
				}
			}
			
			/* S'il s'agit d'un element en fin de branche, il n'attend pas le rang maximum de son enfant 
			   mais dfini le rang maximum de sa propre dscendance (inexistante) comme son propre rang
			   ca qui permet de rompre la recursivit et de remonter les informations concernant la 
			   profondeur d'une branche
			*/
			if(count($this->child) == 0)
			{
				$this->maxrang	= $this->rang;
			}
			
			/*l'lment retourne  son pre la longueur maximum de sa propre dscendance*/
			return $this->maxrang;
		}
		
		/**
		*
		*/
		function search_for($id)
		{
			foreach($this->child as $child)
			{						
				if($child == $id)
				{
					return true;
				}
				
				if($this->tree->elements[$child]->search_for($id) == true)
				{
					return true;
				}
			}
			return false;
		}
		
		/**
		* Ce favori est il ouvert ?
		*
		* @return	bool
		*/
		function is_open()
		{
			//if ($this->tree->type[$this->type]["OPEN"] == 1)
				return $this->opened;

			return false;
		}
		
		function ouvre($force = false)
		{
			if ($this->tree->tree_types[$this->type]["OPEN"] == 1 || $force)
				$this->opened = 1;
			else
				$this->opened = 0;
		}
		
		function ferme($force = false)
		{
			if ($this->tree->tree_types[$this->type]["CLOSE"] == 1 || $force)
				$this->opened	= 0;
			else
				$this->opened	= 1;
		}



		/**
		* Fonction d'affichage
		*/
		function display($last, $hierarchie)
		{	
			$imagepath	= str_replace("%theme%",$this->config->get("YRCH_THEME"),$this->tree->tree_types[$this->type]["IMAGEPATH"]);
			
			$line	= "<tr><td valign=\"middle\" colspan=\"10\">";

			/**
			* Gestion de la hirarchie
			*/
			if ($this->tree->tree_types[$this->type]["HIERARCHY"] == 1) //s'il y a une hierarchie on met les images de hierarchie
			{
				foreach ($hierarchie as $h)
				{
					if($h == "|")
						$line	.= "<IMG SRC=\"".$imagepath."/HV.gif\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
					if($h == " ")
						$line	.= "<IMG SRC=\"".$imagepath."/blank.gif\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
				}
				
				if(!$last)
					$hierarchie[]	= "|";
				else
					$hierarchie[]	= " ";
			}
			else	//sinon on met ke du blanc
			{
				$line	.= "<IMG SRC=\"".$imagepath."/blank.gif\" width=\"".(count($hierarchie)*8)."\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
				$hierarchie[]	= " ";
			}	
			
			
			/**
			* Gestion de l'ancrage
			*/
			$ancre	= "";
			if($this->tree->tree_types[$this->type]["ANCHOR"]==1 && isset($this->data["ANCHOR"]) && $this->data["ANCHOR"] == true)
				$ancre	= "NAME=\"ancre\"";
			
			/**
			* Sans hierarchie
			*/
			if($this->tree->tree_types[$this->type]["HIERARCHY"] == 0)
			{
				$src = $imagepath."/blank.gif";
				
				if($this->is_open())
				{
					$obj_img= $imagepath."/O.gif";
					$action = "ferme";
				}
				else
				{
					$obj_img= $imagepath."/F.gif";
					$action = "ouvre";
				}
			}
			/*
			*avec
			*/
			else
			{
				$img	= "/H";
				$txt	= "";
				$action	= "none";
				if(count($this->child) != 0)
				{
					if($this->is_open())
					{
						if($this->tree->tree_types[$this->type]["CLOSE"])
						{
							$img	.= "O";
							$txt	= "ALT=\"Cliquez ici pour rduire\"";
							$action = "ferme";
						}
						
						$obj_img= $imagepath."/O.gif";
					}
					else
					{
						if($this->tree->tree_types[$this->type]["OPEN"])
						{
							$img	.= "F";
							$txt	= "ALT=\"Cliquez ici pour tendre\"";
							$action = "ouvre";
						}
						
						$obj_img= $imagepath."/F.gif";
					}
				}
				else
				{
					$txt	= "";
					$action = "none";
					
					$obj_img= $imagepath."/F.gif";
				}
				
				if($last == true)
				{
					$img	.= "L";	
				}
				$src	= $imagepath."/".$img.".gif";
			}
			
			if(($this->is_open() && $this->tree->tree_types[$this->type]["CLOSE"]) || (!$this->is_open() && $this->tree->tree_types[$this->type]["OPEN"]))
				$line 	.= "<A ".$ancre." HREF=\"".$this->tree->tree_types[$this->type]["TARGET"]."?i=".$this->id."&mode=".$this->tree->tree_mode.$this->tree->tree_extraArg."&".$action."=".$this->id."#ancre\" target=\"_parent\">";
			$line	.= "<IMG SRC=\"".$src."\" ALT=\"Cliquez ici pour tendre\"  border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
			$line 	.= "<img class=\"bg_".strtolower($this->type)."\" src=\"".$obj_img."\" ".$txt."  border=\"0\" align=\"absbottom\">";
			if(($this->is_open() && $this->tree->tree_types[$this->type]["CLOSE"]) || (!$this->is_open() && $this->tree->tree_types[$this->type]["OPEN"]))
				$line	.= "</a>";
				
			$texte	= $this->tree->tree_types[$this->type]["DISPLAY"];
			$texte	= str_replace("%id%"	,$this->id	,$texte);
			$texte	= str_replace("%titre%"	,$this->data->titre	,$texte);
			$texte	= str_replace("%extra%"	,$this->tree->tree_extraArg	,$texte);

			//remplacement des %xxx% par la valeur $this->data->xxx
			preg_match_all("%([a-zA-Z_]+)%", $texte, $reg);
			foreach($reg[1] as $truc_a_changer)
			{
				$replacement	= "";
				if(isset($this->data[$truc_a_changer]))
					$replacement	= $this->data[$truc_a_changer];
				$texte	= str_replace("%".$truc_a_changer."%"	,$replacement	,$texte);
			}
			
			$line .= $texte."</td></tr>\n";
			
			if($this->opened)
			{	
				$i = 1;
				 				
				if(count($this->child))
				{
					foreach($this->child as $child)
					{
						$child 	= $this->tree->get_by_id($child);
						
						if(count($this->child) == $i++)
							$lasst	= true;
						else	$lasst	= false;
						
						$line	.= $child->display($lasst, $hierarchie);
					}
				}
			}
			
			if($last)
			{
				$line	.=	"<tr><td colspan=10>";
				/**
				* Gestion de la hirarchie
				*/
				if ($this->tree->tree_types[$this->type]["HIERARCHY"] == 1) //s'il y a une hierarchie on met les images de hierarchie
				{
					foreach ($hierarchie as $h)
					{
						if($h == "|")
							$line	.= "<IMG SRC=\"".$imagepath."/HV.gif\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
						if($h == " ")
							$line	.= "<IMG SRC=\"".$imagepath."/blank.gif\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
					}
					
					if(!$last)
						$hierarchie[]	= "|";
					else
						$hierarchie[]	= " ";
				}
				else	//sinon on met ke du blanc
				{
					$line	.= "<IMG SRC=\"".$imagepath."/blank.gif\" width=\"".(count($hierarchie)*8)."\" border=\"0\" ALIGN=\"ABSBOTTOM\" HSPACE=\"0\"  VSPACE=\"0\">";
					$hierarchie[]	= " ";
				}
			}
			return $line;
			
		}//fin de fonction

		function highlight()
		{
			$this->data->titre	= "<FONT COLOR=\"red\">".$this->data->titre."</FONT>";
		}

	}
?>