# phpMyAdmin MySQL-Dump
# http://phpwizard.net/phpMyAdmin/
#
# Host: localhost Database : YRCH

# --------------------------------------------------------
#
# Table structure for table 'YRCH_CAT'
#

DROP TABLE IF EXISTS YRCH_CAT;
CREATE TABLE YRCH_CAT (
   CAT_ID bigint(20) unsigned DEFAULT '0' NOT NULL,
   CAT_DATE datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   CAT_ALIAS varchar(30) NOT NULL,
   CAT_DESC text NOT NULL,
   CAT_VISIBLE enum('0','1') DEFAULT '1' NOT NULL,
   PRIMARY KEY (CAT_ID),
   KEY CAT_VISIBLE (CAT_VISIBLE)
);

#
# Dumping data for table 'YRCH_CAT'
#

INSERT INTO YRCH_CAT VALUES ( '0', NOW(), 'RACINE', 'a:2:{s:2:\"EN\";s:0:\"\";s:2:\"FR\";s:0:\"\";}', '1');
INSERT INTO YRCH_CAT VALUES ( '1', NOW(), 'EXAMPLE', 'a:2:{s:2:\"EN\";s:35:\"example category\";s:2:\"FR\";s:32:\"exemple de catgorie\";}', '1');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_CATCAT'
#

DROP TABLE IF EXISTS YRCH_CATCAT;
CREATE TABLE YRCH_CATCAT (
   CAT_ID bigint(20) DEFAULT '0' NOT NULL,
   CAT_CHILD bigint(20) DEFAULT '0' NOT NULL,
   LNK_MASTER enum('1','0') DEFAULT '1' NOT NULL,
   KEY CAT_ID_2 (CAT_ID),
   KEY CAT_CHILD (CAT_CHILD)
);

#
# Dumping data for table 'YRCH_CATCAT'
#

INSERT INTO YRCH_CATCAT VALUES ( '0', '0', '1');
INSERT INTO YRCH_CATCAT VALUES ( '0', '1', '1');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_CATLANG'
#

DROP TABLE IF EXISTS YRCH_CATLANG;
CREATE TABLE YRCH_CATLANG (
   CAT_ID int(10) unsigned DEFAULT '0' NOT NULL,
   LANG_CODE char(2) DEFAULT '0' NOT NULL,
   CAT_TITLE varchar(100) NOT NULL,
   PRIMARY KEY (CAT_ID, LANG_CODE)
);

#
# Dumping data for table 'YRCH_CATLANG'
#

INSERT INTO YRCH_CATLANG VALUES ( '0', 'EN', 'Yrch!');
INSERT INTO YRCH_CATLANG VALUES ( '0', 'FR', 'Yrch!');
INSERT INTO YRCH_CATLANG VALUES ( '1', 'EN', 'Example');
INSERT INTO YRCH_CATLANG VALUES ( '1', 'FR', 'Exemple');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_CATSITE'
#

DROP TABLE IF EXISTS YRCH_CATSITE;
CREATE TABLE YRCH_CATSITE (
   CAT_ID bigint(20) DEFAULT '0' NOT NULL,
   SITE_ID bigint(20) DEFAULT '0' NOT NULL,
   KEY CAT_ID (CAT_ID, SITE_ID)
);

#
# Dumping data for table 'YRCH_CATSITE'
#

INSERT INTO YRCH_CATSITE VALUES ( '1', '1');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_COUNTRY'
#

DROP TABLE IF EXISTS YRCH_COUNTRY;
CREATE TABLE YRCH_COUNTRY (
   COUNTRY_ID int(11) DEFAULT '0' NOT NULL,
   COUNTRY_CODE char(2) NOT NULL,
   COUNTRY_FLAG varchar(20) NOT NULL,
   COUNTRY_EN varchar(50) NOT NULL,
   COUNTRY_FR varchar(50) NOT NULL,
   PRIMARY KEY (COUNTRY_ID),
   KEY COUNTRY_CODE (COUNTRY_CODE)
);

#
# Dumping data for table 'YRCH_COUNTRY'
#

INSERT INTO YRCH_COUNTRY VALUES ( '1', 'AF', 'unknown.gif', 'AFGHANISTAN', 'AFGHANISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '2', 'AL', 'unknown.gif', 'ALBANIA', 'ALBANIE');
INSERT INTO YRCH_COUNTRY VALUES ( '3', 'DZ', 'unknown.gif', 'ALGERIA', 'ALGRIE');
INSERT INTO YRCH_COUNTRY VALUES ( '4', 'AS', 'unknown.gif', 'AMERICAN SAMOA', 'SAMOA AMRICAINES');
INSERT INTO YRCH_COUNTRY VALUES ( '5', 'AD', 'unknown.gif', 'ANDORRA', 'ANDORRE');
INSERT INTO YRCH_COUNTRY VALUES ( '6', 'AO', 'Angola.gif', 'ANGOLA', 'ANGOLA');
INSERT INTO YRCH_COUNTRY VALUES ( '7', 'AI', 'unknown.gif', 'ANGUILLA', 'ANGUILLA');
INSERT INTO YRCH_COUNTRY VALUES ( '8', 'AQ', 'unknown.gif', 'ANTARCTICA', 'ANTARCTIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '9', 'AG', 'Antigua.gif', 'ANTIGUA AND BARBUDA', 'ANTIGUA-ET-BARBUDA');
INSERT INTO YRCH_COUNTRY VALUES ( '10', 'AR', 'Argentina.gif', 'ARGENTINA', 'ARGENTINE');
INSERT INTO YRCH_COUNTRY VALUES ( '11', 'AM', 'Armenia.gif', 'ARMENIA', 'ARMNIE');
INSERT INTO YRCH_COUNTRY VALUES ( '12', 'AW', 'unknown.gif', 'ARUBA', 'ARUBA');
INSERT INTO YRCH_COUNTRY VALUES ( '13', 'AU', 'Australia.gif', 'AUSTRALIA', 'AUSTRALIE');
INSERT INTO YRCH_COUNTRY VALUES ( '14', 'AT', 'Austria.gif', 'AUSTRIA', 'AUTRICHE');
INSERT INTO YRCH_COUNTRY VALUES ( '15', 'AZ', 'unknown.gif', 'AZERBAIJAN', 'AZERBADJAN');
INSERT INTO YRCH_COUNTRY VALUES ( '16', 'BS', 'Bahamas.gif', 'BAHAMAS', 'BAHAMAS');
INSERT INTO YRCH_COUNTRY VALUES ( '17', 'BH', 'Bahrain.gif', 'BAHRAIN', 'BAHREN');
INSERT INTO YRCH_COUNTRY VALUES ( '18', 'BD', 'Bangladesh.gif', 'BANGLADESH', 'BANGLADESH');
INSERT INTO YRCH_COUNTRY VALUES ( '19', 'BB', 'Barbados.gif', 'BARBADOS', 'BARBADE');
INSERT INTO YRCH_COUNTRY VALUES ( '20', 'BY', 'unknown.gif', 'BELARUS', 'BLARUS');
INSERT INTO YRCH_COUNTRY VALUES ( '21', 'BE', 'Belgium.gif', 'BELGIUM', 'BELGIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '22', 'BZ', 'unknown.gif', 'BELIZE', 'BELIZE');
INSERT INTO YRCH_COUNTRY VALUES ( '23', 'BJ', 'unknown.gif', 'BENIN', 'BNIN');
INSERT INTO YRCH_COUNTRY VALUES ( '24', 'BM', 'Bermuda.gif', 'BERMUDA', 'BERMUDES');
INSERT INTO YRCH_COUNTRY VALUES ( '25', 'BT', 'unknown.gif', 'BHUTAN', 'BHOUTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '26', 'BO', 'Bolivia.gif', 'BOLIVIA', 'BOLIVIE');
INSERT INTO YRCH_COUNTRY VALUES ( '27', 'BA', 'unknown.gif', 'BOSNIA AND HERZEGOVINA', 'BOSNIE-HERZGOVINE');
INSERT INTO YRCH_COUNTRY VALUES ( '28', 'BW', 'unknown.gif', 'BOTSWANA', 'BOTSWANA');
INSERT INTO YRCH_COUNTRY VALUES ( '29', 'BV', 'unknown.gif', 'BOUVET ISLAND', 'BOUVET, LE');
INSERT INTO YRCH_COUNTRY VALUES ( '30', 'BR', 'Brazil.gif', 'BRAZIL', 'BRSIL');
INSERT INTO YRCH_COUNTRY VALUES ( '31', 'IO', 'unknown.gif', 'BRITISH INDIAN OCEAN TERRITORY', 'OCAN INDIEN, TERRITOIRE BRITANNIQUE DE L\'');
INSERT INTO YRCH_COUNTRY VALUES ( '32', 'BN', 'Brunei.gif', 'BRUNEI DARUSSALAM', 'BRUNI DARUSSALAM');
INSERT INTO YRCH_COUNTRY VALUES ( '33', 'BG', 'Bulgaria.gif', 'BULGARIA', 'BULGARIE');
INSERT INTO YRCH_COUNTRY VALUES ( '34', 'BF', 'unknown.gif', 'BURKINA FASO', 'BURKINA FASO');
INSERT INTO YRCH_COUNTRY VALUES ( '35', 'BI', 'unknown.gif', 'BURUNDI', 'BURUNDI');
INSERT INTO YRCH_COUNTRY VALUES ( '36', 'KH', 'unknown.gif', 'CAMBODIA', 'CAMBODGE');
INSERT INTO YRCH_COUNTRY VALUES ( '37', 'CM', 'unknown.gif', 'CAMEROON', 'CAMEROUN');
INSERT INTO YRCH_COUNTRY VALUES ( '38', 'CA', 'Canada.gif', 'CANADA', 'CANADA');
INSERT INTO YRCH_COUNTRY VALUES ( '39', 'CV', 'unknown.gif', 'CAPE VERDE', 'CAP-VERT');
INSERT INTO YRCH_COUNTRY VALUES ( '40', 'KY', 'Cayman_Islands.gif', 'CAYMAN ISLANDS', 'CAMANES, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '41', 'CF', 'unknown.gif', 'CENTRAL AFRICAN REPUBLIC', 'CENTRAFRICAINE, RPUBLIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '42', 'TD', 'unknown.gif', 'CHAD', 'TCHAD');
INSERT INTO YRCH_COUNTRY VALUES ( '43', 'CL', 'Chile.gif', 'CHILE', 'CHILI');
INSERT INTO YRCH_COUNTRY VALUES ( '44', 'CN', 'China.gif', 'CHINA', 'CHINE');
INSERT INTO YRCH_COUNTRY VALUES ( '45', 'CX', 'unknown.gif', 'CHRISTMAS ISLAND', 'CHRISTMAS, LE');
INSERT INTO YRCH_COUNTRY VALUES ( '46', 'CC', 'unknown.gif', 'COCOS (KEELING) ISLANDS', 'COCOS (KEELING), LES');
INSERT INTO YRCH_COUNTRY VALUES ( '47', 'CO', 'Colombia.gif', 'COLOMBIA', 'COLOMBIE');
INSERT INTO YRCH_COUNTRY VALUES ( '48', 'KM', 'unknown.gif', 'COMOROS', 'COMORES');
INSERT INTO YRCH_COUNTRY VALUES ( '49', 'CG', 'unknown.gif', 'CONGO', 'CONGO');
INSERT INTO YRCH_COUNTRY VALUES ( '50', 'CD', 'unknown.gif', 'CONGO, THE DEMOCRATIC REPUBLIC OF THE', 'CONGO, LA RPUBLIQUE DMOCRATIQUE DU');
INSERT INTO YRCH_COUNTRY VALUES ( '51', 'CK', 'unknown.gif', 'COOK ISLANDS', 'COOK, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '52', 'CR', 'Costa_Rica.gif', 'COSTA RICA', 'COSTA RICA');
INSERT INTO YRCH_COUNTRY VALUES ( '53', 'CI', 'unknown.gif', 'COTE D\'IVOIRE', 'CTE D\'IVOIRE');
INSERT INTO YRCH_COUNTRY VALUES ( '54', 'HR', 'Croatia.gif', 'CROATIA', 'CROATIE');
INSERT INTO YRCH_COUNTRY VALUES ( '55', 'CU', 'Cuba.gif', 'CUBA', 'CUBA');
INSERT INTO YRCH_COUNTRY VALUES ( '56', 'CY', 'Cyprus.gif', 'CYPRUS', 'CHYPRE');
INSERT INTO YRCH_COUNTRY VALUES ( '57', 'CZ', 'Czech_Republic.gif', 'CZECH REPUBLIC', 'TCHQUE, RPUBLIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '58', 'DK', 'Denmark.gif', 'DENMARK', 'DANEMARK');
INSERT INTO YRCH_COUNTRY VALUES ( '59', 'DJ', 'unknown.gif', 'DJIBOUTI', 'DJIBOUTI');
INSERT INTO YRCH_COUNTRY VALUES ( '60', 'DM', 'unknown.gif', 'DOMINICA', 'DOMINIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '61', 'DO', 'Dominican_rep.gif', 'DOMINICAN REPUBLIC', 'DOMINICAINE, RPUBLIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '62', 'TL', 'unknown.gif', 'EAST TIMOR', 'TIMOR ORIENTAL');
INSERT INTO YRCH_COUNTRY VALUES ( '63', 'EC', 'Ecuador.gif', 'ECUADOR', 'QUATEUR');
INSERT INTO YRCH_COUNTRY VALUES ( '64', 'EG', 'Egypt.gif', 'EGYPT', 'GYPTE');
INSERT INTO YRCH_COUNTRY VALUES ( '65', 'SV', 'El_Salvador.gif', 'EL SALVADOR', 'EL SALVADOR');
INSERT INTO YRCH_COUNTRY VALUES ( '66', 'GQ', 'unknown.gif', 'EQUATORIAL GUINEA', 'GUINE QUATORIALE');
INSERT INTO YRCH_COUNTRY VALUES ( '67', 'ER', 'unknown.gif', 'ERITREA', 'RYTHRE');
INSERT INTO YRCH_COUNTRY VALUES ( '68', 'EE', 'Estonia.gif', 'ESTONIA', 'ESTONIE');
INSERT INTO YRCH_COUNTRY VALUES ( '69', 'ET', 'unknown.gif', 'ETHIOPIA', 'THIOPIE');
INSERT INTO YRCH_COUNTRY VALUES ( '70', 'FK', 'unknown.gif', 'FALKLAND ISLANDS (MALVINAS)', 'FALKLAND, LES (MALVINAS)');
INSERT INTO YRCH_COUNTRY VALUES ( '71', 'FO', 'unknown.gif', 'FAROE ISLANDS', 'FRO, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '72', 'FJ', 'unknown.gif', 'FIJI', 'FIDJI');
INSERT INTO YRCH_COUNTRY VALUES ( '73', 'FI', 'Finland.gif', 'FINLAND', 'FINLANDE');
INSERT INTO YRCH_COUNTRY VALUES ( '74', 'FR', 'France.gif', 'FRANCE', 'FRANCE');
INSERT INTO YRCH_COUNTRY VALUES ( '75', 'GF', 'unknown.gif', 'FRENCH GUIANA', 'GUYANE FRANAISE');
INSERT INTO YRCH_COUNTRY VALUES ( '76', 'PF', 'unknown.gif', 'FRENCH POLYNESIA', 'POLYNSIE FRANAISE');
INSERT INTO YRCH_COUNTRY VALUES ( '77', 'TF', 'unknown.gif', 'FRENCH SOUTHERN TERRITORIES', 'TERRES AUSTRALES FRANAISES');
INSERT INTO YRCH_COUNTRY VALUES ( '78', 'GA', 'unknown.gif', 'GABON', 'GABON');
INSERT INTO YRCH_COUNTRY VALUES ( '79', 'GM', 'unknown.gif', 'GAMBIA', 'GAMBIE');
INSERT INTO YRCH_COUNTRY VALUES ( '80', 'GE', 'unknown.gif', 'GEORGIA', 'GORGIE');
INSERT INTO YRCH_COUNTRY VALUES ( '81', 'DE', 'Germany.gif', 'GERMANY', 'ALLEMAGNE');
INSERT INTO YRCH_COUNTRY VALUES ( '82', 'GH', 'unknown.gif', 'GHANA', 'GHANA');
INSERT INTO YRCH_COUNTRY VALUES ( '83', 'GI', 'unknown.gif', 'GIBRALTAR', 'GIBRALTAR');
INSERT INTO YRCH_COUNTRY VALUES ( '84', 'GR', 'Greece.gif', 'GREECE', 'GRCE');
INSERT INTO YRCH_COUNTRY VALUES ( '85', 'GL', 'unknown.gif', 'GREENLAND', 'GROENLAND');
INSERT INTO YRCH_COUNTRY VALUES ( '86', 'GD', 'unknown.gif', 'GRENADA', 'GRENADE');
INSERT INTO YRCH_COUNTRY VALUES ( '87', 'GP', 'unknown.gif', 'GUADELOUPE', 'GUADELOUPE');
INSERT INTO YRCH_COUNTRY VALUES ( '88', 'GU', 'unknown.gif', 'GUAM', 'GUAM');
INSERT INTO YRCH_COUNTRY VALUES ( '89', 'GT', 'Guatemala.gif', 'GUATEMALA', 'GUATEMALA');
INSERT INTO YRCH_COUNTRY VALUES ( '90', 'GN', 'unknown.gif', 'GUINEA', 'GUINE');
INSERT INTO YRCH_COUNTRY VALUES ( '91', 'GW', 'unknown.gif', 'GUINEA-BISSAU', 'GUINE-BISSAU');
INSERT INTO YRCH_COUNTRY VALUES ( '92', 'GY', 'unknown.gif', 'GUYANA', 'GUYANA');
INSERT INTO YRCH_COUNTRY VALUES ( '93', 'HT', 'unknown.gif', 'HAITI', 'HATI');
INSERT INTO YRCH_COUNTRY VALUES ( '94', 'HM', 'unknown.gif', 'HEARD ISLAND AND MCDONALD ISLANDS', 'HEARD, LE ET MCDONALD, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '95', 'VA', 'unknown.gif', 'HOLY SEE (VATICAN CITY STATE)', 'SAINT-SIGE (TAT DE LA CIT DU VATICAN)');
INSERT INTO YRCH_COUNTRY VALUES ( '96', 'HN', 'Honduras.gif', 'HONDURAS', 'HONDURAS');
INSERT INTO YRCH_COUNTRY VALUES ( '97', 'HK', 'unknown.gif', 'HONG KONG', 'HONG-KONG');
INSERT INTO YRCH_COUNTRY VALUES ( '98', 'HU', 'Hungary.gif', 'HUNGARY', 'HONGRIE');
INSERT INTO YRCH_COUNTRY VALUES ( '99', 'IS', 'Iceland.gif', 'ICELAND', 'ISLANDE');
INSERT INTO YRCH_COUNTRY VALUES ( '100', 'IN', 'India.gif', 'INDIA', 'INDE');
INSERT INTO YRCH_COUNTRY VALUES ( '101', 'ID', 'Indonesia.gif', 'INDONESIA', 'INDONSIE');
INSERT INTO YRCH_COUNTRY VALUES ( '102', 'IR', 'Iran.gif', 'IRAN, ISLAMIC REPUBLIC OF', 'IRAN, RPUBLIQUE ISLAMIQUE D\'');
INSERT INTO YRCH_COUNTRY VALUES ( '103', 'IQ', 'Iraq.gif', 'IRAQ', 'IRAQ');
INSERT INTO YRCH_COUNTRY VALUES ( '104', 'IE', 'Ireland.gif', 'IRELAND', 'IRLANDE');
INSERT INTO YRCH_COUNTRY VALUES ( '105', 'IL', 'Israel.gif', 'ISRAEL', 'ISRAL');
INSERT INTO YRCH_COUNTRY VALUES ( '106', 'IT', 'Italy.gif', 'ITALY', 'ITALIE');
INSERT INTO YRCH_COUNTRY VALUES ( '107', 'JM', 'Jamaica.gif', 'JAMAICA', 'JAMAQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '108', 'JP', 'Japan.gif', 'JAPAN', 'JAPON');
INSERT INTO YRCH_COUNTRY VALUES ( '109', 'JO', 'Jordan.gif', 'JORDAN', 'JORDANIE');
INSERT INTO YRCH_COUNTRY VALUES ( '110', 'KZ', 'Kazakstan.gif', 'KAZAKHSTAN', 'KAZAKHSTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '111', 'KE', 'Kenya.gif', 'KENYA', 'KENYA');
INSERT INTO YRCH_COUNTRY VALUES ( '112', 'KI', 'unknown.gif', 'KIRIBATI', 'KIRIBATI');
INSERT INTO YRCH_COUNTRY VALUES ( '113', 'KP', 'unknown.gif', 'KOREA, DEMOCRATIC PEOPLE\'S REPUBLIC OF', 'CORE, RPUBLIQUE POPULAIRE DMOCRATIQUE DE');
INSERT INTO YRCH_COUNTRY VALUES ( '114', 'KR', 'South_korea.gif', 'KOREA, REPUBLIC OF', 'CORE, RPUBLIQUE DE');
INSERT INTO YRCH_COUNTRY VALUES ( '115', 'KW', 'Kuwait.gif', 'KUWAIT', 'KOWET');
INSERT INTO YRCH_COUNTRY VALUES ( '116', 'KG', 'unknown.gif', 'KYRGYZSTAN', 'KIRGHIZISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '117', 'LA', 'unknown.gif', 'LAO PEOPLE\'S DEMOCRATIC REPUBLIC', 'LAO, RPUBLIQUE DMOCRATIQUE POPULAIRE');
INSERT INTO YRCH_COUNTRY VALUES ( '118', 'LV', 'Latvia.gif', 'LATVIA', 'LETTONIE');
INSERT INTO YRCH_COUNTRY VALUES ( '119', 'LB', 'Lebanon.gif', 'LEBANON', 'LIBAN');
INSERT INTO YRCH_COUNTRY VALUES ( '120', 'LS', 'unknown.gif', 'LESOTHO', 'LESOTHO');
INSERT INTO YRCH_COUNTRY VALUES ( '121', 'LR', 'unknown.gif', 'LIBERIA', 'LIBRIA');
INSERT INTO YRCH_COUNTRY VALUES ( '122', 'LY', 'unknown.gif', 'LIBYAN ARAB JAMAHIRIYA', 'LIBYENNE, JAMAHIRIYA ARABE');
INSERT INTO YRCH_COUNTRY VALUES ( '123', 'LI', 'unknown.gif', 'LIECHTENSTEIN', 'LIECHTENSTEIN');
INSERT INTO YRCH_COUNTRY VALUES ( '124', 'LT', 'Lithuania.gif', 'LITHUANIA', 'LITUANIE');
INSERT INTO YRCH_COUNTRY VALUES ( '125', 'LU', 'unknown.gif', 'LUXEMBOURG', 'LUXEMBOURG');
INSERT INTO YRCH_COUNTRY VALUES ( '126', 'MO', 'unknown.gif', 'MACAO', 'MACAO');
INSERT INTO YRCH_COUNTRY VALUES ( '127', 'MK', 'unknown.gif', 'MACEDONIA, THE FORMER YUGOSLAV REPUBLIC OF', 'MACDOINE, L\'EX-RPUBLIQUE YOUGOSLAVE DE');
INSERT INTO YRCH_COUNTRY VALUES ( '128', 'MG', 'unknown.gif', 'MADAGASCAR', 'MADAGASCAR');
INSERT INTO YRCH_COUNTRY VALUES ( '129', 'MW', 'Malawi.gif', 'MALAWI', 'MALAWI');
INSERT INTO YRCH_COUNTRY VALUES ( '130', 'MY', 'Malaysia.gif', 'MALAYSIA', 'MALAISIE');
INSERT INTO YRCH_COUNTRY VALUES ( '131', 'MV', 'unknown.gif', 'MALDIVES', 'MALDIVES');
INSERT INTO YRCH_COUNTRY VALUES ( '132', 'ML', 'unknown.gif', 'MALI', 'MALI');
INSERT INTO YRCH_COUNTRY VALUES ( '133', 'MT', 'Malta.gif', 'MALTA', 'MALTE');
INSERT INTO YRCH_COUNTRY VALUES ( '134', 'MH', 'unknown.gif', 'MARSHALL ISLANDS', 'MARSHALL, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '135', 'MQ', 'unknown.gif', 'MARTINIQUE', 'MARTINIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '136', 'MR', 'unknown.gif', 'MAURITANIA', 'MAURITANIE');
INSERT INTO YRCH_COUNTRY VALUES ( '137', 'MU', 'Mauritius.gif', 'MAURITIUS', 'MAURICE');
INSERT INTO YRCH_COUNTRY VALUES ( '138', 'YT', 'unknown.gif', 'MAYOTTE', 'MAYOTTE');
INSERT INTO YRCH_COUNTRY VALUES ( '139', 'MX', 'Mexico.gif', 'MEXICO', 'MEXIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '140', 'FM', 'unknown.gif', 'MICRONESIA, FEDERATED STATES OF', 'MICRONSIE, TATS FDRS DE');
INSERT INTO YRCH_COUNTRY VALUES ( '141', 'MD', 'unknown.gif', 'MOLDOVA, REPUBLIC OF', 'MOLDOVA, RPUBLIQUE DE');
INSERT INTO YRCH_COUNTRY VALUES ( '142', 'MC', 'unknown.gif', 'MONACO', 'MONACO');
INSERT INTO YRCH_COUNTRY VALUES ( '143', 'MN', 'unknown.gif', 'MONGOLIA', 'MONGOLIE');
INSERT INTO YRCH_COUNTRY VALUES ( '144', 'MS', 'unknown.gif', 'MONTSERRAT', 'MONTSERRAT');
INSERT INTO YRCH_COUNTRY VALUES ( '145', 'MA', 'Morocco.gif', 'MOROCCO', 'MAROC');
INSERT INTO YRCH_COUNTRY VALUES ( '146', 'MZ', 'Mozambique.gif', 'MOZAMBIQUE', 'MOZAMBIQUE');
INSERT INTO YRCH_COUNTRY VALUES ( '147', 'MM', 'unknown.gif', 'MYANMAR', 'MYANMAR');
INSERT INTO YRCH_COUNTRY VALUES ( '148', 'NA', 'unknown.gif', 'NAMIBIA', 'NAMIBIE');
INSERT INTO YRCH_COUNTRY VALUES ( '149', 'NR', 'unknown.gif', 'NAURU', 'NAURU');
INSERT INTO YRCH_COUNTRY VALUES ( '150', 'NP', 'unknown.gif', 'NEPAL', 'NPAL');
INSERT INTO YRCH_COUNTRY VALUES ( '151', 'NL', 'Netherlands.gif', 'NETHERLANDS', 'PAYS-BAS');
INSERT INTO YRCH_COUNTRY VALUES ( '152', 'AN', 'unknown.gif', 'NETHERLANDS ANTILLES', 'ANTILLES NERLANDAISES');
INSERT INTO YRCH_COUNTRY VALUES ( '153', 'NC', 'unknown.gif', 'NEW CALEDONIA', 'NOUVELLE-CALDONIE');
INSERT INTO YRCH_COUNTRY VALUES ( '154', 'NZ', 'New_Zealand.gif', 'NEW ZEALAND', 'NOUVELLE-ZLANDE');
INSERT INTO YRCH_COUNTRY VALUES ( '155', 'NI', 'Nicaragua.gif', 'NICARAGUA', 'NICARAGUA');
INSERT INTO YRCH_COUNTRY VALUES ( '156', 'NE', 'unknown.gif', 'NIGER', 'NIGER');
INSERT INTO YRCH_COUNTRY VALUES ( '157', 'NG', 'Nigeria.gif', 'NIGERIA', 'NIGRIA');
INSERT INTO YRCH_COUNTRY VALUES ( '158', 'NU', 'unknown.gif', 'NIUE', 'NIU');
INSERT INTO YRCH_COUNTRY VALUES ( '159', 'NF', 'unknown.gif', 'NORFOLK ISLAND', 'NORFOLK, LE');
INSERT INTO YRCH_COUNTRY VALUES ( '160', 'MP', 'unknown.gif', 'NORTHERN MARIANA ISLANDS', 'MARIANNES DU NORD, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '161', 'NO', 'Norway.gif', 'NORWAY', 'NORVGE');
INSERT INTO YRCH_COUNTRY VALUES ( '162', 'OM', 'unknown.gif', 'OMAN', 'OMAN');
INSERT INTO YRCH_COUNTRY VALUES ( '163', 'PK', 'Pakistan.gif', 'PAKISTAN', 'PAKISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '164', 'PW', 'unknown.gif', 'PALAU', 'PALAOS');
INSERT INTO YRCH_COUNTRY VALUES ( '165', 'PS', 'unknown.gif', 'PALESTINIAN TERRITORY, OCCUPIED', 'PALESTINIEN OCCUP, TERRITOIRE');
INSERT INTO YRCH_COUNTRY VALUES ( '166', 'PA', 'Panama.gif', 'PANAMA', 'PANAMA');
INSERT INTO YRCH_COUNTRY VALUES ( '167', 'PG', 'unknown.gif', 'PAPUA NEW GUINEA', 'PAPOUASIE-NOUVELLE-GUINE');
INSERT INTO YRCH_COUNTRY VALUES ( '168', 'PY', 'Paraguay.gif', 'PARAGUAY', 'PARAGUAY');
INSERT INTO YRCH_COUNTRY VALUES ( '169', 'PE', 'Peru.gif', 'PERU', 'PROU');
INSERT INTO YRCH_COUNTRY VALUES ( '170', 'PH', 'Phillippines.gif', 'PHILIPPINES', 'PHILIPPINES');
INSERT INTO YRCH_COUNTRY VALUES ( '171', 'PN', 'unknown.gif', 'PITCAIRN', 'PITCAIRN');
INSERT INTO YRCH_COUNTRY VALUES ( '172', 'PL', 'Poland.gif', 'POLAND', 'POLOGNE');
INSERT INTO YRCH_COUNTRY VALUES ( '173', 'PT', 'Portugal.gif', 'PORTUGAL', 'PORTUGAL');
INSERT INTO YRCH_COUNTRY VALUES ( '174', 'PR', 'Puerto_Rico.gif', 'PUERTO RICO', 'PORTO RICO');
INSERT INTO YRCH_COUNTRY VALUES ( '175', 'QA', 'Quatar.gif', 'QATAR', 'QATAR');
INSERT INTO YRCH_COUNTRY VALUES ( '176', 'RE', 'unknown.gif', 'REUNION', 'RUNION');
INSERT INTO YRCH_COUNTRY VALUES ( '177', 'RO', 'Romania.gif', 'ROMANIA', 'ROUMANIE');
INSERT INTO YRCH_COUNTRY VALUES ( '178', 'RU', 'Russia.gif', 'RUSSIAN FEDERATION', 'RUSSIE, FDRATION DE');
INSERT INTO YRCH_COUNTRY VALUES ( '179', 'RW', 'unknown.gif', 'RWANDA', 'RWANDA');
INSERT INTO YRCH_COUNTRY VALUES ( '180', 'SH', 'unknown.gif', 'SAINT HELENA', 'SAINTE-HLNE');
INSERT INTO YRCH_COUNTRY VALUES ( '181', 'KN', 'unknown.gif', 'SAINT KITTS AND NEVIS', 'SAINT-KITTS-ET-NEVIS');
INSERT INTO YRCH_COUNTRY VALUES ( '182', 'LC', 'unknown.gif', 'SAINT LUCIA', 'SAINTE-LUCIE');
INSERT INTO YRCH_COUNTRY VALUES ( '183', 'PM', 'unknown.gif', 'SAINT PIERRE AND MIQUELON', 'SAINT-PIERRE-ET-MIQUELON');
INSERT INTO YRCH_COUNTRY VALUES ( '184', 'VC', 'unknown.gif', 'SAINT VINCENT AND THE GRENADINES', 'SAINT-VINCENT-ET-LES GRENADINES');
INSERT INTO YRCH_COUNTRY VALUES ( '185', 'WS', 'unknown.gif', 'SAMOA', 'SAMOA');
INSERT INTO YRCH_COUNTRY VALUES ( '186', 'SM', 'unknown.gif', 'SAN MARINO', 'SAINT-MARIN');
INSERT INTO YRCH_COUNTRY VALUES ( '187', 'ST', 'unknown.gif', 'SAO TOME AND PRINCIPE', 'SAO TOM-ET-PRINCIPE');
INSERT INTO YRCH_COUNTRY VALUES ( '188', 'SA', 'Saudi_Arabia.gif', 'SAUDI ARABIA', 'ARABIE SAOUDITE');
INSERT INTO YRCH_COUNTRY VALUES ( '189', 'SN', 'unknown.gif', 'SENEGAL', 'SNGAL');
INSERT INTO YRCH_COUNTRY VALUES ( '190', 'SC', 'unknown.gif', 'SEYCHELLES', 'SEYCHELLES');
INSERT INTO YRCH_COUNTRY VALUES ( '191', 'SL', 'unknown.gif', 'SIERRA LEONE', 'SIERRA LEONE');
INSERT INTO YRCH_COUNTRY VALUES ( '192', 'SG', 'unknown.gif', 'SINGAPORE', 'SINGAPOUR');
INSERT INTO YRCH_COUNTRY VALUES ( '193', 'SK', 'Slovakia.gif', 'SLOVAKIA', 'SLOVAQUIE');
INSERT INTO YRCH_COUNTRY VALUES ( '194', 'SI', 'Slovenia.gif', 'SLOVENIA', 'SLOVNIE');
INSERT INTO YRCH_COUNTRY VALUES ( '195', 'SB', 'Solomon_Islands.gif', 'SOLOMON ISLANDS', 'SALOMON, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '196', 'SO', 'Somalia.gif', 'SOMALIA', 'SOMALIE');
INSERT INTO YRCH_COUNTRY VALUES ( '197', 'ZA', 'South_Africa.gif', 'SOUTH AFRICA', 'AFRIQUE DU SUD');
INSERT INTO YRCH_COUNTRY VALUES ( '198', 'GS', 'unknown.gif', 'SOUTH GEORGIA AND THE SOUTH SANDWICH ISLANDS', 'GORGIE DU SUD ET LES LES SANDWICH DU SUD');
INSERT INTO YRCH_COUNTRY VALUES ( '199', 'ES', 'Spain.gif', 'SPAIN', 'ESPAGNE');
INSERT INTO YRCH_COUNTRY VALUES ( '200', 'LK', 'Sri_Lanka.gif', 'SRI LANKA', 'SRI LANKA');
INSERT INTO YRCH_COUNTRY VALUES ( '201', 'SD', 'unknown.gif', 'SUDAN', 'SOUDAN');
INSERT INTO YRCH_COUNTRY VALUES ( '202', 'SR', 'Surinam.gif', 'SURINAME', 'SURINAME');
INSERT INTO YRCH_COUNTRY VALUES ( '203', 'SJ', 'unknown.gif', 'SVALBARD AND JAN MAYEN', 'SVALBARD ET LE JAN MAYEN');
INSERT INTO YRCH_COUNTRY VALUES ( '204', 'SZ', 'unknown.gif', 'SWAZILAND', 'SWAZILAND');
INSERT INTO YRCH_COUNTRY VALUES ( '205', 'SE', 'Sweden.gif', 'SWEDEN', 'SUDE');
INSERT INTO YRCH_COUNTRY VALUES ( '206', 'CH', 'Switzerland.gif', 'SWITZERLAND', 'SUISSE');
INSERT INTO YRCH_COUNTRY VALUES ( '207', 'SY', 'unknown.gif', 'SYRIAN ARAB REPUBLIC', 'SYRIENNE, RPUBLIQUE ARABE');
INSERT INTO YRCH_COUNTRY VALUES ( '208', 'TW', 'Taiwan.gif', 'TAIWAN, PROVINCE OF CHINA', 'TAWAN, PROVINCE DE CHINE');
INSERT INTO YRCH_COUNTRY VALUES ( '209', 'TJ', 'unknown.gif', 'TAJIKISTAN', 'TADJIKISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '210', 'TZ', 'unknown.gif', 'TANZANIA, UNITED REPUBLIC OF', 'TANZANIE, RPUBLIQUE-UNIE DE');
INSERT INTO YRCH_COUNTRY VALUES ( '211', 'TH', 'Thailand.gif', 'THAILAND', 'THALANDE');
INSERT INTO YRCH_COUNTRY VALUES ( '212', 'TG', 'unknown.gif', 'TOGO', 'TOGO');
INSERT INTO YRCH_COUNTRY VALUES ( '213', 'TK', 'unknown.gif', 'TOKELAU', 'TOKELAU');
INSERT INTO YRCH_COUNTRY VALUES ( '214', 'TO', 'unknown.gif', 'TONGA', 'TONGA');
INSERT INTO YRCH_COUNTRY VALUES ( '215', 'TT', 'Trinidad_Tobago.gif', 'TRINIDAD AND TOBAGO', 'TRINIT-ET-TOBAGO');
INSERT INTO YRCH_COUNTRY VALUES ( '216', 'TN', 'unknown.gif', 'TUNISIA', 'TUNISIE');
INSERT INTO YRCH_COUNTRY VALUES ( '217', 'TR', 'Turkey.gif', 'TURKEY', 'TURQUIE');
INSERT INTO YRCH_COUNTRY VALUES ( '218', 'TM', 'unknown.gif', 'TURKMENISTAN', 'TURKMNISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '219', 'TC', 'unknown.gif', 'TURKS AND CAICOS ISLANDS', 'TURKS ET CAQUES, LES');
INSERT INTO YRCH_COUNTRY VALUES ( '220', 'TV', 'unknown.gif', 'TUVALU', 'TUVALU');
INSERT INTO YRCH_COUNTRY VALUES ( '221', 'UG', 'unknown.gif', 'UGANDA', 'OUGANDA');
INSERT INTO YRCH_COUNTRY VALUES ( '222', 'UA', 'Ukraine.gif', 'UKRAINE', 'UKRAINE');
INSERT INTO YRCH_COUNTRY VALUES ( '223', 'AE', 'United_Emirates.gif', 'UNITED ARAB EMIRATES', 'MIRATS ARABES UNIS');
INSERT INTO YRCH_COUNTRY VALUES ( '224', 'GB', 'Great_Britain.gif', 'UNITED KINGDOM', 'ROYAUME-UNI');
INSERT INTO YRCH_COUNTRY VALUES ( '225', 'US', 'United_States.gif', 'UNITED STATES', 'TATS-UNIS');
INSERT INTO YRCH_COUNTRY VALUES ( '226', 'UM', 'unknown.gif', 'UNITED STATES MINOR OUTLYING ISLANDS', 'LES MINEURES LOIGNES DES TATS-UNIS');
INSERT INTO YRCH_COUNTRY VALUES ( '227', 'UY', 'Uruguay.gif', 'URUGUAY', 'URUGUAY');
INSERT INTO YRCH_COUNTRY VALUES ( '228', 'UZ', 'unknown.gif', 'UZBEKISTAN', 'OUZBKISTAN');
INSERT INTO YRCH_COUNTRY VALUES ( '229', 'VU', 'unknown.gif', 'VANUATU', 'VANUATU');
INSERT INTO YRCH_COUNTRY VALUES ( '230', 'VE', 'Venezuela.gif', 'VENEZUELA', 'VENEZUELA');
INSERT INTO YRCH_COUNTRY VALUES ( '231', 'VN', 'unknown.gif', 'VIET NAM', 'VIET NAM');
INSERT INTO YRCH_COUNTRY VALUES ( '232', 'VG', 'unknown.gif', 'VIRGIN ISLANDS, BRITISH', 'LES VIERGES BRITANNIQUES');
INSERT INTO YRCH_COUNTRY VALUES ( '233', 'VI', 'unknown.gif', 'VIRGIN ISLANDS, U.S.', 'LES VIERGES DES TATS-UNIS');
INSERT INTO YRCH_COUNTRY VALUES ( '234', 'WF', 'unknown.gif', 'WALLIS AND FUTUNA', 'WALLIS ET FUTUNA');
INSERT INTO YRCH_COUNTRY VALUES ( '235', 'EH', 'unknown.gif', 'WESTERN SAHARA', 'SAHARA OCCIDENTAL');
INSERT INTO YRCH_COUNTRY VALUES ( '236', 'YE', 'unknown.gif', 'YEMEN', 'YMEN');
INSERT INTO YRCH_COUNTRY VALUES ( '237', 'YU', 'Yugoslavia.gif', 'YUGOSLAVIA', 'YOUGOSLAVIE');
INSERT INTO YRCH_COUNTRY VALUES ( '238', 'ZM', 'Zambia.gif', 'ZAMBIA', 'ZAMBIE');
INSERT INTO YRCH_COUNTRY VALUES ( '239', 'ZW', 'Zimbabwe.gif', 'ZIMBABWE', 'ZIMBABWE');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_HITS'
#

DROP TABLE IF EXISTS YRCH_HITS;
CREATE TABLE YRCH_HITS (
   HIT_ID bigint(20) DEFAULT '0' NOT NULL,
   SITE_ID bigint(20) DEFAULT '0' NOT NULL,
   USER_ID bigint(20) DEFAULT '0' NOT NULL,
   HIT_TIME datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   HIT_IP varchar(16) NOT NULL,
   HIT_RESOLV varchar(120) NOT NULL,
   PRIMARY KEY (HIT_ID)
);

#
# Dumping data for table 'YRCH_HITS'
#


# --------------------------------------------------------
#
# Table structure for table 'YRCH_LANG'
#

DROP TABLE IF EXISTS YRCH_LANG;
CREATE TABLE YRCH_LANG (
   LANG_ID int(11) DEFAULT '0' NOT NULL,
   LANG_MASTER enum('0','1') DEFAULT '0' NOT NULL,
   LANG_YRCH enum('0','1') DEFAULT '0' NOT NULL,
   LANG_CODE char(2) NOT NULL,
   LANG_FLAG varchar(20) DEFAULT 'unknown.gif' NOT NULL,
   LANG_EN varchar(50) NOT NULL,
   LANG_FR varchar(50) NOT NULL,
   PRIMARY KEY (LANG_ID),
   KEY LANG_MASTER (LANG_MASTER, LANG_YRCH, LANG_CODE)
);

#
# Dumping data for table 'YRCH_LANG'
#

INSERT INTO YRCH_LANG VALUES ( '1', '0', '0', 'aa', 'unknown.gif', 'Afar', 'afar');
INSERT INTO YRCH_LANG VALUES ( '2', '0', '0', 'ab', 'unknown.gif', 'Abkhazian', 'abkhaze');
INSERT INTO YRCH_LANG VALUES ( '3', '0', '0', 'ae', 'unknown.gif', 'Avestan', 'avestique');
INSERT INTO YRCH_LANG VALUES ( '4', '0', '0', 'af', 'South_Africa.gif', 'Afrikaans', 'afrikaans');
INSERT INTO YRCH_LANG VALUES ( '5', '0', '0', 'am', 'unknown.gif', 'Amharic', 'amharique');
INSERT INTO YRCH_LANG VALUES ( '6', '0', '0', 'ar', 'Saudi_Arabia.gif', 'Arabic', 'arabe');
INSERT INTO YRCH_LANG VALUES ( '7', '0', '0', 'as', 'unknown.gif', 'Assamese', 'assamais');
INSERT INTO YRCH_LANG VALUES ( '8', '0', '0', 'ay', 'unknown.gif', 'Aymara', 'aymara');
INSERT INTO YRCH_LANG VALUES ( '9', '0', '0', 'az', 'unknown.gif', 'Azerbaijani', 'azri');
INSERT INTO YRCH_LANG VALUES ( '10', '0', '0', 'ba', 'unknown.gif', 'Bashkir', 'bachkir');
INSERT INTO YRCH_LANG VALUES ( '11', '0', '0', 'be', 'unknown.gif', 'Belarusian', 'bilorusse');
INSERT INTO YRCH_LANG VALUES ( '12', '0', '0', 'bg', 'Bulgaria.gif', 'Bulgarian', 'bulgare');
INSERT INTO YRCH_LANG VALUES ( '13', '0', '0', 'bh', 'unknown.gif', 'Bihari', 'bihari');
INSERT INTO YRCH_LANG VALUES ( '14', '0', '0', 'bi', 'unknown.gif', 'Bislama', 'bichlamar');
INSERT INTO YRCH_LANG VALUES ( '15', '0', '0', 'bn', 'unknown.gif', 'Bengali', 'bengali');
INSERT INTO YRCH_LANG VALUES ( '16', '0', '0', 'bo', 'unknown.gif', 'Tibetan', 'tibtain');
INSERT INTO YRCH_LANG VALUES ( '17', '0', '0', 'br', 'unknown.gif', 'Breton', 'breton');
INSERT INTO YRCH_LANG VALUES ( '18', '0', '0', 'bs', 'unknown.gif', 'Bosnian', 'bosniaque');
INSERT INTO YRCH_LANG VALUES ( '19', '0', '0', 'ca', 'Catalan.gif', 'Catalan', 'catalan');
INSERT INTO YRCH_LANG VALUES ( '20', '0', '0', 'ce', 'unknown.gif', 'Chechen', 'tchtchne');
INSERT INTO YRCH_LANG VALUES ( '21', '0', '0', 'ch', 'unknown.gif', 'Chamorro', 'chamorro');
INSERT INTO YRCH_LANG VALUES ( '22', '0', '0', 'co', 'unknown.gif', 'Corsican', 'corse');
INSERT INTO YRCH_LANG VALUES ( '23', '0', '0', 'cs', 'Czech_Republic.gif', 'Czech', 'tchque');
INSERT INTO YRCH_LANG VALUES ( '24', '0', '0', 'cu', 'unknown.gif', 'Old Bulgarian', 'vieux bulgare');
INSERT INTO YRCH_LANG VALUES ( '25', '0', '0', 'cv', 'unknown.gif', 'Chuvash', 'tchouvache');
INSERT INTO YRCH_LANG VALUES ( '26', '0', '0', 'cy', 'wales.gif', 'Welsh', 'gallois');
INSERT INTO YRCH_LANG VALUES ( '27', '0', '0', 'da', 'Denmark.gif', 'Danish', 'danois');
INSERT INTO YRCH_LANG VALUES ( '28', '1', '0', 'de', 'Germany.gif', 'German', 'allemand');
INSERT INTO YRCH_LANG VALUES ( '29', '0', '0', 'dz', 'unknown.gif', 'Dzongkha', 'dzongkha');
INSERT INTO YRCH_LANG VALUES ( '30', '0', '0', 'el', 'Greece.gif', 'Greek', 'grec');
INSERT INTO YRCH_LANG VALUES ( '31', '0', '0', 'el', 'Greece.gif', 'Greek', 'grec moderne');
INSERT INTO YRCH_LANG VALUES ( '32', '1', '0', 'en', 'Great_Britain.gif', 'English', 'anglais');
INSERT INTO YRCH_LANG VALUES ( '33', '0', '0', 'eo', 'Esperanto.gif', 'Esperanto', 'espranto');
INSERT INTO YRCH_LANG VALUES ( '34', '1', '0', 'es', 'Spain.gif', 'Spanish', 'espagnol');
INSERT INTO YRCH_LANG VALUES ( '35', '0', '0', 'et', 'Estonia.gif', 'Estonian', 'estonien');
INSERT INTO YRCH_LANG VALUES ( '36', '0', '0', 'eu', 'unknown.gif', 'Basque', 'basque');
INSERT INTO YRCH_LANG VALUES ( '37', '0', '0', 'fa', 'unknown.gif', 'Persian', 'persan');
INSERT INTO YRCH_LANG VALUES ( '38', '0', '0', 'fi', 'Finland.gif', 'Finnish', 'finnois');
INSERT INTO YRCH_LANG VALUES ( '39', '0', '0', 'fj', 'unknown.gif', 'Fijian', 'fidjien');
INSERT INTO YRCH_LANG VALUES ( '40', '0', '0', 'fo', 'unknown.gif', 'Faroese', 'froen');
INSERT INTO YRCH_LANG VALUES ( '41', '1', '1', 'fr', 'France.gif', 'French', 'franais');
INSERT INTO YRCH_LANG VALUES ( '42', '0', '0', 'fy', 'unknown.gif', 'Frisian', 'frison');
INSERT INTO YRCH_LANG VALUES ( '43', '0', '0', 'ga', 'Ireland.gif', 'Irish', 'irlandais');
INSERT INTO YRCH_LANG VALUES ( '44', '0', '0', 'gd', 'unknown.gif', 'Gaelic', 'galique');
INSERT INTO YRCH_LANG VALUES ( '45', '0', '0', 'gl', 'unknown.gif', 'Gallegan', 'galicien');
INSERT INTO YRCH_LANG VALUES ( '46', '0', '0', 'gn', 'unknown.gif', 'Guarani', 'guarani');
INSERT INTO YRCH_LANG VALUES ( '47', '0', '0', 'gu', 'unknown.gif', 'Gujarati', 'goudjrati');
INSERT INTO YRCH_LANG VALUES ( '48', '0', '0', 'gv', 'unknown.gif', 'Manx', 'manx');
INSERT INTO YRCH_LANG VALUES ( '49', '0', '0', 'ha', 'unknown.gif', 'Hausa', 'haoussa');
INSERT INTO YRCH_LANG VALUES ( '50', '0', '0', 'he', 'Israel.gif', 'Hebrew', 'hbreu');
INSERT INTO YRCH_LANG VALUES ( '51', '0', '0', 'hi', 'unknown.gif', 'Hindi', 'hindi');
INSERT INTO YRCH_LANG VALUES ( '52', '0', '0', 'ho', 'unknown.gif', 'Hiri Motu', 'hiri motu');
INSERT INTO YRCH_LANG VALUES ( '53', '0', '0', 'hr', 'unknown.gif', 'Croatian', 'croate');
INSERT INTO YRCH_LANG VALUES ( '54', '0', '0', 'hu', 'unknown.gif', 'Hungarian', 'hongrois');
INSERT INTO YRCH_LANG VALUES ( '55', '0', '0', 'hy', 'unknown.gif', 'Armenian', 'armnien');
INSERT INTO YRCH_LANG VALUES ( '56', '0', '0', 'hz', 'unknown.gif', 'Herero', 'herero');
INSERT INTO YRCH_LANG VALUES ( '57', '0', '0', 'ia', 'unknown.gif', 'Interlingua', 'interlingua');
INSERT INTO YRCH_LANG VALUES ( '58', '0', '0', 'id', 'unknown.gif', 'Indonesian', 'indonsien');
INSERT INTO YRCH_LANG VALUES ( '59', '0', '0', 'ie', 'unknown.gif', 'Interlingue', 'interlingue');
INSERT INTO YRCH_LANG VALUES ( '60', '0', '0', 'ik', 'unknown.gif', 'Inupiaq', 'inupiaq');
INSERT INTO YRCH_LANG VALUES ( '61', '0', '0', 'io', 'unknown.gif', 'Ido', 'ido');
INSERT INTO YRCH_LANG VALUES ( '62', '0', '0', 'is', 'Iceland.gif', 'Icelandic', 'islandais');
INSERT INTO YRCH_LANG VALUES ( '63', '1', '0', 'it', 'Italy.gif', 'Italian', 'italien');
INSERT INTO YRCH_LANG VALUES ( '64', '0', '0', 'iu', 'unknown.gif', 'Inuktitut', 'inuktitut');
INSERT INTO YRCH_LANG VALUES ( '65', '0', '0', 'ja', 'Japan.gif', 'Japanese', 'japonais');
INSERT INTO YRCH_LANG VALUES ( '66', '0', '0', 'jv', 'unknown.gif', 'Javanese', 'javanais');
INSERT INTO YRCH_LANG VALUES ( '67', '0', '0', 'ka', 'unknown.gif', 'Georgian', 'gorgien');
INSERT INTO YRCH_LANG VALUES ( '68', '0', '0', 'ki', 'unknown.gif', 'Kikuyu', 'kikuyu');
INSERT INTO YRCH_LANG VALUES ( '69', '0', '0', 'kj', 'unknown.gif', 'Kuanyama', 'kuanyama');
INSERT INTO YRCH_LANG VALUES ( '70', '0', '0', 'kk', 'unknown.gif', 'Kazakh', 'kazakh');
INSERT INTO YRCH_LANG VALUES ( '71', '0', '0', 'kl', 'unknown.gif', 'Kalaallisut', 'groenlandais');
INSERT INTO YRCH_LANG VALUES ( '72', '0', '0', 'km', 'unknown.gif', 'Khmer', 'khmer');
INSERT INTO YRCH_LANG VALUES ( '73', '0', '0', 'kn', 'unknown.gif', 'Kannada', 'kannada');
INSERT INTO YRCH_LANG VALUES ( '74', '0', '0', 'ko', 'unknown.gif', 'Korean', 'coren');
INSERT INTO YRCH_LANG VALUES ( '75', '0', '0', 'ks', 'unknown.gif', 'Kashmiri', 'kashmiri');
INSERT INTO YRCH_LANG VALUES ( '76', '0', '0', 'ku', 'unknown.gif', 'Kurdish', 'kurde');
INSERT INTO YRCH_LANG VALUES ( '77', '0', '0', 'kv', 'unknown.gif', 'Komi', 'kom');
INSERT INTO YRCH_LANG VALUES ( '78', '0', '0', 'kw', 'unknown.gif', 'Cornish', 'cornique');
INSERT INTO YRCH_LANG VALUES ( '79', '0', '0', 'ky', 'unknown.gif', 'Kirghiz', 'kirghize');
INSERT INTO YRCH_LANG VALUES ( '80', '0', '0', 'la', 'unknown.gif', 'Latin', 'latin');
INSERT INTO YRCH_LANG VALUES ( '81', '0', '0', 'lb', 'unknown.gif', 'Luxembourgish', 'luxembourgeois');
INSERT INTO YRCH_LANG VALUES ( '82', '0', '0', 'li', 'unknown.gif', 'Limburgish', 'limbourgeois');
INSERT INTO YRCH_LANG VALUES ( '83', '0', '0', 'ln', 'unknown.gif', 'Lingala', 'lingala');
INSERT INTO YRCH_LANG VALUES ( '84', '0', '0', 'lo', 'unknown.gif', 'Lao', 'lao');
INSERT INTO YRCH_LANG VALUES ( '85', '0', '0', 'lt', 'unknown.gif', 'Lithuanian', 'lituanien');
INSERT INTO YRCH_LANG VALUES ( '86', '0', '0', 'lv', 'Latvia.gif', 'Latvian', 'letton');
INSERT INTO YRCH_LANG VALUES ( '87', '0', '0', 'mg', 'unknown.gif', 'Malagasy', 'malgache');
INSERT INTO YRCH_LANG VALUES ( '88', '0', '0', 'mh', 'unknown.gif', 'Marshallese', 'marshall');
INSERT INTO YRCH_LANG VALUES ( '89', '0', '0', 'mi', 'unknown.gif', 'Maori', 'maori');
INSERT INTO YRCH_LANG VALUES ( '90', '0', '0', 'mk', 'unknown.gif', 'Macedonian', 'macdonien');
INSERT INTO YRCH_LANG VALUES ( '91', '0', '0', 'ml', 'unknown.gif', 'Malayalam', 'malayalam');
INSERT INTO YRCH_LANG VALUES ( '92', '0', '0', 'mn', 'unknown.gif', 'Mongolian', 'mongol');
INSERT INTO YRCH_LANG VALUES ( '93', '0', '0', 'mo', 'unknown.gif', 'Moldavian', 'moldave');
INSERT INTO YRCH_LANG VALUES ( '94', '0', '0', 'mr', 'unknown.gif', 'Marathi', 'marathe');
INSERT INTO YRCH_LANG VALUES ( '95', '0', '0', 'ms', 'unknown.gif', 'Malay', 'malais');
INSERT INTO YRCH_LANG VALUES ( '96', '0', '0', 'mt', 'unknown.gif', 'Maltese', 'maltais');
INSERT INTO YRCH_LANG VALUES ( '97', '0', '0', 'my', 'unknown.gif', 'Burmese', 'birman');
INSERT INTO YRCH_LANG VALUES ( '98', '0', '0', 'na', 'unknown.gif', 'Nauru', 'nauruan');
INSERT INTO YRCH_LANG VALUES ( '99', '0', '0', 'nb', 'unknown.gif', 'Norwegian Bokml', 'norvgien bokml');
INSERT INTO YRCH_LANG VALUES ( '100', '0', '0', 'nd', 'unknown.gif', 'Ndebele, North', 'ndbl du Nord');
INSERT INTO YRCH_LANG VALUES ( '101', '0', '0', 'ne', 'unknown.gif', 'Nepali', 'npalais');
INSERT INTO YRCH_LANG VALUES ( '102', '0', '0', 'ng', 'unknown.gif', 'Ndonga', 'ndonga');
INSERT INTO YRCH_LANG VALUES ( '103', '0', '0', 'nl', 'Netherlands.gif', 'Dutch', 'nerlandais');
INSERT INTO YRCH_LANG VALUES ( '104', '0', '0', 'nn', 'Norway.gif', 'Norwegian', 'norvgien');
INSERT INTO YRCH_LANG VALUES ( '106', '0', '0', 'nr', 'unknown.gif', 'Ndebele, South', 'ndbl du Sud');
INSERT INTO YRCH_LANG VALUES ( '107', '0', '0', 'nv', 'unknown.gif', 'Navajo', 'navaho');
INSERT INTO YRCH_LANG VALUES ( '108', '0', '0', 'ny', 'unknown.gif', 'Chichewa', 'chichewa');
INSERT INTO YRCH_LANG VALUES ( '109', '0', '0', 'oc', 'unknown.gif', 'Occitan', 'occitan');
INSERT INTO YRCH_LANG VALUES ( '110', '0', '0', 'om', 'unknown.gif', 'Oromo', 'galla');
INSERT INTO YRCH_LANG VALUES ( '111', '0', '0', 'or', 'unknown.gif', 'Oriya', 'oriya');
INSERT INTO YRCH_LANG VALUES ( '112', '0', '0', 'os', 'unknown.gif', 'Ossetian', 'osste');
INSERT INTO YRCH_LANG VALUES ( '113', '0', '0', 'pa', 'unknown.gif', 'Panjabi', 'pendjabi');
INSERT INTO YRCH_LANG VALUES ( '114', '0', '0', 'pi', 'unknown.gif', 'Pali', 'pali');
INSERT INTO YRCH_LANG VALUES ( '115', '0', '0', 'pl', 'Poland.gif', 'Polish', 'polonais');
INSERT INTO YRCH_LANG VALUES ( '116', '0', '0', 'ps', 'unknown.gif', 'Pushto', 'pachto');
INSERT INTO YRCH_LANG VALUES ( '117', '0', '0', 'pt', 'Portugal.gif', 'Portuguese', 'portugais');
INSERT INTO YRCH_LANG VALUES ( '118', '0', '0', 'qu', 'unknown.gif', 'Quechua', 'quechua');
INSERT INTO YRCH_LANG VALUES ( '119', '0', '0', 'rm', 'unknown.gif', 'Raeto-Romance', 'rhto-roman');
INSERT INTO YRCH_LANG VALUES ( '120', '0', '0', 'rn', 'unknown.gif', 'Rundi', 'rundi');
INSERT INTO YRCH_LANG VALUES ( '121', '0', '0', 'ro', 'Romania.gif', 'Romanian', 'roumain');
INSERT INTO YRCH_LANG VALUES ( '122', '0', '0', 'ru', 'Russia.gif', 'Russian', 'russe');
INSERT INTO YRCH_LANG VALUES ( '123', '0', '0', 'rw', 'unknown.gif', 'Kinyarwanda', 'rwanda');
INSERT INTO YRCH_LANG VALUES ( '124', '0', '0', 'sa', 'unknown.gif', 'Sanskrit', 'sanskrit');
INSERT INTO YRCH_LANG VALUES ( '125', '0', '0', 'sc', 'unknown.gif', 'Sardinian', 'sarde');
INSERT INTO YRCH_LANG VALUES ( '126', '0', '0', 'sd', 'unknown.gif', 'Sindhi', 'sindhi');
INSERT INTO YRCH_LANG VALUES ( '127', '0', '0', 'se', 'unknown.gif', 'Northern Sami', 'sami du Nord');
INSERT INTO YRCH_LANG VALUES ( '128', '0', '0', 'sg', 'unknown.gif', 'Sango', 'sango');
INSERT INTO YRCH_LANG VALUES ( '129', '0', '0', 'si', 'unknown.gif', 'Sinhalese', 'singhalais');
INSERT INTO YRCH_LANG VALUES ( '130', '0', '0', 'sk', 'Slovakia.gif', 'Slovak', 'slovaque');
INSERT INTO YRCH_LANG VALUES ( '131', '0', '0', 'sl', 'Slovenia.gif', 'Slovenian', 'slovne');
INSERT INTO YRCH_LANG VALUES ( '132', '0', '0', 'sm', 'unknown.gif', 'Samoan', 'samoan');
INSERT INTO YRCH_LANG VALUES ( '133', '0', '0', 'sn', 'unknown.gif', 'Shona', 'shona');
INSERT INTO YRCH_LANG VALUES ( '134', '0', '0', 'so', 'unknown.gif', 'Somali', 'somali');
INSERT INTO YRCH_LANG VALUES ( '135', '0', '0', 'sq', 'unknown.gif', 'Albanian', 'albanais');
INSERT INTO YRCH_LANG VALUES ( '136', '0', '0', 'sr', 'unknown.gif', 'Serbian', 'serbe');
INSERT INTO YRCH_LANG VALUES ( '137', '0', '0', 'ss', 'unknown.gif', 'Swati', 'swati');
INSERT INTO YRCH_LANG VALUES ( '138', '0', '0', 'st', 'unknown.gif', 'Sotho, Southern', 'sotho du Sud');
INSERT INTO YRCH_LANG VALUES ( '139', '0', '0', 'su', 'unknown.gif', 'Sundanese', 'soundanais');
INSERT INTO YRCH_LANG VALUES ( '140', '0', '0', 'sv', 'Sweden.gif', 'Swedish', 'sudois');
INSERT INTO YRCH_LANG VALUES ( '141', '0', '0', 'sw', 'unknown.gif', 'Swahili', 'swahili');
INSERT INTO YRCH_LANG VALUES ( '142', '0', '0', 'ta', 'unknown.gif', 'Tamil', 'tamoul');
INSERT INTO YRCH_LANG VALUES ( '143', '0', '0', 'te', 'unknown.gif', 'Telugu', 'tlougou');
INSERT INTO YRCH_LANG VALUES ( '144', '0', '0', 'tg', 'unknown.gif', 'Tajik', 'tadjik');
INSERT INTO YRCH_LANG VALUES ( '145', '0', '0', 'th', 'unknown.gif', 'Thai', 'tha');
INSERT INTO YRCH_LANG VALUES ( '146', '0', '0', 'ti', 'unknown.gif', 'Tigrinya', 'tigrigna');
INSERT INTO YRCH_LANG VALUES ( '147', '0', '0', 'tk', 'unknown.gif', 'Turkmen', 'turkmne');
INSERT INTO YRCH_LANG VALUES ( '148', '0', '0', 'tl', 'unknown.gif', 'Tagalog', 'tagalog');
INSERT INTO YRCH_LANG VALUES ( '149', '0', '0', 'tn', 'unknown.gif', 'Tswana', 'tswana');
INSERT INTO YRCH_LANG VALUES ( '150', '0', '0', 'to', 'unknown.gif', 'Tonga (Tonga Islands)', 'tongan (les Tonga)');
INSERT INTO YRCH_LANG VALUES ( '151', '0', '0', 'tr', 'Turkey.gif', 'Turkish', 'turc');
INSERT INTO YRCH_LANG VALUES ( '152', '0', '0', 'ts', 'unknown.gif', 'Tsonga', 'tsonga');
INSERT INTO YRCH_LANG VALUES ( '153', '0', '0', 'tt', 'unknown.gif', 'Tatar', 'tatar');
INSERT INTO YRCH_LANG VALUES ( '154', '0', '0', 'tw', 'unknown.gif', 'Twi', 'twi');
INSERT INTO YRCH_LANG VALUES ( '155', '0', '0', 'ty', 'unknown.gif', 'Tahitian', 'tahitien');
INSERT INTO YRCH_LANG VALUES ( '156', '0', '0', 'ug', 'unknown.gif', 'Uighur', 'ougour');
INSERT INTO YRCH_LANG VALUES ( '157', '0', '0', 'uk', 'Ukraine.gif', 'Ukrainian', 'ukrainien');
INSERT INTO YRCH_LANG VALUES ( '158', '0', '0', 'ur', 'unknown.gif', 'Urdu', 'ourdou');
INSERT INTO YRCH_LANG VALUES ( '159', '0', '0', 'uz', 'unknown.gif', 'Uzbek', 'ouszbek');
INSERT INTO YRCH_LANG VALUES ( '160', '0', '0', 'vi', 'unknown.gif', 'Vietnamese', 'vietnamien');
INSERT INTO YRCH_LANG VALUES ( '161', '0', '0', 'vo', 'unknown.gif', 'Volapk', 'volapk');
INSERT INTO YRCH_LANG VALUES ( '162', '0', '0', 'wa', 'unknown.gif', 'Walloon', 'wallon');
INSERT INTO YRCH_LANG VALUES ( '163', '0', '0', 'wo', 'unknown.gif', 'Wolof', 'wolof');
INSERT INTO YRCH_LANG VALUES ( '164', '0', '0', 'xh', 'unknown.gif', 'Xhosa', 'xhosa');
INSERT INTO YRCH_LANG VALUES ( '165', '0', '0', 'yi', 'unknown.gif', 'Yiddish', 'yiddish');
INSERT INTO YRCH_LANG VALUES ( '166', '0', '0', 'yo', 'unknown.gif', 'Yoruba', 'yoruba');
INSERT INTO YRCH_LANG VALUES ( '167', '0', '0', 'za', 'unknown.gif', 'Zhuang', 'zhuang');
INSERT INTO YRCH_LANG VALUES ( '168', '0', '0', 'zh', 'China.gif', 'Chinese', 'chinois');
INSERT INTO YRCH_LANG VALUES ( '169', '0', '0', 'zu', 'South_africa.gif', 'Zulu', 'zoulou');
INSERT INTO YRCH_LANG VALUES ( '170', '0', '0', 'sx', 'Sindarin.gif', 'Sindarin', 'sindarin');
INSERT INTO YRCH_LANG VALUES ( '171', '0', '0', 'qx', 'Quenya.gif', 'Quenya', 'quenya');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_LOG'
#

DROP TABLE IF EXISTS YRCH_LOG;
CREATE TABLE YRCH_LOG (
   USER_ID int(10) unsigned DEFAULT '0' NOT NULL,
   LOG_ALIAS varchar(10) NOT NULL,
   LOG_DATE datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   LOG_DESC text NOT NULL,
   KEY USER_ID (USER_ID, LOG_ALIAS)
);

#
# Dumping data for table 'YRCH_LOG'
#


# --------------------------------------------------------
#
# Table structure for table 'YRCH_PAGE'
#

DROP TABLE IF EXISTS YRCH_PAGE;
CREATE TABLE YRCH_PAGE (
   PAGE_ID int(10) unsigned DEFAULT '0' NOT NULL,
   SITE_ID int(10) unsigned DEFAULT '0' NOT NULL,
   CAT_ID int(10) unsigned DEFAULT '0' NOT NULL,
   PAGE_URL varchar(255) NOT NULL,
   PAGE_TITLE text NOT NULL,
   PAGE_STATUS enum('0','1') DEFAULT '0' NOT NULL,
   PRIMARY KEY (PAGE_ID),
   KEY SITE_ID (SITE_ID, CAT_ID),
   KEY PAGE_STATUS (PAGE_STATUS)
);

#
# Dumping data for table 'YRCH_PAGE'
#


# --------------------------------------------------------
#
# Table structure for table 'YRCH_PROFIL'
#

DROP TABLE IF EXISTS YRCH_PROFIL;
CREATE TABLE YRCH_PROFIL (
   PROFIL_ID int(11) DEFAULT '0' NOT NULL,
   PROFIL_ALIAS varchar(50) NOT NULL,
   PROFIL_DESC text NOT NULL,
   PRIMARY KEY (PROFIL_ID),
   KEY PROFIL_ALIAS (PROFIL_ALIAS),
   KEY PROFIL_ID (PROFIL_ID)
);

#
# Dumping data for table 'YRCH_PROFIL'
#

INSERT INTO YRCH_PROFIL VALUES ( '100', 'admin', 'Administrateurs droits Maximums');
INSERT INTO YRCH_PROFIL VALUES ( '80', 'moderator', '');
INSERT INTO YRCH_PROFIL VALUES ( '30', 'owner', '');
INSERT INTO YRCH_PROFIL VALUES ( '10', 'visitor', '');
INSERT INTO YRCH_PROFIL VALUES ( '0', 'guest', 'visiteur non authentifi');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_PROFILUSER'
#

DROP TABLE IF EXISTS YRCH_PROFILUSER;
CREATE TABLE YRCH_PROFILUSER (
   PROFIL_ID int(11) DEFAULT '0' NOT NULL,
   USER_ID int(11) DEFAULT '0' NOT NULL,
   KEY PROFIL_ID (PROFIL_ID, USER_ID)
);

#
# Dumping data for table 'YRCH_PROFILUSER'
#

INSERT INTO YRCH_PROFILUSER VALUES ( '0', '0');
INSERT INTO YRCH_PROFILUSER VALUES ( '1', '100');
INSERT INTO YRCH_PROFILUSER VALUES ( '2', '100');
INSERT INTO YRCH_PROFILUSER VALUES ( '10', '10');
INSERT INTO YRCH_PROFILUSER VALUES ( '10', '30');
INSERT INTO YRCH_PROFILUSER VALUES ( '10', '80');
INSERT INTO YRCH_PROFILUSER VALUES ( '10', '100');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_REVIEWS'
#

DROP TABLE IF EXISTS YRCH_REVIEWS;
CREATE TABLE YRCH_REVIEWS (
   REVIEW_ID bigint(20) DEFAULT '0' NOT NULL,
   SITE_ID bigint(20) DEFAULT '0' NOT NULL,
   USER_ID bigint(20) DEFAULT '0' NOT NULL,
   REVIEW_NOTE tinyint(4) DEFAULT '0' NOT NULL,
   REVIEW_TEXT text NOT NULL,
   REVIEW_DATETIME datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   LANG_ID int(11) DEFAULT '0' NOT NULL,
   REVIEW_STATUS enum('ok','pending','rejected') DEFAULT 'ok' NOT NULL,
   PRIMARY KEY (REVIEW_ID),
   KEY SITE_ID (SITE_ID, USER_ID, REVIEW_STATUS),
   KEY REVIEW_LANG (LANG_ID)
);

#
# Dumping data for table 'YRCH_REVIEWS'
#

INSERT INTO YRCH_REVIEWS VALUES ( '1', '1', '1', '5', 'Site officiel de Yrch!', NOW(), '41', 'ok');
INSERT INTO YRCH_REVIEWS VALUES ( '2', '1', '1', '1', 'Yrch!\'s Official Website', NOW(), '32', 'ok');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_SEQ'
#

DROP TABLE IF EXISTS YRCH_SEQ;
CREATE TABLE YRCH_SEQ (
   seq_name varchar(64) NOT NULL,
   nextid bigint(20) DEFAULT '0' NOT NULL,
   PRIMARY KEY (seq_name)
);

#
# Dumping data for table 'YRCH_SEQ'
#

INSERT INTO YRCH_SEQ VALUES ( 'SEQ_USER', '100');
INSERT INTO YRCH_SEQ VALUES ( 'SEQ_HITS', '1');
INSERT INTO YRCH_SEQ VALUES ( 'SEQ_CAT', '1');
INSERT INTO YRCH_SEQ VALUES ( 'YRCH_LANG', '169');
INSERT INTO YRCH_SEQ VALUES ( 'YRCH_COUNTRY', '239');
INSERT INTO YRCH_SEQ VALUES ( 'SEQ_SITE', '100');
INSERT INTO YRCH_SEQ VALUES ( 'SEQ_REV', '1');

#
# Table structure for table `yrch_site`
#

DROP TABLE IF EXISTS yrch_site;
CREATE TABLE yrch_site (
  SITE_ID bigint(20) NOT NULL default '0',
  USER_ID bigint(20) NOT NULL default '0',
  SITE_TITLE varchar(255) NOT NULL default '',
  SITE_URL varchar(255) NOT NULL default '',
  SITE_DESC text NOT NULL,
  SITE_ADDED datetime NOT NULL default '0000-00-00 00:00:00',
  SITE_UPDATED datetime NOT NULL default '0000-00-00 00:00:00',
  SITE_HITS bigint(20) NOT NULL default '0',
  SITE_SELECTION enum('0','1') NOT NULL default '0',
  SITE_LEECH enum('0','1') NOT NULL default '0',
  SITE_DOWN datetime NOT NULL default '0000-00-00 00:00:00',
  SITE_STATUS enum('hidden','pending','ok','deleteme','processing') NOT NULL default 'pending',
  SITE_BLOCNOTE text NOT NULL,
  PRIMARY KEY  (SITE_ID),
  UNIQUE KEY SITE_URL (SITE_URL),
  KEY SITE_STATUS (SITE_STATUS),
  KEY USER_ID (USER_ID),
  KEY SITE_SELECTION (SITE_SELECTION),
  KEY SITE_LEECH (SITE_LEECH,SITE_DOWN)
) TYPE=MyISAM;

#
# Dumping data for table `yrch_site`
#

INSERT INTO yrch_site VALUES (1, 1, 'Yrch!', 'http://yrch.com/', 'a:2:{s:2:"EN";s:0:"";s:2:"FR";s:0:"";}', NOW(), NOW(), '0', '1', '0', '1970-01-01 01:00:00', 'ok', '');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_SITECOUNTRY'
#

DROP TABLE IF EXISTS YRCH_SITECOUNTRY;
CREATE TABLE YRCH_SITECOUNTRY (
   SITE_ID int(11) DEFAULT '0' NOT NULL,
   COUNTRY_ID int(11) DEFAULT '0' NOT NULL,
   KEY ID_SITE (SITE_ID, COUNTRY_ID)
);

#
# Dumping data for table 'YRCH_SITECOUNTRY'
#

INSERT INTO YRCH_SITECOUNTRY VALUES ( '1', '225');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_SITELANG'
#

DROP TABLE IF EXISTS YRCH_SITELANG;
CREATE TABLE YRCH_SITELANG (
   SITE_ID int(11) DEFAULT '0' NOT NULL,
   LANG_ID int(11) DEFAULT '0' NOT NULL,
   KEY SITE_ID (SITE_ID, LANG_ID)
);

#
# Dumping data for table 'YRCH_SITELANG'
#

INSERT INTO YRCH_SITELANG VALUES ( '1', '32');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_SITENOTE'
#

DROP TABLE IF EXISTS YRCH_SITENOTE;
CREATE TABLE YRCH_SITENOTE (
   SITE_ID int(10) unsigned DEFAULT '0' NOT NULL,
   USER_ID int(10) unsigned DEFAULT '0' NOT NULL,
   REVIEW_ID int(11) unsigned DEFAULT '0' NOT NULL,
   REVIEW_NOTE tinyint(3) unsigned DEFAULT '0' NOT NULL,
   REVIEW_DATETIME datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   KEY SITE_ID (SITE_ID, USER_ID),
   KEY USER_ID (USER_ID),
   KEY REVIEW_ID (REVIEW_ID)
);

#
# Dumping data for table 'YRCH_SITENOTE'
#

# --------------------------------------------------------
#
# Table structure for table 'YRCH_TMP_CATSITE'
#

DROP TABLE IF EXISTS YRCH_TMP_CATSITE;
CREATE TABLE YRCH_TMP_CATSITE (
   CAT_ID bigint(20) DEFAULT '0' NOT NULL,
   SITE_ID bigint(20) DEFAULT '0' NOT NULL,
   KEY CAT_ID (CAT_ID, SITE_ID)
);

#
# Dumping data for table 'YRCH_TMP_CATSITE'
#


# --------------------------------------------------------
#
# Table structure for table 'YRCH_TMP_SITE'
#

DROP TABLE IF EXISTS YRCH_TMP_SITE;
CREATE TABLE YRCH_TMP_SITE (
   SITE_ID bigint(20) DEFAULT '0' NOT NULL,
   USER_ID bigint(20) DEFAULT '0' NOT NULL,
   SITE_TITLE varchar(255) NOT NULL,
   SITE_URL varchar(255) NOT NULL,
   SITE_DESC text NOT NULL,
   SITE_ADDED datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   SITE_UPDATED datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   SITE_HITS bigint(20) DEFAULT '0' NOT NULL,
   SITE_SELECTION enum('0','1') DEFAULT '0' NOT NULL,
   SITE_LEECH enum('0','1') DEFAULT '0' NOT NULL,
   SITE_DOWN datetime DEFAULT '0000-00-00 00:00:00' NOT NULL,
   SITE_STATUS enum('hidden','pending','ok','deleteme','processing') DEFAULT 'pending' NOT NULL,
   SITE_BLOCNOTE text NOT NULL,
   PRIMARY KEY (SITE_ID),
   UNIQUE SITE_URL (SITE_URL),
   KEY SITE_STATUS (SITE_STATUS),
   KEY USER_ID (USER_ID),
   KEY SITE_SELECTION (SITE_SELECTION),
   KEY SITE_LEECH (SITE_LEECH, SITE_DOWN)
);

#
# Dumping data for table 'YRCH_TMP_SITE'
#


# --------------------------------------------------------
#
# Table structure for table 'YRCH_TMP_SITECOUNTRY'
#

DROP TABLE IF EXISTS YRCH_TMP_SITECOUNTRY;
CREATE TABLE YRCH_TMP_SITECOUNTRY (
   SITE_ID int(11) DEFAULT '0' NOT NULL,
   COUNTRY_ID int(11) DEFAULT '0' NOT NULL,
   KEY ID_SITE (SITE_ID, COUNTRY_ID)
);

#
# Dumping data for table 'YRCH_TMP_SITECOUNTRY'
#

# --------------------------------------------------------
#
# Table structure for table 'YRCH_TMP_SITELANG'
#

DROP TABLE IF EXISTS YRCH_TMP_SITELANG;
CREATE TABLE YRCH_TMP_SITELANG (
   SITE_ID int(11) DEFAULT '0' NOT NULL,
   LANG_ID int(11) DEFAULT '0' NOT NULL,
   KEY SITE_ID (SITE_ID, LANG_ID)
);

#
# Dumping data for table 'YRCH_TMP_SITELANG'
#

# --------------------------------------------------------
#
# Table structure for table 'YRCH_USER'
#

#
# Table structure for table `yrch_user`
#

DROP TABLE IF EXISTS yrch_user;
CREATE TABLE yrch_user (
  USER_ID bigint(20) NOT NULL default '0',
  USER_NAME varchar(16) NOT NULL default '',
  USER_PASS varchar(32) NOT NULL default '',
  USER_NICK varchar(100) NOT NULL default '',
  USER_EMAIL varchar(100) NOT NULL default '',
  USER_ADDED datetime NOT NULL default '0000-00-00 00:00:00',
  USER_UPDATED datetime NOT NULL default '0000-00-00 00:00:00',
  USER_STATUS enum('ok','locked','pending') NOT NULL default 'ok',
  PRIMARY KEY  (USER_ID),
  UNIQUE KEY USER_NAME (USER_NAME),
  KEY USER_STATUS (USER_STATUS)
) TYPE=MyISAM;

#
# Dumping data for table `yrch_user`
#

INSERT INTO yrch_user VALUES (0, 'Guest', 'd41d8cd98f00b204e9800998ecf8427e', 'Guest', 'guest@domain.com', NOW(), NOW(), 'locked');
INSERT INTO yrch_user VALUES (1, 'yrchstaff', 'd41d8cd98f00b204e9800998ecf8427e', 'Yrch! Staff', 'yrch@domain.com', NOW(), NOW(), 'locked');
INSERT INTO yrch_user VALUES (2, 'bot', 'd41d8cd98f00b204e9800998ecf8427e', 'Yrch! Bot', 'bot@domain.com', NOW(), NOW(), 'locked');
INSERT INTO yrch_user VALUES (10, 'Admin', '965a211e4f80d09d039019e8d30a088d', 'Admin', 'admin@domain.com', NOW(), NOW(), 'ok');

# --------------------------------------------------------
#
# Table structure for table 'YRCH_USERCONF'
#

DROP TABLE IF EXISTS YRCH_USERCONF;
CREATE TABLE YRCH_USERCONF (
   USER_ID int(10) unsigned DEFAULT '0' NOT NULL,
   USERCONF_KEY varchar(32) NOT NULL,
   USERCONF_VALUE varchar(255) NOT NULL,
   KEY USER_ID (USER_ID, USERCONF_KEY)
);

#
# Dumping data for table 'YRCH_USERCONF'
#

